/*
 * JMGPU driver
 *
 * Copyright (c) 2020 ChangSha JingJiaMicro Electronics Co., Ltd.
 * All rights reserved.
 *
 * Author:
 *      wj <jjwgpu@jingjiamicro.com>
 *
 * The software and information contained herein is proprietary and
 * confidential to JingJiaMicro Electronics. This software can only be
 * used by JingJiaMicro Electronics Corporation. Any use, reproduction,
 * or disclosure without the written permission of JingJiaMicro
 * Electronics Corporation is strictly prohibited.
 *
 */




#ifndef __645a0af8_H_
#define __645a0af8_H_

#ifdef __cplusplus
extern "C" {
#endif



#define J9_INDOCTRINATES(zone)             ((zone) >> 28)


#define J9_HANDLE__CIRCUITIES(zone)        ((zone) << 4)


#define J9_CANTILEVERING              ((jmtUINT32) 0  << 28)



#define J9_PASTURES              (1 << 0)
#define J9_UNDERSIGNALMEN        (1 << 1)
#define J9_EMPOVERISH            (1 << 2)
#define J9_FLOCCULATION          (1 << 3)


#define J9_UNTHEOLOGIZE          (1 << 4)
#define J9_UNCONSIDERED          (1 << 5)
#define J9_LITHOPHTHISIS         (1 << 6)
#define J9_FLIPPANTNESS          (1 << 7)
#define J9_RETROSPLENIC          (1 << 8)
#define J9_CUAPINOLE             (1 << 9)
#define J9_MACROCOSMOS           (1 << 10)
#define J9_REINTRENCHED          (1 << 11)
#define J9_DISEQUILIBRIUM        (1 << 12)
#define J9MATHS_PLASMODIAL       (1 << 13)
#define J9_FULGURATION           (1 << 14)
#define J9_HANDLE_J_EXTRACTIVE   (1 << 15)
#define J9MATHS_BEGGARHOOD       (1 << 16)
#define J9_EXTRADICT             (1 << 17)
#define J9_LANTERNED             (1 << 18)
#define J9_WOMANWISE             (1 << 19)



#define J9_ESOPHAGOSTOMY         (1 << 4)
#define J9_SCOMBROIDEAN          (1 << 5)
#define J9_PROSOPOSCHISIS        (1 << 6)
#define J9_INEXPLAINABLE         (1 << 7)
#define J9_BALUSTRADED           (1 << 8)
#define J9_ASSUMINGNESS          (1 << 9)
#define J9_ERYTHROLITMIN         (1 << 10)
#define J9_CONFOCAL              (1 << 11)
#define J9_AUTARKIC              (1 << 12)
#define J9_OVERTIMOROUSLY        (1 << 13)
#define J9_DEOXIDANT             (1 << 14)
#define J9_HANDLE_HYPOTARSUS     (1 << 15)
#define J9_BATWOMEN              (1 << 16)
#define J9_ENERGIZE              (1 << 17)
#define J9_WEHRLITE              (1 << 18)
#define J9_PRECONCESSION         (1 << 19)
#define J9_APHORISMIC            (1 << 20)
#define J9_DERIVATIVELY          (1 << 21)
#define J9_IMPRESSIONISTS        (1 << 22)
#define J9_INTERDICTORY          (1 << 23)



#define J9_COPOLYMERIZED             ((jmtUINT32) 1  << 28)
#define J9_CONTRIBUTORIES            ((jmtUINT32) 2  << 28)
#define J9_CIVILISATIONAL            ((jmtUINT32) 3  << 28)
#define J9_TRICENTENNIALS            ((jmtUINT32) 4  << 28)
#define J9_DESPONDENTNESS            ((jmtUINT32) 5  << 28)
#define J9_FRICTIONIZED              ((jmtUINT32) 6  << 28)
#define J9_SMOOTHNESSES              ((jmtUINT32) 7  << 28)
#define J9_HOLOSOMATOUS              ((jmtUINT32) 8  << 28)



#define J9_UNDERCLOTHING             (J9_COPOLYMERIZED | (1 << 0))
#define J9_HANDLE_SPASMODIST         (J9_COPOLYMERIZED | (1 << 1))
#define J9_HANDLE_REAPPROVAL         (J9_COPOLYMERIZED | (1 << 2))
#define J9MIRROR_BOARDWALKS          (J9_COPOLYMERIZED | (1 << 3))
#define J9_SULPHOGALLIC              (J9_COPOLYMERIZED | (1 << 4))
#define J9MATHS_BETUCKERED           (J9_COPOLYMERIZED | (1 << 5))
#define J9_INTERINVOLVING            (J9_COPOLYMERIZED | (1 << 6))
#define J9_ALKALINISATION            (J9_COPOLYMERIZED | (1 << 7))
#define J9_UNCEREMONIALLY            (J9_COPOLYMERIZED | (1 << 8))
#define J9_HANDLE_SENATORIAL         (J9_COPOLYMERIZED | (1 << 9))
#define J9_HANDLE_J9MIN_ADPOSITION   (J9_COPOLYMERIZED | (1 << 10))


#define J9_HANDLE_OVERPEOPLE         (J9_CONTRIBUTORIES | (1 << 0))
#define J9MIRROR_BRONZITITE          (J9_CONTRIBUTORIES | (1 << 1))
#define J9MATHS_UNFEMINISE           (J9_CONTRIBUTORIES | (1 << 2))
#define J9_HANDLE__ORTHOEPIES        (J9_CONTRIBUTORIES | (1 << 3))
#define J9MATHS_FORGATHERS           (J9_CONTRIBUTORIES | (1 << 4))
#define J9_HANDLE_PERIOSTOMA         (J9_CONTRIBUTORIES | (1 << 5))
#define J9_HANDLE_J9_CIRCUITIES      (J9_CONTRIBUTORIES | (1 << 6))
#define J9_PHYTOECOLOGIST            (J9_CONTRIBUTORIES | (1 << 7))
#define J9_HANDLE_J_POLITICISE       (J9_CONTRIBUTORIES | (1 << 8))
#define J9MIRROR_HEXAHYDRIC          (J9_CONTRIBUTORIES | (1 << 9))
#define J9_HANDLE_TARPAULIAN         (J9_CONTRIBUTORIES | (1 << 10))
#define J9MIRROR_ORTHOEPIES          (J9_CONTRIBUTORIES | (1 << 11))
#define J9_HANDLE__UNHELPABLE        (J9_CONTRIBUTORIES | (1 << 12))
#define J9MATHS_MECHITZOTH           (J9_CONTRIBUTORIES | (1 << 13))
#define J9MIRROR_UNHELPABLE          (J9_CONTRIBUTORIES | (1 << 14))
#define J9_HANDLE__UNBLOODIED        (J9_CONTRIBUTORIES | (1 << 15))
#define J9_HANDLE_PARANOIACS         (J9_CONTRIBUTORIES | (1 << 16))
#define J9_HANDLE_PRESIDENTE         (J9_CONTRIBUTORIES | (1 << 17))
#define J9_HANDLE_J_SMELLPROOF       (J9_CONTRIBUTORIES | (1 << 18))
#define J9_HANDLE_SHOWERIEST         (J9_CONTRIBUTORIES | (1 << 19))
#define J9MATHS_UNBROODING           (J9_CONTRIBUTORIES | (1 << 20))
#define J9MIRROR_UNBLOODIED          (J9_CONTRIBUTORIES | (1 << 21))


#define J9MIRROR_SPASMODIST          (J9_CIVILISATIONAL | (1 << 0))
#define J9_HANDLE_PHOTOMURAL         (J9_CIVILISATIONAL | (1 << 1))
#define J9MIRROR_TACTOMETER          (J9_CIVILISATIONAL | (1 << 2))
#define J9MIRROR_ESTAFETTED          (J9_CIVILISATIONAL | (1 << 3))
#define J9_HANDLE__TACTOMETER        (J9_CIVILISATIONAL | (1 << 4))
#define J9MIRROR_DOGMATISED          (J9_CIVILISATIONAL | (1 << 5))
#define J9_HANDLE_ARCHIVAULT         (J9_CIVILISATIONAL | (1 << 6))
#define J9MATHS_REDUNDANCE           (J9_CIVILISATIONAL | (1 << 7))
#define J9_INSTRUCTORLESS            (J9_CIVILISATIONAL | (1 << 8))
#define J9MIRROR_SENATORIAL          (J9_CIVILISATIONAL | (1 << 9))
#define J9_HANDLE_INOCULABLE         (J9_CIVILISATIONAL | (1 << 10))
#define J9MIRROR_REAPPROVAL          (J9_CIVILISATIONAL | (1 << 11))
#define J9_HANDLE__ESTAFETTED        (J9_CIVILISATIONAL | (1 << 12))
#define J9MIRROR_OVERPEOPLE          (J9_CIVILISATIONAL | (1 << 13))
#define J9_HANDLE_J_NONSPATIAL       (J9_CIVILISATIONAL | (1 << 14))
#define J9MATHS_OVERKILLED           (J9_CIVILISATIONAL | (1 << 15))


#define J9MIRROR_PHOTOMURAL          (J9_TRICENTENNIALS | (1 << 0))
#define J9_HANDLE_SCAPULETTE         (J9_TRICENTENNIALS | (1 << 1))
#define J9MIRROR_PERIOSTOMA          (J9_TRICENTENNIALS | (1 << 2))
#define J9MIRROR_TARPAULIAN          (J9_TRICENTENNIALS | (1 << 3))
#define J9_HANDLE__DOGMATISED        (J9_TRICENTENNIALS | (1 << 4))
#define J9MIRROR_SHOWERIEST          (J9_TRICENTENNIALS | (1 << 5))
#define J9_HANDLE_SUBRECTORY         (J9_TRICENTENNIALS | (1 << 6))
#define J9MATHS_ADJUSTABLY           (J9_TRICENTENNIALS | (1 << 7))
#define J9_DIVARICATINGLY            (J9_TRICENTENNIALS | (1 << 8))
#define J9MIRROR_PARANOIACS          (J9_TRICENTENNIALS | (1 << 9))
#define J9_HANDLE_DENEGATION         (J9_TRICENTENNIALS | (1 << 10))
#define J9MIRROR_PRESIDENTE          (J9_TRICENTENNIALS | (1 << 11))
#define J9_HANDLE__REAPPROVAL        (J9_TRICENTENNIALS | (1 << 12))
#define J9MIRROR_ARCHIVAULT          (J9_TRICENTENNIALS | (1 << 13))
#define J9_HANDLE_J_RUSSIFYING       (J9_TRICENTENNIALS | (1 << 14))
#define J9MATHS_CONFICIENT           (J9_TRICENTENNIALS | (1 << 15))
#define J9_HANDLE_J9_FEMININELY      (J9_TRICENTENNIALS | (1 << 16))
#define J9_HANDLE__SENATORIAL        (J9_TRICENTENNIALS | (1 << 17))
#define J9MATHS_KARYOLITIC           (J9_TRICENTENNIALS | (1 << 18))


#define J9_HANDLE__SPASMODIST        (J9_DESPONDENTNESS | (1 << 0))
#define J9MATHS_SPAWNEATER           (J9_DESPONDENTNESS | (1 << 1))
#define J9_UNRATIONALIZED            (J9_DESPONDENTNESS | (1 << 2))
#define J9MATHS_FRITHSTOOL           (J9_DESPONDENTNESS | (1 << 3))
#define J9_HANDLE_J_BLINKINGLY       (J9_DESPONDENTNESS | (1 << 4))
#define J9MIRROR_INOCULABLE          (J9_DESPONDENTNESS | (1 << 5))
#define J9MATHS_RUMINATING           (J9_DESPONDENTNESS | (1 << 6))
#define J9_HANDLE_CENOTAPHIC         (J9_DESPONDENTNESS | (1 << 7))
#define J9_HANDLE_SUPERDUPER         (J9_DESPONDENTNESS | (1 << 8))
#define J9MIRROR_SCAPULETTE          (J9_DESPONDENTNESS | (1 << 9))
#define J9MATHS_OUTPLEASED           (J9_DESPONDENTNESS | (1 << 10))
#define J9_HANDLE_J_LIONIZABLE       (J9_DESPONDENTNESS | (1 << 11))
#define J9_HANDLE_J_OVERROASTS       (J9_DESPONDENTNESS | (1 << 12))
#define J9_HANDLE_FLIMSILYST         (J9_DESPONDENTNESS | (1 << 13))
#define J9_HANDLE_J9MA_SUBFIGURES    (J9_DESPONDENTNESS | (1 << 14))
#define J9_UNANNIHILATORY            (J9_DESPONDENTNESS | (1 << 15))


#define J9_RESPONSORIES              (J9_HOLOSOMATOUS | (1 << 0))
#define J9MIRROR_SUBRECTORY          (J9_HOLOSOMATOUS | (1 << 1))
#define J9_UNATTENUATEDLY            (J9_HOLOSOMATOUS | (1 << 2))
#define J9MATHS_GUNPOWDERY           (J9_HOLOSOMATOUS | (1 << 3))
#define J9MATHS_SEVILLANAS           (J9_HOLOSOMATOUS | (1 << 4))
#define J9_NONCOAGULATING            (J9_HOLOSOMATOUS | (1 << 5))
#define J9_TERRESTRICITY             (J9_HOLOSOMATOUS | (1 << 6))
#define J9_PROCATALECTIC             (J9_HOLOSOMATOUS | (1 << 7))
#define J9MATHS_ANCHORITIC           (J9_HOLOSOMATOUS | (1 << 8))
#define J9_HANDLE__OVERPEOPLE        (J9_HOLOSOMATOUS | (1 << 9))
#define J9MATHS_PREDECREED           (J9_HOLOSOMATOUS | (1 << 10))
#define J9_DELIBERATIVELY            (J9_HOLOSOMATOUS | (1 << 11))
#define J9_HYPOCYCLOIDAL             (J9_HOLOSOMATOUS | (1 << 12))
#define J9_PSYCHOMORPHISM            (J9_HOLOSOMATOUS | (1 << 13))
#define J9MATHS_SCREWSTOCK           (J9_HOLOSOMATOUS | (1 << 14))
#define J9_INSUBMERGIBLE             (J9_HOLOSOMATOUS | (1 << 15))
#define J9_PROEDUCATION              (J9_HOLOSOMATOUS | (1 << 16))


#define J9MIRROR_OVERSCREAM          (J9_FRICTIONIZED | (1 << 0))
#define J9MIRROR_PLAYSCRIPT          (J9_FRICTIONIZED | (1 << 1))
#define J9MATHS_PREOBSERVE           (J9_FRICTIONIZED | (1 << 2))
#define J9MIRROR_OVERRENNET          (J9_FRICTIONIZED | (1 << 3))
#define J9_PREPARTNERSHIP            (J9_FRICTIONIZED | (1 << 4))
#define J9_PALEOCRYSTIC              (J9_FRICTIONIZED | (1 << 5))
#define J9_INTERVEINAL               (J9_FRICTIONIZED | (1 << 6))
#define J9MATHS_PUZZLEHEAD           (J9_FRICTIONIZED | (1 << 7))
#define J9_COPYRIGHTING              (J9_FRICTIONIZED | (1 << 8))
#define J9_HANDLE_ESTAFETTED         (J9_FRICTIONIZED | (1 << 9))
#define J9_HANDLE_DOGMATISED         (J9_FRICTIONIZED | (1 << 10))
#define J9MIRROR_ACERBATING          (J9_FRICTIONIZED | (1 << 11))
#define J9MIRROR_PYRETHROID          (J9_FRICTIONIZED | (1 << 12))


#define J9_FINGERPRINTING            (J9_SMOOTHNESSES | (1 << 0))
#define J9MATHS_ARTFULNESS           (J9_SMOOTHNESSES | (1 << 1))
#define J9MIRROR_DENEGATION          (J9_SMOOTHNESSES | (1 << 2))
#define J9_ZEUGMATICALLY             (J9_SMOOTHNESSES | (1 << 3))
#define J9_CHEMOSYNTHESIS            (J9_SMOOTHNESSES | (1 << 4))
#define J9_UNTRANSFORMED             (J9_SMOOTHNESSES | (1 << 5))
#define J9_HANDLE_CENTERMOST         (J9_SMOOTHNESSES | (1 << 6))
#define J9_UNCONTEMPLATED            (J9_SMOOTHNESSES | (1 << 7))
#define J9_SOUTHEASTWARDS            (J9_SMOOTHNESSES | (1 << 8))
#define J9_HANDLE__PERIOSTOMA        (J9_SMOOTHNESSES | (1 << 9))
#define J9MATHS_ENRAVISHED           (J9_SMOOTHNESSES | (1 << 10))
#define J9_JUNCAGINACEOUS            (J9_SMOOTHNESSES | (1 << 11))
#define J9_HETEROLOGIES              (J9_SMOOTHNESSES | (1 << 12))
#define J9MATHS_REDOUBTING           (J9_SMOOTHNESSES | (1 << 13))
#define J9MATHS_EMMENOLOGY           (J9_SMOOTHNESSES | (1 << 14))
#define J9MIRROR_HYPOTARSUS          (J9_SMOOTHNESSES | (1 << 15))
#define J9_RECIPROCITIES             (J9_SMOOTHNESSES | (1 << 16))
#define J9_HANDLE_BALLASTING         (J9_SMOOTHNESSES | (1 << 17))
#define J9_UNANTICIPATION            (J9_SMOOTHNESSES | (1 << 18))
#define J9MIRROR_CENOTAPHIC          (J9_SMOOTHNESSES | (1 << 19))
#define J9MIRROR_SUPERDUPER          (J9_SMOOTHNESSES | (1 << 20))
#define J9_APPROACHLESS              (J9_SMOOTHNESSES | (1 << 21))
#define J9_RESPONSIBILITY            (J9_SMOOTHNESSES | (1 << 22))
#define J9MATHS_INDURATION           (J9_SMOOTHNESSES | (1 << 23))
#define J9MATHS_EPIZOOLOGY           (J9_SMOOTHNESSES | (1 << 24))
#define J9MATHS_PREPROMISE           (J9_SMOOTHNESSES | (1 << 25))
#define J9_HANDLE__TARPAULIAN        (J9_SMOOTHNESSES | (1 << 26))
#define J9MATHS_DAMFOOLISH           (J9_SMOOTHNESSES | (1 << 27))



#define J9_UNASCRIBED                0xF0000000


#define J9_TRADESMAN                 0x0FFFFFFF



#ifdef __cplusplus
}
#endif

#endif


