/*
 * JMGPU driver
 *
 * Copyright (c) 2020 ChangSha JingJiaMicro Electronics Co., Ltd.
 * All rights reserved.
 *
 * Author:
 *      wj <jjwgpu@jingjiamicro.com>
 *
 * The software and information contained herein is proprietary and
 * confidential to JingJiaMicro Electronics. This software can only be
 * used by JingJiaMicro Electronics Corporation. Any use, reproduction,
 * or disclosure without the written permission of JingJiaMicro
 * Electronics Corporation is strictly prohibited.
 *
 */



#ifndef __ab40d8d7_H_
#define __ab40d8d7_H_

#include "jmgpu_queues.h"
#include "jmgpu_warehouse.h"

#ifdef __cplusplus
extern "C" {
#endif


	typedef enum tag_jme_DUMMY_DRAW_TYPE {
		J9_HANDLE_J_INTRATOMIC = 0,
		J9_HANDLE_SOLEMNIZED,
		J9MATHS_ABERRATIVE,
	} j9mirror_centermost;


	typedef enum tag_jme_OPTION {

		J9_HANDLE_J9_ATTRIBUTE_CORUSCATED = 0,
		J9_HANDLE_J9MATHS_ATTRIBUTE_ANTIRACISM = 1,
		J9_HANDLE_J9MENU_UNDERREALM = 2,
		J9_HANDLE_J9M_ATTRIBUTE_MUTILATING = 3,
		J9_HANDLE_J_ATTRIBUTE_CYAPHENINE = 4,
		J9_HANDLE_ATTRIBUTE_ANIMALNESS = 5,
		J9_HANDLE_J9MATHS_SMELLPROOF = 6,


		J9MATHS_ERADIATION = 50,
		J9_HANDLE_J9_SORDIDNESS = 51,
		J9_HANDLE_J9_CONQUERING = 52,
		J9_HANDLE__ARTOPHORIA = 53,
		J9_HANDLE_J9MA_BETUCKERED = 54,
		J9_HANDLE_J9MA_UNFEMINISE = 55,
		J9_HANDLE_J9MATHS_POLITICISE = 56,
		J9_HANDLE_J_HISTOLOGIC = 60,


		J9_HANDLE_J9M_PROMULGING = 200,
		J9_HANDLE_J9M_PLATYRRHIN,
		J9_HANDLE_J9MIRROR_DOWAGERISM,
		J9_HANDLE_J9MIN_OVERRENNET,
		J9_HANDLE_J_ATTRIBUTE_MISTEACHER,

#if J9_NAOLOGY

		J9_HANDLE_J9MIRROR_EQUIPOISED = 500,
		J9_HANDLE_J9MIRROR_ANIMALNESS,
		J9_HANDLE__ATTRIBUTE_CRISPATION,
		J9_HANDLE_J_ATTRIBUTE_TANGERINES,
		J9_HANDLE_J9MA_ATTRIBUTE_BEHAVIOUR_PATHOMANIA,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_PHLEBOLOGY,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_PALEOSTYLY,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_PICHICIAGO,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_CALCIFUGAL,
#endif

		J9_UNMECHANISTIC
	} j9_dionize;

	typedef enum tag_jme_FRAMEINFO {

		J9_HANDLE_J9_CLEANLIEST = 0,

		J9_HANDLE_J_SEMESTRIAL = 1,

		J9_HANDLE_J9MA_NONSERVILE = 2,

		J9_HANDLE_J9M_SULPHUROUS = 3,

		J9_HANDLE_J9M_MINELAYERS = 4,

		J9MIRROR_GLOSSINESS,
	} j9_epiclastic;

	typedef enum tag_jme_FRAMEINFO_OP {
		J9_HANDLE_BEFORENESS = 0,
		J9_HANDLE_RHYMESTERS = 1,
		J9_HANDLE__LUCIFERASE = 2,
		J9_HANDLE_GOODLINESS = 3,
		J9_HANDLE_ANTIDOTISM = 4,
		J9_HANDLE_J_CONQUERING,
	} j9_iodomercurate;

	typedef enum tag_jme_SURF_USAGE {
		J9_HANDLE_J_UNBROODING,
		J9_HANDLE_J_ATTRIBUTE_CTENOIDIAN,
		J9_HANDLE__ATTRIBUTE_BILOCATION
	} j9_horticultor;

	typedef enum tag_jme_SURF_COLOR_SPACE {
		J9_HANDLE_J9MATHS_OESOPHAGAL,
		J9_HANDLE_J9MENU_ASSIGNABLY,
		J9_HANDLE_ATTRIBUTE_CONCORDITY,
	} j9_handle_homogonies;

	typedef enum tag_jme_SURF_COLOR_TYPE {
		J9_HANDLE_J_PREOBSERVE = 0,
		J9_HANDLE__INFANGTHEF = 0x01,
		J9_HANDLE_J9M_CONFICIENT = 0x02,
	} j9mirror_undertribe;


	typedef enum tag_jme_SURF_ROTATION {
		J9_ONOMATOPOIESIS = 0,
		J9MATHS_SOBERSAULT,
		J9MIRROR_TRILINGUAR,
		J9MIRROR_BENEFICENT,
		J9_PREMEDITATOR,
		J9_SEMIFINISHED,

		J9_HANDLE_RETRAVERSE = 0x40000000,
		J9_HANDLE_MAGISTRACY = 0x80000000,
	} j9_tragicomically;


	typedef enum tag_jme_SURF_FLAG {

		J9MATHS_BESEECHERS = 0x0,

		J9_HANDLE__ATTRIBUTE_OUTPURSUED = 0x1,

		J9_HANDLE_J9MIRROR_AZOBENZENE = 0x2,

		J9_HANDLE__ATTRIBUTE_BALSAMROOT = 0x4,

		J9_HANDLE_J9M_ADJUSTABLY = 0x8,

		J9_HANDLE_J9MIRROR_CUCKOLDING = 0x10,

		J9_HANDLE_J9MA_INDURATION = 0x20,
	} j9_resolidify;

	typedef enum tag_jme_MIPMAP_IMAGE_FORMAT {
		J9_HANDLE__ATTRIBUTE_CYAPHENINE = -2
	} j9_handle_j9_smoothback;

	typedef enum tag_jme_IMAGE_MEM_TYPE {
		J9_HANDLE__SCYTHEWORK,
		J9_HANDLE_J_CORROSIVES,
		J9_HANDLE__ATTRIBUTE_MUSCOLOGIC,
		J9_HANDLE_J9MIN_PLAYSCRIPT,
		J9_HANDLE_J9MA_ATTRIBUTE_OVERSIMPLY,
	} j9maths_endocritic;

	typedef enum tag_jme_SURF_YUV_COLOR_SPACE {
		J9MIRROR_ECCHYMOSIS,
		J9MIRROR_EPISTOMATA,
		J9_HANDLE_BRIDLELESS,
	} j9_handle_j9m_circuities;

	typedef enum tag_jme_SURF_YUV_SAMPLE_RANGE {
		J9_HANDLE_J9_PREOBSERVE,
		J9_HANDLE_J9MA_PLAYSCRIPT,
	} j9_handle_j9ma_femininely;

	typedef enum tag_jme_SURF_YUV_CHROMA_SITING {
		J9_HANDLE_J9MATHS_COPRESENCE,
		J9_HANDLE_ATTRIBUTE_FUSTIGATED,
	} j9_handle_j9min_splotching;

	typedef enum tag_jme_SURF_INFO_TYPE {
		J9_HANDLE__REPARATIVE = 0,
		J9_HANDLE_J9_PROMULGING = 1,
		J9_HANDLE_J9_PLATYRRHIN = 2,
	} j9maths_acerbating;


	typedef enum tag_jme_SURF_FORMAT_MODE {
		J9MIRROR_REPARATIVE = 0x80000000,
		J9_HANDLE_J9MATHS_INCOMMIXED = 0x40000000,
	} j9_handle_undertribe;


	typedef enum tag_jme_SURF_SWIZZLE {
		J9MATHS_OVERGRAZES = 0,
		J9_ANTAPOLOGY,
		J9_BUCKJUMPER,
		J9_SEMIHUMBUG,
		J9_SEMICIRQUE
	} j9_nonfragmented;


	typedef enum tag_jme_SURF_TRANSPARENCY {

		J9_CONCREMATION = 0,
		J9_HANDLE__EPISTOMATA,
		J9_HANDLE_OVERRAUGHT,
		J9_HANDLE__CLOACALINE,
	} j9_handle__subrectory;


	typedef enum tag_jme_SURF_ALIGNMENT {
		J9_HOSTELLING = 0,
		J9_CAPILLARINESS,
		J9_HANDLE_ACATALEPSY,
		J9_HANDLE_GLUCOKININ,
		J9_HANDLE_J9MIN_HYPOTARSUS
	} j9maths_overrennet;


	typedef enum tag_jme_SURF_ADDRESSING {
		J9_HANDLE_J9M_FRITHSTOOL = 0,
		J9_HANDLE_J9MA_OVERFLOWED,
		J9_HANDLE__OUTVAUNTED,
		J9_HANDLE_J_FORGATHERS
	} j9mirror_harbourous;


	typedef enum tag_jme_2D_TRANSPARENCY {

		J9_BURGLARIES = 0,
		J9_ENERGISES,
		J9_BRAINPOWER
	} j9mirror_flimsilyst;


	typedef enum tag_jme_SURF_MONOPACK {
		J9_UNDERCOACHMEN = 0,
		J9_ANTIGOVERNMENT,
		J9_PHYTOBIOLOGIST,
		J9_UNHUMOROUSNESS,
	} j9_acenaphthylene;


	typedef enum tag_jme_SURF_BLEND_MODE {


		J9_EXFILTRATION = 0,
		J9_LUMINARISM,
		J9_EXEGETICAL,
		J9_HANDLE_J_BIPETALOUS,
		J9_HANDLE_J_REINSERTED,
		J9_HANDLE_UNBURDENED,
		J9_HANDLE_MISBEHAVES,
		J9_HANDLE__BREASTLESS,
		J9_HANDLE__LIBERALIZE,
		J9_HANDLE_J_UNABETTING,
		J9_HANDLE_J_PHYSICKING,
		J9_HANDLE__SOBERSAULT,


		J9_SUBUNCINAL,
		J9_SANCTITIES
	} j9mirror_homogonies;


	typedef enum tag_jme_SURF_PIXEL_ALPHA_MODE {
		J9_HANDLE_J9MIRROR_NUTRITIOUS = 0,
		J9_HANDLE_J9MIRROR_CONCORDITY
	} j9_handle_j9ma_podiatries;


	typedef enum tag_jme_SURF_GLOBAL_ALPHA_MODE {
		J9_HANDLE_J9MA_PREPROMISE = 0,
		J9_HANDLE_J9M_SPAWNEATER,
		J9_HANDLE_J9MENU_MAGNETISED
	} j9_handle_j9min_bisections;


	typedef enum tag_jme_SURF_PIXEL_COLOR_MODE {
		J9_HANDLE_J9_POLYPORITE = 0,
		J9_HANDLE_J9_SUCCUSSION
	} j9_handle_j9ma_circuities;


	typedef enum tag_jme_2D_PIXEL_COLOR_MULTIPLY_MODE {
		J9_HANDLE_J9MIRROR_PROCELLOUS = 0,
		J9_HANDLE_J9MATHS_NONNITROUS
	} j9_handle_j_attribute_sapientize;


	typedef enum tag_jme_2D_GLOBAL_COLOR_MULTIPLY_MODE {
		J9_HANDLE_J9MIN_ATTRIBUTE_NOVICELIKE = 0,
		J9_HANDLE_J9M_ATTRIBUTE_SPANCELLED,
		J9_HANDLE_J9M_ATTRIBUTE_GREENBOARD
	} j9_handle_j9_attribute_scoutingly;


	typedef enum tag_jme_SURF_BLEND_FACTOR_MODE {
		J9MIRROR_COAGULATOR = 0,
		J9MATHS_SITATUNGAS,
		J9_HANDLE_J9_SAVORINGLY,
		J9_HANDLE_J9_DRAMATIZED,
		J9_HANDLE_SINUOUSITY,
		J9_HANDLE_J9MIRROR_CATCHPENNY,
		J9_HANDLE_J9M_ATTRIBUTE_SPORICIDAL,
		J9_HANDLE_J_ATTRIBUTE_HYDRIATRIC,
		J9_HANDLE_J_ATTRIBUTE_LAMENESSES,
		J9_HANDLE_J9MIRROR_POLYGAMIST,
		J9_HANDLE_J9MATHS_ATTRIBUTE_TONGUELESS,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_SEVENPENCE
	} j9_handle_j9min_rejoicings;


	typedef enum tag_jme_2D_PORTER_DUFF_RULE {
		J9_SOLARIEGO = 0,
		J9_WHIRLED,
		J9_COWARDLINESS,
		J9_UNSPATIALITY,
		J9_PATHETICLY,
		J9_ATHYREOSIS,
		J9_CENTREBOARD,
		J9_COUNTERFACT,
		J9_COHESIONLESS,
		J9_TRINOMIALIST,
		J9_ZANYISH,
		J9_CHANTER,
		J9_UPDELVE
	} j9_handle_j9_principium;


	typedef enum tag_jme_2D_YUV_COLOR_MODE {
		J9_INTERCARPAL = 0,
		J9_MALEDICTIVE,
		J9_ARCHDECEIVER,
		J9_HANDLE_J9_PUNCHPROOF,
		J9_HANDLE_J9MIRROR_PREBENDATE,

		J9_UNPROSPERED = 0x80000000,
	} j9_handle__showeriest;


	typedef enum tag_jme_2D_NATURE_ROTATION {
		J9_NONMEDICINAL = 0,
		J9_HANDLE__PREPIOUSLY,
		J9_HANDLE_J_MINELAYERS,
		J9_DEFIBRILLATORY,
		J9_UNQUARRIED,
		J9_PRORELEASE,
		J9_UNOFFICIALNESS,
	} j9_handle_j_desolately;

	typedef enum tag_jme_2D_COMMAND {
		J9_DEPRESSED = 0,
		J9_UNCLUBBY,
		J9_RUBBING,
		J9_RUSTICITIES,
		J9_MICROBIOPHOBIA,
		J9_INEFFERVESCENT,
		J9_HANDLE_J9_REINSERTED,
		J9_UNARTICULATORY,
	} j9_undercoater;

	typedef enum tag_jme_2D_TILE_STATUS_CONFIG {
		J9MATHS_POLYBUNOUS = 0,
		J9_CHEMOTAXONOMIC = 0x00000001,
		J9_HANDLE__MARRYMUFFE = 0x00000002,
		J9_HANDLE_J9_PROVITAMIN = 0x00000004,
		J9_HANDLE_J9M_CRAQUELURE = 0x00000008,

		J9_HANDLE_J9MA_CLEANLIEST = 0x00000020,
		J9MATHS_REVETEMENT = 0x00000040,
		J9_HANDLE_J9MIRROR_MAGNETISED = 0x00000080,

		J9_HANDLE_J9M_INTRATOMIC = 0x00000100,
		J9_HANDLE_J9MIRROR_INSURRECTO =
			0x00000200 | J9_HANDLE_J9M_INTRATOMIC,

		J9_HANDLE_J9M_DEFAITISME =
			J9_HANDLE_J9MA_CLEANLIEST | J9MATHS_REVETEMENT,
		J9_HANDLE_J9MA_ATTRIBUTE_SPERMARIUM =
			J9_HANDLE_J9M_DEFAITISME | J9_HANDLE_J9MIRROR_MAGNETISED,

		J9_HANDLE_J9MA_DIVINENESS = 0x00001000,
		J9_HANDLE_J9MIRROR_ACTIVATION =
			J9_HANDLE_J9MA_DIVINENESS | 0x00000400,
		J9_HANDLE_J9MIRROR_TRINKETING =
			J9_HANDLE_J9MA_DIVINENESS | 0x00000800,
	} j9_handle_j9ma_metrocarat;

	typedef enum tag_jme_2D_DEC400_MINOR_VERSION {
		J9_HANDLE_J_OUTVAUNTED = 1,
		J9_HANDLE_J_DISENTHRAL = 2,
		J9_HANDLE_J_SUPERSTATE = 3,
	} j9_handle_j9menu_azobenzene;

	typedef enum tag_jme_2D_QUERY {
		J9_HANDLE_J9M_ATTRIBUTE_PASQUILLER = 0,
		J9_HANDLE_J9_ATTRIBUTE_PANSOPHIES,
		J9_HANDLE_J9M_ATTRIBUTE_RANDANNITE,
		J9_HANDLE_J9_ATTRIBUTE_SPANCELLED,
		J9_HANDLE_J9_ATTRIBUTE_FUSTIGATED,
	} j9_gemutlich;

	typedef enum tag_jme_2D_SUPER_TILE_VERSION {
		J9_HANDLE_J9MATHS_OVERSCREAM = 1,
		J9_HANDLE_J9MATHS_PLAYSCRIPT = 2,
		J9_HANDLE_J9MATHS_OVERRENNET = 3,
	} j9_handle_j9ma_monosilane;

	typedef enum tag_jme_2D_STATE {
		J9_HANDLE_J9MIRROR_ATTRIBUTE_INIMITABLY = 1,
		J9_HANDLE__ATTRIBUTE_INCOMMIXED,
		J9_HANDLE__CATAPULTIC,
		J9_HANDLE__HONKYTONKS,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_MISQUALITY,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_MORBIDNESS,
		J9_HANDLE_J9MENU_UNBROODING,
		J9_HANDLE_J9M_SIGNATURES,

		J9_HANDLE_J9MENU_FORGATHERS = 0x10001,
		J9_HANDLE_J9MENU_UNFEMINISE,
		J9_HANDLE_J9_ATTRIBUTE_PASQUILLER,
		J9_HANDLE_J9_ATTRIBUTE_GREENBOARD,

		J9_HANDLE__ATTRIBUTE_OESOPHAGAL = 0x20001,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_THEOGONIST,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_INUREMENTS,
	} j9_realigned;

	typedef enum tag_jme_2D_STATE_PROFILE {
		J9_HANDLE_J9MA_PLOTTINGLY = 0x0,
		J9_HANDLE_J9MATHS_CLOCKWORKS = 0x1,
		J9_HANDLE_J9MATHS_ENDOCRITIC = 0x2,
		J9_HANDLE_J9M_INKINESSES = 0xFFFF,
	} j9_handle_underrealm;


	typedef enum tag_jme_TEXTURE_TYPE {
		J9MIRROR_INCUMBENCY = 0,
		J9_CENTRICALLY,
		J9_INFRANGIBLY,
		J9_CONVICTMENT,
		J9MIRROR_UNDERTRUMP,
		J9_HANDLE_EXECUTONIS,
		J9_HANDLE_DETACHEDLY,
		J9_NONPREVENTABLE,
		J9_HANDLE_J9_BETUCKERED,
		J9_HANDLE_J9MA_ACERBATING,
		J9_HANDLE_SPODOGENIC
	} j9_prequarantine;

#if J9_DEMISSNESS

	typedef enum tag_jme_TEXTURE_FUNCTION {
		J9_QUARTERDECKISH = 0,
		J9MIRROR_PHORONOMIA = 0,
		J9_HANDLE_CALCULABLE,
		J9_NONRESIDENCY,
		J9_HANDLE_J_KARYOLITIC,
		J9_HANDLE_J9_REDUNDANCE,
		J9_HANDLE_CLOACALINE,
		J9_MULTITHREADED
	} j9_handle_amidstream;


	typedef enum tag_jme_TEXTURE_SOURCE {
		J9_HANDLE_J_UNDERTRUMP = 0,
		J9_HANDLE_J9MIRROR_SMOOTHBACK,
		J9_HANDLE_J9MATHS_SENATORIAL,
		J9_HANDLE_J9MIRROR_PHYTOMETRY
	} j9maths_boardwalks;


	typedef enum tag_jme_TEXTURE_CHANNEL {
		J9_DEHORTATION = 0,
		J9_HANDLE_J9M_CORPULENCE,
		J9_INELEGANCES,
		J9_HANDLE_J9M_HISTOLOGIC
	} j9mirror_amidstream;
#endif


	typedef enum tag_jme_FILTER_TYPE {
		J9_SNIGGERINGLY = 0,
		J9_NONRENDITION,
		J9_HURLEYHACKET
	} j9_ankylomerism;


	typedef enum tag_jme_FILTER_PASS_TYPE {
		J9MIRROR_RESARCELEE = 0,
		J9MIRROR_MISSHAPING
	} j9_handle_harbourous;


	typedef enum tag_jme_ENDIAN_HINT {
		J9MATHS_SPERMATIUM = 0,
		J9_HANDLE_ADVOCACIES = 1,
		J9_HANDLE__TUBIPOROID = 2,
		J9_HANDLE__RHYMESTERS = 3,
	} j9_tabernacling;


	typedef enum tag_jme_TILING {
		J9_DEXTROCARDIAL = 0x0,

		J9_DABBERS = 0x1,
		J9_SAFROL = 0x2,
		J9_UNRANSACKED = 0x4,
		J9_MENINGISMUS = 0x8,


		J9_HANDLE_J9_KARYOLITIC = 0x10,
		J9MATHS_MISSHAPING = 0x20,
		J9MATHS_COGITATORS = 0x40,
		J9_WONDERBRIGHT = 0x80,


		J9_SUBVENTRALLY = J9_SAFROL | J9_HANDLE_J9_KARYOLITIC,

		J9_HANDLE_DIPLACUSES = J9_UNRANSACKED | J9_HANDLE_J9_KARYOLITIC,

		J9_HANDLE__TURNAROUND = J9_UNRANSACKED | J9MATHS_COGITATORS,

		J9_GALLIAMBIC = 0x0100,
		J9_FASTIDUOUS = 0x0100 | J9_WONDERBRIGHT,
		J9_CLOTHESPIN = 0x0200,
		J9_SCHIZOGONIC = 0x0400,
		J9_PERLOCUTION = 0x0800,
		J9_DISILLUSION = 0x1000,

		J9_HANDLE_ECCHYMOSIS = J9_CLOTHESPIN | J9MATHS_MISSHAPING,
		J9_HANDLE_EPISTOMATA = J9_CLOTHESPIN | J9MATHS_COGITATORS,

		J9MIRROR_ACATALEPSY = 0x10000 | J9_UNRANSACKED,
		J9MIRROR_OUTBUSTLED = 0x20000 | J9_UNRANSACKED,
	} j9_bytalks;

	typedef enum tag_jme_CACHE_MODE {
		J9_TOTTERINGLY,
		J9_CARAVANIST,
		J9_UNSILENTLY,
	} j9_aquaemanale;

#define J9MATHS_CANCERWEED    J9_UNSILENTLY


	typedef enum tag_jme_2D_PATTERN {
		J9_HANDLE_LIMACIFORM = 0,
		J9MIRROR_LIMACIFORM,
		J9_HANDLE_ACTIVISTIC,
		J9_HANDLE_J_UNDRESSING
	} j9_salicaceous;


	typedef enum tag_jme_2D_SOURCE {
		J9_HANDLE_SEMISEVERE = 0,
		J9MATHS_SUPERLOCAL,
		J9MIRROR_SEMISEVERE,
		J9_HANDLE__CYSTOMYOMA
	} j9_balneation;

	typedef enum tag_jme_MMU_MODE {
		J9_PRESOCIALIST,
		J9_ALTIMETRICAL,
	} j9_guidances;


	typedef enum tag_jme_DEBUG_MESSAGE_TYPE {
		J9_PARENTHETICAL,
		J9_UNRECTIFIABLE
	} j9_handle_j_muriculate;


	typedef enum tag_jme_SHADING {
		J9MATHS_UNBURDENED,
		J9_HANDLE_DISPURPOSE,
		J9_HANDLE_J9_UNCIFEROUS,
	} j9_mopstick;


	typedef enum tag_jme_CULL {
		J9_UNQUENCHED,
		J9_DICTYOTIC,
		J9_PROPENOL,
	} j9_clast;


	typedef enum tag_jme_FILL {
		J9_SURFACENESS,
		J9MIRROR_THERMOGENY,
		J9_ZYMOLOGICAL,
	} j9_arrha;


	typedef enum tag_jme_COMPARE {
		J9MIRROR_RELENTLESS = 0,
		J9_IMPERMEABILIZE,
		J9_HANDLE__TELEGNOSIS,
		J9_UNREITERATIVE,
		J9_HANDLE_J9MA_DAUPHINESS,
		J9_ACCELEROMETERS,
		J9MIRROR_UNABDUCTED,
		J9_HANDLE_J9MATHS_REAPPROVAL,
		J9MATHS_UNISPINOSE,
	} j9_slabness;


	typedef enum tag_jme_STENCIL_MODE {
		J9_PACHYHEMATOUS,
		J9_HANDLE_J9M_OVERKILLED,
		J9_HANDLE_J9M_MECHITZOTH,
	} j9_abstractively;


	typedef enum tag_jme_STENCIL_OPERATION {
		J9_NEUROTHLIPSIS,
		J9MIRROR_GLUCOKININ,
		J9_VOCHYSIACEOUS,
		J9MATHS_BREASTLESS,
		J9_HANDLE__OVERRAUGHT,
		J9_HANDLE__HYPOTHESIS,
		J9_HANDLE_ATTRIBUTE_MUSCOLOGIC,
		J9_HANDLE_ATTRIBUTE_UNEQUALIZE,
		J9_HANDLE_J9MIRROR_MUSCOLOGIC = -1
	} j9_handle__scapulette;


	typedef enum tag_jme_STENCIL_WHERE {
		J9_CONVULSIVENESS,
		J9_TETRASYMMETRY,
	} j9_thundershowers;


	typedef enum tag_jme_TEXTURE_WHICH {
		J9_FEMININELY,
		J9_PREFIXEDLY,
		J9_BACKLASHES,
	} j9_resulphurizing;


	typedef enum tag_jme_TEXTURE_ADDRESSING {
		J9MIRROR_ONWARDNESS = 0,
		J9_QUADRIPHYLLOUS,
		J9_HYPOSTASIZING,
		J9MATHS_RESARCELEE,
		J9MATHS_FROCKMAKER,
		J9_HANDLE_J9_CONFICIENT,
	} j9_handle_j_incommixed;


	typedef enum tag_jme_TEXTURE_FILTER {
		J9_COPPERIZATION,
		J9_NYMPHOMANIACAL,
		J9MATHS_THERMOGENY,
		J9_HANDLE_J9_UNFEMINISE,
	} j9maths_pyrethroid;

	typedef enum tag_jme_TEXTURE_COMPONENT {
		J9_HANDLE_J9_OVERKILLED,
		J9_HANDLE_J9_MECHITZOTH,
		J9_HANDLE_J9_UNBROODING,
		J9_HANDLE_J9_FORGATHERS,

		J9_HANDLE_J9MA_OVERRENNET,
	} j9_handle__misbehaves;


	typedef enum tag_jme_TEXTURE_SWIZZLE {
		J9_HANDLE__UNARTISTIC = 0,
		J9_HANDLE__MUTATIONAL,
		J9_HANDLE__SIPHUNCLED,
		J9_HANDLE__EXTRADOSES,
		J9_HANDLE__UNABETTING,
		J9_HANDLE__BIPETALOUS,

		J9_HANDLE_J9MENU_CIRCUITIES,
	} j9mirror_backvelder;

	typedef enum tag_jme_TEXTURE_SRGBDECODE {
		J9_HANDLE_J9M_ARTFULNESS = 0,
		J9MATHS_ANTHRANOYL,
		J9_HANDLE_J9_ADJUSTABLY,
	} j9_handle_j_cloacaline;

	typedef enum tag_jme_TEXTURE_COMPARE_MODE {
		J9_HANDLE_J_ATTRIBUTE_PREADAPTED = 0,
		J9_HANDLE_J9MIRROR_SPANCELLED,
		J9_HANDLE_J9MATHS_POLYTENIES,
	} j9_handle_j9m_unartistic;

	typedef enum tag_jme_TEXTURE_DS_MODE {
		J9_HANDLE_J9MENU_METROCARAT = 0,
		J9_HANDLE_J9MA_PYRETHROID = 1,
		J9_HANDLE_J9MENU_PODIATRIES = 2,
	} j9mirror_teniasises;

	typedef enum tag_jme_TEXTURE_DS_TEX_MODE {
		J9_HANDLE_J9MENU_ATTRIBUTE_PREPERFECT = 0,
		J9_HANDLE_J9MENU_ATTRIBUTE_CHORIOMATA,
		J9_HANDLE_J9_ATTRIBUTE_MERCURIATE,
		J9_HANDLE__ATTRIBUTE_MISTEACHER,

		J9_HANDLE_J9MA_ATTRIBUTE_MERCURIATE,
	} j9_handle_j9_superstate;


	typedef enum tag_jme_TEXTURE_STAGE {
		J9_HANDLE_J9MA_BOARDWALKS = -1,
		J9_HANDLE_REPARATIVE = 0,
		J9_HANDLE__PROVITAMIN,
		J9_HANDLE__PUNCHPROOF,
		J9_HANDLE_INFANGTHEF,
		J9_HANDLE_COAGULATOR,
		J9_HANDLE_SCORBUTIZE,

		J9_HANDLE_J_SPAWNEATER
	} j9_interknowledge;


	typedef enum tag_jme_PIXEL_SWIZZLE {
		J9MIRROR_SINUOUSITY = J9_HANDLE__UNARTISTIC,
		J9MIRROR_DEBASEMENT = J9_HANDLE__MUTATIONAL,
		J9MIRROR_CALIPHATES = J9_HANDLE__SIPHUNCLED,
		J9MIRROR_CANCERWEED = J9_HANDLE__EXTRADOSES,

		J9_HANDLE_J9MA_FORGATHERS,
	} j9_unsuspiciously;


	typedef enum tag_jme_PRIMITIVE {
		J9_HANDLE_J9M_SUICIDICAL,
		J9_HANDLE_J9_DIPROTODAN,
		J9_HANDLE_J9M_DELINEAVIT,
		J9_HANDLE_J9_FORBEARING,
		J9_HANDLE_J9MENU_CLINICIANS,
		J9_HANDLE_J9MATHS_NONSPATIAL,
		J9_HANDLE_J9MIN_BOARDWALKS,
		J9_HANDLE_J9_CORROSIVES,
		J9_HANDLE_J9MIRROR_REUNIONISM,
		J9_HANDLE_J9M_ATTRIBUTE_SAPOROSITY,
		J9_HANDLE_J9_ATTRIBUTE_MUTILATING,
		J9_HANDLE_J9MATHS_ATTRIBUTE_ETHEROLATE,
		J9_HANDLE_J9M_NONERODING,
	} j9_deaspirate;


	typedef enum tag_jme_INDEX_TYPE {
		J9_SOLIFORM,
		J9_UNTEASLED,
		J9_CAPONIZED,
	} j9_reappraised;


	typedef enum tag_jme_MULTI_GPU_RENDERING_MODE {
		J9_HANDLE_J_ATTRIBUTE_SMIFLIGATE,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_THEOGONIST,
		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_PATHOMANIA,
		j9_handle_j9min_attribute_behaviour_unableness,
		j9_handle_j9menu_attribute_behaviour_unableness,
		j9_handle_j9maths_attribute_behaviour_coenotypic,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_INUREMENTS,
		J9_HANDLE_J9MIN_ATTRIBUTE_PREDECLINE
	} j9_handle_j9maths_pasquiller;

	typedef enum tag_jme_MACHINECODE {
		J9_HANDLE_J9_ACQUIRENDA = 0x0,

		J9_HANDLE__ATTRIBUTE_POLYGAMIST,

		J9_HANDLE__ATTRIBUTE_MEDICATING,
		J9_HANDLE__ATTRIBUTE_CATCHPENNY,


		J9_HANDLE__DISPURPOSE
	} j9_trifistulary;

	typedef enum tag_jme_UNIFORMCVT {
		J9MIRROR_INKINESSES = 0,
		J9_HANDLE_J_FRITHSTOOL,
		J9_HANDLE_J9_SPAWNEATER,
	} j9_unavailable;

	typedef enum tag_jme_HAL_ARG_VERSION {
		J9_HANDLE_J_SORDIDNESS = 0x0,
		J9_HANDLE_J_UNCONTRITE,
	} j9mirror_underrealm;

#if J9_HANDLE_J9M_MAGNETISED
	typedef enum tag_jme_PERFORMANCE_ANALYZE_INFO {
		J9_HANDLE_J9MENU_ATTRIBUTE_RHODIZONIC = 0,
		J9_HANDLE_J9M_ATTRIBUTE_PREADAPTED = 3,
		J9_HANDLE_J9M_ATTRIBUTE_EXTRACTIVE = 4,
		J9_HANDLE_J9MA_ATTRIBUTE_NOVICELIKE = 5,
		J9_HANDLE_J9MA_ATTRIBUTE_SPEEDINESS = 6,
		J9_HANDLE_J9M_ATTRIBUTE_NORTHLIGHT = 7,
	} j9_handle_j9maths_prepromise;
#endif

	typedef enum tag_jme_ENDIAN_MODE {
		J9_INTERLANGUAGE = 0x0,
		J9_INEXHAUSTIBLE = 0x1,
		J9_LYMPHADENOMAS = 0x2,
		J9_REGRESSIONIST = 0x3,
		J9_PANBABYLONISM = 0x4,
		J9_DYSODONTIASIS = 0x5,
		J9_SPLENOPHRENIC = 0x6,
		J9_DEPULLULATION = 0x7,
	} j9_ophiophilist;

	typedef enum tag_jme_HW_FE_TYPE {
		J9MIRROR_PARROTLIKE,
		J9_INCORRIGIBLY,
		J9_HANDLE_J9_CHATOYANCY,
		J9_TERRORISMS,
	} j9_lethargized;

	typedef enum tag_jme_MCFE_CHANNEL_TYPE {
		J9_HANDLE__CHERUBICAL = 0,
		J9_HANDLE_J9_MANEUVERER,
		J9_HANDLE_J9_DAUPHINESS,
		J9MIRROR_CHERUBICAL,
		J9MIRROR_DEVORATION,

		J9_HANDLE_J9_UNCUTTABLE = 128,
	} j9_handle__photomural;

	typedef enum tag_jme_PAGE_TYPE {
		J9_PHILODRAMATIC,
		J9_ANTIFOREIGNISM,
		J9_DISFRANCHISER,
		J9_PERFECTIONMENT,
	} j9_unalliedly;

	typedef enum tag_jme_AREA_TYPE {
		J9_HANDLE__ADVOCACIES = 0,
		J9_HANDLE__SOLEMNIZED,
		J9_EQUIBIRADIATE,
		J9_PREHISTORICAL,
	} j9_fameworthy;


	typedef enum tag_jme_BROADCAST {

		J9_HANDLE_J_REQUESTERS,


		J9_HANDLE_J9M_NONMELODIC,


		J9_HANDLE_J9_BIPETALOUS,


		J9_HANDLE_J9MENU_OVERKILLED,


		J9_HANDLE_J9MIN_DULCIGENIC,


		J9_HANDLE_J9MENU_MECHITZOTH,


		J9_HANDLE_J9MENU_REDUNDANCE,
	} j9_teazelling;


	typedef enum tag_jme_NOTIFY {
		J9_HANDLE_BREECHLESS,
		J9_HANDLE_J9M_DULCIGENIC,
	} j9_subpimp;


	typedef enum tag_jme_KERNEL_FLUSH {
		J9_MULAPRAKRITI = 0x01,
		J9_COMPARTITION = 0x02,
		J9_MALCONTENTMENT = 0x04,
		J9_TRASHLESS = 0x08,
		J9_CASANOVAS = 0x10,
		J9_HANDLE__PARALLELER = 0x20,
		J9_MISCALCULATOR = 0x40,
		J9_DISESTIMATION = 0x80,
		J9_DECALCIFYING = 0x100,
		J9_OSTREOPHAGOUS = 0x200,
		J9MIRROR_COGITATORS = 0x400,
		J9_SURPLICIAN = J9_MULAPRAKRITI
			| J9_COMPARTITION
			| J9_MALCONTENTMENT
			| J9_TRASHLESS
			| J9_CASANOVAS
			| J9_HANDLE__PARALLELER
			| J9_MISCALCULATOR
			| J9_DISESTIMATION
			| J9_DECALCIFYING | J9_OSTREOPHAGOUS | J9MIRROR_COGITATORS
	} j9_peninsularity;

	typedef enum tag_jme_COUNTER {
		J9_HANDLE__SITATUNGAS,
		J9_HANDLE_J9MA_MANEUVERER,
		J9_HANDLE_ATTRIBUTE_OVERROASTS,
		J9_SUBTRANSLUCENT,
		J9_HANDLE_J_SIGNATURES,
		J9_HANDLE_J9M_PELTATIFID,
		J9MIRROR_SOBERSAULT,
		J9_HANDLE_J9M_SILVERIEST,
		J9_HANDLE_J9MA_ATTRIBUTE_OUTWRIGGLE,
		J9_HANDLE_J9MA_ATTRIBUTE_OBITUARIZE,
		J9_HANDLE_J9MENU_FRITHSTOOL,
		J9_HANDLE_J9MENU_RUMINATING,
		J9_HANDLE_J9_REQUESTERS,
		J9_CHAPTALIZATION
	} j9_veltfare;

	typedef enum tag_jme_ProfilerClient {
		J9_HANDLE__OVERNURSED = 1,
		J9MIRROR_ADVOCACIES,
		J9_CLOISTERLINESS,
		J9_NONBARBAROUSLY,
		J9_NONDETERMINATE,
		J9_IMMETRICALNESS,
		J9_THERIOMORPHISM,
	} j9maths_overscream;

	typedef enum tag_jme_COUNTER_OPTYPE {
		J9MIRROR_LIBERALIZE = 0,
		J9MATHS_HALOPHILIC = 1,
		J9_HANDLE_J_INKINESSES = 2,
		J9_NONFRAUDULENCY = 3,
		J9_HANDLE__PREREJOICE = 4,
		J9_HANDLE_CATAPULTIC = 5,
		J9MIRROR_BREASTLESS = 6
	} j9maths_clockworks;

	typedef enum tag_jme_ProbeStatus {
		j9maths_semisevere = 0,
		j9_radiotelegram = 1,
		j9_monotelephonic = 2,
	} j9_reconstitute;

	typedef enum tag_jme_ProbeCmd {
		J9MATHS_ACTIVISTIC = 0,
		J9MATHS_LIMACIFORM = 1,
		J9MIRROR_BRIDLELESS = 2,
		J9_CONVENTIONISM = 3,
	} j9_cadasters;


	typedef enum _halEventType {

		HAL_KEYBOARD,


		HAL_POINTER,


		HAL_BUTTON,


		HAL_CLOSE,


		HAL_WINDOW_UPDATE
	} halEventType;


	typedef enum _halKeys {
		HAL_UNKNOWN = -1,

		HAL_BACKSPACE = 0x08,
		HAL_TAB,
		HAL_ENTER = 0x0D,
		HAL_ESCAPE = 0x1B,

		HAL_SPACE = 0x20,
		HAL_SINGLEQUOTE = 0x27,
		HAL_PAD_ASTERISK = 0x2A,
		HAL_COMMA = 0x2C,
		HAL_HYPHEN,
		HAL_PERIOD,
		HAL_SLASH,
		HAL_0,
		HAL_1,
		HAL_2,
		HAL_3,
		HAL_4,
		HAL_5,
		HAL_6,
		HAL_7,
		HAL_8,
		HAL_9,
		HAL_SEMICOLON = 0x3B,
		HAL_EQUAL = 0x3D,
		HAL_A = 0x41,
		HAL_B,
		HAL_C,
		HAL_D,
		HAL_E,
		HAL_F,
		HAL_G,
		HAL_H,
		HAL_I,
		HAL_J,
		HAL_K,
		HAL_L,
		HAL_M,
		HAL_N,
		HAL_O,
		HAL_P,
		HAL_Q,
		HAL_R,
		HAL_S,
		HAL_T,
		HAL_U,
		HAL_V,
		HAL_W,
		HAL_X,
		HAL_Y,
		HAL_Z,
		HAL_LBRACKET,
		HAL_BACKSLASH,
		HAL_RBRACKET,
		HAL_BACKQUOTE = 0x60,

		HAL_F1 = 0x80,
		HAL_F2,
		HAL_F3,
		HAL_F4,
		HAL_F5,
		HAL_F6,
		HAL_F7,
		HAL_F8,
		HAL_F9,
		HAL_F10,
		HAL_F11,
		HAL_F12,

		HAL_LCTRL,
		HAL_RCTRL,
		HAL_LSHIFT,
		HAL_RSHIFT,
		HAL_LALT,
		HAL_RALT,
		HAL_CAPSLOCK,
		HAL_NUMLOCK,
		HAL_SCROLLLOCK,
		HAL_PAD_0,
		HAL_PAD_1,
		HAL_PAD_2,
		HAL_PAD_3,
		HAL_PAD_4,
		HAL_PAD_5,
		HAL_PAD_6,
		HAL_PAD_7,
		HAL_PAD_8,
		HAL_PAD_9,
		HAL_PAD_HYPHEN,
		HAL_PAD_PLUS,
		HAL_PAD_SLASH,
		HAL_PAD_PERIOD,
		HAL_PAD_ENTER,
		HAL_SYSRQ,
		HAL_PRNTSCRN,
		HAL_BREAK,
		HAL_UP,
		HAL_LEFT,
		HAL_RIGHT,
		HAL_DOWN,
		HAL_HOME,
		HAL_END,
		HAL_PGUP,
		HAL_PGDN,
		HAL_INSERT,
		HAL_DELETE,
		HAL_LWINDOW,
		HAL_RWINDOW,
		HAL_MENU,
		HAL_POWER,
		HAL_SLEEP,
		HAL_WAKE
	} halKeys;

	typedef enum kernel_packet_command {
		KERNEL_START_COMMAND,
		KERNEL_SUBMIT,
		KERNEL_MAP_MEMORY,
		KERNEL_UNMAP_MEMORY,
		KERNEL_ALLOCATE_SECRUE_MEMORY,
		KERNEL_FREE_SECURE_MEMORY,
		KERNEL_EXECUTE,
		KERNEL_DUMP_MMU_EXCEPTION,
		KERNEL_HANDLE_MMU_EXCEPTION,
		KERNEL_READ_MMU_EXCEPTION,
	} kernel_packet_command_t;

	enum {
		J9MIRROR_RENEGATION,
		J9_HANDLE_J9_PUZZLEHEAD,

		J9_HANDLE_J_ATTRIBUTE_EXTRACTIVE,
		J9_HANDLE__ATTRIBUTE_ACETYLIZER,
	};

	typedef enum {
		J9MIRROR_ENSWATHING = 0x1,
		J9_HANDLE_OCTAEMERON = 0x2,
		J9MATHS_INHABITING = J9MIRROR_ENSWATHING | J9_HANDLE_OCTAEMERON,
		J9_HANDLE_J_DAUPHINESS = 0x10000,
	} jmeFENCE_TYPE;

	typedef enum tag_jme_TLS_KEY {
		J9_NONAVOIDABLY,
		J9_HANDLE__REQUESTERS,
		J9MATHS_CRAWLERIZE,
		J9MATHS_DIPLACUSES,
		J9MATHS_GLOSSINESS,
		J9MATHS_PARALLELER,

		J9_CALORIMETRICAL
	} j9_pulingly;

	typedef enum tag_jme_PLS_VALUE {
		jmePLS_VALUE_EGL_DISPLAY_INFO,
		jmePLS_VALUE_EGL_CONFIG_FORMAT_INFO,
		jmePLS_VALUE_EGL_DESTRUCTOR_INFO,
	} j9_squamatine;

#if J9_DEMISSNESS

	typedef enum tag_jme_BLEND_FUNCTION {
		J9_EPIDIASCOPE,
		J9_BLOCKHEADS,
		J9_HANDLE_J_PUNCHPROOF,
		J9_HANDLE_J9MIN_SAVORINGLY,
		J9_HANDLE_J_PROVITAMIN,
		J9_HANDLE_J9MIN_DRAMATIZED,
		J9_HANDLE_J_SIPHUNCLED,
		J9_HANDLE_J9MIN_SUCCUSSION,
		J9_HANDLE_J_EXTRADOSES,
		J9_HANDLE_J9MIN_MATURITIES,
		J9_HANDLE__ATTRIBUTE_REJOICINGS,
		J9_HANDLE__RELENTLESS,
		J9_HANDLE_J9MA_ACQUIRENDA,
		J9_HANDLE__UNABDUCTED,
		J9_HANDLE_J9MA_CHATOYANCY,
	} j9maths_overflowed;


	typedef enum tag_jme_BLEND_MODE {
		J9_HEAVENLIKE = 0,
		J9MATHS_GOLDFLOWER,
		J9_HANDLE_J9MIN_POLYPORITE,
		J9_STRICKENLY,
		J9_UNASPIRING,
		J9MATHS_CULTIVATOR,
		J9_ARCHPROTOPOPE,
		J9_NONEXPLORATORY,
		J9_ARACHNOLOGIST,
		J9_GASTRODIALYSIS,
		J9_HANDLE_SCOMBEROID,
		J9MIRROR_CYSTOMYOMA,
		J9MIRROR_CATAPULTIC,
		J9MIRROR_SOLEMNIZED,
		J9_HANDLE_ANTIPAPACY,
		J9MIRROR_HONKYTONKS,
		J9_PENITENTIARIES,
		J9_HANDLE_J9M_EYESTRAINS,
		J9MIRROR_MARRYMUFFE,
		J9_HANDLE_J9M_KLENDUSIVE,

		J9_TRIANGULARLY
	} j9_cantaloupes;


	typedef enum tag_jme_DEPTH_MODE {
		J9_DEGLUTITORY,
		J9_MADWORTS,
		J9_NAUFRAGE,
	} j9_petitionary;
#endif


	typedef enum tag_jme_API {
		J9_SICKLESS = 1,
		J9MIRROR_SCOMBEROID,
		J9MIRROR_ANTIPAPACY,
		J9MIRROR_MISBEHAVES,
		J9MIRROR_UNBURDENED,
		J9MIRROR_UNCOMBATED,
		J9_NONMORAINIC,
		J9_MISASSAYING,
		J9_KNIGHTHOODS,
		J9_DESELECTING,
	} j9_mzee;

	typedef enum tag_jme_WHERE {
		J9_HANDLE_J9MIN_COMMANDERY = 0,
		J9_PORTULACACEOUS,
		J9_ODONTOPHOROUS,
		J9_AMBIVALENTLY,
		J9_PREVOCALLY,
	} j9_unbarb;

	typedef enum tag_jme_HOW {
		J9_NONETHICALNESS = 0x1,
		J9_DEFROSTING = 0x2,
		J9_HANDLE_J9_DIVINENESS = 0x3,
	} j9_ast_;

	typedef enum tag_jme_SignalHandlerType {
		J9_HANDLE_J9MIRROR_ATTRIBUTE_INSTILLING = 0x1,
	} j9_handle__inoculable;

	typedef enum tag_jme_FILE_MODE {
		J9_CREATURELING = 0,
		J9_BIOPHYSICIST,
		J9_CRUMBCLOTH,
		J9MIRROR_ANTHRANOYL,
		J9MIRROR_FROCKMAKER,
		J9_ACKNOWLEDGMENT,
	} j9_unconceded;

	typedef enum tag_jme_FILE_WHENCE {
		J9_INORGANIZATION,
		J9_UNGEOGRAPHICAL,
		J9_ANTIQUATEDNESS
	} j9_sinistrorsal;


	typedef enum tag_jme_FORMAT_CLASS {
		J9_HANDLE__BETERSCHAP = 4500,
		J9_HANDLE_TUBIPOROID,
		J9_HANDLE_J_CITYNESSES,
		J9_HANDLE_J9MIN_EVENTUATED,
		J9_HANDLE__FOSSILISED,
		J9_HANDLE_J_MANEUVERER,
		J9_HANDLE__BREECHLESS,
		J9_HANDLE_J9MENU_PRESIDENTE,
		J9_HANDLE_J_ANTERETHIC,
		J9_HANDLE_J9MIN_OVERFLOWED
	} j9_pseudochromia;


	typedef enum tag_jme_FORMAT_DATATYPE {
		J9_HANDLE_J9MIRROR_ATTRIBUTE_PREPERFECT,
		J9_HANDLE_J9MENU_ATTRIBUTE_CACODYLATE,
		J9_HANDLE_J9MIN_ATTRIBUTE_OUTSAVORED,
		J9_HANDLE_J9M_ATTRIBUTE_ADHESIVELY,
		J9_HANDLE_J9MENU_PHOTOMURAL,
		J9_HANDLE_J9MENU_ARCHIVAULT,
		J9_HANDLE_J9M_ATTRIBUTE_CTENOIDIAN,
		J9_HANDLE_J9MIN_ATTRIBUTE_CUREMASTER,
		J9_HANDLE_J9MA_ANTHRAMINE,
		J9_HANDLE_J9M_CRYOHYDRIC,
		J9_HANDLE_J_ATTRIBUTE_BILOCATION,
	} j9mirror_ballasting;

	typedef enum tag_jme_ORIENTATION {
		J9_HANDLE_J9MIN_PYRETHROID,
		J9_HANDLE_J9MIN_ACERBATING,
	} j9_schoenobatic;


	typedef enum tag_jme_COMPONENT_CONTROL {
		J9_HANDLE_J9M_CONTRABAND = 0x00,
		J9_HANDLE_J_ONWARDNESS = 0x80,
		J9_HANDLE_J9_UNARTISTIC = 0x7F,
		J9_SYMPHYOGENETIC = 0x80
	} j9_handle__paranoiacs;


	typedef enum tag_jme_DEBUG_MSG {
		J9MATHS_PYRANOSIDE,
		J9MIRROR_SADDLEBILL,
		J9_HANDLE__OVERGRAZES
	} j9_creophagia;


	typedef enum _JM_COMPRESS_FMT {
		_JM_CFMT_ARGB8 = 0,
		_JM_CFMT_XRGB8,
		_JM_CFMT_AYUV,
		_JM_CFMT_UYVY,
		_JM_CFMT_YUY2,
		_JM_CFMT_YUV_ONLY,
		_JM_CFMT_UV_MIX,
		_JM_CFMT_ARGB4,
		_JM_CFMT_XRGB4,
		_JM_CFMT_A1R5G5B5,
		_JM_CFMT_X1R5G5B5,
		_JM_CFMT_R5G6B5,
		_JM_CFMT_Z24S8,
		_JM_CFMT_Z24,
		_JM_CFMT_Z16,
		_JM_CFMT_A2R10G10B10,
		_JM_CFMT_BAYER,
		_JM_CFMT_SIGNED_BAYER,
		_JM_CFMT_VAA16,
		_JM_CFMT_S8,

		_JM_CFMT_MAX,
	} _JM_COMPRESS_FMT;

	typedef enum tag_jme_PROGRAM_STAGE {
		J9_HANDLE_J9M_ALARMCLOCK = 0x0,
		J9_HANDLE__BRIDLELESS = 0x1,
		J9_HANDLE__ENTREASURE = 0x2,
		J9_HANDLE_J9MIN_ORTHOEPIES = 0x3,
		J9_HANDLE_J9MIN_HEXAHYDRIC = 0x4,
		J9_HANDLE_J_ATTRIBUTE_DISUNIFORM = 0x5,
		J9_HANDLE_J9MA_OVERKILLED = 0x5,
		J9_HANDLE_J9M_HUMILIATED = 0x6,
		J9_HANDLE_J_SUCCUSSION
	} j9_unregressively;

	typedef enum tag_jme_PROGRAM_STAGE_BIT {
		J9_HANDLE_J9MATHS_BLINKINGLY = 1 << J9_HANDLE_J9M_ALARMCLOCK,
		J9_HANDLE_J9MA_REDUNDANCE = 1 << J9_HANDLE__BRIDLELESS,
		J9_HANDLE_J9MA_CONFICIENT = 1 << J9_HANDLE__ENTREASURE,
		J9_HANDLE_ATTRIBUTE_HERETICIZE =
			1 << J9_HANDLE_J9MIN_ORTHOEPIES,
		J9_HANDLE_ATTRIBUTE_REUNIONISM =
			1 << J9_HANDLE_J9MIN_HEXAHYDRIC,
		J9_HANDLE_J9MIRROR_HERETICIZE = 1 << J9_HANDLE_J9MA_OVERKILLED,
		J9_HANDLE_J9MATHS_RUSSIFYING = 1 << J9_HANDLE_J9M_HUMILIATED,
	} j9_handle__archivault;

	typedef enum tag_jme_BLIT_FLAG {
		J9_HANDLE_ATTRIBUTE_PHYTOMETRY = 1 << 0,
		J9_HANDLE_J_ATTRIBUTE_ANIMALNESS = 1 << 1,
	} j9_upsettable;


	typedef enum tag_jme_CLEAR {
		J9_SCHIZOGENOUS = 0x1,
		J9_WORKSTATIONS = 0x2,
		J9_RESTRAIGHTENED = 0x4,
		J9_BLANKETED = 0x8,
		J9_HANDLE_J9_MUTATIONAL = 0x100,
		J9_HANDLE_J9_SIPHUNCLED = 0x200,
		J9_HANDLE_J_RENEGATION = 0x400,
	} j9_posnet;

	typedef enum tag_jme_BLITDRAW_TYPE {
		J9MATHS_ASSIGNABLE = 0,
		J9_HEAUTOMORPHISM = 1,
		J9_HANDLE_J9_UNABETTING = 2,


		J9_HANDLE__HADEPHOBIA
	} j9_reintegrations;

	typedef enum tag_jme_SPLIT_DRAW_TYPE {
		J9_HANDLE_J_PROMULGING = 0x0,
		J9_LIGNITIFEROUS,
		J9_INFRAORDINARY,
		J9_DERELIGIONIZE,
		J9_INTERCELLULAR,
		J9MATHS_CYSTOMYOMA,
		J9_HANDLE_J9MIN_UNHELPABLE,
		J9MATHS_UNCOMBATED,
		J9_HANDLE_J_DULCIGENIC,
		J9_HANDLE_J9M_FOLKSINESS,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_CALCIFUGAL,
		J9MIRROR_MAGISTRACY
	} j9mirror_clinicians;


	typedef enum tag_jme_BLEND_UNIT {
		J9_CEPHALANTHIUM,
		J9_SENSIBILITOUS,
	} j9_enzymolysis;

	typedef enum tag_jme_XfbCmd {
		J9_NONUNDULATORY = 0,
		J9_DEPOLYMERIZED = 1,
		J9_PREACKNOWLEDGE = 2,
		J9_MISPERCEIVE = 3,
		J9_HANDLE_J9MA_UNBLOODIED = 4,
		J9_HANDLE_J9MIN_CLINICIANS = 5,
		J9MATHS_PARROTLIKE = 6,
	} j9_squares;

	typedef enum tag_jme_XfbStatus {
		j9_inconcussible = 0,
		j9_irremission,
		j9_remainderman,
	} j9_marquisate;

	typedef enum tag_jme_QueryStatus {
		j9maths_misbehaves = 0,
		j9_lophiostomous = 1,
		j9_merchandisable = 2,
	} j9_faultfinders;

	typedef enum tag_jme_QueryCmd {
		J9MATHS_SCOMBEROID = 0,
		J9MATHS_ANTIPAPACY = 1,
		J9MIRROR_ENTREASURE = 2,
		J9_NONPARAMETRIC = 3,
		J9_HANDLE_MINEWORKER = 4,
	} j9_cephalism;

	typedef enum tag_jme_QueryType {
		J9MIRROR_RETRAVERSE = 0,
		J9_HANDLE__RETRAVERSE = 1,
		J9_HANDLE_J9M_PREADAMITE = 2,
		J9_HANDLE_J_POLYPORITE = 3,
		J9_REACCUMULATING = 4,
	} j9_impetulant;


	typedef enum tag_jme_TEXTURE_FACE {
		J9_CERATITOID = 0,
		J9MIRROR_SITATUNGAS,
		J9MIRROR_SCRUMPTION,
		J9MIRROR_PREREJOICE,
		J9MIRROR_OVERNURSED,
		J9MIRROR_BESEECHERS,
		J9MIRROR_TELEGNOSIS,
	} j9_antireticular;

	typedef enum tag_jme_VERTEX_FORMAT {
		J9_TYPHLOPTOSIS,
		J9_HANDLE_J9M_ENRAVISHED,
		J9_UNSEEABLENESS,
		J9_HANDLE_J9MA_HEXAHYDRIC,
		J9_SUPERARCTIC,
		J9_HANDLE_J9_RUMINATING,
		J9_WORSHIPWORTHY,
		J9_PRECOMPELLED,
		J9_ACTUALIZATION,
		J9_APOPHLEGMATISM,
		J9_HANDLE_J9M_ATTRIBUTE_OVERSIMPLY,
		J9_HANDLE_J9MA_BRONZITITE,
		J9_HANDLE_J9MATHS_ATTRIBUTE_UNHONESTLY,
		J9_HANDLE_J9MIRROR_PASQUILLER,

		J9_PSEUDACONINE,
		J9_FACTIONISTISM,
		J9_PROTONEMATOID,
	} j9_retrospections;


	typedef enum tag_jme_ATTRIB_SCHEME {
		J9_HANDLE_J_DICHLORVOS = 0,
		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_INUREMENTS,
		J9_HANDLE__ATTRIBUTE_RETURNABLE,
		J9_HANDLE_J_ATTRIBUTE_DOWAGERISM,
		J9_HANDLE_ATTRIBUTE_SMOOTHBACK,
		J9_HANDLE_J_ATTRIBUTE_EQUIPOISED,
		J9_HANDLE_J9_ATTRIBUTE_INGEMINATE,
		J9_HANDLE__ATTRIBUTE_ADPOSITION,
		J9_HANDLE_J9_ATTRIBUTE_RANDANNITE,
		J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_CELIBATIST,
		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_CATCHABLE_COENOTYPIC,
	} j9_overspeculated;

	typedef enum tag_jme_BUFOBJ_TYPE {
		J9_HANDLE_J9MATHS_ACERBATING = 1,
		J9_HANDLE_J9MIN_ATTRIBUTE_MASTECTOMY = 2,
		J9_HANDLE_ATTRIBUTE_SMELLPROOF = 3,
		J9_HANDLE_J9MIN_ATTRIBUTE_SPEEDINESS = 4,
		J9_HANDLE_J9MIN_PROMULGING = 5,
		J9_HANDLE_ATTRIBUTE_POLITICISE = 100
	} j9_nonfaltering;

	typedef enum tag_jme_BUFOBJ_USAGE {
		J9_HANDLE__SCRUMPTION = 0x0,
		J9_HANDLE_J9MATHS_ORTHOEPIES = 0x1,
		J9_HANDLE_J9MATHS_UNHELPABLE = 0x2,
		J9_HANDLE_J9MATHS_HEXAHYDRIC = 0x3,
		J9_HANDLE_J9MATHS_BOARDWALKS = 0x4,
		J9_HANDLE_J9MATHS_BRONZITITE = 0x5,
		J9_HANDLE_J9MATHS_PYRETHROID = 0x6,
		J9_HANDLE_J9MIRROR_MONOSILANE = 0x7,
		J9_HANDLE_J9MIRROR_METROCARAT = 0x8,
		J9_HANDLE_J9MIRROR_SUBFIGURES = 0x9,


		J9_HANDLE__UNAPPRIZED = 0xFF,


		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_CATCHABLE_COENOTYPIC = 0x100,


		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_THEOGONIST = 0x200,

	} j9_inquisitively;



	typedef enum tag_jme_TILE_MODE {
		J9_PHOSPHURIA,
		J9_PHENOTYPE,
		J9_ASSASSINATED,
		J9_THIABENDAZOLE
	} j9_hemophagia;


	typedef enum tag_jme_PAINT_TYPE {

		J9_HANDLE_PARROTLIKE,


		J9_HANDLE__CANCERWEED,


		J9_HANDLE__CALIPHATES,


		J9_HANDLE_J_CORPULENCE,


		J9_HANDLE_LUCIFERASE
	} j9_umbilically;

	typedef enum tag_jme_PATHTYPE {
		jmePATHTYPE_UNKNOWN = -1,
		jmePATHTYPE_INT8,
		jmePATHTYPE_INT16,
		jmePATHTYPE_INT32,
		jmePATHTYPE_FLOAT
	} j9_unlivably;

	typedef enum tag_jme_VJMMD {
		jmvVGCMD_END,
		jmvVGCMD_CLOSE,
		jmvVGCMD_MOVE,
		jmvVGCMD_MOVE_REL,
		jmvVGCMD_LINE,
		jmvVGCMD_LINE_REL,
		jmvVGCMD_QUAD,
		jmvVGCMD_QUAD_REL,
		jmvVGCMD_CUBIC,
		jmvVGCMD_CUBIC_REL,
		jmvVGCMD_BREAK,
		jmvVGCMD_HLINE,
		jmvVGCMD_HLINE_REL,
		jmvVGCMD_VLINE,
		jmvVGCMD_VLINE_REL,
		jmvVGCMD_SQUAD,
		jmvVGCMD_SQUAD_REL,
		jmvVGCMD_SCUBIC,
		jmvVGCMD_SCUBIC_REL,
		jmvVGCMD_SCCWARC,
		jmvVGCMD_SCCWARC_REL,
		jmvVGCMD_SCWARC,
		jmvVGCMD_SCWARC_REL,
		jmvVGCMD_LCCWARC,
		jmvVGCMD_LCCWARC_REL,
		jmvVGCMD_LCWARC,
		jmvVGCMD_LCWARC_REL,


		jmvVGCMD_WIDTH = 5,


		jmvVGCMD_MASK = (1 << jmvVGCMD_WIDTH) - 1,


		jmvVGCMD_H_MOD = 1 << jmvVGCMD_WIDTH,
		jmvVGCMD_V_MOD = 2 << jmvVGCMD_WIDTH,
		jmvVGCMD_S_MOD = 3 << jmvVGCMD_WIDTH,
		jmvVGCMD_ARC_MOD = 4 << jmvVGCMD_WIDTH,


		jmvVGCMD_HLINE_EMUL = jmvVGCMD_H_MOD | jmvVGCMD_LINE,
		jmvVGCMD_HLINE_EMUL_REL = jmvVGCMD_H_MOD | jmvVGCMD_LINE_REL,
		jmvVGCMD_VLINE_EMUL = jmvVGCMD_V_MOD | jmvVGCMD_LINE,
		jmvVGCMD_VLINE_EMUL_REL = jmvVGCMD_V_MOD | jmvVGCMD_LINE_REL,


		jmvVGCMD_SQUAD_EMUL = jmvVGCMD_S_MOD | jmvVGCMD_QUAD,
		jmvVGCMD_SQUAD_EMUL_REL = jmvVGCMD_S_MOD | jmvVGCMD_QUAD_REL,
		jmvVGCMD_SCUBIC_EMUL = jmvVGCMD_S_MOD | jmvVGCMD_CUBIC,
		jmvVGCMD_SCUBIC_EMUL_REL = jmvVGCMD_S_MOD | jmvVGCMD_CUBIC_REL,


		jmvVGCMD_ARC_LINE = jmvVGCMD_ARC_MOD | jmvVGCMD_LINE,
		jmvVGCMD_ARC_LINE_REL = jmvVGCMD_ARC_MOD | jmvVGCMD_LINE_REL,
		jmvVGCMD_ARC_QUAD = jmvVGCMD_ARC_MOD | jmvVGCMD_QUAD,
		jmvVGCMD_ARC_QUAD_REL = jmvVGCMD_ARC_MOD | jmvVGCMD_QUAD_REL
	} j9_steigh;
	typedef enum tag_jme_VJMMD *jmeVGCMD_PTR;

	typedef enum tag_jme_VG_BLEND {
		J9_OVERPENALIZED,
		J9_HANDLE__SIGNATURES,
		J9_HANDLE__INCUMBENCY,
		J9MIRROR_NONMELODIC,
		J9MIRROR_INTRATOMIC,
		J9_HANDLE__INKINESSES,
		J9MIRROR_EYESTRAINS,
		J9MIRROR_DEFAITISME,
		J9_HANDLE_SUPERSTATE,
		J9_HANDLE__PHORONOMIA,
		J9_HANDLE__CRAQUELURE,
		J9MIRROR_KLENDUSIVE
	} j9_vagrantly;

	typedef enum tag_jme_VG_IMAGE {
		J9_UNRESERVEDNESS,
		J9MIRROR_BIDIAGONAL,
		J9_HANDLE__DEFAITISME,
		J9_HANDLE_UNDRESSING,
		J9MIRROR_TURNAROUND
	} j9_kymograms;

	typedef enum tag_jme_IMAGE_FILTER {
		J9_UNCONDITIONAL,
		J9_BOROFLUOHYDRIC,
		J9_HANDLE_TRANSLATER
	} j9_lithographies;

	typedef enum tag_jme_VG_PRIMITIVE {
		J9_OVERNUMEROUS,
		J9_WEATHERMAKING,
		J9MATHS_LUCIFERASE,
		J9_HANDLE_J9M_REDOUBTING
	} j9_caesaropapist;

	typedef enum tag_jme_RENDER_QUALITY {
		J9_HANDLE__INTRATOMIC,
		J9_PLECOPTEROUS,
		J9_MONOGENESIST,
		J9_PACHYDACTYLY
	} j9maths_playscript;

	typedef enum tag_jme_FILL_RULE {
		J9_THEOSOPHICAL,
		J9_DEEMPHASIZES
	} j9_logicalist;

	typedef enum tag_jme_CAP_STYLE {
		J9_ADMIRALTY,
		J9_OVERWILILY,
		J9_LARYNGOTOME
	} j9_cyanoderma;

	typedef enum tag_jme_JOIN_STYLE {
		J9_VITICULTURE,
		J9_IDENTICALLY,
		J9_PLURISETOSE
	} j9_intercouple;


#define J9_UNSTAVABLE    (0)
#define J9_CORYCAVINE    (1 << 0)
#define J9_COLTSFOOTS    (1 << 1)
#define J9_SUBJUGATED    (1 << 2)
#define J9_MILLESIMAL    (1 << 3)

	typedef enum tag_jme_CHANNEL {
		J9_POSTLIMINIOUS =
			(J9_UNSTAVABLE | J9_UNSTAVABLE | J9_UNSTAVABLE |
			 J9_UNSTAVABLE),
		J9_DIALYPHYLLOUS =
			(J9_UNSTAVABLE | J9_UNSTAVABLE | J9_UNSTAVABLE |
			 J9_MILLESIMAL),
		J9_SUBPECTINATED =
			(J9_UNSTAVABLE | J9_UNSTAVABLE | J9_SUBJUGATED |
			 J9_UNSTAVABLE),
		J9_SUBCANDIDNESS =
			(J9_UNSTAVABLE | J9_UNSTAVABLE | J9_SUBJUGATED |
			 J9_MILLESIMAL),

		J9_PNEUMOTYPHOID =
			(J9_UNSTAVABLE | J9_COLTSFOOTS | J9_UNSTAVABLE |
			 J9_UNSTAVABLE),
		J9_REMULTIPLYING =
			(J9_UNSTAVABLE | J9_COLTSFOOTS | J9_UNSTAVABLE |
			 J9_MILLESIMAL),
		J9_UNPERMISSIBLY =
			(J9_UNSTAVABLE | J9_COLTSFOOTS | J9_SUBJUGATED |
			 J9_UNSTAVABLE),
		J9_PARTICULARIST =
			(J9_UNSTAVABLE | J9_COLTSFOOTS | J9_SUBJUGATED |
			 J9_MILLESIMAL),

		J9_LYMPHOTOXEMIA =
			(J9_CORYCAVINE | J9_UNSTAVABLE | J9_UNSTAVABLE |
			 J9_UNSTAVABLE),
		J9_ACETAZOLAMIDE =
			(J9_CORYCAVINE | J9_UNSTAVABLE | J9_UNSTAVABLE |
			 J9_MILLESIMAL),
		J9_MINEROLOGICAL =
			(J9_CORYCAVINE | J9_UNSTAVABLE | J9_SUBJUGATED |
			 J9_UNSTAVABLE),
		J9_KALEIDOSCOPIC =
			(J9_CORYCAVINE | J9_UNSTAVABLE | J9_SUBJUGATED |
			 J9_MILLESIMAL),

		J9_UNANNIHILABLE =
			(J9_CORYCAVINE | J9_COLTSFOOTS | J9_UNSTAVABLE |
			 J9_UNSTAVABLE),
		J9_SIGMOIDECTOMY =
			(J9_CORYCAVINE | J9_COLTSFOOTS | J9_UNSTAVABLE |
			 J9_MILLESIMAL),
		J9_UNOBSCURENESS =
			(J9_CORYCAVINE | J9_COLTSFOOTS | J9_SUBJUGATED |
			 J9_UNSTAVABLE),
		J9_UNPROTECTABLE =
			(J9_CORYCAVINE | J9_COLTSFOOTS | J9_SUBJUGATED |
			 J9_MILLESIMAL),
	} j9_forecome;


	typedef enum tag_jme_STATISTICS {
		J9_DIAMANTOID = 1,
	} j9_chemosmoses;


	typedef enum tag_jme_VALUE_TYPE {
		J9_LURKINGNESS = 0x0,
		J9_EXORCISATION,
		J9_UNMASTICABLE,
		J9_TIMESHARES,

		J9_HANDLE_ATTRIBUTE_PANSOPHIES = 0x00010000,

		J9_HANDLE_J9MATHS_SUBCOASTAL = 0x00020000,

		J9_HANDLE__ONWARDNESS = 0x00040000,

		J9_HANDLE__ATTRIBUTE_DISUNIFORM = 0x0080000,

		J9MIRROR_CRAQUELURE = 0xFFFF0000,
	} j9_melanoblast;

	typedef enum tag_jme_TRACEMODE {
		J9MATHS_FOSSILISED = 0,
		J9MATHS_BREECHLESS = 1,
		J9_HANDLE_OUTVAUNTED = 2,
		J9_HANDLE__RENEGATION = 3,
		J9_PERIPHERICALLY = 4,
		J9MATHS_BETERSCHAP = 5,
	} j9_drowsihead;


	enum {

		J9_HANDLE_J9M_ATTRIBUTE_BANDCUTTER = 1 << 0,


		J9_HANDLE_J9M_OMMATIDIUM = 1 << 1,
	};

#if J9_UNVEERINGLY
	typedef enum tag_jme_CAPBUF_META_TYPE {
		J9_HANDLE_J9MA_UNCUTTABLE = 0,
		J9_HANDLE_J9_ATTRIBUTE_OUTPURSUED = 0,
		J9_HANDLE_J9MATHS_UNBLOODIED,
		J9_HANDLE__ATTRIBUTE_BISECTIONS,
		J9_HANDLE_J9MIRROR_CIRCUITIES,
		J9_HANDLE_J9MIRROR_PODIATRIES,
		J9_HANDLE_J9MA_ATTRIBUTE_TIMEWORKER,
		J9_HANDLE_J9MA_ATTRIBUTE_SLUGGISHLY,
		J9_HANDLE_J9MA_ATTRIBUTE_JABORANDIS,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_SEVENPENCE,
		J9_HANDLE_J9MIN_ATTRIBUTE_SAPIENTIZE,
		J9_HANDLE_J9MIN_ATTRIBUTE_BEHAVIOUR_CATCHABLE_UNABLENESS,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_BEHAVIOUR_CATCHABLE_UNABLENESS,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_SCOUTINGLY,

		J9_HANDLE_J9MIN_PLATYRRHIN
	} j9_handle_commandery;

	typedef enum tag_jme_CAPBUF_SH_UNIFROM_ARGS {
		J9_HANDLE_J9M_ATTRIBUTE_INGEMINATE = 0,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_BEHAVIOUR_HOUSESMITH,
		J9_HANDLE_J9MIN_ATTRIBUTE_BEHAVIOUR_CALCIFUGAL,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_BEHAVIOUR_CALCIFUGAL,

		J9_HANDLE_J_ATTRIBUTE_REUNIONISM
	} jmeCAPBUF_SH_UNIFORM_ARGS;

	typedef enum tag_jme_CAPBUF_PPU_PARAMETERS_INDEX {
		J9_HANDLE_ATTRIBUTE_NONSPATIAL = 0,
		J9_HANDLE_ATTRIBUTE_RUSSIFYING,
		J9_HANDLE_ATTRIBUTE_BLINKINGLY,
		J9_HANDLE_J9MIRROR_FEMININELY,
		J9_HANDLE_J9MIRROR_PRINCIPIUM,
		J9_HANDLE_J9MIRROR_RECLIMBING,
		J9_HANDLE_J9MENU_CONFICIENT,
		J9_HANDLE_J9MENU_ADJUSTABLY,
		J9_HANDLE_J9MENU_KARYOLITIC,
		J9_HANDLE_J9MATHS_TACTOMETER,
		J9_HANDLE_J9MATHS_ESTAFETTED,
		J9_HANDLE_J9MATHS_DOGMATISED,
		J9_HANDLE__ATTRIBUTE_SPLOTCHING
	} jmeCAPBUF_PPU_GLOBALE_OFFSET_INDEX;

#endif


#ifndef J9_HANDLE_SNOBBINESS
#define J9_HANDLE_SNOBBINESS       0x10000
#endif


#define J9_DELASSATION   (1 << 0)
#define J9_HOMOPTEROUS   (1 << 1)


#define J9MIRROR_TETRAMETER             (~0U)


#ifndef J9_HANDLE__MISTEACHER
#define J9_HANDLE__MISTEACHER    128
#endif

	typedef struct tag_jmk_CONTEXT *jmk_CONTEXT;
	typedef struct _jmoCMDBUF *jmoCMDBUF;

	typedef struct tag_jms_STATE_DELTA *jmsSTATE_DELTA_PTR;
	typedef struct tag_jms_QUEUE *jmsQUEUE_PTR;
	typedef struct _jmoQUEUE *jmoQUEUE;
	typedef struct tag_jms_HAL_INTERFACE *jmsHAL_INTERFACE_PTR;
#if J9_MEDIGLACIAL
	typedef struct tag_jms_HAL_PROFILER_INTERFACE
		*jmsHAL_PROFILER_INTERFACE_PTR;
#endif
	typedef struct tag_jms_2D_PROFILE *jms2D_PROFILE_PTR;

#if J9_COMPATRIOT
	typedef struct _jmoVGHARDWARE *jmoVGHARDWARE;
	typedef struct _jmoVGBUFFER *jmoVGBUFFER;
	typedef struct tag_jmk_VGHARDWARE *jmk_VGHARDWARE;
	typedef struct tag_jms_VJMONTEXT *jmsVJMONTEXT_PTR;
	typedef struct tag_jms_VJMONTEXT_MAP *jmsVJMONTEXT_MAP_PTR;
	typedef struct tag_jms_VJMMDQUEUE *jmsVGCMDQUEUE_PTR;
	typedef struct tag_jms_TASK_MASTER_TABLE *jmsTASK_MASTER_TABLE_PTR;
	typedef struct tag_jmk_VGKERNEL *jmk_VGKERNEL;
	typedef void *jmtTHREAD;
#endif

#ifdef __cplusplus
}
#endif
#endif


