/*
 * JMGPU driver
 *
 * Copyright (c) 2020 ChangSha JingJiaMicro Electronics Co., Ltd.
 * All rights reserved.
 *
 * Author:
 *      wj <jjwgpu@jingjiamicro.com>
 *
 * The software and information contained herein is proprietary and
 * confidential to JingJiaMicro Electronics. This software can only be
 * used by JingJiaMicro Electronics Corporation. Any use, reproduction,
 * or disclosure without the written permission of JingJiaMicro
 * Electronics Corporation is strictly prohibited.
 *
 */



#ifndef __aab7b886_H_
#define __aab7b886_H_


#define J9_HANDLE_J9MA_PRESTORING              0

#define J9_HANDLE_J9MA_EXTENDIBLE              30


#define J9_HANDLE_J9MIRROR_PEDIMENTED          7
#define J9_HANDLE_ATTRIBUTE_COMMENCING         2


#define J9_HANDLE_J_MUTILATING                 (1.05f)


typedef struct tag_jms_STATISTICS_EARLYZ {

	jmtUINT                     switchBackCount;
	jmtUINT                     nextCheckPoint;
	jmtBOOL                     disabled;
}
j9_handle__pasquiller;



typedef struct tag_jms_STATISTICS {

	jmtUINT64                   frameTime[J9_HANDLE_J9MA_EXTENDIBLE];
	jmtUINT64                   previousFrameTime;
	jmtUINT                     frame;
	j9_handle__pasquiller        earlyZ;
}
j9_wrigglework;



void
jmfSTATISTICS_AddData(
	IN j9_chemosmoses Key,
	IN jmtUINT Value
	);


void
jmfSTATISTICS_MarkFrameEnd(
	void
	);


void
jmfSTATISTICS_DisableDynamicEarlyZ(
	IN jmtBOOL Disabled
	);

#endif



