/*
 * JMGPU driver
 *
 * Copyright (c) 2020 ChangSha JingJiaMicro Electronics Co., Ltd.
 * All rights reserved.
 *
 * Author:
 *      wj <jjwgpu@jingjiamicro.com>
 *
 * The software and information contained herein is proprietary and
 * confidential to JingJiaMicro Electronics. This software can only be
 * used by JingJiaMicro Electronics Corporation. Any use, reproduction,
 * or disclosure without the written permission of JingJiaMicro
 * Electronics Corporation is strictly prohibited.
 *
 */


#ifndef JMGPU_DRM_EDP_REG_H
#define JMGPU_DRM_EDP_REG_H

#include "jmgpu_messages.h"

#define J9_HANDLE_J9MIRROR_UNHONESTLY           (0x009A0000)
#define J9_HANDLE_J9_MERCURIATE                 (0x01380000)
#define J9_INCULPABLE				(0x1000)
#define J9_STORESHIP				(0x2000)
#define j9_handle_j9min_curemaster              (J9_HANDLE_J9MIRROR_UNHONESTLY + (0x800))

#define J9_HANDLE_J9MA_BANDCUTTER               (0x40000)
#define J9_HANDLE_J9MA_SAPOROSITY(_chan) \
	(J9_HANDLE_J9_MERCURIATE + J9_HANDLE_J9MA_BANDCUTTER * (_chan))

#define J9_HANDLE__ATTRIBUTE_PREDECLINE            (J9_INCULPABLE + (0x010c))
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_BALLBUSTER    (J9_INCULPABLE + (0x0080))
#define J9_HANDLE_J9M_ATTRIBUTE_OXAMETHANE         (J9_INCULPABLE + (0x0354))
#define J9_HANDLE_J9MIRROR_CONGRUENCE              (J9_INCULPABLE + (0x0130))
#define J9_HANDLE_J9MA_CHRONICLED                  (J9_INCULPABLE + (0x0000))
#define J9_HANDLE_J9MATHS_RHODIZONIC               (J9_INCULPABLE + (0x0004))
#define J9_HANDLE_J9MATHS_MASTECTOMY                     0x0AU



#define J9_HANDLE_J9MIN_DISTORTION                (J9_INCULPABLE + 0x0000U)
#define J9_HANDLE_J9MIRROR_PREDECLINE             (J9_INCULPABLE + 0x0004U)
#define J9_HANDLE_J_ATTRIBUTE_RHODIZONIC          (J9_INCULPABLE + 0x0008U)
#define J9_HANDLE_J9MA_ATTRIBUTE_CELIBATIST       (J9_INCULPABLE + 0x000CU)
#define J9_HANDLE_J9MIN_ATTRIBUTE_CELIBATIST      (J9_INCULPABLE + 0x0010U)
#define J9_HANDLE_J9_ATTRIBUTE_EXTRANEOUS         (J9_INCULPABLE + 0x0014U)
#define J9_HANDLE_ATTRIBUTE_POSTLUDIUM            (J9_INCULPABLE + 0x0018U)
#define J9_HANDLE_J9M_ATTRIBUTE_PRECONCEAL        (J9_INCULPABLE + 0x001CU)
#define J9_HANDLE_J9MA_ATTRIBUTE_COFFEETIME       (J9_INCULPABLE + 0x0020U)
#define J9_HANDLE_J9M_ATTRIBUTE_CHORIOMATA        (J9_INCULPABLE + 0x0024U)
#define J9_HANDLE_J9MIRROR_INIMITABLY             (J9_INCULPABLE + 0x0028U)
#define J9_HANDLE_J9MA_CORUSCATED                 (J9_INCULPABLE + 0x002CU)
#define J9_HANDLE_J9MENU_ATTRIBUTE_REMODIFIED     (J9_INCULPABLE + 0x0030U)
#define J9_HANDLE_J9MENU_ATTRIBUTE_EXTRANEOUS     (J9_INCULPABLE + 0x0034U)
#define J9_HANDLE_J9MENU_ATTRIBUTE_TARTRONATE     (J9_INCULPABLE + 0x0038U)



#define J9_HANDLE__CTENOIDIAN                (J9_INCULPABLE + 0x0080U)
#define J9_HANDLE_J9_ATTRIBUTE_INSTILLING    (J9_INCULPABLE + 0x0084U)
#define J9_HANDLE_J_ATTRIBUTE_PREDECLINE     (J9_INCULPABLE + 0x0088U)
#define J9_HANDLE_ATTRIBUTE_QUINTUPLET       (J9_INCULPABLE + 0x008CU)
#define J9_HANDLE_ATTRIBUTE_OUTSAVORED       (J9_INCULPABLE + 0x0090U)
#define J9_HANDLE_J9MATHS_CACODYLATE         (J9_INCULPABLE + 0x0094U)
#define J9_HANDLE_J9MA_ADHESIVELY            (J9_INCULPABLE + 0x0098U)



#define J9_HANDLE_J9MIN_ATTRIBUTE_UNICYCLIST   (J9_INCULPABLE + 0x00C0U)
#define J9_HANDLE_J9M_ATTRIBUTE_PRENEGLECT     (J9_INCULPABLE + 0x00C4U)
#define J9_HANDLE_J9MA_ATTRIBUTE_UNICYCLIST    (J9_INCULPABLE + 0x00C8U)
#define J9_HANDLE_J9MA_ATTRIBUTE_UNHONESTLY    (J9_INCULPABLE + 0x00CCU)
#define J9_HANDLE_ATTRIBUTE_BESMUTTING         (J9_INCULPABLE + 0x00F8U)
#define J9_HANDLE_J_SAPIENTIZE                 (J9_INCULPABLE + 0x00FCU)



#define J9_HANDLE_J9MIN_SAPOROSITY                 (J9_INCULPABLE + 0x0100U)
#define J9_HANDLE_J9MIRROR_BESMUTTING              (J9_INCULPABLE + 0x0104U)
#define J9_HANDLE_J9MIN_BANDCUTTER                 (J9_INCULPABLE + 0x0108U)
#define J9_HANDLE_J9MIN_CHRONICLED                 (J9_INCULPABLE + 0x010CU)
#define J9_HANDLE__ATTRIBUTE_BEHAVIOUR_COENOTYPIC  (J9_INCULPABLE + 0x0110U)
#define J9_HANDLE_J9MIRROR_GROUNDWAVE              (J9_INCULPABLE + 0x0128U)
#define J9_HANDLE_ATTRIBUTE_CUREMASTER             (J9_INCULPABLE + 0x0130U)
#define J9_HANDLE_J9MIRROR_PARAPSIDAL              (J9_INCULPABLE + 0x0134U)
#define J9_HANDLE_J9MIRROR_SCOUTINGLY              (J9_INCULPABLE + 0x0138U)
#define J9_HANDLE_ATTRIBUTE_PARAPSIDAL             (J9_INCULPABLE + 0x013CU)
#define J9_HANDLE_J9M_DOWNLOADED                   (J9_INCULPABLE + 0x0140U)
#define J9_HANDLE_J9MIRROR_CACODYLATE              (J9_INCULPABLE + 0x0144U)
#define J9_HANDLE_J9MA_ATTRIBUTE_PRECONCEAL        (J9_INCULPABLE + 0x0148U)
#define J9_HANDLE_J9MENU_ATTRIBUTE_OXAMETHANE      (J9_INCULPABLE + 0x014CU)
#define J9_HANDLE_J9MIN_ATTRIBUTE_OUTGAMBLED       (J9_INCULPABLE + 0x0150U)
#define J9_HANDLE_J9MIN_ATTRIBUTE_TONGUELESS       (J9_INCULPABLE + 0x0154U)
#define J9_HANDLE_SPORICIDAL                       (J9_INCULPABLE + 0x0158U)

#define J9_HANDLE_J9MIRROR_CLINICIANS		 (J9_STORESHIP + 0x80)

#define J9_HANDLE_J9MIRROR_HARBOUROUS		 (J9_STORESHIP + 0x84)

#define J9_HANDLE_J9MIRROR_HOMOGONIES		 (J9_STORESHIP + 0x88)

#define J9_HANDLE_J9MIRROR_UNDERTRIBE		 (J9_STORESHIP + 0x8c)

#define J9_HANDLE_J9MATHS_FOLKSINESS		 (J9_STORESHIP + 0x90)

#define J9_HANDLE_J9MATHS_PREOBSERVE		 (J9_STORESHIP + 0x94)

#define J9_HANDLE_J9MATHS_PUZZLEHEAD		 (J9_STORESHIP + 0x98)

#define J9_HANDLE_J9MATHS_BETUCKERED		 (J9_STORESHIP + 0x9c)



#define J9_HANDLE_J_ATTRIBUTE_PREPERFECT           (J9_INCULPABLE + 0x0180U)
#define J9_HANDLE_J_ATTRIBUTE_INSTILLING           (J9_INCULPABLE + 0x0184U)
#define J9_HANDLE_J9M_ATTRIBUTE_BRAZENNESS         (J9_INCULPABLE + 0x0188U)
#define J9_HANDLE_J9_ATTRIBUTE_QUINTUPLET          (J9_INCULPABLE + 0x018CU)
#define J9_HANDLE_J9_ATTRIBUTE_QUINOPYRIN          (J9_INCULPABLE + 0x0190U)
#define J9_HANDLE_ATTRIBUTE_RIFLEPROOF             (J9_INCULPABLE + 0x0194U)
#define J9_HANDLE_ATTRIBUTE_CACODYLATE             (J9_INCULPABLE + 0x0198U)
#define J9_HANDLE_J_ATTRIBUTE_CHORIOMATA           (J9_INCULPABLE + 0x019CU)
#define J9_HANDLE_J_ATTRIBUTE_BRAZENNESS           (J9_INCULPABLE + 0x01A0U)
#define J9_HANDLE__ATTRIBUTE_RHABDOLOGY            (J9_INCULPABLE + 0x01A4U)
#define J9_HANDLE__ATTRIBUTE_AUTOGENIES            (J9_INCULPABLE + 0x01A8U)
#define J9_HANDLE_J9MIN_COMMENCING                 (J9_INCULPABLE + 0x01ACU)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_EXTRANEOUS    (J9_INCULPABLE + 0x01B0U)
#define J9_HANDLE_J9MIN_STICHARION                 (J9_INCULPABLE + 0x01B4U)
#define J9_HANDLE_J9MENU_ATTRIBUTE_INUREMENTS      (J9_INCULPABLE + 0x01B8U)
#define J9_HANDLE_J9M_ATTRIBUTE_PREPERFECT         (J9_INCULPABLE + 0x01BCU)
#define J9_HANDLE__ATTRIBUTE_ILLUCIDATE            (J9_INCULPABLE + 0x01C0U)
#define J9_HANDLE_J9M_ATTRIBUTE_INSTILLING         (J9_INCULPABLE + 0x01C4U)
#define J9_HANDLE_J9_ATTRIBUTE_COFFEETIME          (J9_INCULPABLE + 0x01C8U)



#define J9_HANDLE_J9MIRROR_POSTLUDIUM              (J9_INCULPABLE + 0x01D0U)
#define J9_HANDLE_J9MIN_PROMISSIVE                 (J9_INCULPABLE + 0x01D4U)
#define J9_HANDLE_J9MATHS_SAPIENTIZE               (J9_INCULPABLE + 0x01D8U)
#define J9_HANDLE_J9MENU_PEDIMENTED                (J9_INCULPABLE + 0x01DCU)



#define J9_HANDLE_J9MA_EXTRACTIVE                  (J9_INCULPABLE + 0x0280U)



#define J9_HANDLE_J_ATTRIBUTE_EXTRANEOUS           (J9_INCULPABLE + 0x0300U)
#define J9_HANDLE_J_ATTRIBUTE_MISQUALITY           (J9_INCULPABLE + 0x0304U)
#define J9_HANDLE_J9_ATTRIBUTE_TARTRONATE          (J9_INCULPABLE + 0x0308U)
#define J9_HANDLE_J9_ATTRIBUTE_MISQUALITY          (J9_INCULPABLE + 0x030CU)
#define J9_HANDLE_J9MIN_ATTRIBUTE_INUREMENTS       (J9_INCULPABLE + 0x0310U)
#define J9_HANDLE_J9M_ATTRIBUTE_GROUNDWARD         (J9_INCULPABLE + 0x0314U)
#define J9_HANDLE_J9M_SPORICIDAL                   (J9_INCULPABLE + 0x0318U)
#define J9_HANDLE_J9M_DISTORTION                   (J9_INCULPABLE + 0x031CU)
#define J9_HANDLE_J9MIN_ATTRIBUTE_GROUNDWARD       (J9_INCULPABLE + 0x0320U)
#define J9_HANDLE__ATTRIBUTE_CACODYLATE            (J9_INCULPABLE + 0x0324U)
#define J9_HANDLE_ATTRIBUTE_GROUNDWAVE             (J9_INCULPABLE + 0x0328U)
#define J9_HANDLE_J9MIN_ATTRIBUTE_PRENEGLECT       (J9_INCULPABLE + 0x032CU)
#define J9_HANDLE_J9MIN_ATTRIBUTE_OXAMETHANE       (J9_INCULPABLE + 0x0330U)
#define J9_HANDLE_J9MIN_ATTRIBUTE_THEOGONIST       (J9_INCULPABLE + 0x0334U)
#define J9_HANDLE_J9M_ATTRIBUTE_CELIBATIST         (J9_INCULPABLE + 0x0338U)
#define J9_HANDLE_J9MATHS_ATTRIBUTE_PATHOMANIA     (J9_INCULPABLE + 0x033CU)
#define J9_HANDLE_J9MIN_ATTRIBUTE_EXTRANEOUS       (J9_INCULPABLE + 0x0340U)
#define J9_HANDLE_J9MIN_ATTRIBUTE_REMODIFIED       (J9_INCULPABLE + 0x0344U)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_MORBIDNESS    (J9_INCULPABLE + 0x0348U)
#define J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_OVEREXPAND (J9_INCULPABLE + 0x034CU)
#define J9_HANDLE_J_ATTRIBUTE_TARTRONATE           (J9_INCULPABLE + 0x0350U)
#define J9_HANDLE_J9MENU_ATTRIBUTE_BALLBUSTER      (J9_INCULPABLE + 0x035CU)
#define J9_HANDLE_J9M_ATTRIBUTE_UNHONESTLY         (J9_INCULPABLE + 0x0370U)
#define J9_HANDLE_J_ATTRIBUTE_INUREMENTS           (J9_INCULPABLE + 0x0374U)



#define J9_HANDLE_J9MIN_ATTRIBUTE_MISQUALITY       (J9_INCULPABLE + 0x0354U)
#define J9_HANDLE_J9MIN_ATTRIBUTE_TARTRONATE       (J9_INCULPABLE + 0x0358U)
#define J9_HANDLE_J9MATHS_ATTRIBUTE_OVEREXPAND     (J9_INCULPABLE + 0x0378U)



#define J9_HANDLE_J9_ATTRIBUTE_INUREMENTS          (J9_INCULPABLE + 0x0360U)
#define J9_HANDLE_ATTRIBUTE_CONGRUENCE             (J9_INCULPABLE + 0x0364U)
#define J9_HANDLE_J9MIRROR_INSTILLING              (J9_INCULPABLE + 0x0368U)
#define J9_HANDLE_J9MATHS_ATTRIBUTE_LEPROLOGIC     (J9_INCULPABLE + 0x036CU)
#define J9_HANDLE_ATTRIBUTE_INSTILLING             (J9_INCULPABLE + 0x0380U)
#define J9_HANDLE_J9_ATTRIBUTE_REMODIFIED          (J9_INCULPABLE + 0x0384U)
#define J9_HANDLE__ATTRIBUTE_RIFLEPROOF            (J9_INCULPABLE + 0x0388U)
#define J9_HANDLE_J_ATTRIBUTE_OXAMETHANE           (J9_INCULPABLE + 0x038CU)



#define J9_HANDLE_J9_ATTRIBUTE_THEOGONIST          (J9_INCULPABLE + 0x03E0U)
#define J9_HANDLE_J9_ATTRIBUTE_MORBIDNESS          (J9_INCULPABLE + 0x03E4U)
#define J9_HANDLE_J_ATTRIBUTE_THEOGONIST           (J9_INCULPABLE + 0x03E8U)
#define J9_HANDLE_J9MIN_AUTOGENIES                 (J9_INCULPABLE + 0x03ECU)
#define J9_HANDLE_J9MENU_SPEEDINESS                (J9_INCULPABLE + 0x03F0U)
#define J9_HANDLE_J9MIN_RHABDOLOGY                 (J9_INCULPABLE + 0x03F4U)
#define J9_HANDLE_J9MATHS_RIFLEPROOF               (J9_INCULPABLE + 0x03F8U)



#define J9_HANDLE_J9MIN_DOWNLOADED                 (J9_INCULPABLE + 0x0400U)
#define J9_HANDLE__ATTRIBUTE_MERCURIATE            (J9_INCULPABLE + 0x0404U)
#define J9_HANDLE_J9M_JOINTURESS                   (J9_INCULPABLE + 0x0408U)
#define J9_HANDLE_J9M_DEMOLISHED                   (J9_INCULPABLE + 0x040CU)
#define J9_HANDLE_J9MATHS_BURSECTOMY               (J9_INCULPABLE + 0x0410U)
#define J9_HANDLE_J9MATHS_INIMITABLY               (J9_INCULPABLE + 0x0414U)
#define J9_HANDLE_J9MATHS_AUTOGENIES               (J9_INCULPABLE + 0x0418U)
#define J9_HANDLE_J9MATHS_INTERESTER               (J9_INCULPABLE + 0x041CU)
#define J9_HANDLE_J9MIN_SPORICIDAL                 (J9_INCULPABLE + 0x0428U)
#define J9_HANDLE_J9MIRROR_RIFLEPROOF              (J9_INCULPABLE + 0x042CU)
#define J9_HANDLE_J9MIN_JOINTURESS                 (J9_INCULPABLE + 0x0430U)
#define J9_HANDLE_J9MIN_DEMOLISHED                 (J9_INCULPABLE + 0x0434U)
#define J9_HANDLE_J9_ATTRIBUTE_GROUNDWAVE          (J9_INCULPABLE + 0x0438U)
#define J9_HANDLE_J9_ATTRIBUTE_CONGRUENCE          (J9_INCULPABLE + 0x043CU)
#define J9_HANDLE_J_ATTRIBUTE_PALMETTOES           (J9_INCULPABLE + 0x0440U)
#define J9_HANDLE_J_ATTRIBUTE_OVERKEENLY           (J9_INCULPABLE + 0x0444U)
#define J9_HANDLE_J_ATTRIBUTE_CELIOSCOPY           (J9_INCULPABLE + 0x0448U)
#define J9_HANDLE_J_ATTRIBUTE_PRECONCEAL           (J9_INCULPABLE + 0x044CU)
#define J9_HANDLE_J9MATHS_BESMUTTING               (J9_INCULPABLE + 0x0450U)
#define J9_HANDLE_ATTRIBUTE_BEHAVIOUR_PICHICIAGO   (J9_INCULPABLE + 0x0454U)
#define J9_HANDLE_J9MATHS_SCOUTINGLY               (J9_INCULPABLE + 0x0458U)
#define J9_HANDLE_J9MATHS_PARAPSIDAL               (J9_INCULPABLE + 0x045CU)
#define J9_HANDLE_J9MIN_ATTRIBUTE_UNHONESTLY       (J9_INCULPABLE + 0x0460U)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_UNHONESTLY    (J9_INCULPABLE + 0x0464U)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_UNICYCLIST    (J9_INCULPABLE + 0x0468U)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_CELIBATIST    (J9_INCULPABLE + 0x046CU)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_GROUNDWARD    (J9_INCULPABLE + 0x0470U)
#define J9_HANDLE_J9MENU_ATTRIBUTE_MISQUALITY      (J9_INCULPABLE + 0x0474U)
#define J9_HANDLE_J9MATHS_POSTLUDIUM               (J9_INCULPABLE + 0x0478U)
#define J9_HANDLE_J9MATHS_CUREMASTER               (J9_INCULPABLE + 0x047CU)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_REMODIFIED    (J9_INCULPABLE + 0x0480U)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_PRENEGLECT    (J9_INCULPABLE + 0x0484U)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_OXAMETHANE    (J9_INCULPABLE + 0x0488U)



#define J9_HANDLE_J9MA_NORTHLIGHT                  (J9_INCULPABLE + 0x0500U)
#define J9_HANDLE_J9M_ATTRIBUTE_UNICYCLIST         (J9_INCULPABLE + 0x0504U)
#define J9_HANDLE_J9_ATTRIBUTE_OXAMETHANE          (J9_INCULPABLE + 0x0508U)
#define J9_HANDLE_J9MIRROR_PALMETTOES              (J9_INCULPABLE + 0x050CU)
#define J9_HANDLE_ATTRIBUTE_CHORIOMATA             (J9_INCULPABLE + 0x0510U)
#define J9_HANDLE_J9MA_ATTRIBUTE_ETHEROLATE        (J9_INCULPABLE + 0x0514U)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_THEOGONIST    (J9_INCULPABLE + 0x0518U)
#define J9_HANDLE_J_ATTRIBUTE_GROUNDWARD           (J9_INCULPABLE + 0x0520U)
#define J9_HANDLE_J9MA_ATTRIBUTE_ANTIRACISM        (J9_INCULPABLE + 0x0524U)
#define J9_HANDLE_J9MA_MUTILATING                  (J9_INCULPABLE + 0x0528U)



#define J9_HANDLE_J_ATTRIBUTE_CONGRUENCE           (J9_INCULPABLE + 0x0580U)
#define J9_HANDLE_J_ATTRIBUTE_QUINOPYRIN           (J9_INCULPABLE + 0x0584U)
#define J9_HANDLE_J9M_ATTRIBUTE_CONGRUENCE         (J9_INCULPABLE + 0x0588U)
#define J9_HANDLE_J9_ATTRIBUTE_ANTIRACISM          (J9_INCULPABLE + 0x058CU)
#define J9_HANDLE_J9_ATTRIBUTE_ETHEROLATE          (J9_INCULPABLE + 0x0590U)
#define J9_HANDLE_ATTRIBUTE_PREDECLINE             (J9_INCULPABLE + 0x0594U)
#define J9_HANDLE_ATTRIBUTE_RHODIZONIC             (J9_INCULPABLE + 0x0598U)
#define J9_HANDLE_J_ATTRIBUTE_GROUNDWAVE           (J9_INCULPABLE + 0x059CU)
#define J9_HANDLE_J_ATTRIBUTE_QUINTUPLET           (J9_INCULPABLE + 0x05A0U)
#define J9_HANDLE__ATTRIBUTE_BURSECTOMY            (J9_INCULPABLE + 0x05A4U)
#define J9_HANDLE__ATTRIBUTE_INIMITABLY            (J9_INCULPABLE + 0x05A8U)
#define J9_HANDLE_J9MIN_PEDIMENTED                 (J9_INCULPABLE + 0x05ACU)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_TARTRONATE    (J9_INCULPABLE + 0x05B0U)
#define J9_HANDLE_J9MIN_OVERSIMPLY                 (J9_INCULPABLE + 0x05B4U)
#define J9_HANDLE_J9MENU_ATTRIBUTE_THEOGONIST      (J9_INCULPABLE + 0x05B8U)
#define J9_HANDLE_J9M_ATTRIBUTE_GROUNDWAVE         (J9_INCULPABLE + 0x05BCU)
#define J9_HANDLE__ATTRIBUTE_INTERESTER            (J9_INCULPABLE + 0x05C0U)
#define J9_HANDLE_J9M_ATTRIBUTE_QUINTUPLET         (J9_INCULPABLE + 0x05C4U)
#define J9_HANDLE_J9_ATTRIBUTE_OUTGAMBLED          (J9_INCULPABLE + 0x05C8U)



#define J9_HANDLE_J_ATTRIBUTE_ANTIRACISM           (J9_INCULPABLE + 0x0600U)
#define J9_HANDLE_J_ATTRIBUTE_OUTGAMBLED           (J9_INCULPABLE + 0x0604U)
#define J9_HANDLE_J9M_ATTRIBUTE_COFFEETIME         (J9_INCULPABLE + 0x0608U)
#define J9_HANDLE_J9_ATTRIBUTE_TONGUELESS          (J9_INCULPABLE + 0x060CU)
#define J9_HANDLE_J9_ATTRIBUTE_UNICYCLIST          (J9_INCULPABLE + 0x0610U)
#define J9_HANDLE_ATTRIBUTE_PALMETTOES             (J9_INCULPABLE + 0x0614U)
#define J9_HANDLE_ATTRIBUTE_OVERKEENLY             (J9_INCULPABLE + 0x0618U)
#define J9_HANDLE_J_ATTRIBUTE_COFFEETIME           (J9_INCULPABLE + 0x061CU)
#define J9_HANDLE_J_ATTRIBUTE_ETHEROLATE           (J9_INCULPABLE + 0x0620U)
#define J9_HANDLE__ATTRIBUTE_PARAPSIDAL            (J9_INCULPABLE + 0x0624U)
#define J9_HANDLE__ATTRIBUTE_BESMUTTING            (J9_INCULPABLE + 0x0628U)
#define J9_HANDLE_J9MIN_NOVICELIKE                 (J9_INCULPABLE + 0x062CU)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_MISQUALITY    (J9_INCULPABLE + 0x0630U)
#define J9_HANDLE_J9MIN_SPEEDINESS                 (J9_INCULPABLE + 0x0634U)
#define J9_HANDLE_J9MENU_ATTRIBUTE_MORBIDNESS      (J9_INCULPABLE + 0x0638U)
#define J9_HANDLE_J9M_ATTRIBUTE_QUINOPYRIN         (J9_INCULPABLE + 0x063CU)
#define J9_HANDLE__ATTRIBUTE_SCOUTINGLY            (J9_INCULPABLE + 0x0640U)
#define J9_HANDLE_J9M_ATTRIBUTE_ANTIRACISM         (J9_INCULPABLE + 0x0644U)
#define J9_HANDLE_J9_ATTRIBUTE_UNHONESTLY          (J9_INCULPABLE + 0x0648U)



#define J9_HANDLE_J_ATTRIBUTE_UNICYCLIST           (J9_INCULPABLE + 0x0680U)
#define J9_HANDLE_J_ATTRIBUTE_CELIBATIST           (J9_INCULPABLE + 0x0684U)
#define J9_HANDLE_J9M_ATTRIBUTE_OUTGAMBLED         (J9_INCULPABLE + 0x0688U)
#define J9_HANDLE_J9_ATTRIBUTE_CELIBATIST          (J9_INCULPABLE + 0x068CU)
#define J9_HANDLE_J9_ATTRIBUTE_GROUNDWARD          (J9_INCULPABLE + 0x0690U)
#define J9_HANDLE_ATTRIBUTE_CELIOSCOPY             (J9_INCULPABLE + 0x0694U)
#define J9_HANDLE_ATTRIBUTE_PRECONCEAL             (J9_INCULPABLE + 0x0698U)
#define J9_HANDLE_J_ATTRIBUTE_TONGUELESS           (J9_INCULPABLE + 0x069CU)
#define J9_HANDLE_J_ATTRIBUTE_UNHONESTLY           (J9_INCULPABLE + 0x06A0U)
#define J9_HANDLE__ATTRIBUTE_CUREMASTER            (J9_INCULPABLE + 0x06A4U)
#define J9_HANDLE__ATTRIBUTE_OUTSAVORED            (J9_INCULPABLE + 0x06A8U)
#define J9_HANDLE_J9MIN_MASTECTOMY                 (J9_INCULPABLE + 0x06ACU)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_INUREMENTS    (J9_INCULPABLE + 0x06B0U)
#define J9_HANDLE_J9MIN_SAPIENTIZE                 (J9_INCULPABLE + 0x06B4U)
#define J9_HANDLE_J9MENU_ATTRIBUTE_SEVENPENCE      (J9_INCULPABLE + 0x06B8U)
#define J9_HANDLE_J9M_ATTRIBUTE_ETHEROLATE         (J9_INCULPABLE + 0x06BCU)
#define J9_HANDLE__ATTRIBUTE_POSTLUDIUM            (J9_INCULPABLE + 0x06C0U)
#define J9_HANDLE_J9M_ATTRIBUTE_TONGUELESS         (J9_INCULPABLE + 0x06C4U)
#define J9_HANDLE_J9_ATTRIBUTE_PRENEGLECT          (J9_INCULPABLE + 0x06C8U)



#define J9_HANDLE_ATTRIBUTE_PREPERFECT             (J9_STORESHIP + 0x040)

#define J9_HANDLE_J9MENU_ATTRIBUTE_CROSSBENCH      (J9_STORESHIP + 0x044)

#define J9_HANDLE_J9MA_ATTRIBUTE_OUTGAMBLED        (J9_STORESHIP + 0x048)
#define J9_HANDLE_J9MA_ATTRIBUTE_TONGUELESS        (J9_STORESHIP + 0x04C)
#define J9_HANDLE_ATTRIBUTE_BRAZENNESS             (J9_STORESHIP + 0x050)

#define J9_HANDLE_J_ATTRIBUTE_PRENEGLECT           (J9_STORESHIP + 0x054)

#define J9_HANDLE_J9MIRROR_CELIOSCOPY              (J9_STORESHIP + 0x380)

#define J9_HANDLE_J9MIRROR_PRECONCEAL              (J9_STORESHIP + 0x384)

#define J9_HANDLE_J9MIRROR_CHORIOMATA              (J9_STORESHIP + 0x388)

#define J9_HANDLE_J9MIRROR_PREPERFECT              (J9_STORESHIP + 0x38C)

#define J9_HANDLE_J9MIRROR_OVERKEENLY              (J9_STORESHIP + 0x3B0)

#define J9_HANDLE_J9MIN_MERCURIATE                 (J9_STORESHIP + 0x3A80)

#define J9_HANDLE_J9MIN_UNCUTTABLE	           (J9_STORESHIP + 0x3A0)

#define J9_HANDLE_J9MIN_DAUPHINESS	           (J9_STORESHIP + 0x3A4)

#define J9_HANDLE_J9MIN_MANEUVERER	           (J9_STORESHIP + 0x3A8)

#define J9_HANDLE_J9MIN_ACQUIRENDA	           (J9_STORESHIP + 0x39C)

#define J9_HANDLE_J9MIN_CHATOYANCY	           (J9_STORESHIP + 0x398)

#define J9_HANDLE_J9MIN_DIVINENESS	           (J9_STORESHIP + 0x394)

#define J9_HANDLE_J9MIN_CLEANLIEST	           (J9_STORESHIP + 0x0A8)

#define J9_HANDLE_J9MIN_ECSTATICAL	           (J9_STORESHIP + 0x0A0)

#define J9_HANDLE_J9MIN_PLOTTINGLY	           (J9_STORESHIP + 0x0A4)
#define J9_HANDLE_J9MIN_DEFAITISME	           (J9_STORESHIP + 0x3B8)
#define J9_HANDLE_J9MIN_CRAQUELURE	           (J9_STORESHIP + 0x0B4)
#define J9_HANDLE_J9MIN_SIGNATURES	           (J9_STORESHIP + 0x3B0)
#define J9_HANDLE_J9MIN_INKINESSES	           (J9_STORESHIP + 0x0AC)




#define j9_handle_j9maths_mercuriate               (J9_HANDLE_J9MA_SAPOROSITY  + 0x0U)

#define j9_handle_j9maths_rhabdology               (J9_HANDLE_J9MA_SAPOROSITY  + 0x4U)

#define j9_handle_j9menu_novicelike                (J9_HANDLE_J9MA_SAPOROSITY  + 0x8U)

#define j9_handle_j9mirror_outsavored              (J9_HANDLE_J9MA_SAPOROSITY  + 0xCU)

#define j9_handle_j9ma_attribute_groundwave        (J9_HANDLE_J9MA_SAPOROSITY  + 0x10U)

#define j9_handle_j9ma_attribute_congruence        (J9_HANDLE_J9MA_SAPOROSITY  + 0x14U)

#define j9_handle_j9ma_attribute_choriomata        (J9_HANDLE_J9MA_SAPOROSITY  + 0x18U)

#define j9_handle_j9ma_attribute_preperfect        (J9_HANDLE_J9MA_SAPOROSITY  + 0x1CU)

#define j9_handle__attribute_novicelike            (J9_HANDLE_J9MA_SAPOROSITY  + 0x20U)

#define j9_handle__attribute_speediness            (J9_HANDLE_J9MA_SAPOROSITY  + 0x24U)

#define j9_handle__attribute_mastectomy            (J9_HANDLE_J9MA_SAPOROSITY  + 0x28U)

#define j9_handle_j9menu_oversimply                (J9_HANDLE_J9MA_SAPOROSITY  + 0x2CU)

#define j9_handle_j_attribute_cacodylate           (J9_HANDLE_J9MA_SAPOROSITY  + 0x30U)

#define j9_handle_j9mirror_curemaster              (J9_HANDLE_J9MA_SAPOROSITY  + 0x34U)

#define j9_handle_j9maths_illucidate               (J9_HANDLE_J9MA_SAPOROSITY  + 0x38U)

#define j9_handle_j9ma_attribute_quintuplet        (J9_HANDLE_J9MA_SAPOROSITY  + 0x3CU)

#define j9_handle_j9ma_attribute_quinopyrin        (J9_HANDLE_J9MA_SAPOROSITY  + 0x40U)

#define j9_handle_j9ma_attribute_brazenness        (J9_HANDLE_J9MA_SAPOROSITY  + 0x44U)

#define j9_handle_j9ma_attribute_instilling        (J9_HANDLE_J9MA_SAPOROSITY  + 0x48U)

#define j9_handle__attribute_sapientize            (J9_HANDLE_J9MA_SAPOROSITY  + 0x800U)




#define J9_HANDLE_J_MASTECTOMY                           (0x01U)
#define J9_HANDLE_J9MATHS_ATTRIBUTE_BALLBUSTER           (0x02U)
#define J9_HANDLE_J9_ATTRIBUTE_BRAZENNESS                (0x04U)
#define J9_HANDLE_J_ATTRIBUTE_RIFLEPROOF                 (0x08U)
#define J9_HANDLE_ATTRIBUTE_BEHAVIOUR_TIMBERLIKE         (0x01U)
#define J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_COENOTYPIC      (0x02U)
#define J9_HANDLE_J9MA_ATTRIBUTE_BEHAVIOUR_HOUSESMITH    (0x04U)
#define J9_HANDLE_J9MENU_ATTRIBUTE_PRENEGLECT            (0x08U)

#define J9_HANDLE_J_ATTRIBUTE_SEVENPENCE                 (J9_HANDLE_SPORICIDAL + 0x0004U)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_CROSSBENCH          (J9_HANDLE_SPORICIDAL + 0x0008U)
#define J9_HANDLE_ATTRIBUTE_COFFEETIME                   (0x1FFFFFU)





#define J9_HANDLE_J_ATTRIBUTE_MORBIDNESS                 (0x80000000U)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_SEVENPENCE          (0x40000000U)
#define J9_HANDLE_J9MATHS_ATTRIBUTE_TIMBERLIKE           (0x20000000U)
#define J9_HANDLE_ATTRIBUTE_QUINOPYRIN                   (J9_HANDLE_J_ATTRIBUTE_MORBIDNESS | J9_HANDLE_J9MIRROR_ATTRIBUTE_SEVENPENCE | J9_HANDLE_J9MATHS_ATTRIBUTE_TIMBERLIKE)

#define J9_HANDLE_J9MIRROR_BURSECTOMY                    (0x09U << 8U)
#define J9_HANDLE_ATTRIBUTE_SCOUTINGLY                   (0x08U << 8U)
#define J9_HANDLE_J9_ATTRIBUTE_CHORIOMATA                (0x01U << 8U)
#define J9_HANDLE_J9M_ATTRIBUTE_CELIOSCOPY               (0x00U)
#define J9_HANDLE__ATTRIBUTE_BEHAVIOUR_HOUSESMITH        (0x02U << 8U)
#define J9_HANDLE_J9MENU_ATTRIBUTE_GROUNDWARD            (0x05U << 8U)
#define J9_HANDLE_J9MATHS_ATTRIBUTE_CROSSBENCH           (0x04U << 8U)
#define J9_HANDLE_J9MA_ATTRIBUTE_BEHAVIOUR_CALCIFUGAL    (0x06U << 8U)
#define J9_HANDLE_J9MENU_ATTRIBUTE_CELIBATIST            (0x01U << 12U)
#define J9_HANDLE_J9_ATTRIBUTE_PREPERFECT                (0x01U << 13U)

#define J9_HANDLE_J9MIN_PREADAPTED                       (0x00U)
#define J9_HANDLE_J9MENU_STICHARION                      (0x01U)
#define J9_HANDLE_J9MATHS_SPEEDINESS                     (0x02U)
#define J9_HANDLE_ATTRIBUTE_INIMITABLY                   (0x00U)
#define J9_HANDLE__ATTRIBUTE_OVERSIMPLY                  (0x04U)
#define J9_HANDLE_J_ATTRIBUTE_OUTSAVORED                 (0x08U)
#define J9_HANDLE_J9MA_ATTRIBUTE_CELIOSCOPY              (0x1000U)

#define J9_HANDLE_J9MIRROR_BRAZENNESS                    (0x00U)
#define J9_HANDLE_J9MATHS_OUTSAVORED                     (0x01U)
#define J9_HANDLE_J9MIN_ILLUCIDATE                       (0x02U)
#define J9_HANDLE_J_ATTRIBUTE_REMODIFIED                 (0x03U)

#define J9_HANDLE_J9MA_CTENOIDIAN                        (0x00U)
#define J9_HANDLE_J9MIN_ATTRIBUTE_ETHEROLATE             (0x01U)

#define J9_HANDLE_J9MIRROR_RHODIZONIC                    (0x01U)

#endif


