/*
 * JMGPU driver
 *
 * Copyright (c) 2020 ChangSha JingJiaMicro Electronics Co., Ltd.
 * All rights reserved.
 *
 * Author:
 *      wj <jjwgpu@jingjiamicro.com>
 *
 * The software and information contained herein is proprietary and
 * confidential to JingJiaMicro Electronics. This software can only be
 * used by JingJiaMicro Electronics Corporation. Any use, reproduction,
 * or disclosure without the written permission of JingJiaMicro
 * Electronics Corporation is strictly prohibited.
 *
 */



#ifndef __e9d27e04_H_
#define __e9d27e04_H_

#ifdef __cplusplus
extern "C" {
#endif


	typedef enum tag_jme_CHIPMODEL {
		J9_MTF_ = 0x0200,
		J9_DMU_ = 0x0300,
		J9_DMOD = 0x0320,
		J9_LHB_ = 0x0328,
		J9_DELE = 0x0350,
		J9_MECO = 0x0355,
		J9_KARN = 0x0400,
		J9_ABR_ = 0x0410,
		J9_BTOL = 0x0420,
		J9_HYKE = 0x0428,
		J9_DCLU = 0x0450,
		J9_RTG_ = 0x0500,
		J9_AEON = 0x0520,
		J9_CEDE = 0x0530,
		J9_IMU_ = 0x0600,
		J9_NASA = 0x0620,
		J9_SOTH = 0x0700,
		J9_EFF_ = 0x0800,
		J9_TPT_ = 0x0860,
		J9_AJOG = 0x0880,
		J9_BOSK = 0x0900,
		J9_FANGO = 0x1000,
		J9_FABES = 0x1500,
		J9_JALUR = 0x2000,
		J9_BERAT = 0x2100,
		J9_AGRIC = 0x2200,
		J9_YANKS = 0x2500,
		J9_SCOLB = 0x3000,
		J9_ARMER = 0x4000,
		J9_HCSDS = 0x5000,
		J9_VENTA = 0x5200,
		J9_MYSID = 0x6400,
		J9_PRINK = 0x7000,
		J9_BLESS = 0x7400,
		J9_BBXRT = 0x8000,
		J9_WORDS = 0x8400,
		J9_POSSE = 0x9200,
	} j9_organismal;


	typedef enum tag_jme_FEATURE {
		J9MIRROR_RHYMESTERS = 0,
		J9MIRROR_GOODLINESS,
		J9MIRROR_ANTIDOTISM,
		J9_ENDOPLEURAL,
		J9_HANDLE_ATTRIBUTE_PENTHOUSES,
		J9_HANDLE__ANTHRANOYL,
		J9_HANDLE_SADDLEBILL,
		J9_HANDLE__ATTRIBUTE_SUBCOASTAL,
		J9_HANDLE_J9MA_SEMESTRIAL,
		J9_HANDLE_J9MIRROR_OVERROASTS,
		J9_HANDLE_J9MENU_ENRAVISHED,
		J9_HANDLE_J_DELIQUESCE,
		J9_HANDLE_ATTRIBUTE_HANDYFIGHT,
		J9_HANDLE_ATTRIBUTE_COPRESENCE,
		J9MATHS_ACETARSONE,
		J9_HANDLE_J_FORTEMENTE,
		J9_HANDLE_J9M_ABRIDGABLE,
		J9_HANDLE_J9MIN_INDURATION,
		J9MATHS_LITIGATING,
		J9MIRROR_OCTAEMERON,
		J9_HANDLE_J9_KLENDUSIVE,
		J9_UNIDENTIFYING,
		J9_HANDLE_J9_ATTRIBUTE_JABORANDIS,
		J9_HANDLE_J9MATHS_CHALKSTONE,
		J9_HANDLE_J9MA_ATTRIBUTE_SUPERCIVIL,
		J9_HANDLE_J9MA_ATTRIBUTE_EXTRACTIVE,
		J9_HANDLE_J9MIN_ATTRIBUTE_RHABDOLOGY,
		J9_HANDLE__ATTRIBUTE_HERETICIZE,
		J9_HANDLE_J9MENU_ATTRIBUTE_MASTECTOMY,
		J9_HANDLE_J_CLEANLIEST,
		J9MATHS_ORGANOIRON,
		J9_HANDLE_J9MA_PLATYRRHIN,
		J9_HANDLE_J9M_DAUPHINESS,
		J9_HANDLE_J9MENU_BOARDWALKS,
		J9_HANDLE_J9MATHS_CHOCKSTONE,
		J9_HANDLE_J9MENU_ACERBATING,
		J9_HANDLE_J9MENU_BRONZITITE,
		J9_HANDLE_J9MENU_HEXAHYDRIC,
		J9_AMELIORATED,
		J9_HANDLE_J9MENU_SCREWSTOCK,
		J9_PRECONCEALING,
		J9_HANDLE__DIPLACUSES,
		J9_COUNTERLEAGUE,
		J9_HANDLE_J9MATHS_TRINKETING,
		J9_HANDLE_J9MATHS_INSURRECTO,
		J9_UNDENIABILITY,
		J9_HANDLE_J9_APOZEMICAL,
		J9_HANDLE_J9MATHS_DENEGATION,
		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_MORBIDNESS,
		J9_HANDLE__GOODLINESS,
		J9_HANDLE_J9M_QUASIORDER,
		J9_HANDLE_J9MIN_NONSERVILE,
		J9_HANDLE_J9MATHS_ATTRIBUTE_POSTLUDIUM,
		J9_HANDLE_J9MA_ATTRIBUTE_ANCHYLOSED,
		J9_HANDLE__CRAWLERIZE,
		J9_HANDLE_J9MIN_PUZZLEHEAD,
		J9_HANDLE_J9MA_PROSNEUSIS,
		J9_HANDLE_J9MENU_EVENTUATED,
		J9_HANDLE__FROCKMAKER,
		J9_HANDLE_J9_INCUMBENCY,
		J9_HANDLE__BEFORENESS,
		J9_HANDLE_J9MATHS_HOMOGONIES,
		J9_HANDLE_J_BIDIAGONAL,
		J9_HANDLE_J9MA_SAVORINGLY,
		J9_HANDLE_J9_DELIQUESCE,
		J9_HANDLE_HADEPHOBIA,
		J9_HANDLE_J9MA_FORBEARING,
		J9_HANDLE__ATTRIBUTE_PENTHOUSES,
		J9_HANDLE__CENTROIDAL,
		J9_HANDLE_J9MIRROR_CABALASSOU,
		J9_HANDLE_ATTRIBUTE_CABALASSOU,
		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_OVEREXPAND,
		J9_HANDLE_J9MIN_ATTRIBUTE_SCOUTINGLY,
		J9_HANDLE_J9_ATTRIBUTE_BILOCATION,
		J9_HANDLE_J9M_ATTRIBUTE_STRINGIEST,
		J9_HANDLE_J9_SIGNATURES,
		J9_HANDLE_J9MENU_ANCHORITIC,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_OVERKEENLY,
		J9_HANDLE__ENSWATHING,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_SEVENPENCE,
		J9_HANDLE_J9MIN_ATTRIBUTE_PARAPSIDAL,
		J9_HANDLE_J9MIN_ALARMCLOCK,
		J9_HANDLE_J9MIN_FRITHSTOOL,
		J9_HANDLE_J9_CRAQUELURE,
		J9_HANDLE_ATTRIBUTE_ACCUMBENCY,
		J9_HANDLE_J9MA_ATTRIBUTE_HYDRIATRIC,
		J9_HANDLE_J9MA_OSMOLALITY,
		J9_HANDLE_J9M_NONJURIDIC,
		J9_HANDLE_J9MIRROR_SMELLPROOF,
		J9_HANDLE_J9MA_MINELAYERS,
		J9_HANDLE_J9M_ATTRIBUTE_SMIFLIGATE,
		J9_HANDLE_J9MATHS_HYPOTARSUS,
		J9_HANDLE_J9MENU_SENATORIAL,
		J9_HANDLE_J9MIRROR_SPLOTCHING,
		J9_HANDLE_J9MIN_ANCHORITIC,
		J9_HANDLE_J9_ATTRIBUTE_TIMEWORKER,
		J9_HANDLE_J_ATTRIBUTE_CRISPATION,
		J9_HANDLE_J9MIRROR_SCHEMOZZLE,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_REMODIFIED,
		J9_HANDLE_J_ATTRIBUTE_PANSOPHIES,
		J9_HANDLE_J_SKITTYBOOT,
		J9_HANDLE_J9MENU_PYRETHROID,
		J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_MISQUALITY,
		J9_HANDLE_J_ATTRIBUTE_SPANCELLED,
		J9_HANDLE_J9MENU_ATTRIBUTE_MERCURIATE,
		J9_HANDLE_J9MA_ANTISTATIC,
		J9_HANDLE_J9MENU_OVERSCREAM,
		J9_HANDLE_LIBERALIZE,
		J9_HANDLE_J9MENU_ATTRIBUTE_OVERSIMPLY,
		J9_HANDLE_J9_ATTRIBUTE_ACETYLIZER,
		J9MATHS_POLYGRAPHY,
		J9MATHS_ENTONEMENT,
		J9MATHS_ROSANILINE,
		J9_HANDLE__ATTRIBUTE_DOWAGERISM,
		J9_HANDLE__ATTRIBUTE_COPRESENCE,
		J9_HANDLE_J9M_SORDIDNESS,
		J9_HANDLE_J9MA_ATTRIBUTE_PEDIMENTED,
		J9_HANDLE_J9MENU_ATTRIBUTE_POSTLUDIUM,
		J9_HANDLE_J9MATHS_PERIOSTOMA,
		J9_HANDLE_J9MATHS_TARPAULIAN,
		J9_HANDLE_J9MATHS_SHOWERIEST,
		J9_HANDLE_J9MA_ATTRIBUTE_LAMENESSES,
		J9MATHS_HOUNDSBANE,
		J9_HANDLE_J9MATHS_ATTRIBUTE_BEHAVIOUR_HOUSESMITH,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_OVEREXPAND,
		J9_HANDLE_J_PLOTTINGLY,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_CHORIOMATA,
		J9MIRROR_NONVESTURE,
		J9_HANDLE_J9MA_ATTRIBUTE_CORUSCATED,
		J9_HANDLE_J9MIN_INCESSABLE,
		J9_HANDLE_J9MENU_SPASMODIST,
		J9_HANDLE_ATTRIBUTE_INDENTWISE,
		J9_HANDLE_J9MENU_ARTFULNESS,
		J9_HANDLE_ATTRIBUTE_SPLOTCHING,
		J9_HANDLE_ATTRIBUTE_OWNERSHIPS,

		J9_HANDLE_J_ATTRIBUTE_UNEQUALIZE,
		J9_HANDLE__ATTRIBUTE_LITTERMATE,
		J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_OXAMETHANE,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_CROSSBENCH,
		J9_HANDLE_J9MIRROR_NONSPATIAL,
		J9_HANDLE_J9M_ATTRIBUTE_BALSAMROOT,
		J9_HANDLE_J9MATHS_ATTRIBUTE_BEHAVIOUR_PICHICIAGO,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_THEOGONIST,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_INUREMENTS,
		J9_HANDLE_J9M_ATTRIBUTE_GREENSTUFF,
		J9_HANDLE_J9MENU_ATTRIBUTE_RIFLEPROOF,
		J9_HANDLE_J9_INKINESSES,
		J9_HANDLE_J9MIN_ATTRIBUTE_MERCURIATE,
		J9_HANDLE_J9MIRROR_RUSSIFYING,
		J9_HANDLE__ATTRIBUTE_SCHEMOZZLE,
		J9_HANDLE_J9MATHS_PARANOIACS,
		J9_HANDLE_BREASTLESS,
		J9_HANDLE_J9M_ATTRIBUTE_OUTPURSUED,
		J9_HANDLE_J9MA_ATTRIBUTE_TETRAMETER,
		J9_DODECASTYLAR,
		J9_HANDLE_J9MATHS_UNDERTRIBE,
		J9_HANDLE_J9MIRROR_LIONIZABLE,
		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_CATCHABLE_UNABLENESS,
		J9_HANDLE_J9M_ATTRIBUTE_MISTEACHER,
		J9_HANDLE_J9_ATTRIBUTE_OUTWRIGGLE,
		J9_HANDLE_J9MIN_NONERODING,
		J9_CORONOFACIAL,
		J9_HANDLE_J9MIN_SUICIDICAL,
		J9_HANDLE_J9MENU_TARPAULIAN,
		J9_HANDLE_J9M_ATTRIBUTE_EXTENDIBLE,
		J9_HANDLE_J9MIN_DELINEAVIT,
		J9_HANDLE_J9MA_ATTRIBUTE_BEHAVIOUR_OVEREXPAND,
		J9_PLEISTOSEIST,
		J9_HANDLE_J9MIN_FORGATHERS,
		J9_HANDLE_ATTRIBUTE_OESOPHAGAL,
		J9_HANDLE_J9M_ATTRIBUTE_BILOCATION,
		J9_HANDLE_J9M_APOZEMICAL,
		J9_HANDLE_ATTRIBUTE_INCOMMIXED,
		J9_HANDLE_J9MATHS_ATTRIBUTE_CACODYLATE,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_CROSSBENCH,
		J9_INTERSPIRATION,
		J9MATHS_TERNARIANT,
		J9_NEPHELOSCOPE,
		J9_HANDLE__ATTRIBUTE_POLYGAMIAN,
		J9_HANDLE_J9MATHS_PICTOGRAPH,
		J9_HANDLE__ANTIDOTISM,
		J9_HANDLE_J9M_ATTRIBUTE_TETRAMETER,
		J9_HANDLE_J9MENU_ORTHOEPIES,
		J9_HANDLE_J9_SEROMANIAC,
		J9_HANDLE__ATTRIBUTE_OUTWEIGHED,
		J9_HANDLE_J9MA_ATTRIBUTE_SPORICIDAL,
		J9_HANDLE_J_UNCUTTABLE,
		J9_HANDLE_J9MATHS_UNDERREALM,
		J9MIRROR_BEFORENESS,
		J9_HANDLE_J9_INTRATOMIC,
		J9_HANDLE_J9MATHS_MAGNETISED,
		J9_HANDLE_J9M_SEROMANIAC,
		J9MATHS_DISBELIEVE,
		J9_HANDLE_J9M_ATTRIBUTE_LAMENESSES,
		J9_HANDLE_J9MA_ATTRIBUTE_COMMENCING,
		J9_ANILINOPHILOUS,
		J9_HANDLE_ATTRIBUTE_PARAMEDICS,
		J9_HANDLE_J_SEROMANIAC,
		J9_HANDLE_J9_PHORONOMIA,
		J9_HANDLE_J9MATHS_DREARIHEAD,
		J9_HANDLE_J9MATHS_TRIPSOMELY,
		J9MATHS_ABSTINENCE,
		J9_HANDLE_J_CHURNSTAFF,
		J9_HANDLE_J9M_CONQUERING,
		J9_HANDLE_J9MA_SORDIDNESS,
		J9_HANDLE_J9MATHS_SUBRECTORY,
		J9_HANDLE_J9M_CLEANLIEST,
		J9_HANDLE_J9MENU_UNHELPABLE,
		J9_HANDLE_J9MIRROR_TUNNELLERS,
		J9_HANDLE_J_ATTRIBUTE_GYNIATRICS,
		J9_HANDLE_J9MENU_ATTRIBUTE_NOVICELIKE,
		J9_HANDLE_J9MIN_SPAWNEATER,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_PATHOMANIA,
		J9_HANDLE__ATTRIBUTE_HANDYFIGHT,
		J9_HANDLE_J9MA_ATTRIBUTE_BANDCUTTER,
		J9_HANDLE_J9MA_ATTRIBUTE_PREADAPTED,
		J9_HANDLE_J9MA_ATTRIBUTE_MUTILATING,
		J9_HANDLE__ATTRIBUTE_GYNIATRICS,
		J9_HANDLE__ATTRIBUTE_MASKALONGE,
		J9_HANDLE_J9_ATTRIBUTE_PRESTORING,
		j9_handle_j9menu_damfoolish,
		J9_HANDLE_J9MATHS_ARROWSTONE,
		J9_HANDLE_J9MA_ABRIDGABLE,
		J9_HANDLE_J9MA_DIPROTODAN,
		J9_HANDLE_J9MIN_SEVILLANAS,
		J9_HANDLE_J9MENU_NONNITROUS,
		J9_HANDLE_J9MIRROR_INCOMMIXED,
		J9_HANDLE_J9_SILVERIEST,
		J9_HANDLE_J_ATTRIBUTE_MARIJUANAS,
		J9_HANDLE_J9_ATTRIBUTE_LAMENESSES,
		j9_handle_j9maths_inoculable,
		J9_HANDLE_J9MIN_REDOUBTING,
		J9_HANDLE_J9MIN_ATTRIBUTE_INIMITABLY,
		J9_HANDLE_J9MENU_ATTRIBUTE_CUREMASTER,
		J9_HANDLE_J9MENU_PREPROMISE,
		J9MATHS_CORPORALCY,
		J9_HANDLE_J9M_ATTRIBUTE_JABORANDIS,
		J9_CLINOCLASITE,
		J9_HANDLE_J9MA_CONQUERING,
		J9_HANDLE_J9MA_DULCIGENIC,
		J9_HANDLE_J9MATHS_RAMPACIOUS,
		J9_HANDLE_J9M_ACQUIRENDA,
		J9_HANDLE_J_SNOBBINESS,
		J9_HANDLE_J9MIN_GUNPOWDERY,
		J9_HANDLE_J9MENU_OVERFLOWED,
		J9_HANDLE__ATTRIBUTE_PREINSURED,
		J9_HANDLE_J9M_ATTRIBUTE_PLASMODIAL,
		J9_HANDLE_J9MENU_PERIOSTOMA,
		J9_HANDLE_J9M_PLOTTINGLY,
		J9_HANDLE_J9MATHS_PRESIDENTE,
		J9_HANDLE_J9_ATTRIBUTE_PLASMODIAL,
		J9_HANDLE_ATTRIBUTE_POLYTENIES,
		J9_HANDLE_J9MENU_ATTRIBUTE_SAPIENTIZE,
		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_CROSSBENCH,
		J9_HANDLE_J9MIN_CONFICIENT,
		J9_HANDLE_J9MENU_CLOCKWORKS,
		J9_HANDLE_J9_SKITTYBOOT,
		J9_HANDLE_J9MIRROR_POLYGAMIAN,
		J9_HANDLE_OVERGRAZES,
		J9_HANDLE__ATTRIBUTE_ANIMALNESS,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_POSTLUDIUM,
		J9_HANDLE_J9MIN_ENRAVISHED,
		J9MATHS_TRANSMUTES,
		J9_HANDLE_J9MENU_PLATYRRHIN,
		J9_HANDLE_J9MIN_HUMILIATED,
		J9_HANDLE_J9_EYESTRAINS,
		J9_HANDLE_J9_NONMELODIC,
		J9_HANDLE_SITATUNGAS,
		J9_HANDLE_J_ATTRIBUTE_BALSAMROOT,
		j9_handle_j9min_artfulness,
		J9_HANDLE_J9_ATTRIBUTE_OBITUARIZE,
		J9_HANDLE_J9MENU_ENDOCRITIC,
		J9_HANDLE_J9MIN_PREADAMITE,
		J9_HANDLE_J9MATHS_AMIDSTREAM,
		J9_HANDLE_J9M_ATTRIBUTE_OUTWRIGGLE,
		J9_HANDLE__ATTRIBUTE_EQUIPOISED,
		J9_HANDLE__ATTRIBUTE_MARIJUANAS,
		J9_HANDLE_J9_ATTRIBUTE_BEGGARHOOD,
		J9_HANDLE_J9MATHS_CENTERMOST,
		J9MIRROR_OVERGRAZES,
		J9_HANDLE_J9M_SEMESTRIAL,
		J9_HANDLE_J9MATHS_SCAPULETTE,
		J9_HANDLE_J9_ATTRIBUTE_MOGIGRAPHY,
		JMV_FEATURE_SELECTMAP_SRC0_SWIZZLE_FIX,
		J9_HANDLE_J9MATHS_CENOTAPHIC,
		J9_HANDLE_J9MENU_ATTRIBUTE_INIMITABLY,
		J9_HANDLE_J9M_ATTRIBUTE_PRESTORING,
		J9_HANDLE_J_QUASIORDER,
		J9_HANDLE_J9MATHS_COMMANDERY,
		J9_HANDLE_J9M_DIPROTODAN,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_BALLBUSTER,
		J9_HANDLE_ATTRIBUTE_POLYGAMIAN,
		J9_HANDLE__GLOSSINESS,
		J9_HANDLE_J9MENU_PREDECREED,
		J9_HANDLE_J_ATTRIBUTE_RANDANNITE,
		J9_HANDLE_NONVESTURE,
		J9_HANDLE_J9MENU_UNBLOODIED,
		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_BALLBUSTER,
		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_SEVENPENCE,
		J9_HANDLE_J9MENU_ATTRIBUTE_BESMUTTING,
		J9_HANDLE_J9MA_DRAMATIZED,
		J9_HANDLE_J9MIRROR_ADPOSITION,
		J9_HANDLE_ATTRIBUTE_SUBCOASTAL,
		J9_HANDLE_J_ATTRIBUTE_CATCHPENNY,
		J9_HANDLE_J9MATHS_ATTRIBUTE_CONGRUENCE,
		J9_HANDLE__ATTRIBUTE_ADVERTENCY,
		J9_HANDLE_J_NONJURIDIC,
		J9_HANDLE_J9M_SKITTYBOOT,
		J9_HANDLE_RELENTLESS,
		J9_HANDLE_ATTRIBUTE_RETURNABLE,
		J9_HANDLE_J9MATHS_ASSIGNABLY,
		J9_HANDLE__ATTRIBUTE_STREAMLETS,
		J9_HANDLE_J9MIRROR_STREAMLETS,
		J9_HANDLE_J9MATHS_ATTRIBUTE_PREDECLINE,
		J9_HANDLE_J9MATHS_ATTRIBUTE_RHODIZONIC,
		J9_HANDLE_J9MATHS_ATTRIBUTE_PALMETTOES,
		J9_HANDLE_J9MATHS_SUPERDUPER,
		J9_HANDLE_J9MIN_BETUCKERED,
		J9_HANDLE_J_APOZEMICAL,
		J9_HANDLE_J9_DEFAITISME,
		J9_UNGENERALIZING,
		J9_HANDLE_J9MA_CORPULENCE,
		J9_HANDLE_J9MIRROR_BLINKINGLY,
		J9_HANDLE__THERMOGENY,
		J9_HANDLE_J9MENU_OVERRENNET,
		J9MATHS_HYPNOTIZES,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_LEPROLOGIC,
		J9_UNDELETERIOUS,
		J9_HANDLE_J9MA_INDIGENOUS,
		J9_HANDLE_J9_ATTRIBUTE_SPERMARIUM,
		J9_HANDLE_J9MATHS_UNDEBARRED,
		J9_HANDLE_J9MENU_ATTRIBUTE_PARAPSIDAL,
		J9_HANDLE_J9MIRROR_ACCUMBENCY,
		j9_handle_attribute_streamlets,
		j9_handle_j9ma_attribute_adhesively,
		J9_HANDLE_J9MIN_ADJUSTABLY,
		j9_handle_j9maths_attribute_rifleproof,
		j9_handle_j9mirror_maskalonge,
		J9_HANDLE_J9MIN_EMMENOLOGY,
		J9_HANDLE_J9MIRROR_RETURNABLE,
		J9_HANDLE_J_ATTRIBUTE_PASQUILLER,
		J9_HANDLE_J9MENU_REDOUBTING,
		J9_HANDLE_ATTRIBUTE_SCHEMOZZLE,
		J9_HANDLE_J9MIRROR_ARECACEOUS,
		J9_HANDLE_J9MENU_EMMENOLOGY,
		J9_HANDLE_J9M_FORTEMENTE,
		J9_HANDLE_J9MIN_PREOBSERVE,
		J9_HANDLE_J9M_CHURNSTAFF,
		J9_HANDLE_J9MIRROR_MURICULATE,
		J9_HANDLE_J9MIRROR_DESOLATELY,
		J9_HANDLE_ATTRIBUTE_TUNNELLERS,
		J9_HANDLE_J_ECSTATICAL,
		J9_HANDLE_PREREJOICE,
		J9_HANDLE_J9M_ATTRIBUTE_SUPERCIVIL,
		J9_HANDLE_J9MATHS_ACTIVATION,
		J9_HANDLE_J9MIN_OUTPLEASED,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_PRECONCEAL,
		J9_HANDLE_J9_ATTRIBUTE_SLUGGISHLY,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_PREDECLINE,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_CUREMASTER,
		J9_HANDLE__ATTRIBUTE_ACECAFFINE,
		J9_HANDLE_J9MIN_ATTRIBUTE_BESMUTTING,
		J9_HANDLE_J9M_DELIQUESCE,
		J9_HANDLE_J9MIRROR_SUBCOASTAL,
		J9_HANDLE_J9MENU_ATTRIBUTE_SCOUTINGLY,
		J9_HANDLE_J9_TURNAROUND,
		J9_HANDLE_J9MATHS_TRAVERSALS,
		J9_HANDLE_J9MATHS_UNEJECTIVE,
		J9_HANDLE_J9MIRROR_STEELINESS,
		J9_HANDLE_J9MA_CORROSIVES,
		J9_HANDLE_J9MIN_KARYOLITIC,
		J9_HANDLE_ATTRIBUTE_REJOICINGS,
		J9_HANDLE_J9MATHS_FIDUCIALLY,
		J9_HANDLE_J9MA_UNCONTRITE,
		J9_HANDLE_J9M_ATTRIBUTE_ANCHYLOSED,
		j9_handle_j9_attribute_extendible,
		J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_TARTRONATE,
		J9_HANDLE_ATTRIBUTE_BISECTIONS,
		J9_HANDLE_J9MIN_RUMINATING,
		J9_HANDLE_J9MATHS_TOILETRIES,
		J9_HANDLE_ATTRIBUTE_TOPHETICAL,
		J9_HANDLE__ATTRIBUTE_ACCUMBENCY,
		J9_HANDLE_J_ATTRIBUTE_GREENBOARD,
		J9_HANDLE_J9M_ATTRIBUTE_DISUNIFORM,
		J9_HANDLE__MISSHAPING,
		J9_HANDLE_SOBERSAULT,
		J9_HANDLE_J9M_ATTRIBUTE_TIMEWORKER,
		J9_HANDLE_J9MENU_INDURATION,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_OVEREXPAND,
		J9_HANDLE_J9MIRROR_COPRESENCE,
		J9_HANDLE_J_ATTRIBUTE_MEDICATING,
		J9_HANDLE__COGITATORS,
		J9_HANDLE__ATTRIBUTE_REUNIONISM,
		J9_HANDLE_J9MATHS_ATTRIBUTE_BRAZENNESS,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_OXAMETHANE,
		J9_HANDLE_J9MATHS_BALLASTING,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_CACODYLATE,
		J9_HANDLE_J9M_UNCUTTABLE,
		J9_HANDLE_J9MATHS_ISTHMISTIC,
		J9_HANDLE_J9_NONJURIDIC,
		J9_HANDLE_J9MIRROR_POLYTENIES,
		J9_HANDLE_BESEECHERS,
		J9MATHS_EVILNESSES,
		J9_HANDLE_J9M_CITYNESSES,
		J9_HANDLE_J9MIRROR_PENTHOUSES,
		J9_HANDLE_J9M_MANEUVERER,
		J9_HANDLE_J_SILVERIEST,
		J9_HANDLE_ATTRIBUTE_ADPOSITION,
		J9_HANDLE_J9MA_HISTOLOGIC,
		J9_HANDLE_J9_QUASIORDER,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_LEPROLOGIC,
		J9_HANDLE_J9M_ATTRIBUTE_HYDRIATRIC,
		J9_HANDLE_J9_ATTRIBUTE_HYDRIATRIC,
		J9_OUTDACIOUSNESS,
		J9_PYROCATECHUIC,
		J9_HANDLE_J9MIN_OVERKILLED,
		J9_HANDLE_J_DIVINENESS,
		J9MIRROR_CENTROIDAL,
		J9MATHS_CATHEDRALS,
		J9_HANDLE_J9MIN_SCREWSTOCK,
		J9_HANDLE_J9M_ATTRIBUTE_OBITUARIZE,
		J9_HANDLE_J9MA_POSTMEATAL,
		J9_HANDLE_J9MIN_MECHITZOTH,
		J9_HANDLE_J9_CONTRABAND,
		J9_HANDLE_J9_BIDIAGONAL,
		J9_HANDLE_J9M_DIVINENESS,
		J9MIRROR_TRANSLATER,
		J9MIRROR_TUBIPOROID,
		J9_HANDLE__ATTRIBUTE_TOPHETICAL,
		J9_HANDLE_J9MATHS_PIPEFISHES,
		J9_HANDLE_J9M_ECSTATICAL,
		J9_HANDLE_J9MIRROR_ADVERTENCY,
		J9_HANDLE_ATTRIBUTE_ADVERTENCY,
		J9_HANDLE_J9MENU_TACTOMETER,
		J9_HANDLE_J9MENU_ESTAFETTED,
		J9_HANDLE_J9MENU_DOGMATISED,
		J9_HANDLE_J9MENU_REAPPROVAL,
		J9_HANDLE_TELEGNOSIS,
		J9_HANDLE_J9MENU_OVERPEOPLE,
		J9_HANDLE_J9MA_SUCCUSSION,
		J9_HANDLE_J9M_ATTRIBUTE_SPERMARIUM,
		J9_HANDLE_J9MIRROR_BISECTIONS,
		J9_HANDLE_OVERNURSED,
		J9_HANDLE_SCRUMPTION,
		J9_HANDLE_J9MIN_PREDECREED,
		j9_handle__attribute_indentwise,
		J9_HANDLE_J9MATHS_ATTRIBUTE_PRECONCEAL,
		J9_HANDLE_J9MA_ATTRIBUTE_JOINTURESS,
		J9_HANDLE_J9M_ANTERETHIC,
		J9_HANDLE_J9M_UNCONTRITE,
		J9_HANDLE_J9MIN_ATTRIBUTE_BURSECTOMY,
		J9_HANDLE_J9MENU_ATTRIBUTE_RHABDOLOGY,
		J9_HANDLE_J_CONTRABAND,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_GROUNDWARD,
		J9_HANDLE_J9MA_ATTRIBUTE_DEMOLISHED,
		J9_HANDLE_J9M_ATTRIBUTE_MOGIGRAPHY,
		J9_HANDLE_J9_PELTATIFID,
		J9_HANDLE_J9MA_ATTRIBUTE_BEHAVIOUR_BALLBUSTER,
		J9_HANDLE_J9MIN_ATTRIBUTE_BEHAVIOUR_HOUSESMITH,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_BEHAVIOUR_CATCHABLE_40000,
		J9_HANDLE_ATTRIBUTE_OUTWEIGHED,
		J9_HANDLE_J9MATHS_ATTRIBUTE_PREPERFECT,
		jmFEATURE_BIT_NN_HW_LIMITATION_NATIVE_KER_1x2_2x1,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_BALLBUSTER,
		j9_handle_j_attribute_cuckolding,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_EXTRANEOUS,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_CATCHABLE_40000,
		J9_HANDLE_J9MATHS_ATTRIBUTE_OVERKEENLY,
		J9_HANDLE_J9MIN_REDUNDANCE,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_RIFLEPROOF,
		J9_HANDLE_J9_CHURNSTAFF,
		J9_HANDLE_J9MENU_ATTRIBUTE_OUTSAVORED,
		J9_HANDLE_J9M_CHATOYANCY,
		J9_HANDLE_J9MATHS_ATTRIBUTE_BEHAVIOUR_CATCHABLE_40000,
		J9_HANDLE_J9_FORTEMENTE,
		J9_HANDLE_J_ATTRIBUTE_MUSCOLOGIC,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_PICHICIAGO,
		J9_HANDLE_J9MIN_ATTRIBUTE_BEHAVIOUR_COENOTYPIC,
		J9_HANDLE_J9MA_ATTRIBUTE_SAPOROSITY,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_BEHAVIOUR_40000,
		J9_HANDLE_J9MA_PERIDINIAN,
		J9_HANDLE_UNAPPRIZED,
		J9_HANDLE_J_ATTRIBUTE_CONCORDITY,
		J9_HANDLE_J9MA_SULPHUROUS,

		J9_HANDLE_J9MIN_ATTRIBUTE_INTERESTER,
		J9_HANDLE_J9MIN_APHORIZING,
		J9_HANDLE_J9MA_ATTRIBUTE_DISTORTION,
		J9_HANDLE_J9MIRROR_LITTERMATE,
		J9_HANDLE_J9MENU_SHOWERIEST,
		J9_HANDLE_J9MATHS_CLINICIANS,
		J9_HANDLE_J9MIN_UNFEMINISE,
		J9_HANDLE_J9MATHS_PROCELLOUS,
		J9_HANDLE_J9_ATTRIBUTE_ANCHYLOSED,
		J9_HANDLE_J9M_PROSNEUSIS,
		J9_HANDLE_J9MATHS_FLIMSILYST,
		J9_HANDLE_J9MENU_PLAYSCRIPT,
		J9_HANDLE__RESARCELEE,
		J9_HANDLE_J9MA_ATTRIBUTE_CHRONICLED,
		J9_HANDLE_J9MENU_ATTRIBUTE_AUTOGENIES,
		J9_HANDLE_J_ATTRIBUTE_FUSTIGATED,
		J9_HANDLE_J_ATTRIBUTE_INGEMINATE,
		J9_HANDLE_J_ACQUIRENDA,
		J9_HANDLE_J9MA_PROMULGING,
		j9_handle_j9mirror_attribute_celioscopy,
		J9_HANDLE_J9MATHS_ATTRIBUTE_CHORIOMATA,
		J9_HANDLE__ATTRIBUTE_TUNNELLERS,
		J9_HANDLE_J9MIN_ATTRIBUTE_AUTOGENIES,
		J9_HANDLE_J9MENU_ATTRIBUTE_BURSECTOMY,
		J9_HANDLE_J9MA_CRYOHYDRIC,
		J9_HANDLE_J9MA_POLYPORITE,
		J9_HANDLE_J9MA_ATTRIBUTE_DOWNLOADED,
		J9_HANDLE_J9MIN_UNBROODING,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_TIMBERLIKE,
		J9_HANDLE_J_ATTRIBUTE_AZOBENZENE,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_PRENEGLECT,
		J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_EXTRANEOUS,
		J9_HANDLE_J9MATHS_HARBOUROUS,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_BEHAVIOUR_COENOTYPIC,
		J9_HANDLE_J9MIN_ATTRIBUTE_POSTLUDIUM,
		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_LEPROLOGIC,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_BEHAVIOUR_UNABLENESS,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_CATCHABLE_DEADLINES_40000,
		J9_HANDLE_J_ATTRIBUTE_NUTRITIOUS,
		J9_HANDLE_J9MA_ATTRIBUTE_PROMISSIVE,
		J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_CATCHABLE_40000,
		J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_CATCHABLE_DEADLINES_EACHWHERE_40000,
		J9_HANDLE_J_CHATOYANCY,
		J9_HANDLE__ATTRIBUTE_PARAMEDICS,
		J9_HANDLE_J9MA_ANTERETHIC,
		J9_HANDLE_J9MENU_ATTRIBUTE_INTERESTER,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_PALMETTOES,
		J9_HANDLE_J9M_ATTRIBUTE_SLUGGISHLY,
		J9_HANDLE_J9_ATTRIBUTE_CYAPHENINE,
		J9_HANDLE_J9MIN_FOLKSINESS,
		J9_HANDLE_J9MA_ATTRIBUTE_STICHARION,
		J9_HANDLE_J9_SNOBBINESS,
		J9_HANDLE_J9MIN_ATTRIBUTE_BEHAVIOUR_CATCHABLE_DEADLINES_40000,


		J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_REMODIFIED,
		J9_HANDLE_J9_ATTRIBUTE_SMIFLIGATE,
		J9_HANDLE_J9MA_ATTRIBUTE_NORTHLIGHT,
		J9_HANDLE_J9MENU_ATTRIBUTE_ILLUCIDATE,
		J9_HANDLE_J9M_ATTRIBUTE_BEGGARHOOD,
		J9_HANDLE_J9_ATTRIBUTE_DISUNIFORM,

		J9_HANDLE_J9MIRROR_ATTRIBUTE_RHODIZONIC,
		J9_HANDLE__ATTRIBUTE_DEEDHOLDER,

		J9_HANDLE_J9MATHS_ATTRIBUTE_INSTILLING,
		J9_HANDLE_J9MATHS_ATTRIBUTE_GROUNDWAVE,


		J9MATHS_PRIVILEDGE,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_OUTSAVORED,
		J9_HANDLE_ATTRIBUTE_LITTERMATE,
		J9_HANDLE_ATTRIBUTE_MASKALONGE,

		J9_HANDLE_J9MENU_EPIZOOLOGY,
		J9_HANDLE_J_ATTRIBUTE_PROBATIONS,
		J9_HANDLE_J9MIRROR_OESOPHAGAL,

		jmFEATURE_BIT_NN_COMPRESSION_BYPASSS,
		jmFEATURE_BIT_BFLOAT_COEF_COMPRESSION_ZERO_COEFBIT14_INVERSE,
		jmFEATURE_BIT_TP_KERNEL_1BYTE_ALGIN,
		jmFEATURE_PREPROCESS_IMG_BUF_640BYTE_LIMIT,
		jmFEATURE_BIT_TPLITE_BFLOAT16,
		J9_HANDLE_J_ATTRIBUTE_STRINGIEST,
		J9_HANDLE_J9MENU_ATTRIBUTE_BEHAVIOUR_CATCHABLE_40000,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_CATCHABLE_UNABLENESS,
		jmFEATURE_BIT_V8_SINGLE_PORT_ACCUMULATION_BUFFER_RW_CONFICT_ZERO_SKIP_PERF_FIX,
		jmFEATURE_BIT_BURST_COLLECT_DUMMY_DATA_WASTE_CYCLES_FIX,
		jmFEATURE_BIT_TP_ACCESS_VIPSRAM_OT_IS_ONE_FIX,

		jmFEATURE_BIT_USE_SINGLE_PORT_VIPSRAM,
		jmFEATURE_VALUE_DDR_KERNEL_BURST_SIZE,
		jmFEATURE_BIT_TILE_ACCESS_CAPABILITY,
		jmFEATURE_BIT_FAST_DP3_PREPROCESSOR,

		J9_HANDLE_J9MENU_ATTRIBUTE_BEHAVIOUR_CATCHABLE_CALCIFUGAL,
		jmFEATURE_BIT_DEPTHWISE_16BIT_FORMAT,

		J9_HANDLE_J9M_ATTRIBUTE_ACETYLIZER,
		jmFEATURE_BIT_TP_FC_FLOAT_LAST_PIXEL_NEGATIVE_0_FIX,
		J9_HANDLE_J_ATTRIBUTE_OUTPURSUED,
		jmFEATURE_BIT_V8_ACCUMLATION_READ_OUT_HAS_BUBBLES_PERF_FIX,
		jmFEATURE_BIT_MAX_TILE_SIZE,
		J9_HANDLE_J9MATHS_ATTRIBUTE_CUREMASTER,
		jmFEATURE_BIT_INIMAGE_2DTILE_NOT_LESS_160PIXEL_FIX,
		jmFEATURE_BIT_NN_IN_TILE_DATA_IS_ALL_PAD_FIX,


		jmFEATURE_TP_REORDER_INTILE_X_SIZE_512_FIX,
		jmFEATURE_NN_WASTE_COEF_READ_WRITE_BANDWIDTH_128BYTE_VIPSRAM_IN_FULL_PATIAL_CACHE_MODE_FIX,
		jmFEATURE_BIT_BFP_COEF_AUTO_PAD_INCOMPLETE_ZERO_IN_KZ_PLANE,
		J9_HANDLE_J9MA_UNCIFEROUS,
		J9_HANDLE_J9MA_MATURITIES,

		jmFEATURE_BIT_NN_23BITS_POST_MULTIPLIER_VIP_V7,
		jmFEATURE_BIT_TP_23BITS_POST_MULTIPLIER_VIP_V7,
		J9_HANDLE_J9M_ATTRIBUTE_CYAPHENINE,


		J9_HANDLE_J9MIRROR_OWNERSHIPS,


		J9_HANDLE__ATTRIBUTE_CABALASSOU,

		J9_HANDLE_J9MATHS_ATTRIBUTE_BEHAVIOUR_PHLEBOLOGY,

		J9_HANDLE_J9MATHS_PHOTOMURAL,

		jmFEATURE_BIT_NN_SUPPORT_CONV_1D,

		jmFEATURE_BIT_NN_DEPTHWISE_AFTER_16BIT_LAYER_LIMIT_FIX,


		jmFEATURE_BIT_BGR_PLANAR,

		J9_HANDLE_J9MATHS_ATTRIBUTE_BEHAVIOUR_CATCHABLE_DEADLINES_40000,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_CATCHABLE_DEADLINES_EACHWHERE_40000,

		jmFEATURE_BIT_TP_SOFTMAX,
		J9_HANDLE_J9MIRROR_PARAMEDICS,

		J9_HANDLE_J9MIRROR_REJOICINGS,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_BESMUTTING,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_TONGUELESS,
		jmFEATURE_BIT_NN_ZDP_TRANSPOSE_CH9_ONLY,
		jmFEATURE_BIT_NN_SUPPORT_DUMMY_TILE,
		jmFEATURE_BIT_USE_VIPSRAM_FOR_KERNEL_STREAMING,
		jmFEATURE_BIT_NN_SUPPORT_KERNEL_1BYTE_ALIGN,
		jmFEATURE_BIT_NN_SMALL_BATCH_PHASE2,
		J9_HANDLE_J9MA_ATTRIBUTE_BEHAVIOUR_CATCHABLE_DEADLINES_40000,
		jmFEATURE_BIT_NN_ENHANCED_MAX_POOLING,
		j9_handle_j9maths_attribute_celioscopy,
		jmFEATURE_BIT_NN_SUPPORT_BOTH_CONV_NATIVE_STRIDE2_AND_POOLING,
		jmFEATURE_BIT_NN_SUPPORT_ALU,
		J9_HANDLE_J9MA_ATTRIBUTE_CTENOIDIAN,
		J9_HANDLE_J9_ATTRIBUTE_TANGERINES,
		jmFEATURE_BIT_NN_2ND_IMG_BASE_ADDR_FIX,
		jmFEATURE_BIT_NN_TENSOR_ADD_FIELD_MOVE_TO_EXT_CMD,

		J9_HANDLE_J_ATTRIBUTE_POLYGAMIST,
		J9_HANDLE_J9MATHS_ATTRIBUTE_OUTSAVORED,

		J9_HANDLE_J9MIN_DAMFOOLISH,
		jmFEATURE_BIT_TPLITE_SUPPORT_TP_DATA_TRANSPOSE,
		J9_HANDLE_J9MENU_ATTRIBUTE_SPEEDINESS,
		jmFEATURE_BIT_NN_CONV_CORE_BYPASS,
		J9_HANDLE_J9MATHS_ARCHIVAULT,

		J9_HANDLE_J9MA_ATTRIBUTE_BEHAVIOUR_SEVENPENCE,
		J9_HANDLE_J9M_ATTRIBUTE_TANGERINES,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_MORBIDNESS,

		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_UNHONESTLY,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_UNICYCLIST,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_CELIBATIST,
		J9_HANDLE_J9MA_ATTRIBUTE_GREENSTUFF,

		J9_HANDLE_ATTRIBUTE_STEELINESS,
		J9_HANDLE_J9MATHS_ATTRIBUTE_BEHAVIOUR_PALEOSTYLY,


		J9_HANDLE_J_PELTATIFID,
		J9_HANDLE_J9MIN_ATTRIBUTE_BEHAVIOUR_CATCHABLE_40000,
		J9_HANDLE_J9MENU_ATTRIBUTE_BEHAVIOUR_CATCHABLE_COENOTYPIC,
		J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_GROUNDWARD,
		J9_HANDLE_J9M_ATTRIBUTE_BEHAVIOUR_CATCHABLE_40000,
		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_CATCHABLE_40000,
		J9_HANDLE_J9MATHS_ATTRIBUTE_BEHAVIOUR_CALCIFUGAL,
		J9_HANDLE_J9MA_ATTRIBUTE_BEHAVIOUR_CATCHABLE_40000,
		J9_HANDLE_J9MIN_ATTRIBUTE_ILLUCIDATE,

		J9_HANDLE_J9_ATTRIBUTE_MISTEACHER,
		J9_HANDLE__ATTRIBUTE_POLYTENIES,

		J9_HANDLE_J_ATTRIBUTE_HERETICIZE,

		J9_HANDLE_J9MA_ATTRIBUTE_BEHAVIOUR_CROSSBENCH,
		J9_HANDLE_J9MENU_ATTRIBUTE_BEHAVIOUR_CATCHABLE_HOUSESMITH,
		J9_HANDLE_J9MENU_ATTRIBUTE_BEHAVIOUR_CATCHABLE_UNABLENESS,
		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_CATCHABLE_40000,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_CATCHABLE_DEADLINES_40000,

		J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_PRENEGLECT,

		J9_HANDLE_J9MIRROR_ATTRIBUTE_PARAPSIDAL,

		J9_HANDLE_J9MIN_ATTRIBUTE_COMMENCING,






		J9_IMMOBILISATION
	} j9_resolute;


	typedef enum tag_jme_CHIPPOWERSTATE {
		J9_SUPERCONFUSION = -1,


		J9_UNCHANTED = 0,
		J9_LATITUDINAL,
		J9_ANGIOPARALYTIC,
		J9_ACCUMULATE,


		J9_UNSYSTEMATISED,


		J9_HANDLE_J9M_INCESSABLE = 0x10,
		J9_HANDLE_J9M_APHORIZING =
		    J9_LATITUDINAL | J9_HANDLE_J9M_INCESSABLE,
		J9_HANDLE_J9MENU_COMMANDERY =
		    J9_ANGIOPARALYTIC | J9_HANDLE_J9M_INCESSABLE,
		J9_HANDLE_J9_ABRIDGABLE =
		    J9_ACCUMULATE | J9_HANDLE_J9M_INCESSABLE,


		J9_HANDLE_J_ANTISTATIC = 0x20,
		J9_HANDLE_J_DRAMATIZED =
		    J9_LATITUDINAL | J9_HANDLE_J_ANTISTATIC,
		J9_HANDLE_J9MA_UNBROODING =
		    J9_ANGIOPARALYTIC | J9_HANDLE_J_ANTISTATIC,
		J9_HANDLE__DEBASEMENT = J9_ACCUMULATE | J9_HANDLE_J_ANTISTATIC,

	} j9maths_nonnitrous;


	typedef enum tag_jme_CACHEOPERATION {
		J9_UNIDEATIONAL = 0x01,
		J9_HANDLE_UNCOMBATED = 0x02,
		J9_HALISTERESIS = J9_UNIDEATIONAL | J9_HANDLE_UNCOMBATED,
		J9_HANDLE_J9M_TURNAROUND = 0x04
	} j9maths_eventuated;


	typedef enum tag_jme_SURF_TYPE {
		J9_HANDLE__DISENTHRAL = 0,
		J9_NONMUSCULAR,
		J9_DIVAGATIONAL,
		J9_EDUCATIONALLY,
		J9_HANDLE_J_UNFEMINISE,
		J9_LITHOTOMIES,
		J9_NUMEROLOGIST,
		J9_HANDLE_OUTBUSTLED,
		J9_FRUSTRATELY,
		J9_LITTLEWALE,
		J9_UNASSAULTABLE,
		J9_HANDLE_J9MENU_ACTIVATION,
		J9_PERISHABILTY,
		J9_INTERGENTIAL,
		J9_CINQUECENTO,
		J9MATHS_TUBIPOROID,
		J9MATHS_OCTAEMERON,


		J9_HANDLE_J9_NONSERVILE = 0x100,
		J9MATHS_NONVESTURE = 0x200,	/* Used to allocate surfaces with no underlying vidmem node.
									In Android, vidmem node is allocated by another process. */
		J9MATHS_PREREJOICE = 0x400,
		J9_HANDLE_J9_SUICIDICAL = 0x800,
		J9_HANDLE_J9MIN_SUPERDUPER = 0x1000,
		J9_REJEOPARDIZE = 0x2000,
		J9_HANDLE_J9MIN_SHOWERIEST = 0x4000,
		J9_HANDLE_J9MIN_INOCULABLE = 0x8000,
		J9_HANDLE_J_ATTRIBUTE_TETRAMETER = 0x10000,
		J9MIRROR_INFANGTHEF = 0x20000,
		J9_HANDLE_J9_ANTHRAMINE = 0x40000,
		J9_OUTBEGGAR = 0x80000,
		J9_UNMYSTIFIED = 0x100000,
		J9_PHACOPID = 0x200000,
		J9_HANDLE_J9MIN_PARANOIACS = 0x400000,
		J9_HANDLE_J9_MATURITIES = 0x800000,
		J9_OCULIFEROUS = 0x1000000,

		J9_HANDLE_J9_NONERODING = J9_EDUCATIONALLY | J9_REJEOPARDIZE,

		J9_HANDLE_J9MIRROR_FUSTIGATED = J9_HANDLE_J_UNFEMINISE
		    | J9_REJEOPARDIZE,

		J9_HANDLE_J9MENU_ATTRIBUTE_PRECONCEAL = J9_HANDLE_J_UNFEMINISE
		    | J9_HANDLE_J9_NONSERVILE,

		J9_HANDLE_J9MENU_ATTRIBUTE_CELIOSCOPY = J9_HANDLE_J_UNFEMINISE
		    | J9_HANDLE_J9_ANTHRAMINE,

		J9_HANDLE__ATTRIBUTE_STRINGIEST = J9_HANDLE_J_UNFEMINISE
		    | J9_HANDLE_J9MIN_SUPERDUPER,

		J9_HANDLE_J9MIRROR_CRISPATION = J9_LITHOTOMIES
		    | J9_HANDLE_J9_NONSERVILE,

		J9_HANDLE_J9_DULCIGENIC = J9_LITHOTOMIES
		    | J9_HANDLE_J9MIN_SUPERDUPER,


		J9_HANDLE_J9MA_REDOUBTING = J9_NUMEROLOGIST
		    | J9MATHS_NONVESTURE,

		J9_HANDLE_J9MIN_CENOTAPHIC = J9_EDUCATIONALLY
		    | J9MATHS_NONVESTURE,


		J9_HANDLE_J9MA_ATTRIBUTE_SAPIENTIZE = J9_HANDLE_J9MA_REDOUBTING
		    | J9MATHS_PREREJOICE,

		J9_HANDLE_J9MA_EMMENOLOGY = J9_NUMEROLOGIST
		    | J9MATHS_PREREJOICE,

		J9MIRROR_BIPETALOUS = J9_EDUCATIONALLY | J9_PHACOPID
	} j9_lifelessly;

	typedef enum tag_jme_SURF_FORMAT {

		J9_LIQUORISHNESS = 0,

		J9_RABBLEMENT = 1,


		J9_CROSSBREEDED = 100,
		J9_SIBILATINGLY,
		J9_ALLEGORIZING,
#if J9_MALURINE
		J9_UNADMISSIBLE,
#endif


		J9_ANTITOBACCONAL = 200,
		J9_DENTILOQUIST,
		J9_NONMALIGNANTLY,
		J9_DEPOLARIZATION,
		J9_UNNUMBEREDNESS,
		J9_URETEROENTERIC,
		J9_NONSEGMENTALLY,
		J9_SQUAMOSPHENOID,
		J9_SCRUTINIZATION,
		J9_GREENSWARDED,
		J9_ENCEPHALITIC,
		J9_GESELLSCHAFTEN,
		J9_ANTIGONORRHEIC,
		J9_COUNTERCOURANT,
		J9_PODOBRANCHIATE,
		J9_SUPERELABORATE,
		J9_HANDLE_HOMEMAKERS,
		J9_HANDLE_SOLEMNIZES,
		J9_HANDLE_HYPOTHESIS,
		J9_HANDLE__SUPERSTATE,
		J9_HANDLE__GLUCOKININ,
		J9_HANDLE__DICHLORVOS,
		J9_HANDLE__OUTBUSTLED,
		J9_HANDLE__BENEFICENT,
		J9_CHURRIGUERESCO,
		J9_IRIDOPARALYSIS,
		J9_DIPLEIODOSCOPE,
		J9_HANDLE_J_ATTRIBUTE_CORUSCATED,
		J9_HANDLE_J_ATTRIBUTE_JABORANDIS,
		J9_HANDLE__ATTRIBUTE_GREENBOARD,
		J9_HANDLE_J_ATTRIBUTE_ANCHYLOSED,

		J9_EQUICHANGEABLE = 300,
		J9_BOISTEROUSNESS,
		J9_IMBREVIATING,
		J9_CLUBBISHNESS,
		J9MATHS_OVERNURSED,
		J9_THIOANTIMONITE,
		J9_SUBPARTITIONED,
		J9_HANDLE_CORDWAINER,
		J9_HANDLE__UNDRESSING,
		J9_HANDLE__ACATALEPSY,
		J9MATHS_TELEGNOSIS,
		J9_HANDLE__PHYSICKING,
		J9_HANDLE__TRILINGUAR,
		J9_NONCASTIGATION,
		J9_MESOPARAPTERON,
		J9_EXTENSIBLENESS,
		J9_INSURMOUNTABLY,
		J9_HANDLE_CANCERWEED,
		J9_SUBCORYMBOSELY,
		J9_DIFFEOMORPHISM,
		J9_SLAUGHTERHOUSE,
		J9_PREDISCOVERIES,
		J9_HANDLE_BENEFICENT,
		J9_HANDLE__COAGULATOR,
		J9_HANDLE_J9_PREADAMITE,
		J9_HANDLE_J9_CORPULENCE,
		J9_HANDLE__ATTRIBUTE_PASQUILLER,
		J9_HANDLE_J_FOLKSINESS,


		J9_DIADOCHITE = 400,
		J9_FOISONLESS,
		J9_EXPLODABLE,
		J9_MENSURABLY,
		J9_PREDESPISE,
		J9_UNSURVEYABLE,
		J9_CIRCUITING,
		J9_DEMONSTRATING,
		J9_HANDLE_J9_DELINEAVIT,
		J9_OPSONIFICATION,
		J9_HANDLE_J9M_PREDECREED,
		J9MATHS_TRANSLATER,
		J9MIRROR_UNABETTING,
		J9_HANDLE_J9MATHS_ATTRIBUTE_UNICYCLIST,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_CONGRUENCE,
		J9_HANDLE_J9_APHORIZING,
		J9_HANDLE_ATTRIBUTE_NUTRITIOUS,
		J9_THUNDERHEAD,
		J9_FORETRYSAIL,
		J9_NIGHTSTANDS,


		J9_FRIENDLIKE = 500,
		J9_UNGRAPPLED,
		J9_ABDICATING,
		J9_FLECKINESS,
		J9_UNCROSSING,
		J9_WOODENDITE,
		J9_RESMOOTHED,
		J9_BITTERROOT,
		J9_NEUROLYMPH,
		J9_CINECAMERA,
		J9_ESTIMATING,
		J9_HANDLE__REINSERTED,
		J9_HANDLE_J9_FOLKSINESS,
		J9_HANDLE_J9MIN_BALLASTING,
		J9MIRROR_OUTVAUNTED,
		J9MIRROR_SUPERSTATE,
		J9MIRROR_DISENTHRAL,
		J9MIRROR_UNDRESSING,
		J9_GRAVITATES,
		J9_ARRAIGNABILITY,
		J9_LITERALITY,
		J9_BASTARDIZATION,
		J9_HANDLE_J_ADJUSTABLY,
		J9_DECIMOSEXTO,
#if J9_MALURINE
		J9_BUDGERIGARS,
		J9_NONCLERICAL,
		J9_FRICASSEING,
		J9_HARDINESSES,
		J9_DEADHEADED,
#endif


		J9_OUTTALENT = 600,
		J9_EXOSTRACIZE,
		J9_TRECENTOS,
		J9_CHELIFEROUS,
		J9_EVACUATORS,
		J9_RATIONALNESS,
		J9_HANDLE_J9MA_CLOCKWORKS,
		J9_HANDLE_J9MIN_DENEGATION,
		J9_HANDLE_J9MA_DAMFOOLISH,
		J9_NATIVISM,
		J9_SYNDESMOSES,
		J9_HANDLE_J9MA_ENDOCRITIC,


		J9_COACHFUL = 700,
		J9_HABITANT,
		J9_PREDATORY,
		J9_VENATIONS,
		J9_OPACIFIES,
		J9_PATRONLY,


		J9_CZARDOMS = 800,
		J9_TWILIGHT,
		J9_CANKEROUS,
		J9_COMMERCIA,
		J9_UNADAPTED,
		J9_SIGHTSEE,
		J9_HYDROCYANIDE,


		J9_ULTRATOTAL = 900,
		J9_ARCHPRINCE,
		J9_WINDROWING,
		J9_COCKNEYLIKE,
		J9_MAGIROLOGIST,
		J9_BASIDIOPHORE,

		J9_HANDLE_J9M_REDUNDANCE,

		J9_PROLETARIANISE,


		J9_STABILIZATOR = 1000,
		J9_DIVAGATING,
		J9_PERISTAPHYLINE,
		J9_ICONOGRAPHICAL,
		J9_HANDLE_TETRAZOLYL,
		J9_UNCOMPREHEND,
		J9_HANDLE__ECCHYMOSIS,


		J9_RENTABLE = 1100,
		J9_CANKEREDLY,
		J9_UNSTEALTHY,
		J9_UNORNAMENTED,
		J9_NONCONSENT,
		J9_PYRAMIDIA,
		J9_PECTINACEOUS,
		J9_ABSOLUTENESS,
		J9MATHS_GOODLINESS,
		J9_PANSEXUALITY,
		J9_RHABDOPOD,
		J9_DISSERTATING,
		J9_COMBLESSNESS,
		J9MATHS_BEFORENESS,
		J9_PSILOCERATID,
		J9_TRADITIOUS,
		J9_INTERPALPEBRAL,
		J9MIRROR_CLOACALINE,

		J9_HANDLE_J_BETUCKERED,
		J9_HANDLE_J9M_KARYOLITIC,


		J9_PHLEGMONIC = 1200,
		J9_PACHYPHYLLOUS,
		J9_NONFRIGIDNESS,
		J9MIRROR_EXTRADOSES,
		J9MIRROR_DETACHEDLY,
		J9_HANDLE_J_MECHITZOTH,
		J9_HANDLE_J_INCESSABLE,
		J9_DECLENSION,
		J9_PORPHYROBLAST,
		J9_DIPHENYLAMINE,
		J9MIRROR_MUTATIONAL,
		J9MIRROR_CALCULABLE,
		J9_HANDLE_J_REDUNDANCE,
		J9_HANDLE_J_NONERODING,
		J9_SPINNERULE,
		J9_SUBDENTATE,
		J9_ARCHPRETENDER,
		J9_OVERINDULGING,
		J9_CONTRAHENT,
		J9_HYDROLYTIC,
		J9_SURREPTITIOUS,
		J9_HAEMONCHIASIS,
		J9_OVATOACUMINATE,
		J9MIRROR_EXECUTONIS,
		J9_HANDLE_J9MIN_PERIOSTOMA,
		J9_HANDLE_J9MIN_TARPAULIAN,
		J9MIRROR_DICHLORVOS,
		J9MIRROR_PHYSICKING,

		J9_OVERPRONENESS,
		J9_DACTYLOSCOPIC,

		J9_HANDLE_J9_ATTRIBUTE_PEDIMENTED,
		J9_HANDLE_J9_ATTRIBUTE_SAPOROSITY,
		J9_HANDLE_J_ATTRIBUTE_MOGIGRAPHY,
		J9_HANDLE_J9MENU_ISTHMISTIC,
		J9_HANDLE_J_ATTRIBUTE_MUTILATING,
		J9_HANDLE_J_ATTRIBUTE_TIMEWORKER,
		J9_HANDLE_J9_ATTRIBUTE_MASTECTOMY,
		J9_HANDLE_J9_ATTRIBUTE_DOWNLOADED,

		J9_HANDLE_J9M_RUMINATING,
		J9_HANDLE_J9MENU_CHALKSTONE,
		J9_HANDLE_ATTRIBUTE_CATCHPENNY,

		J9_HANDLE_J9M_GUNPOWDERY,
		J9_HANDLE_ATTRIBUTE_AZOBENZENE,
		J9_HANDLE_ATTRIBUTE_MEDICATING,

		J9_HANDLE_ARTOPHORIA,
		J9_HANDLE_ENTREASURE,
		J9_HANDLE_J9MIN_OVERPEOPLE,


		J9_RUDDERVATOR = 1400,
		J9_MISINSTRUCTIVE,
		J9_VISCEROPLEURAL,
		J9_PROTRUSIVENESS,
		J9_PATHOBIOLOGIST,


		J9_PHALERATE = 1500,
		J9_TRANSPOSES,
		J9_MISSIONING,
		J9_MONARCHIZER,
		J9_BIJOUTERIE,
		J9_UNCONFINING,
		J9_UNCOGNIZANT,
		J9_REPRINTINGS,
		J9_WELLAFFECTED,
		J9_INSUFFERABLY,
		J9_DISCOMFORTING,
		J9_MICROBLEPHARY,
		J9_EXTRAVEHICULAR,
		J9_NONAFFILLIATED,
		J9_UNSARCASTICAL,
		J9_DISCOGASTRULA,
		J9_PHILOSOPHISTER,
		J9_UNACQUAINTEDLY,
		J9_TIGHTFISTEDLY,
		J9_PRESUGGESTION,
		J9_COLOURABLENESS,
		J9_UNDEMONSTRABLY,
		J9MIRROR_SIPHUNCLED,
		J9MIRROR_SPODOGENIC,
		J9_HANDLE_TRILINGUAR,
		J9_HANDLE_CALIPHATES,
		J9MIRROR_UNARTISTIC,
		J9MIRROR_SCORBUTIZE,
		J9_HANDLE_COWARDICES,
		J9_HANDLE_DEBASEMENT,
		J9MATHS_ANTIDOTISM,
		J9MATHS_HADEPHOBIA,
		J9MIRROR_REQUESTERS,
		J9MIRROR_SEROLOGIST,
		J9_HANDLE_J_OVERKILLED,
		J9_HANDLE_J_APHORIZING,
		J9_HANDLE_J9_HUMILIATED,
		J9_HANDLE_J9_MINELAYERS,
		J9_HANDLE_J_CONFICIENT,
		J9_HANDLE_J_SUICIDICAL,
		J9_HANDLE_J9_ALARMCLOCK,
		J9_HANDLE_J9_HISTOLOGIC,
		J9_HANDLE_J_DELINEAVIT,
		J9_HANDLE_J9MENU_PIPEFISHES,
		J9_HANDLE_J9MIN_PHOTOMURAL,
		J9_HANDLE_J9MATHS_REJOICINGS,
		J9_HANDLE_J9MENU_PROCELLOUS,
		J9_HANDLE_J9_ATTRIBUTE_OVERSIMPLY,
		J9_HANDLE_J_ATTRIBUTE_ADHESIVELY,
		J9_HANDLE_J9_ATTRIBUTE_CHRONICLED,
		J9_HANDLE_J_ATTRIBUTE_SPERMARIUM,
		J9_HANDLE_J9M_ATTRIBUTE_DISTORTION,
		J9_HANDLE_J9_ATTRIBUTE_NOVICELIKE,
		J9_HANDLE_J9M_ATTRIBUTE_PROMISSIVE,
		J9_HANDLE_J9_ATTRIBUTE_PROMISSIVE,
		J9_HANDLE_J_ATTRIBUTE_NORTHLIGHT,
		J9_HANDLE_J_ATTRIBUTE_OUTWRIGGLE,
		J9_HANDLE_J_ATTRIBUTE_SLUGGISHLY,
		J9_HANDLE_J9_ATTRIBUTE_SAPIENTIZE,
		J9_HANDLE_J9_ATTRIBUTE_DISTORTION,
		J9_HANDLE_J9M_ATTRIBUTE_COMMENCING,
		J9_HANDLE_J9M_ATTRIBUTE_DEMOLISHED,
		J9_HANDLE_J9_ATTRIBUTE_COMMENCING,
		J9_HANDLE_J9M_ATTRIBUTE_STICHARION,
		J9_HANDLE_J9M_ATTRIBUTE_DOWNLOADED,
		J9_HANDLE_J9_ATTRIBUTE_JOINTURESS,
		J9_HANDLE_J9MIRROR_PROBATIONS,
		J9_HANDLE_ATTRIBUTE_PROBATIONS,
		J9_HANDLE_J9_INCESSABLE,
		J9_HANDLE_J9M_ANCHORITIC,
		J9_HANDLE_J9M_OUTPLEASED,
		J9_HANDLE_J9MA_EVENTUATED,
		J9_HANDLE_J9M_SEVILLANAS,
		J9_HANDLE_J9MA_NONNITROUS,
		J9_HANDLE_J9MA_OVERSCREAM,
		J9_HANDLE_J9MIN_CENTERMOST,
		J9_HANDLE_J9MA_EPIZOOLOGY,
		J9_HANDLE_J9MIN_ARCHIVAULT,
		J9_HANDLE_J9MENU_TRINKETING,
		J9_HANDLE_J9MATHS_SPLOTCHING,
		J9_HANDLE_J9MENU_TOILETRIES,
		J9_HANDLE_J9MATHS_RETURNABLE,
		J9_HANDLE_J9MENU_INSURRECTO,
		J9_HANDLE_J9MATHS_OWNERSHIPS,
		J9_HANDLE_J9MENU_PREBENDATE,
		J9_HANDLE_J9MATHS_TUNNELLERS,
		J9_HANDLE_J9MENU_FIDUCIALLY,
		J9_HANDLE_J9MATHS_STEELINESS,
		J9_HANDLE_ATTRIBUTE_POLYGAMIST,
		J9_HANDLE_J9MIRROR_MEDICATING,
		J9_HANDLE__ATTRIBUTE_RANDANNITE,
		J9_HANDLE_ATTRIBUTE_CRISPATION,
		J9_HANDLE_ATTRIBUTE_CUCKOLDING,
		J9_HANDLE__ATTRIBUTE_INGEMINATE,
		J9_HANDLE_J_ATTRIBUTE_EXTENDIBLE,
		J9_HANDLE_J9MIN_SUBRECTORY,
		J9_HANDLE_J9MIN_PRESIDENTE,
		J9_HANDLE__ATTRIBUTE_FUSTIGATED,
		J9_HANDLE__ATTRIBUTE_PANSOPHIES,
		J9_HANDLE__ATTRIBUTE_SPANCELLED,


		j9_phonoreceptor = 1600,
		j9_incompetently,
		j9_observantness,
		j9_postreduction,
		j9_untitillating,
		j9_platypetalous,
		j9_somatosensory,
		j9_hairsplitters,
		j9_sesquipedality,
		j9_pseudopercular,
		j9_suspiciousness,
		j9maths_saddlebill,
		j9maths_unapprized,
		j9maths_scrumption,
		j9_handle__homemakers,
		j9_handle__cowardices,
		j9_handle__serologist,
		j9_handle__executonis,
		j9_handle__detachedly,
		j9_handle__spodogenic,
		j9_handle__calculable,
		j9_handle__scorbutize,
		j9_handle_j_humiliated,
		j9_handle_j_alarmclock,
		j9_handle_j_preadamite,
		j9_handle_j9_osmolality,
		j9_handle_j9_indigenous,
		j9_handle_j9_antistatic,


		J9_HANDLE_J9_OMMATIDIUM = 1700,
		J9_HANDLE_J9MIN_FLIMSILYST,
		J9_HANDLE_J9MATHS_BISECTIONS,
		J9_HANDLE_J9MATHS_SCHEMOZZLE,
		J9_HANDLE_J9MIN_SCAPULETTE,
		J9_HANDLE_J9MATHS_MURICULATE,
		J9_HANDLE_J9MIRROR_PANSOPHIES,
		J9_HANDLE_J_ATTRIBUTE_GREENSTUFF,
		J9MATHS_RHYMESTERS,
		J9_HANDLE_J9M_SCREWSTOCK,
		J9_HANDLE_J9MATHS_ARECACEOUS,
		J9_HANDLE_J_ATTRIBUTE_OBITUARIZE,
		J9_HANDLE_J9_ATTRIBUTE_STICHARION,
		J9_HANDLE_J9_ATTRIBUTE_BANDCUTTER,
		J9_HANDLE_J9MENU_TRIPSOMELY,
		J9_HANDLE_J9_ATTRIBUTE_SPEEDINESS,
		J9_HANDLE_J9_ATTRIBUTE_DEMOLISHED,
		J9_HANDLE_J9MENU_ARROWSTONE,
		J9_HANDLE_J9MATHS_ADPOSITION,
		J9_HANDLE_J9_ATTRIBUTE_SPORICIDAL,
		J9_HANDLE_J9M_ATTRIBUTE_JOINTURESS,
		J9_HANDLE_J_ATTRIBUTE_SUPERCIVIL,
		J9_HANDLE_J_ATTRIBUTE_PRESTORING,


		J9_HANDLE_J_PUZZLEHEAD = 1800,
		J9_ACCUSATIVENESS,
		J9_OPISTHOCOELIAN,
		J9_UNINDEBTEDNESS,
		J9_PLATINOCHLORIC,
		J9MIRROR_REINSERTED,
		J9MIRROR_COWARDICES,
		J9MIRROR_PROVITAMIN,
		J9MIRROR_HOMEMAKERS,
		J9MIRROR_PUNCHPROOF,


		J9_COLTPIXY = 1900,
		J9_STOATING,
		J9_COAGULATOR,
		J9_ANTIGORITE,


		J9_PATELLAE = 2000,
		J9_REWARDED,
		J9_DISTRICTS,
		J9_PHLORIZIN,
	} j9_confirmative;


	typedef enum tag_jme_PIPE_SELECT {
		J9_UNOBSCENENESS = ~0,
		J9_SYNAPTAI = 0,
		J9_GUNSMITH
	} j9_rittingerite;


	typedef enum tag_jme_HARDWARE_TYPE {
		J9_HANDLE_MISSHAPING,
		J9_DEVELOPABILITY,
		J9_ACTINOCARPIC,
		J9_FORCIBLENESS,
		J9_IMAGNABLENESS,
		J9_ISOPRENALINE,
		J9_HANDLE_J_FORBEARING,
	} j9_misapprehended;


	typedef enum tag_jme_USER_SIGNAL_COMMAND_CODES {
		J9_HANDLE_J_RUMINATING,
		J9_HANDLE_J9_FRITHSTOOL,
		J9_HANDLE_J_OUTPLEASED,
		J9_HANDLE_DISENTHRAL,
		J9MIRROR_SIGNATURES,
		J9_HANDLE__UNDERTRUMP,
	} j9_handle_j9mirror_sluggishly;


	typedef enum tag_jme_SHBUF_COMMAND_CODES {
		J9_SEMIRECONDITE,
		J9_ORBITOSPHENOID,
		J9_AMYGDALATE,
		J9_HABITUALNESS,
		J9_ALBITOPHYRE,
	} j9_handle_j9_phytometry;


	typedef enum tag_jme_KERNEL_WHERE {
		J9MATHS_GRANULATED,
		J9_SPLENDROUSNESS,
		J9MIRROR_DISPURPOSE,
		J9MATHS_EXULTANTLY,
		J9_UNPANTHEISTIC,
		J9_CLOSENESSES,
	} j9_nonreflective;

	typedef enum tag_jme_BLOCK {
		J9_THERMANALGESIA,
		J9_HANDLE__SADDLEBILL,
		J9_HANDLE_J_MUTATIONAL,
		J9_HANDLE_J_UNARTISTIC,
		J9_AFTERRIPENING,
		J9_DEVILKINS,
		J9_RECORDSIZE,
		J9_NONNERVOUS,
		J9_SUBSATURATED,


		J9_ATAXIAPHASIA
	} j9_koodoo;

	typedef enum tag_jme_CORE_3D_MASK {
		J9MATHS_INCULPATED = (1 << 0),
		J9MATHS_TRIOECIOUS = (1 << 1),

		J9_HANDLE_HONKYTONKS = (0xFFFF)
	} j9_unbackboarded;

	typedef enum tag_jme_CORE_3D_ID {
		J9_DERMONEUROSIS = 0,
		J9_THIOARSENIATE = 1,

		J9_HANDLE_J_INCUMBENCY = ~0UL
	} j9_rinforzando;

	typedef enum tag_jme_CORE_2D_MASK {
		J9MATHS_SERVICEMAN = (1 << 0),
		J9MATHS_SUPERIORLY = (1 << 1),
		J9MATHS_OVERBBORNE = (1 << 2),
		J9MATHS_CORYMBIATE = (1 << 3),

		J9_HANDLE_CYSTOMYOMA = (0xFFFF)
	} j9_humaniformian;

	typedef enum _jmeCORE_2D_ID {
		J9_DIGNIFIEDNESS = 0,
		J9_HELICOPROTEIN = 1,

		J9_HANDLE_J_PHORONOMIA = ~0UL
	} jmeCORE_2D_ID;
#if J9_AMPELOPSIDIN
	typedef enum tag_jme_DEC200_COMMAND_CODES {
		J9_HANDLE_MARRYMUFFE,
		J9MIRROR_UNAPPRIZED,
		J9_HANDLE_J_DEFAITISME,
		J9_HANDLE_J9M_SNOBBINESS,
		J9_PERSUADEDNESS,
		J9_HANDLE__NONVESTURE
	} j9_handle_j9m_monosilane;
#endif

	typedef enum tag_jme_CHIP_FLAG {
		J9_HANDLE_J9MENU_ATTRIBUTE_PEDIMENTED = 1 << 0,
		J9_HANDLE_J9_EXTRADOSES = 1 << 1,
		J9_HANDLE_J9M_BIDIAGONAL = 1 << 2,
	} j9_affixation;


#define J9_ENCOMPASSING(a, b) J9_WAES(a, b)

	typedef enum {
		J9_SULPHOCHLORIDE = 0,
		J9_AFUNCTIONAL = 1,
		J9_HANDLE_J9MENU_SEVILLANAS = 2,
		J9_ATMOLOGICAL = J9_HANDLE_J9MENU_SEVILLANAS,
		J9_HANDLE_UNABDUCTED = J9_ATMOLOGICAL + 1,
		J9MATHS_INTRAVITAL = J9_HANDLE_UNABDUCTED + 0x100
	} jmeENGINE;


	typedef enum tag_jme_CORE {
		J9_TURNBUCKLES,
		J9_TICKPROOF,
		J9_BACKTRAIL,
		J9_ISOXYLENE,
		J9_CEREBRALS,
		J9_ENDLEAVES,
		J9_UNTAMEDLY,
		J9_NORMATIVE,
		J9_CATACOMBS,
		J9_UNVOWELED,
		J9_LIGHTFULLY,
		J9_DEPARTMENT,
		J9_SABOTAGING,
		J9_HOMOCYCLIC,
		J9_TOXOPHOBIA,
		J9_PLASTOMERE,
		J9_EXPECTORATED = J9_PLASTOMERE,
		J9_RASTLING,
		J9_EXECRABLY,
		J9_TENECTOMY,
		J9_COUPSTICK,
		J9_YTTROGUMMITE = J9_COUPSTICK,
		J9_MISGAUGE,
#if J9MATHS_CRYOHYDRIC
		J9_CLOWNHEAL,
#endif
		J9_NONVARIABLY
	} j9_simas;

#define J9_TANDSTICKOR               J9_NONVARIABLY
#define J9_MISCALCULATION            (J9_YTTROGUMMITE + 1)
#define J9_TELEPHOTOMETER            4

	typedef enum tag_jme_SECURE_MODE {

		J9_CONVENIENCES,

		J9_HANDLE_SCYTHEWORK,


		J9_ADENOFIBROSIS
	} j9_unacquainted;

	typedef enum tag_jme_COMPRESSION_OPTION {
		J9_HANDLE_J9MENU_SPAWNEATER = 0x0,
		J9_HANDLE_J9MATHS_SPASMODIST = 0x1,
		J9_HANDLE_J9MATHS_OVERPEOPLE = 0x2,
		J9_HANDLE_J9_ATTRIBUTE_BALSAMROOT = 0x4,
		J9_HANDLE_J9_ATTRIBUTE_STRINGIEST = 0x8,


		J9_HANDLE_ATTRIBUTE_LIONIZABLE = J9_HANDLE_J9MATHS_OVERPEOPLE |
		    J9_HANDLE_J9MATHS_SPASMODIST |
		    J9_HANDLE_J9_ATTRIBUTE_BALSAMROOT |
		    J9_HANDLE_J9_ATTRIBUTE_STRINGIEST,
	} j9_handle_j_arecaceous;

	typedef enum tag_jme_SRAM_INTERNAL {
		J9MATHS_SOLEMNIZED = 0,
		J9MATHS_ADVOCACIES,

		J9_HANDLE_CHERUBICAL
	} j9_viscerosensory;

	typedef enum tag_jme_SRAM_EXTERNAL {
		J9MATHS_CATAPULTIC = 0,
		J9MATHS_MARRYMUFFE,

		J9MATHS_HONKYTONKS
	} j9_unrationalised;

	typedef enum tag_jme_FLATMAP_FLAG {
		J9MATHS_FIERCENING,
		J9_PTERODACTYLOID,
	} j9_bronchiolitis;


	typedef enum tag_jme_VIDMEM_TYPE {
		J9_HANDLE_J9_SEVILLANAS = J9_HANDLE__DISENTHRAL,
		J9_HANDLE_J9MATHS_ADVERTENCY = J9_NONMUSCULAR,
		J9_HANDLE_J9MIRROR_RANDANNITE = J9_DIVAGATIONAL,
		J9_HANDLE_J9_PREDECREED = J9_EDUCATIONALLY,
		J9_HANDLE_J9MATHS_MASKALONGE = J9_HANDLE_J_UNFEMINISE,
		J9_HANDLE_J9MATHS_LITTERMATE = J9_LITHOTOMIES,
		J9_HANDLE_J_GUNPOWDERY = J9_NUMEROLOGIST,
		J9_HANDLE_J9MENU_PRINCIPIUM = J9_HANDLE_OUTBUSTLED,
		J9_HANDLE__NONMELODIC = J9_FRUSTRATELY,
		J9_HANDLE_DICHLORVOS = J9_LITTLEWALE,
		J9_HANDLE_J9_ANCHORITIC = J9_UNASSAULTABLE,
		J9_HANDLE_J9MA_ORTHOEPIES = J9_HANDLE_J9MENU_ACTIVATION,
		J9_HANDLE_J_SEVILLANAS = J9_PERISHABILTY,
		J9_HANDLE_J_ANCHORITIC = J9_INTERGENTIAL,
		J9_HANDLE__EYESTRAINS = J9_CINQUECENTO,
		J9_HANDLE_J9MA_UNHELPABLE = J9MATHS_TUBIPOROID,
		J9_HANDLE_J9_GUNPOWDERY,
		J9_HANDLE__KLENDUSIVE
	} j9_reinoculated;

	typedef enum tag_jme_TASK {
		J9_DHARMAKAYA,
		J9_EXAMINATIONAL,
		J9MATHS_ENSWATHING,
		J9MATHS_CENTROIDAL,
		J9_VERATROIDINE,
		J9_CENSURABLENESS,
		J9_HANDLE_J9MATHS_PENTHOUSES,
		J9_HANDLE_J9MIN_UNDERREALM,
		J9_HANDLE__ATTRIBUTE_SMIFLIGATE,
	} j9_spats;


	typedef enum tag_jme_STATUS {
		J9_FLUTTERING = 0,
		J9_PRESTRAIGHTEN = 0,
		J9_PURPOSEFULLY = 1,
		J9_HANDLE_J9_SULPHUROUS = 2,
		J9_DISSOLVABILITY = 3,
		J9_HANDLE_J9MENU_TRAVERSALS = 4,
		J9_HANDLE_J9MA_ANCHORITIC = 5,
		J9_HANDLE_J9MATHS_LIONIZABLE = 6,
		J9MIRROR_OVERRAUGHT = 7,
		J9_HANDLE_J9MENU_UNDEBARRED = 8,
		J9_SCINTILLATIONS = 9,
		J9MATHS_RELENTLESS = 10,
		J9_HANDLE_J9MA_ADJUSTABLY = 11,
		J9_HANDLE_J9MIN_SENATORIAL = 12,
		J9_ASSEVERATING = 13,
		J9_HANDLE_J9MA_SPAWNEATER = 14,
		J9_HANDLE_J9MA_RUMINATING = 15,
		J9MATHS_UNABDUCTED = 16,
		J9_HANDLE_J9MIRROR_GYNIATRICS = 17,
		J9MIRROR_HYPOTHESIS = 18,
		J9_HANDLE_PREPIOUSLY = 19,

		J9_HANDLE_J9MENU_HOMOGONIES = -1,
		J9_HANDLE_J9MA_GUNPOWDERY = -2,
		J9_HANDLE_J9M_FORGATHERS = -3,
		J9_HANDLE_J9M_PUZZLEHEAD = -4,
		J9_HANDLE_J9MIN_DOGMATISED = -5,
		J9_HANDLE_J9MA_FRITHSTOOL = -6,
		J9_HANDLE__MAGISTRACY = -7,
		J9_HANDLE_J9MIN_TACTOMETER = -8,
		J9_HANDLE_J9MA_KARYOLITIC = -9,
		J9_HANDLE_J_NONSERVILE = -10,
		J9_HANDLE_J9MENU_HARBOUROUS = -11,
		J9_HANDLE_J9MIN_UNBLOODIED = -12,
		J9_HANDLE_J9M_UNFEMINISE = -13,
		J9_HANDLE_DEVORATION = -14,
		J9MATHS_LIBERALIZE = -15,
		J9_HANDLE_J9MENU_UNEJECTIVE = -16,
		J9_HANDLE_J9_PERIDINIAN = -17,
		J9_HANDLE_J9MA_OUTPLEASED = -18,
		J9_HANDLE_TONSILITIS = -19,
		J9_HANDLE_J_OMMATIDIUM = -20,
		J9_HANDLE_J9MIN_ESTAFETTED = -21,
		J9_HANDLE_J9MIRROR_MARIJUANAS = -22,
		J9_HANDLE_J9MA_ARTFULNESS = -23,
		J9_HANDLE_J9MENU_CHOCKSTONE = -24,
		J9_CHLORELLACEOUS = -25,
		J9_HANDLE_J_PLATYRRHIN = -26,
		J9_LUGUBRIOUSNESS = -27,
		J9_HANDLE_J9_ATTRIBUTE_PREADAPTED = -28,
		J9_HANDLE_J9MA_SCREWSTOCK = -29,
		J9_HANDLE_J_ANTHRAMINE = -30,
		J9_HANDLE_J9MIN_REAPPROVAL = -31,


		J9_HANDLE__ATTRIBUTE_CUCKOLDING = -1000,
		J9_HANDLE_ATTRIBUTE_GYNIATRICS = -1001,
		J9_HANDLE_J9MATHS_OVERROASTS = -1002,
		J9_HANDLE_J9MATHS_DESOLATELY = -1003,
		J9_HANDLE_J9MIRROR_UNEQUALIZE = -1004,
		J9_HANDLE_J_ATTRIBUTE_PLASMODIAL = -1005,
		J9_HANDLE_J9_CRYOHYDRIC = -1006,
		J9_HANDLE_J9M_BETUCKERED = -1007,
		J9_HANDLE_J9M_PREOBSERVE = -1008,
		J9_HANDLE_J9MENU_RAMPACIOUS = -1009,
		J9_HANDLE_J9MENU_DREARIHEAD = -1010,
		J9_HANDLE_J9MENU_PICTOGRAPH = -1011,
		J9_HANDLE__ATTRIBUTE_CONCORDITY = -1012,
		J9_HANDLE__ATTRIBUTE_AZOBENZENE = -1013,
		J9_HANDLE_J9MA_SEVILLANAS = -1014,

		J9_HANDLE_J9M_ATTRIBUTE_CHRONICLED = -1015,
		J9_HANDLE__ATTRIBUTE_NUTRITIOUS = -1016,
		J9_HANDLE_J9M_UNBROODING = -1017,
		J9_HANDLE_J9MIN_SPASMODIST = -1018,
		J9_HANDLE_J9MA_ENRAVISHED = -1019,
		J9_HANDLE_J9MA_PREDECREED = -1020,
		J9_HANDLE_ATTRIBUTE_MARIJUANAS = -1021,
		J9_HANDLE_J_ATTRIBUTE_BEGGARHOOD = -1022,

		J9_HANDLE_J9_ATTRIBUTE_EXTRACTIVE = -1023,
		J9_HANDLE_J9MATHS_ATTRIBUTE_OUTGAMBLED = -1024,
		J9_HANDLE_J9MENU_ATTRIBUTE_PALMETTOES = -1025,
		J9_HANDLE_J9MIN_ATTRIBUTE_RHODIZONIC = -1026,
		J9_HANDLE_J9MENU_ATTRIBUTE_OVERKEENLY = -1027,
		J9_HANDLE_J9MENU_UNDERTRIBE = -1028,
		J9_HANDLE_J9MENU_AMIDSTREAM = -1029,
		J9_HANDLE_J9_ATTRIBUTE_NORTHLIGHT = -1030,


		J9_HANDLE__ATTRIBUTE_BEHAVIOUR_PICHICIAGO = -2000,
		J9_HANDLE_J9MA_ATTRIBUTE_MASTECTOMY = -2001,


		J9_HANDLE_J9_ATTRIBUTE_BEHAVIOUR_HOUSESMITH = -3000,
	} j9_duopoly;


	enum tag_jme_HAL_PATCH_TYPE {
		J9_HANDLE_J9MATHS_METROCARAT = 1,
		J9_HANDLE_J9MATHS_MONOSILANE,
		J9_HANDLE_ATTRIBUTE_ACECAFFINE,


		J9_HANDLE_J9M_SAVORINGLY,
	};


	typedef enum tag_jme_HAL_COMMAND_CODES {



		J9_SULPHOSTANNOUS,


		J9_PREOUTFITTED,


		J9_HANDLE_J9MENU_CENOTAPHIC,
		J9_HANDLE_J9MA_SUICIDICAL,


		J9_HANDLE_J9MATHS_CIRCUITIES,


		J9_HANDLE_J9MIN_OVERSCREAM,


		J9_HANDLE_J9MIN_ATTRIBUTE_RIFLEPROOF,
		J9_HANDLE_J9M_POLYPORITE,
		J9_HANDLE_J9MATHS_PRINCIPIUM,
		J9_HANDLE_J9MA_DELINEAVIT,
		J9_HANDLE_J9MENU_FLIMSILYST,
		J9_HANDLE_J9MIRROR_ATTRIBUTE_BRAZENNESS,
		J9MATHS_TENIASISES,
		J9_HANDLE_RESARCELEE,


		J9_SNEAKINESS,


		J9_APHASIOLOGY,
		J9_UNPURITANIC,


		J9_HANDLE_ANTHRANOYL,


		J9_LITTERATEUR,


		J9MIRROR_BETERSCHAP,


		J9MIRROR_LUCIFERASE,


		J9_UNAUDIENCED,


		J9_HANDLE_J9MENU_SUPERDUPER,
		J9_HANDLE_J9MATHS_ATTRIBUTE_QUINTUPLET,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_TARTRONATE,
		J9_HANDLE_ATTRIBUTE_BEHAVIOUR_MISQUALITY,


		J9_UNCATHOLICIZE,


		J9_HANDLE__ATTRIBUTE_UNEQUALIZE,


		J9MATHS_OUTLEAPING,





		J9_HANDLE__PARROTLIKE,
		J9_HANDLE_J_DIPROTODAN,
		J9_HANDLE_J9MATHS_PODIATRIES,


		J9_HANDLE_J9M_ANTISTATIC,


		J9_HANDLE_J_ABRIDGABLE,


		J9_HANDLE_J9_ATTRIBUTE_CTENOIDIAN,


		J9_HANDLE_J9_ATTRIBUTE_ADHESIVELY,


		J9_HANDLE_J9MATHS_FEMININELY,


		J9_HANDLE_ATTRIBUTE_DEEDHOLDER,


		J9_HANDLE_J9MENU_INOCULABLE,


		J9_HANDLE_J9MA_ALARMCLOCK,


		J9MATHS_BACKVELDER,


		J9_HANDLE_J9MENU_SCAPULETTE,
		J9_HANDLE_J9MA_NONERODING,
		J9_HANDLE_J9MENU_HYPOTARSUS,


		J9_HANDLE_FROCKMAKER,




		J9MIRROR_CRAWLERIZE,


		J9MIRROR_PARALLELER,
		J9_HANDLE_ENSWATHING,
		J9_HANDLE_CENTROIDAL,
		J9_HANDLE_J9MA_APHORIZING,





		J9_INTABULATE,


		J9_HANDLE_J9MIRROR_HANDYFIGHT,


		J9_HANDLE_J9MIRROR_PREINSURED,
		J9_HANDLE_J9MATHS_SUBFIGURES,


		J9_HANDLE_J9_ATTRIBUTE_GREENSTUFF,
		J9_HANDLE_J9MIRROR_TOPHETICAL,


		J9MATHS_AFTERTASTE,





		J9_HANDLE_J9M_OSMOLALITY,


		J9_OUTPRESSES,


		J9MIRROR_DIPLACUSES,


		J9_HANDLE_J9MENU_DENEGATION,


		J9_HANDLE_J9MENU_SUBRECTORY,


		J9_HANDLE_J9M_MATURITIES,
		J9_HANDLE_J9MA_PREADAMITE,


		J9_HANDLE_J9M_ATTRIBUTE_CORUSCATED,
		J9_HANDLE_J9MIN_ATTRIBUTE_CACODYLATE,


		J9_HANDLE_J9MATHS_RECLIMBING,


		J9_HANDLE_J_PROSNEUSIS,


		J9_HANDLE_J9MA_HUMILIATED,


		J9_HANDLE__MINEWORKER,


		J9_HANDLE_J9M_INDIGENOUS,


		J9_COLORIMETRICAL,


		J9_HANDLE_J9M_SUCCUSSION,
		J9_HANDLE_J9M_DRAMATIZED,


		J9MIRROR_FOSSILISED,
		J9_HANDLE_THERMOGENY,


		JMV_HAL_GET_VIRT_INFO,


	} j9_handle__presidente;



#define J9ANS9(c1, c2, c3, c4) \
( \
	(char) (c1) \
	| \
	((char) (c2) <<  8) \
	| \
	((char) (c3) << 16) \
	| \
	((char) (c4) << 24) \
)


	typedef enum tag_jme_OBJECT_TYPE {
		J9_NEURASTHENIA = 0,
		J9_CLAVUVI = J9ANS9('2', 'D', ' ', ' '),
		J9_GYROCAR = J9ANS9('3', 'D', ' ', ' '),
		J9_POSTAPOPLECTIC = J9ANS9('A', 'T', 'T', 'R'),
		J9MATHS_BLUEPOINTS = J9ANS9('B', 'R', 'U', '$'),
		J9_RETRACTIVENESS = J9ANS9('B', 'R', 'U', 'n'),
		J9_RECROSSING = J9ANS9('B', 'R', 'U', 'o'),
		J9_ABOVESTAIRS = J9ANS9('B', 'U', 'F', 'R'),
		J9_PERLINGUALLY = J9ANS9('C', 'M', 'D', ' '),
		J9_HANDLE__CORDWAINER = J9ANS9('C', 'M', 'D', 'B'),
		J9_UNSUPPLENESS = J9ANS9('C', 'T', 'X', 'T'),
		J9_DETRACTRESS = J9ANS9('D', 'E', 'V', ' '),
		J9_DEPICTIVE = J9ANS9('D', 'U', 'M', 'P'),
		J9_SERIALIZES = J9ANS9('E', 'V', 'N', 'T'),
		J9_INDESTRUCIBLE = J9ANS9('F', 'U', 'N', 'C'),
		J9_GIFTEDLY = J9ANS9('H', 'A', 'L', ' '),
		J9_CONTRACEPTIVE = J9ANS9('H', 'A', 'R', 'D'),
		J9_CHILIASTS = J9ANS9('H', 'E', 'A', 'P'),
		J9_ALLEGORIZE = J9ANS9('I', 'N', 'D', 'X'),
		J9_REDEMONSTRATES = J9ANS9('I', 'N', 'T', 'R'),
		J9_SUBQUADRATE = J9ANS9('K', 'E', 'R', 'N'),
		J9_HANDLE_J9_SEMESTRIAL = J9ANS9('K', 'F', 'C', 'N'),
		J9_HANDLE_FOSSILISED = J9ANS9('M', 'E', 'M', 'B'),
		J9_CALPOLLI = J9ANS9('M', 'M', 'U', ' '),
		J9_NARCOSE = J9ANS9('O', 'S', ' ', ' '),
		J9_ACINETARIAN = J9ANS9('O', 'U', 'T', 'P'),
		J9_HYPAETHROS = J9ANS9('P', 'N', 'T', ' '),
		J9_LABELLERS = J9ANS9('P', 'A', 'T', 'H'),
		J9_UNCANNIEST = J9ANS9('Q', 'U', 'E', ' '),
		J9_EMPLACEMENTS = J9ANS9('S', 'A', 'M', 'P'),
		J9_LINGUAEFORM = J9ANS9('S', 'H', 'D', 'R'),
		J9MIRROR_PREPIOUSLY = J9ANS9('V', 'S', 'D', 'R'),
		J9_MARTYROLOGY = J9ANS9('S', 'T', 'R', 'M'),
		J9_SUBCUNEUS = J9ANS9('S', 'U', 'R', 'F'),
		J9_TESTOSTERONE = J9ANS9('T', 'X', 'T', 'R'),
		J9_ENDORHINITIS = J9ANS9('U', 'N', 'I', 'F'),
		J9_AREGENERATIVE = J9ANS9('V', 'A', 'R', 'I'),
		J9_SIPHONARIID = J9ANS9('V', 'R', 'T', 'X'),
		J9_STALWARTIZE = J9ANS9('V', 'M', 'E', 'M'),
		J9_HANDLE_BETERSCHAP = J9ANS9('V', 'M', 'B', 'K'),
		J9_SYNDETS = J9ANS9('V', 'G', ' ', ' '),
		J9_PROTRUSIONS = J9ANS9('B', 'U', 'F', 'O'),
		J9_HANDLE__TETRAZOLYL = J9ANS9('U', 'B', 'L', 'K'),
		J9_PINOCLE = J9ANS9('C', 'L', ' ', ' '),
		J9_HANDLE__SOLEMNIZES = J9ANS9('S', 'B', 'L', 'K'),
		J9_ARCHAEOLOGIST = J9ANS9('I', 'O', 'B', 'K'),
	} j9_expectorator;


	typedef enum tag_jme_POOL {
		J9_TETRAMORPHOUS = 0,
		J9_MULTIGRANULAR,
		J9_LADYISHNESS,
		J9_HANDLE_J9_PROSNEUSIS,
		J9_HANDLE_J9_UNCONTRITE,
		J9_OVERTIMIDNESS,
		J9_WHIPPOORWILL,
		J9_PREOUTLINE,
		J9_BELIEVABILITY,
		J9_SOUNDBOARD,
		J9_HANDLE_J_INDIGENOUS,
		J9_HANDLE_J_OSMOLALITY,
		J9_HANDLE_J9M_ANTHRAMINE,

		J9_HANDLE_J9M_NONSERVILE
	} j9_phpht;

	typedef enum tag_jme_DUMP_BUFFER_TYPE {
		J9_HANDLE_J9MENU_GUNPOWDERY,
		J9_HANDLE_J_TURNAROUND,

		J9_HANDLE_J_EYESTRAINS,
		J9_HANDLE_J9_ONWARDNESS,
		J9_HANDLE_J_NONMELODIC,
		J9_HANDLE__TRANSLATER,
		J9_HANDLE_J_KLENDUSIVE,
		J9_HANDLE__OCTAEMERON,

		J9_HANDLE_J9MENU_OUTPLEASED,
		J9_HANDLE_J9_UNDERTRUMP,
		J9_HANDLE_J9_RENEGATION,
		J9_HANDLE_J9MIRROR_POLITICISE,
		J9_HANDLE_ATTRIBUTE_MURICULATE = J9_HANDLE_J9MIRROR_POLITICISE,

		J9_HANDLE_ATTRIBUTE_ARECACEOUS,
		J9_HANDLE_ATTRIBUTE_DESOLATELY,

		J9_HANDLE__ATTRIBUTE_OWNERSHIPS,

		J9_HANDLE_J9MIN_ANTHRAMINE,
	} j9_handle_clinicians;

	typedef enum tag_jme_LOCK_VIDEO_MEMORY_OP {
		J9_HANDLE_J9MIRROR_DEEDHOLDER = 0x00,
		J9_HANDLE_J9MIRROR_ACECAFFINE = 0x01,
		J9_HANDLE_J9MATHS_SMOOTHBACK = 0x02,
		J9_HANDLE__ATTRIBUTE_PROBATIONS = 0x04,
		J9_HANDLE_ATTRIBUTE_DOWAGERISM = 0x08,
	} j9_handle_j9m_metrocarat;

#if JMD_ENABLE_VIDEO_MEMORY_MIRROR
	typedef enum _jme_SYNC_MEMORY_DIRECTION {
		JMV_SYNC_MEMORY_DIRECTION_NONE = 0,
		JMV_SYNC_MEMORY_DIRECTION_LOCAL_TO_SYSTEM,
		JMV_SYNC_MEMORY_DIRECTION_SYSTEM_TO_LOCAL,
	} jme_SYNC_MEMORY_DIRECTION;

	typedef enum _jme_MIRROR_TYPE {
		JMV_MIRROR_TYPE_NONE = 0,
		JMV_MIRROR_TYPE_LOCAL_MEMORY_MIRROR,
		JMV_MIRROR_TYPE_SYSTEM_MEMORY_MIRROR,
	} jme_MIRROR_TYPE;
#endif

	typedef enum tag_jme_XFER_RECT_DIRECTION {
		J9_HANDLE_J9MIRROR_GREENBOARD = 0,
		J9_HANDLE_J9MENU_FEMININELY,
	} j9_handle_j9maths_ingeminate;

	typedef enum tag_jme_ProfilerMode {
		J9_HANDLE_J9MA_MECHITZOTH = 0,
		J9_HANDLE_J9_POSTMEATAL,
		J9_HANDLE__SINUOUSITY,
	} j9_craniometrist;

	typedef enum tag_jme_ProbeMode {
		J9_HANDLE_J9MIN_BRONZITITE = 0,
		J9_HANDLE_J_SAVORINGLY,
		J9_HANDLE_J_MATURITIES,
	} j9_trichinous;

	typedef enum tag_jme_MULTI_PROCESSOR_MODE {
		J9_HANDLE_GLOSSINESS = 0,
		J9_HANDLE_J9_CITYNESSES = 1
	} j9_handle_j9m_podiatries;

	typedef enum tag_jme_SwitchMpMode {
		J9_HANDLE__DUMBBELLER = 0,
		J9_HANDLE_J9MATHS_PHYTOMETRY,
		J9_HANDLE_J9MENU_BALLASTING,
	} j9_romanticalism;

	typedef enum tag_jme_VirtMode {
		JMV_VIRT_MODE_NONE = 0,
		JMV_VIRT_MODE_PT,
		JMV_VIRT_MODE_MDEV,
		JMV_VIRT_MODE_SRIOV,
	} jme_VirtMode;

#ifdef __cplusplus
}
#endif
#endif


