/*
 * JMGPU driver
 *
 * Copyright (c) 2020 ChangSha JingJiaMicro Electronics Co., Ltd.
 * All rights reserved.
 *
 * Author:
 *      wj <jjwgpu@jingjiamicro.com>
 *
 * The software and information contained herein is proprietary and
 * confidential to JingJiaMicro Electronics. This software can only be
 * used by JingJiaMicro Electronics Corporation. Any use, reproduction,
 * or disclosure without the written permission of JingJiaMicro
 * Electronics Corporation is strictly prohibited.
 *
 */



#ifndef __feaf42ef_H_
#define __feaf42ef_H_

#ifdef __cplusplus
extern "C" {
#endif

#define J9NAE(_addr)                    (*(volatile unsigned int*)(_addr))

#define J9_EPHYDRID(_addr)              J9NAE(_addr)
#define J9_BEDIRTIED(_addr, _value)     J9NAE(_addr) = (_value)


#define J9_HANDLE_J9M_PEDIMENTED                (0x009aa000)
#define J9_HANDLE_J9M_ATTRIBUTE_REMODIFIED      (0x009b0910)
#define J9_HANDLE_ATTRIBUTE_ETHEROLATE          (0x009b0930)
#define J9_HANDLE_J9_RHABDOLOGY                 (0x009AB000)
#define J9_HANDLE_J9_BURSECTOMY                 (0x00080000)
#define J9_HANDLE_J9_POSTLUDIUM                 (0x009AD000)
#define J9_HANDLE_J9MIRROR_MORBIDNESS           (0x009AE000)
#define J9_HANDLE_J9M_INTERESTER                (0x009ac000)
#define J9_HANDLE_J9MATHS_TONGUELESS            (0x009a9000)
#define J9_HANDLE_J9M_RHABDOLOGY                (0x000a0000)
#define J9_HANDLE_J9MENU_PARAPSIDAL             (0x009A8000)
#define J9_HANDLE_J9MIRROR_MISQUALITY           (0x009d0000)
#define J9_HANDLE_J9MATHS_CONGRUENCE            (0x00080000)
#define J9_HANDLE_J9MIRROR_THEOGONIST           (0x00010000)
#define J9_HANDLE_J9MIRROR_UNHONESTLY           (0x009A0000)
#define J9_HANDLE_J_COMMENCING                  (0x00968000)
#define MWV207REG_TOP_BASE_ADDR                 (0x009b0000)
#define J9_HANDLE_J9MATHS_SUICIDICAL            (0x00a00000)


#define MWV207REG_TOP_VA_UNIT_CFG_1		(MWV207REG_TOP_BASE_ADDR + (0x001c))

#define MWV207REG_TOP_VA_UNIT_CFG_2		(MWV207REG_TOP_BASE_ADDR + (0x0020))

#define MWV207REG_TOP_VA_UNIT_CFG_3		(MWV207REG_TOP_BASE_ADDR + (0x0024))

#define MWV207REG_TOP_VA_UNIT_CFG_4		(MWV207REG_TOP_BASE_ADDR + (0x0028))

#define MWV207REG_TOP_VO_CFG_1		(MWV207REG_TOP_BASE_ADDR + (0x0034))

#define MWV207REG_TOP_VO_CFG_2		(MWV207REG_TOP_BASE_ADDR + (0x0038))

#define MWV207REG_TOP_VO_CFG_3		(MWV207REG_TOP_BASE_ADDR + (0x003c))

#define  MWV207REG_TOP_GU3D_ADDR  (MWV207REG_TOP_BASE_ADDR + 0x0008)
#define  MWV207REG_TOP_HD_ADDR    (MWV207REG_TOP_BASE_ADDR + 0x000c)
#define  MWV207REG_TOP_GU2D_ADDR  (MWV207REG_TOP_BASE_ADDR + 0x0014)
#define  MWV207REG_TOP_GU2D_RESET          16:16

#define  MWV207REG_TOP_NOC_ADDR   (MWV207REG_TOP_BASE_ADDR + 0x0048)
#define  MWV207REG_TOP_NOC_GU2D            8:8

#define MWV207REG_TOP_PENDING1_ADDR         (MWV207REG_TOP_BASE_ADDR + 0x194)
#define MWV207REG_TOP_PENDING2_ADDR         (MWV207REG_TOP_BASE_ADDR + 0x198)

#define MWV207REG_TOP_FW_STATE_ADDR         (MWV207REG_TOP_BASE_ADDR + 0x178)


#define J9MIRROR_SAPIENTIZE             (J9_HANDLE_J9M_PEDIMENTED + 0x0)

#define J9_HANDLE_PEDIMENTED            (J9_HANDLE_J9M_PEDIMENTED + 0x4)

#define J9_HANDLE_COMMENCING            (J9_HANDLE_J9M_PEDIMENTED + 0x8)

#define J9MIRROR_MASTECTOMY             (J9_HANDLE_J9M_PEDIMENTED + 0x10)

#define J9_HANDLE_STICHARION            (J9_HANDLE_J9M_PEDIMENTED + 0x14)

#define J9_HANDLE_DISTORTION            (J9_HANDLE_J9M_PEDIMENTED + 0x18)


#define J9_HANDLE_J9MENU_SAPIENTIZE    (J9_HANDLE_J9M_ATTRIBUTE_REMODIFIED + 0x0)

#define J9_HANDLE_J9MATHS_PALMETTOES   (J9_HANDLE_J9M_ATTRIBUTE_REMODIFIED + 0x4)

#define J9_HANDLE_J9MIRROR_COFFEETIME  (J9_HANDLE_J9M_ATTRIBUTE_REMODIFIED + 0x8)

#define J9_HANDLE_J9MIRROR_ANTIRACISM  (J9_HANDLE_J9M_ATTRIBUTE_REMODIFIED + 0xc)

#define J9_HANDLE_J9MIRROR_ETHEROLATE  (J9_HANDLE_J9M_ATTRIBUTE_REMODIFIED + 0x10)

#define J9_HANDLE_J9MIRROR_OUTGAMBLED  (J9_HANDLE_J9M_ATTRIBUTE_REMODIFIED + 0x14)
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_OVEREXPAND                            29:28
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_PICHICIAGO                            25:24
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_TIMBERLIKE                            21:20
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_PATHOMANIA                            17:16
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_LEPROLOGIC                            13:12
#define J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_TIMBERLIKE                          9:8
#define J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_PATHOMANIA                          5:4
#define J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_LEPROLOGIC                          1:0


#define J9_HANDLE_J9MIRROR_TONGUELESS  (J9_HANDLE_J9M_ATTRIBUTE_REMODIFIED + 0x18)

#define J9_HANDLE_J9MIRROR_UNICYCLIST  (J9_HANDLE_J9M_ATTRIBUTE_REMODIFIED + 0x1c)


#define J9_HANDLE_J9_ILLUCIDATE        (J9_HANDLE_ATTRIBUTE_ETHEROLATE + 0x0)

#define J9_HANDLE_J9M_OVERSIMPLY       (J9_HANDLE_ATTRIBUTE_ETHEROLATE + 0x4)

#define J9_HANDLE_J9MA_PROMISSIVE      (J9_HANDLE_ATTRIBUTE_ETHEROLATE + 0x8)

#define J9_HANDLE_J9MA_JOINTURESS      (J9_HANDLE_ATTRIBUTE_ETHEROLATE + 0xc)

#define J9_HANDLE_J9MA_DEMOLISHED      (J9_HANDLE_ATTRIBUTE_ETHEROLATE + 0x10)

#define J9_HANDLE_J9MA_DOWNLOADED      (J9_HANDLE_ATTRIBUTE_ETHEROLATE + 0x14)

#define J9_HANDLE_J9MA_SPORICIDAL      (J9_HANDLE_ATTRIBUTE_ETHEROLATE + 0x18)

#define J9_HANDLE_J9MA_DISTORTION      (J9_HANDLE_ATTRIBUTE_ETHEROLATE + 0x1c)


#define J9_HANDLE_J9MENU_INIMITABLY         (0x100)

#define J9_HANDLE_J9MA_STICHARION(_chan)    (J9_HANDLE_J9_RHABDOLOGY + J9_HANDLE_J9MENU_INIMITABLY * (_chan))

#define J9MIRROR_MERCURIATE(_chan)          (J9_HANDLE_J9MA_STICHARION(_chan) + 0x0)

#define J9_BOWDLERISATION(_chan)            (J9_HANDLE_J9MA_STICHARION(_chan) + 0x4)

#define J9_HANDLE_J9MA_PEDIMENTED(_chan)    (J9_HANDLE_J9MA_STICHARION(_chan) + 0x8)

#define J9_HANDLE_NOVICELIKE(_chan)         (J9_HANDLE_J9MA_STICHARION(_chan) + 0xc)

#define J9_HANDLE_OVERSIMPLY(_chan)         (J9_HANDLE_J9MA_STICHARION(_chan) + 0x10)

#define J9_HANDLE_J9_AUTOGENIES(_chan)      (J9_HANDLE_J9MA_STICHARION(_chan) + 0x14)

#define J9_HANDLE_J9M_MASTECTOMY(_chan)     (J9_HANDLE_J9MA_STICHARION(_chan) + 0x18)

#define J9_HANDLE_SPEEDINESS(_chan)         (J9_HANDLE_J9MA_STICHARION(_chan) + 0x1c)

#define J9_HANDLE_J9MIN_POSTLUDIUM(_chan)   (J9_HANDLE_J9MA_STICHARION(_chan) + 0x20)


#define J9_SCLEROSKELETON               (J9_HANDLE_J9_BURSECTOMY + 0x0)

#define J9_LUSTRIFICATION               (J9_HANDLE_J9_BURSECTOMY + 0x4)

#define J9_ANTIMETATHESIS               (J9_HANDLE_J9_BURSECTOMY + 0x8)

#define J9MATHS_CHRONICLED              (J9_HANDLE_J9_BURSECTOMY + 0xc)

#define J9MIRROR_ILLUCIDATE             (J9_HANDLE_J9_BURSECTOMY + 0x10)

#define J9_HANDLE_J9_INIMITABLY         (J9_HANDLE_J9_BURSECTOMY + 0x14)

#define J9_HANDLE_J9_SCOUTINGLY         (J9_HANDLE_J9_BURSECTOMY + 0x18)

#define J9_HANDLE_J9MIN_PREDECLINE      (J9_HANDLE_J9_BURSECTOMY + 0x1c)

#define J9_HANDLE_J9_PARAPSIDAL         (J9_HANDLE_J9_BURSECTOMY + 0x20)

#define J9_HANDLE_J9M_ILLUCIDATE        (J9_HANDLE_J9_BURSECTOMY + 0x24)

#define J9_HANDLE__SAPOROSITY           (J9_HANDLE_J9_BURSECTOMY + 0x28)

#define J9_HANDLE__BANDCUTTER           (J9_HANDLE_J9_BURSECTOMY + 0x2c)

#define J9_HANDLE_J_BESMUTTING          (J9_HANDLE_J9_BURSECTOMY + 0x30)

#define J9_HANDLE_J_POSTLUDIUM          (J9_HANDLE_J9_BURSECTOMY + 0x34)

#define J9_HANDLE_J_PARAPSIDAL          (J9_HANDLE_J9_BURSECTOMY + 0x38)

#define J9_HANDLE_J_SCOUTINGLY          (J9_HANDLE_J9_BURSECTOMY + 0x3c)

#define J9_HANDLE_J_INIMITABLY          (J9_HANDLE_J9_BURSECTOMY + 0x40)

#define J9_HANDLE_J_BURSECTOMY          (J9_HANDLE_J9_BURSECTOMY + 0x44)

#define J9_HANDLE__PREADAPTED           (J9_HANDLE_J9_BURSECTOMY + 0x48)

#define J9_HANDLE_J9_BESMUTTING         (J9_HANDLE_J9_BURSECTOMY + 0x4c)

#define J9_HANDLE_J9M_MERCURIATE        (J9_HANDLE_J9_BURSECTOMY + 0x50)

#define J9_HANDLE_ATTRIBUTE_TONGUELESS  (J9_HANDLE_J9_BURSECTOMY + 0x60)

#define J9_HANDLE_J9MENU_CHORIOMATA         (0x20)

#define J9_HANDLE_J9MA_INTERESTER(_chan)    (J9_HANDLE_J9_POSTLUDIUM + J9_HANDLE_J9MENU_CHORIOMATA * (_chan))

#define J9_HANDLE_J9MA_INIMITABLY(_chan)    (J9_HANDLE_J9MA_INTERESTER(_chan) + 0x0)

#define J9_HANDLE_J9MENU_PREPERFECT(_chan)  (J9_HANDLE_J9MA_INTERESTER(_chan) + 0x4)

#define J9_HANDLE_J9MA_BURSECTOMY(_chan)    (J9_HANDLE_J9MA_INTERESTER(_chan) + 0x8)

#define J9_HANDLE_J_CUREMASTER(_chan)       (J9_HANDLE_J9MA_INTERESTER(_chan) + 0xc)

#define J9_HANDLE_J9_CUREMASTER(_chan)      (J9_HANDLE_J9MA_INTERESTER(_chan) + 0x10)

#define J9_BIPARTISANISM                    (J9_HANDLE_J9_POSTLUDIUM + 0x80)

#define J9_HANDLE_MASTECTOMY                (J9_HANDLE_J9_POSTLUDIUM + 0x84)

#define J9_HANDLE_J9MENU_BRAZENNESS         (J9_HANDLE_J9MIRROR_MORBIDNESS + 0x0)

#define J9_HANDLE_J9MATHS_ANTIRACISM        (J9_HANDLE_J9MIRROR_MORBIDNESS + 0x4)

#define J9_HANDLE_J9MIN_QUINTUPLET          (J9_HANDLE_J9MIRROR_MORBIDNESS + 0x8)

#define J9_HANDLE_J9MA_PARAPSIDAL           (J9_HANDLE_J9MIRROR_MORBIDNESS + 0xc)

#define J9_HANDLE_J9MA_BESMUTTING           (J9_HANDLE_J9MIRROR_MORBIDNESS + 0x10)

#define J9_HANDLE_J9MIRROR_SEVENPENCE       (J9_HANDLE_J9MIRROR_MORBIDNESS + 0x14)

#define J9_HANDLE_J9MATHS_ETHEROLATE        (J9_HANDLE_J9MIRROR_MORBIDNESS + 0x1c)

#define J9_HANDLE_J9MENU_INSTILLING         (J9_HANDLE_J9MIRROR_MORBIDNESS + 0x20)

#define J9_HANDLE_J9MENU_GROUNDWAVE         (J9_HANDLE_J9MIRROR_MORBIDNESS + 0x24)

#define J9_HANDLE_J9MENU_CONGRUENCE         (J9_HANDLE_J9MIRROR_MORBIDNESS + 0x28)

#define J9_HANDLE_J9MENU_QUINTUPLET         (J9_HANDLE_J9MIRROR_MORBIDNESS + 0x2c)

#define J9_HANDLE_J9MATHS_OUTGAMBLED        (0x400)

#define J9_HANDLE_J9MIN_QUINOPYRIN(_chan)   (J9_HANDLE_J9M_INTERESTER + J9_HANDLE_J9MATHS_OUTGAMBLED * (_chan))

#define J9_HANDLE_J_RIFLEPROOF(_chan)       (J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0x0)

#define J9_HANDLE__PROMISSIVE(_chan)        (J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0x4)

#define J9_HANDLE_J9M_BURSECTOMY(_chan)     (J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0x8)

#define J9_HANDLE__JOINTURESS(_chan)        (J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0xc)

#define J9_HANDLE_MERCURIATE(_chan)         (J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0x10)

#define J9_HANDLE_J_CACODYLATE(_chan)       (J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0x14)

#define J9_HANDLE_J9MA_POSTLUDIUM(_chan)    (J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0x18)

#define J9_HANDLE_J_RHODIZONIC(_chan)       (J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0x1c)

#define J9_HANDLE_J9MIRROR_CROSSBENCH(_chan)(J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0x20)

#define J9_HANDLE_J9MENU_QUINOPYRIN(_chan)  (J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0x24)

#define J9_HANDLE_J9MIN_COFFEETIME(_chan)   (J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0x28)

#define J9_HANDLE_J9M_INIMITABLY(_chan)     (J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0x2c)

#define J9_HANDLE_J_PREDECLINE(_chan)       (J9_HANDLE_J9MIN_QUINOPYRIN(_chan) + 0x30)


#define J9_HANDLE_J_PALMETTOES             (J9_HANDLE_J9MATHS_TONGUELESS + 0x0)

#define J9_HANDLE__ATTRIBUTE_QUINTUPLET    (J9_HANDLE_J9MATHS_TONGUELESS + 0x4)

#define J9_HANDLE_J9MIRROR_BALLBUSTER      (J9_HANDLE_J9MATHS_TONGUELESS + 0x8)

#define J9_HANDLE_J9MIRROR_OVEREXPAND      (J9_HANDLE_J9MATHS_TONGUELESS + 0xC)

#define J9_HANDLE_J_ATTRIBUTE_PALEOSTYLY   (J9_HANDLE_J9MATHS_TONGUELESS + 0x10)

#define J9_HANDLE__ATTRIBUTE_QUINOPYRIN    (J9_HANDLE_J9MATHS_TONGUELESS + 0x18)

#define J9_HANDLE_J9M_SCOUTINGLY        (J9_HANDLE_J9MATHS_TONGUELESS + 0x20)

#define J9_HANDLE_J9MIN_OUTGAMBLED      (J9_HANDLE_J9MATHS_TONGUELESS + 0x24)

#define J9_HANDLE_J9MIN_ANTIRACISM      (J9_HANDLE_J9MATHS_TONGUELESS + 0x28)

#define J9_HANDLE_J9MIN_ETHEROLATE      (J9_HANDLE_J9MATHS_TONGUELESS + 0x2C)

#define J9_HANDLE_J9MA_OUTSAVORED       (J9_HANDLE_J9MATHS_TONGUELESS + 0x30)

#define J9_HANDLE_J9M_PARAPSIDAL        (J9_HANDLE_J9MATHS_TONGUELESS + 0x38)

#define J9_HANDLE_J9_ATTRIBUTE_PHLEBOLOGY       (J9_HANDLE_J9MATHS_TONGUELESS + 0x3C)

#define J9_HANDLE_J9MA_CUREMASTER               (J9_HANDLE_J9MATHS_TONGUELESS + 0x40)



#define J9_INTERJECTIONAL               (J9_HANDLE_J9M_RHABDOLOGY + 0x0)

#define J9MATHS_PROMISSIVE              (J9_HANDLE_J9M_RHABDOLOGY + 0x4)

#define J9MATHS_DEMOLISHED              (J9_HANDLE_J9M_RHABDOLOGY + 0x8)

#define J9MATHS_JOINTURESS              (J9_HANDLE_J9M_RHABDOLOGY + 0xC)

#define J9_OPPRESSIVENESS               (J9_HANDLE_J9M_RHABDOLOGY + 0x10)

#define J9_OVERCONTROLLED               (J9_HANDLE_J9M_RHABDOLOGY + 0x14)

#define J9_LUBRICIOUSNESS               (J9_HANDLE_J9M_RHABDOLOGY + 0x18)

#define J9_HANDLE_SAPIENTIZE            (J9_HANDLE_J9M_RHABDOLOGY + 0x1C)

#define J9_HANDLE_J9_OUTSAVORED         (J9_HANDLE_J9M_RHABDOLOGY + 0x20)

#define J9_HANDLE_J9MIN_GROUNDWAVE      (J9_HANDLE_J9M_RHABDOLOGY + 0x24)

#define J9_HANDLE_J9MA_SCOUTINGLY       (J9_HANDLE_J9M_RHABDOLOGY + 0x28)

#define J9MATHS_DOWNLOADED              (J9_HANDLE_J9M_RHABDOLOGY + 0x2C)

#define J9_HANDLE_J9M_AUTOGENIES        (J9_HANDLE_J9M_RHABDOLOGY + 0x30)

#define J9_HANDLE__CHRONICLED           (J9_HANDLE_J9M_RHABDOLOGY + 0x34)

#define J9_HANDLE_J_OUTSAVORED          (J9_HANDLE_J9M_RHABDOLOGY + 0x38)

#define J9_HANDLE_J9MIN_CONGRUENCE      (J9_HANDLE_J9M_RHABDOLOGY + 0x3C)

#define J9_HANDLE_J9MIN_BRAZENNESS      (J9_HANDLE_J9M_RHABDOLOGY + 0x40)

#define J9_HANDLE_J9MIN_INSTILLING      (J9_HANDLE_J9M_RHABDOLOGY + 0x44)

#define J9_HANDLE_J9_RIFLEPROOF         (J9_HANDLE_J9M_RHABDOLOGY + 0x48)

#define J9_HANDLE_J9_CACODYLATE         (J9_HANDLE_J9M_RHABDOLOGY + 0x4c)


#define J9_HANDLE_J9MIN_OUTSAVORED          (J9_HANDLE_J9MENU_PARAPSIDAL+(0X00))


#define J9_HANDLE_J9_INTERESTER          (J9_HANDLE_J9MIN_OUTSAVORED+(0X00))

#define J9_HANDLE_J9MA_ILLUCIDATE        (J9_HANDLE_J9MIN_OUTSAVORED+(0X04))

#define J9_HANDLE_J9MA_SAPIENTIZE        (J9_HANDLE_J9MIN_OUTSAVORED+(0X08))

#define J9_HANDLE_J9MA_MERCURIATE        (J9_HANDLE_J9MIN_OUTSAVORED+(0X0C))

#define J9_HANDLE_J9M_SAPIENTIZE         (J9_HANDLE_J9MIN_OUTSAVORED+(0X10))

#define J9_HANDLE_J9MIN_RIFLEPROOF       (J9_HANDLE_J9MIN_OUTSAVORED+(0X20))

#define J9_HANDLE_J9MIN_CACODYLATE       (J9_HANDLE_J9MIN_OUTSAVORED+(0X24))

#define J9_HANDLE_J9MA_MASTECTOMY        (J9_HANDLE_J9MIN_OUTSAVORED+(0X28))

#define J9_HANDLE_J9MIRROR_EXTRANEOUS    (J9_HANDLE_J9MIN_OUTSAVORED+(0X2C))

#define J9_HANDLE_J9MIRROR_TARTRONATE    (J9_HANDLE_J9MIN_OUTSAVORED+(0X30))

#define J9_HANDLE_J9MATHS_PRECONCEAL     (J9_HANDLE_J9MIN_OUTSAVORED+(0X34))

#define J9_HANDLE_J9MIRROR_GROUNDWARD    (J9_HANDLE_J9MIN_OUTSAVORED+(0X38))

#define J9_HANDLE_J9MIRROR_PRENEGLECT    (J9_HANDLE_J9MIN_OUTSAVORED+(0X3C))

#define J9_HANDLE_J9MIRROR_OXAMETHANE    (J9_HANDLE_J9MIN_OUTSAVORED+(0X40))

#define J9_HANDLE_J9MIRROR_REMODIFIED    (J9_HANDLE_J9MIN_OUTSAVORED+(0X44))

#define J9_HANDLE_J9MATHS_CELIOSCOPY     (J9_HANDLE_J9MIN_OUTSAVORED+(0X48))

#define J9_HANDLE_J9MATHS_CHORIOMATA     (J9_HANDLE_J9MIN_OUTSAVORED+(0X4C))

#define J9_HANDLE_J9MATHS_PREPERFECT     (J9_HANDLE_J9MIN_OUTSAVORED+(0X50))

#define J9_HANDLE_J9MATHS_BRAZENNESS     (J9_HANDLE_J9MIN_OUTSAVORED+(0X54))

#define J9_HANDLE_J9MATHS_INSTILLING     (J9_HANDLE_J9MIN_OUTSAVORED+(0X58))

#define J9_HANDLE_J9MENU_BESMUTTING      (J9_HANDLE_J9MIN_OUTSAVORED+(0X5C))

#define J9_HANDLE_J9_ATTRIBUTE_CROSSBENCH (J9_HANDLE_J9MIN_OUTSAVORED+(0X60))

#define J9_HANDLE_J9MA_SPEEDINESS         (J9_HANDLE_J9MIN_OUTSAVORED+(0X64))

#define J9_HANDLE_J9MA_ATTRIBUTE_GROUNDWARD  (J9_HANDLE_J9MIN_OUTSAVORED+(0X68))



#define J9_HANDLE_J9MA_AMIDSTREAM   (0x200)


#define J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)      (J9_HANDLE_J9MIRROR_THEOGONIST + (_chan)*J9_HANDLE_J9MA_AMIDSTREAM)



#define J9_HANDLE_J_ATTRIBUTE_PICHICIAGO(_chan)             (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x100))

#define J9_HANDLE_RIFLEPROOF        (0x0)
#define J9MIRROR_PARAPSIDAL         (0x10)


#define J9_HANDLE_J_ATTRIBUTE_TIMBERLIKE(_chan)             (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x104))

#define J9_HANDLE_J_PREPERFECT		(31)
#define J9_HANDLE_CUREMASTER		(30)
#define J9_HANDLE_J_PRECONCEAL		(8)
#define J9_HANDLE__NOVICELIKE		(1)
#define J9_HANDLE_J_BRAZENNESS		(0)


#define J9_HANDLE_J9MATHS_ATTRIBUTE_40000(_chan)       (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x108))
#define J9_HANDLE_J9MATHS_ATTRIBUTE_UNABLENESS(_chan)       (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x10C))

#define J9_HANDLE_J9MIRROR_ATTRIBUTE_CALCIFUGAL(_chan)      (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x110))
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_PHLEBOLOGY(_chan)      (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x120))


#define J9_HANDLE_ATTRIBUTE_BEHAVIOUR_COENOTYPIC(_chan)     (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x114))

#define J9_HANDLE_ATTRIBUTE_BEHAVIOUR_HOUSESMITH(_chan)     (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x118))


#define J9_HANDLE_J9_ATTRIBUTE_TIMBERLIKE(_chan)            (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x11C))



#define J9_HANDLE_J9_ATTRIBUTE_PALEOSTYLY(_chan)            (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x000))

#define J9_HANDLE_J9_ATTRIBUTE_PICHICIAGO(_chan)            (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x004))

#define J9_HANDLE_J9MIRROR_ATTRIBUTE_40000(_chan)      (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x008))
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_UNABLENESS(_chan)      (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x00C))

#define J9_HANDLE_J9MIRROR_ATTRIBUTE_COENOTYPIC(_chan)      (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x010))
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_HOUSESMITH(_chan)      (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x020))

#define J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_40000(_chan)   (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x014))
#define J9_HANDLE_J_ATTRIBUTE_BEHAVIOUR_UNABLENESS(_chan)   (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x018))

#define J9_HANDLE_J9M_ATTRIBUTE_LEPROLOGIC(_chan)           (J9_HANDLE__ATTRIBUTE_CONGRUENCE(_chan)+(0x01C))


#define J9_HANDLE_J_EVENTUATED                  (0x200)
#define J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)   (J9_HANDLE_J9MATHS_CONGRUENCE + (_chan)*J9_HANDLE_J_EVENTUATED)



#define J9_HANDLE_ATTRIBUTE_UNHONESTLY          (J9_HANDLE_J9MATHS_CONGRUENCE+(0xC))

#define J9_HANDLE_J_ATTRIBUTE_BALLBUSTER        (J9_HANDLE_J9MATHS_CONGRUENCE+(0x10))

#define J9_HANDLE__ATTRIBUTE_BRAZENNESS         (J9_HANDLE_J9MATHS_CONGRUENCE+(0x54))

#define J9_HANDLE_J9MIN_ATTRIBUTE_SEVENPENCE    (J9_HANDLE_J9MATHS_CONGRUENCE+(0x90))

#define J9_HANDLE_J9MA_ATTRIBUTE_PRENEGLECT     (J9_HANDLE_J9MATHS_CONGRUENCE+(0x4C))

#define J9_HANDLE_J9M_ATTRIBUTE_INUREMENTS      (J9_HANDLE_J9MATHS_CONGRUENCE+(0x58))


#define J9_HANDLE__ATTRIBUTE_PREPERFECT(_chan)        (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x200))

#define J9_HANDLE_J9M_ATTRIBUTE_SEVENPENCE(_chan)     (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x208))

#define J9_HANDLE_J9M_ATTRIBUTE_MORBIDNESS(_chan)     (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x20C))

#define J9_HANDLE_J9M_ATTRIBUTE_THEOGONIST(_chan)     (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x210))

#define J9_HANDLE_J9M_ATTRIBUTE_MISQUALITY(_chan)     (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x214))

#define J9_HANDLE_J9M_ATTRIBUTE_TARTRONATE(_chan)     (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x218))

#define J9_HANDLE_J9MA_ATTRIBUTE_REMODIFIED(_chan)    (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x21C))
#define J9_HANDLE_J9MA_ATTRIBUTE_OXAMETHANE(_chan)    (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x220))



#define J9_HANDLE__ATTRIBUTE_INSTILLING               (J9_HANDLE_J9MATHS_CONGRUENCE+(0x2C))

#define J9_HANDLE_J9_ATTRIBUTE_LEPROLOGIC             (J9_HANDLE_J9MATHS_CONGRUENCE+(0x30))

#define J9_HANDLE_J_ATTRIBUTE_LEPROLOGIC              (J9_HANDLE_J9MATHS_CONGRUENCE+(0xA8))

#define J9_HANDLE_J9MENU_ATTRIBUTE_PICHICIAGO         (J9_HANDLE_J9MATHS_CONGRUENCE+(0xC4))

#define J9_HANDLE_J9MIN_ATTRIBUTE_CROSSBENCH          (J9_HANDLE_J9MATHS_CONGRUENCE+(0xA0))

#define J9_HANDLE_J9MA_ATTRIBUTE_MISQUALITY           (J9_HANDLE_J9MATHS_CONGRUENCE+(0xAC))


#define J9_HANDLE_J_ATTRIBUTE_OVEREXPAND(_chan)       (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x300))

#define J9_HANDLE_J9MA_ATTRIBUTE_MORBIDNESS(_chan)    (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x308))

#define J9_HANDLE_J9MA_ATTRIBUTE_THEOGONIST(_chan)    (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x30C))

#define J9_HANDLE_J9MA_ATTRIBUTE_INUREMENTS(_chan)    (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x310))

#define J9_HANDLE_J9MA_ATTRIBUTE_TARTRONATE(_chan)    (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x314))

#define J9_HANDLE_J9MA_ATTRIBUTE_EXTRANEOUS(_chan)    (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x318))

#define J9_HANDLE_J9MIN_ATTRIBUTE_OVEREXPAND(_chan)   (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x31C))
#define J9_HANDLE_J9MIN_ATTRIBUTE_BALLBUSTER(_chan)   (J9_HANDLE_ATTRIBUTE_UNICYCLIST(_chan)+(0x320))


#define J9_HANDLE_J9_PYRETHROID   (0x100)

#define J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)     (J9_HANDLE_J9MIRROR_MISQUALITY + (_chan)*J9_HANDLE_J9_PYRETHROID)



#define J9_HANDLE_J9MENU_OUTSAVORED                (J9_HANDLE_J9MIRROR_MISQUALITY+(0x00))

#define J9_HANDLE_J_ATTRIBUTE_PATHOMANIA           (J9_HANDLE_J9MIRROR_MISQUALITY+(0x08))

#define J9_HANDLE_J9MATHS_QUINOPYRIN               (J9_HANDLE_J9MIRROR_MISQUALITY+(0x10))

#define J9_HANDLE_J9_BOARDWALKS         (1)
#define J9_HANDLE_J9M_ACERBATING        (0)


#define J9_HANDLE_J9MATHS_ATTRIBUTE_HOUSESMITH     (J9_HANDLE_J9MIRROR_MISQUALITY+(0x18))
#define J9_HANDLE_J9MENU_ATTRIBUTE_PHLEBOLOGY      (J9_HANDLE_J9MIRROR_MISQUALITY+(0x1C))

#define J9_HANDLE__UNCUTTABLE           (8)
#define J9MIRROR_CONQUERING             (0)


#define J9_HANDLE_J9M_ATTRIBUTE_CROSSBENCH          (J9_HANDLE_J9MIRROR_MISQUALITY+(0x30))

#define J9_HANDLE_J9_ATTRIBUTE_PATHOMANIA           (J9_HANDLE_J9MIRROR_MISQUALITY+(0x38))

#define J9_HANDLE_J9MIRROR_ATTRIBUTE_PALEOSTYLY     (J9_HANDLE_J9MIRROR_MISQUALITY+(0x40))

#define J9_HANDLE_J9MATHS_ATTRIBUTE_COENOTYPIC      (J9_HANDLE_J9MIRROR_MISQUALITY+(0x48))

#define J9_HANDLE_J9MA_ATTRIBUTE_SEVENPENCE         (J9_HANDLE_J9MIRROR_MISQUALITY+(0x50))

#define J9_HANDLE_ATTRIBUTE_CELIBATIST              (J9_HANDLE_J9MIRROR_MISQUALITY+(0x58))



#define J9_HANDLE_J9MENU_PALMETTOES(_chan)          (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x100))
#define J9_HANDLE_J9MIN_CHORIOMATA(_chan)           (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x104))

#define J9_HANDLE_J9MENU_CACODYLATE(_chan)          (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x108))
#define J9_HANDLE_J9MIN_CELIOSCOPY(_chan)           (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x10C))

#define J9_HANDLE_J9MATHS_QUINTUPLET(_chan)         (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x110))

#define J9_HANDLE_J9MENU_RIFLEPROOF(_chan)          (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x118))
#define J9_HANDLE_J9MIN_OVERKEENLY(_chan)           (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x11C))

#define J9_HANDLE_J9MA_ATTRIBUTE_SCOUTINGLY     (63)
#define J9_HANDLE_J9M_ATTRIBUTE_RHABDOLOGY      (62)
#define J9_HANDLE_J9_BRONZITITE                 (58)
#define J9_HANDLE_J9M_PYRETHROID                (57)
#define J9_HANDLE_J9M_BOARDWALKS                (56)
#define J9MATHS_COWARDICES                      (48)
#define J9_HANDLE__MANEUVERER                   (47)
#define J9MATHS_HOMEMAKERS                      (39)
#define J9_HANDLE__DAUPHINESS                   (38)
#define J9_HANDLE_J9MA_PHOTOMURAL               (11)
#define J9_HANDLE_J9MA_ARCHIVAULT               (8)
#define J9MIRROR_UNCONTRITE                     (0xFF)
#define J9MIRROR_SORDIDNESS                     (0xFF)
#define J9_HANDLE_J9MIN_UNDEBARRED              (0x7)
#define J9_HANDLE_J9MIN_UNEJECTIVE              (0x7)


#define J9_HANDLE_J9MENU_CUREMASTER(_chan)          (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x120))
#define J9_HANDLE_J9MIN_PALMETTOES(_chan)           (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x124))

#define J9_HANDLE_J9MIRROR_INGEMINATE           (2)
#define J9_HANDLE_J9MIRROR_OUTPURSUED           (0)
#define J9_HANDLE_ATTRIBUTE_OUTPURSUED          (0x3)
#define J9_HANDLE_ATTRIBUTE_BALSAMROOT          (0x3)


#define J9_HANDLE_J9MENU_RHODIZONIC(_chan)              (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x128))
#define J9_HANDLE_J9MIN_PRECONCEAL(_chan)               (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x12C))

#define J9_HANDLE_J9MIN_PREPERFECT(_chan)               (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x130))

#define J9_HANDLE_J9MENU_PRECONCEAL(_chan)              (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x138))

#define J9_HANDLE_J9MENU_CELIOSCOPY(_chan)              (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x140))

#define J9_HANDLE_J9MENU_ATTRIBUTE_PALEOSTYLY(_chan)    (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x148))

#define J9_HANDLE_J9MIN_RHODIZONIC(_chan)               (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x150))

#define J9_HANDLE_J9MENU_POSTLUDIUM(_chan)              (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x158))

#define J9_HANDLE_J9MA_AUTOGENIES(_chan)                (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x160))

#define J9_HANDLE_J9MA_RHABDOLOGY(_chan)                (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x168))

#define J9_HANDLE_J9MENU_OVERKEENLY(_chan)              (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x170))

#define J9_HANDLE_J9MENU_PREDECLINE(_chan)              (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x178))

#define J9_HANDLE_J9MIN_ATTRIBUTE_PATHOMANIA(_chan)     (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x180))

#define J9_HANDLE_J9MIRROR_INUREMENTS(_chan)            (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x188))

#define J9_HANDLE_J9MENU_ATTRIBUTE_QUINOPYRIN   (13)
#define J9_HANDLE_J_ATTRIBUTE_PROMISSIVE        (1)
#define J9_HANDLE_J9M_ATTRIBUTE_AUTOGENIES      (0)


#define J9_HANDLE_J9MIN_ATTRIBUTE_LEPROLOGIC(_chan)     (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x190))

#define J9_HANDLE_J9MATHS_COFFEETIME(_chan)             (J9_HANDLE__ATTRIBUTE_GROUNDWAVE(_chan)+(0x198))


#define J9_HANDLE_J9MA_OVERSIMPLY                         (J9_HANDLE_J9MIRROR_UNHONESTLY + (0x000))

#define J9_HANDLE_J9MA_NOVICELIKE                         (J9_HANDLE_J9MIRROR_UNHONESTLY + (0x200))



#define J9_HANDLE_JOINTURESS         (J9_HANDLE_J9MA_OVERSIMPLY + (0x4))

#define J9_HANDLE_DEMOLISHED         (J9_HANDLE_J9MA_OVERSIMPLY + (0x8))

#define J9_HANDLE_DOWNLOADED         (J9_HANDLE_J9MA_OVERSIMPLY + (0xc))

#define j9_handle_northlight         (J9_HANDLE_J9MA_OVERSIMPLY + (0x10))

#define J9_HANDLE_EXTRACTIVE         (J9_HANDLE_J9MA_OVERSIMPLY + (0x14))

#define J9_HANDLE_PREADAPTED         (J9_HANDLE_J9MA_OVERSIMPLY + (0x18))

#define J9_HANDLE_BANDCUTTER         (J9_HANDLE_J9MA_OVERSIMPLY + (0x1C))

#define j9_handle_coruscated         (J9_HANDLE_J9MA_OVERSIMPLY + (0x20))

#define J9_HANDLE_SAPOROSITY         (J9_HANDLE_J9MA_OVERSIMPLY + (0x24))

#define J9_HANDLE_CHRONICLED         (J9_HANDLE_J9MA_OVERSIMPLY + (0x28))

#define J9_HANDLE_PROMISSIVE         (J9_HANDLE_J9MA_OVERSIMPLY + (0x2C))

#define j9_handle_mutilating         (J9_HANDLE_J9MA_OVERSIMPLY + (0x30))

#define J9_HANDLE_J9M_PROMISSIVE     (J9_HANDLE_J9MA_OVERSIMPLY + (0x34))

#define j9_handle_adhesively         (J9_HANDLE_J9MA_OVERSIMPLY + (0x38))

#define j9_handle_greenstuff         (J9_HANDLE_J9MA_OVERSIMPLY + (0x3C))

#define j9_handle_ctenoidian         (J9_HANDLE_J9MA_OVERSIMPLY + (0x40))

#define J9_HANDLE__GREENSTUFF        (J9_HANDLE_J9MA_OVERSIMPLY + (0x44))

#define J9_HANDLE_J9_SPEEDINESS      (J9_HANDLE_J9MA_OVERSIMPLY + (0x48))

#define J9_HANDLE_J9MATHS_NOVICELIKE  (J9_HANDLE_J9MA_OVERSIMPLY + (0x4C))

#define J9_HANDLE_J9MIN_EXTRACTIVE    (J9_HANDLE_J9MA_OVERSIMPLY + (0x50))

#define J9_HANDLE_J9MIN_NORTHLIGHT    (J9_HANDLE_J9MA_OVERSIMPLY + (0x54))

#define J9_HANDLE__SUPERCIVIL         (J9_HANDLE_J9MA_OVERSIMPLY + (0x58))

#define J9_HANDLE_J_SPEEDINESS        (J9_HANDLE_J9MA_OVERSIMPLY + (0x5C))

#define J9_HANDLE_J9M_ATTRIBUTE_AZOBENZENE                   (J9_HANDLE_J9MIRROR_UNHONESTLY + (0x60))
#define J9_HANDLE_J9MIRROR_ATTRIBUTE_RHABDOLOGY(_chan)       (J9_HANDLE_J9MIRROR_UNHONESTLY + (0x64)+_chan*0x14)
#define J9_HANDLE_ATTRIBUTE_BEHAVIOUR_QUINOPYRIN(_chan)      (J9_HANDLE_J9MIRROR_UNHONESTLY + (0x68)+_chan*0x14)
#define J9_HANDLE_ATTRIBUTE_BEHAVIOUR_COFFEETIME(_chan)      (J9_HANDLE_J9MIRROR_UNHONESTLY + (0x6C)+_chan*0x14)
#define J9_HANDLE_ATTRIBUTE_BEHAVIOUR_CONGRUENCE(_chan)      (J9_HANDLE_J9MIRROR_UNHONESTLY + (0x70)+_chan*0x14)
#define J9_HANDLE_ATTRIBUTE_BEHAVIOUR_QUINTUPLET(_chan)      (J9_HANDLE_J9MIRROR_UNHONESTLY + (0x74)+_chan*0x14)
#define J9_HANDLE_J9M_ATTRIBUTE_CRISPATION                   (J9_HANDLE_J9MIRROR_UNHONESTLY + (0xA0))
#define J9_HANDLE_J9_ATTRIBUTE_MEDICATING                   (J9_HANDLE_J9MIRROR_UNHONESTLY + (0xA4))
#define J9_HANDLE_J9MENU_ATTRIBUTE_BANDCUTTER               (J9_HANDLE_J9MIRROR_UNHONESTLY + (0xA8))
#define J9_HANDLE_J9MA_ATTRIBUTE_BEGGARHOOD                 (J9_HANDLE_J9MIRROR_UNHONESTLY + (0xAC))



#define J9MIRROR_OVERSIMPLY                               (0x40000000)

#define J9_HANDLE_J_PEDIMENTED                            (0x1008)

#define J9_HANDLE_J9MIRROR_AUTOGENIES                     (0x100c)

#define J9_HANDLE_J9MATHS_OVERSIMPLY                      (0x1030)

#define J9_HANDLE_J_NOVICELIKE                            (0x1034)

#define J9_HANDLE_J_OVERSIMPLY                            (0x1010)

#define J9_HANDLE_J9MIRROR_INTERESTER                     (0x1014)

#define J9_HANDLE_J9_PEDIMENTED                           (0x1018)

#define J9_HANDLE_J9_STICHARION                           (0x1020)

#define J9_HANDLE_J9_OVERSIMPLY                           (0x1024)

#define J9_HANDLE_J9_NOVICELIKE                           (0x1028)

#define J9_HANDLE_J9MA_HYDRIATRIC                         (0x1044)

#define J9MIRROR_PEDIMENTED                               (0x104c)

#define J9_ELECTROCAUTERY                                 (0x1060)

#define J9MIRROR_STICHARION                               (0x1064)

#define J9MIRROR_COMMENCING                               (0x1068)

#define J9MIRROR_NOVICELIKE                               (0x1048)

#define J9_HANDLE_TETRAMETER                              (0x1054)

#define J9_HANDLE_J9MA_TETRAMETER                         (0x1094)



#define J9_HANDLE_SUPERCIVIL                     (J9_HANDLE_J_COMMENCING + (0x4000))

#define J9_HANDLE_J_STICHARION                   (J9_HANDLE_J_COMMENCING + (0x4100))

#define J9_HANDLE_J9MIN_CORUSCATED               (J9_HANDLE_J_COMMENCING + (0x4200))

#define J9_HANDLE_J9MENU_ATTRIBUTE_UNICYCLIST    (J9_HANDLE_J_COMMENCING + (0x4204))

#define J9_HANDLE_J9MATHS_ATTRIBUTE_SEVENPENCE   (J9_HANDLE_J_COMMENCING + (0x4208))

#define J9_HANDLE_J9MENU_ATTRIBUTE_UNHONESTLY    (J9_HANDLE_J_COMMENCING + (0x420c))

#define J9_HANDLE_J9MATHS_PEDIMENTED             (J9_HANDLE_J_COMMENCING + (0x4210))

#define J9_HANDLE_ATTRIBUTE_BURSECTOMY           (J9_HANDLE_J_COMMENCING + (0x4214))



#define J9_HANDLE_J9MATHS_COMMENCING             (J9_HANDLE_J_COMMENCING + (0x4c00))

#define J9_HANDLE_J9MA_SUPERCIVIL                (J9_HANDLE_J_COMMENCING + (0x4800))

#define J9_HANDLE_J9MATHS_STICHARION             (J9_HANDLE_J_COMMENCING + (0x4300))

#define J9_HANDLE__HYDRIATRIC                    (J9_HANDLE_J_COMMENCING + (0x4304))


#ifdef __cplusplus
}
#endif

#endif


