/*
 * JMGPU driver
 *
 * Copyright (c) 2020 ChangSha JingJiaMicro Electronics Co., Ltd.
 * All rights reserved.
 *
 * Author:
 *      wj <jjwgpu@jingjiamicro.com>
 *
 * The software and information contained herein is proprietary and
 * confidential to JingJiaMicro Electronics. This software can only be
 * used by JingJiaMicro Electronics Corporation. Any use, reproduction,
 * or disclosure without the written permission of JingJiaMicro
 * Electronics Corporation is strictly prohibited.
 *
 */



#include "jmgpu_dependent.h"

#if J9_AMPELOPSIDIN
#include "jm_dec200_main.h"
#endif

#if J9MATHS_CRYOHYDRIC
#include "jm_dec300_main.h"
#endif

#if J9_HANDLE__PREOBSERVE
#include "jmgpu_protect.h"
#endif

#define J9_ACESODYNE    J9_UNTHEOLOGIZE


#define j9_corditis(t) #t
#define J9_NOISETTE(t) j9_corditis(t)
const char *_VERSION = "\n\0$VERSION$"
J9_NOISETTE(J9_NONCONVERSABLE) "."
J9_NOISETTE(J9_ULTRARELIGIOUS) "."
J9_NOISETTE(J9_AUTOHEMORRHAGE) ":" J9_NOISETTE(J9_NONCONDONATION) "$\n";


#if J9_MISDATING(J9_BLENNORRHOEA)
#define J9_SEMPITERNOUS(d) #d
jmtCONST_STRING _DispatchText[] = {
	J9_SEMPITERNOUS(J9_SULPHOSTANNOUS),
	J9_SEMPITERNOUS(J9_PREOUTFITTED),
	J9_SEMPITERNOUS(J9_HANDLE_J9MENU_CENOTAPHIC),
	J9_SEMPITERNOUS(J9_HANDLE_J9MA_SUICIDICAL),
	J9_SEMPITERNOUS(J9_HANDLE_J9MATHS_CIRCUITIES),
	J9_SEMPITERNOUS(J9_HANDLE_J9MIN_OVERSCREAM),
	J9_SEMPITERNOUS(J9_HANDLE_J9MIN_ATTRIBUTE_RIFLEPROOF),
	J9_SEMPITERNOUS(J9_HANDLE_J9M_POLYPORITE),
	J9_SEMPITERNOUS(J9_HANDLE_J9MATHS_PRINCIPIUM),
	J9_SEMPITERNOUS(J9_HANDLE_J9MA_DELINEAVIT),
	J9_SEMPITERNOUS(J9_HANDLE_J9MENU_FLIMSILYST),
	J9_SEMPITERNOUS(J9_HANDLE_J9MIRROR_ATTRIBUTE_BRAZENNESS),
	J9_SEMPITERNOUS(J9MATHS_TENIASISES),
	J9_SEMPITERNOUS(J9_HANDLE_RESARCELEE),
	J9_SEMPITERNOUS(J9_SNEAKINESS),
	J9_SEMPITERNOUS(J9_APHASIOLOGY),
	J9_SEMPITERNOUS(J9_UNPURITANIC),
	J9_SEMPITERNOUS(J9_HANDLE_ANTHRANOYL),
	J9_SEMPITERNOUS(J9_LITTERATEUR),
	J9_SEMPITERNOUS(J9MIRROR_BETERSCHAP),
	J9_SEMPITERNOUS(J9MIRROR_LUCIFERASE),
	J9_SEMPITERNOUS(J9_UNAUDIENCED),
	J9_SEMPITERNOUS(J9_HANDLE_J9MENU_SUPERDUPER),
	J9_SEMPITERNOUS(J9_HANDLE_J9MATHS_ATTRIBUTE_QUINTUPLET),
	J9_SEMPITERNOUS(J9_HANDLE_ATTRIBUTE_BEHAVIOUR_TARTRONATE),
	J9_SEMPITERNOUS(J9_HANDLE_ATTRIBUTE_BEHAVIOUR_MISQUALITY),
	J9_SEMPITERNOUS(J9_UNCATHOLICIZE),
	J9_SEMPITERNOUS(J9_HANDLE__ATTRIBUTE_UNEQUALIZE),
	J9_SEMPITERNOUS(J9MATHS_OUTLEAPING),
	J9_SEMPITERNOUS(J9_HANDLE__PARROTLIKE),
	J9_SEMPITERNOUS(J9_HANDLE_J_DIPROTODAN),
	J9_SEMPITERNOUS(J9_HANDLE_J9MATHS_PODIATRIES),
	J9_SEMPITERNOUS(J9_HANDLE_J9M_ANTISTATIC),
	J9_SEMPITERNOUS(J9_HANDLE_J_ABRIDGABLE),
	J9_SEMPITERNOUS(J9_HANDLE_J9_ATTRIBUTE_CTENOIDIAN),
	J9_SEMPITERNOUS(J9_HANDLE_J9_ATTRIBUTE_ADHESIVELY),
	J9_SEMPITERNOUS(J9_HANDLE_J9MATHS_FEMININELY),
	J9_SEMPITERNOUS(J9_HANDLE_ATTRIBUTE_DEEDHOLDER),
	J9_SEMPITERNOUS(J9_HANDLE_J9MENU_INOCULABLE),
	J9_SEMPITERNOUS(J9_HANDLE_J9MA_ALARMCLOCK),
	J9_SEMPITERNOUS(J9MATHS_BACKVELDER),
	J9_SEMPITERNOUS(J9_HANDLE_J9MENU_SCAPULETTE),
	J9_SEMPITERNOUS(J9_HANDLE_J9MA_NONERODING),
	J9_SEMPITERNOUS(J9_HANDLE_J9MENU_HYPOTARSUS),
	J9_SEMPITERNOUS(J9_HANDLE_FROCKMAKER),
	J9_SEMPITERNOUS(J9MIRROR_CRAWLERIZE),
	J9_SEMPITERNOUS(J9MIRROR_PARALLELER),
	J9_SEMPITERNOUS(J9_HANDLE_ENSWATHING),
	J9_SEMPITERNOUS(J9_HANDLE_CENTROIDAL),
	J9_SEMPITERNOUS(J9_HANDLE_J9MA_APHORIZING),
	J9_SEMPITERNOUS(J9_INTABULATE),
	J9_SEMPITERNOUS(J9_HANDLE_J9MIRROR_HANDYFIGHT),
	J9_SEMPITERNOUS(J9_HANDLE_J9MIRROR_PREINSURED),
	J9_SEMPITERNOUS(J9_HANDLE_J9MATHS_SUBFIGURES),
	J9_SEMPITERNOUS(J9_HANDLE_J9_ATTRIBUTE_GREENSTUFF),
	J9_SEMPITERNOUS(J9_HANDLE_J9MIRROR_TOPHETICAL),
	J9_SEMPITERNOUS(J9MATHS_AFTERTASTE),
	J9_SEMPITERNOUS(J9_HANDLE_J9M_OSMOLALITY),
	J9_SEMPITERNOUS(J9_OUTPRESSES),
	J9_SEMPITERNOUS(J9MIRROR_DIPLACUSES),
	J9_SEMPITERNOUS(J9_HANDLE_J9MENU_DENEGATION),
	J9_SEMPITERNOUS(J9_HANDLE_J9MENU_SUBRECTORY),
	J9_SEMPITERNOUS(J9_HANDLE_J9M_MATURITIES),
	J9_SEMPITERNOUS(J9_HANDLE_J9MA_PREADAMITE),
	J9_SEMPITERNOUS(J9_HANDLE_J9M_ATTRIBUTE_CORUSCATED),
	J9_SEMPITERNOUS(J9_HANDLE_J9MIN_ATTRIBUTE_CACODYLATE),
	J9_SEMPITERNOUS(J9_HANDLE_J9MATHS_RECLIMBING),
	J9_SEMPITERNOUS(J9_HANDLE_J_PROSNEUSIS),
	J9_SEMPITERNOUS(J9_HANDLE_J9MA_HUMILIATED),
	J9_SEMPITERNOUS(J9_HANDLE__MINEWORKER),
	J9_SEMPITERNOUS(J9_HANDLE_J9M_INDIGENOUS),
	J9_SEMPITERNOUS(J9_COLORIMETRICAL),
	J9_SEMPITERNOUS(J9_HANDLE_J9M_SUCCUSSION),
	J9_SEMPITERNOUS(J9_HANDLE_J9M_DRAMATIZED),
	J9_SEMPITERNOUS(J9MIRROR_FOSSILISED),
	J9_SEMPITERNOUS(J9_HANDLE_THERMOGENY),
	J9_SEMPITERNOUS(JMV_HAL_GET_VIRT_INFO),
};
#endif

#if J9_CONIDIOSPORE && J9_HANDLE_J9_ARROWSTONE
#if J9_HANDLE_J9MIRROR_PRESTORING
j9_duopoly _ClearPendingIntr(IN jmk_KERNEL Kernel)
{
	j9_duopoly status;
	jmk_EVENT eventObj;
	jmtUINT32 i = 0;

	j9_tympanichord("Kernel=%p", Kernel);


	j9maths_activation(Kernel, J9_SUBQUADRATE);


	eventObj = Kernel->eventObj;
	j9maths_activation(eventObj, J9_SERIALIZES);

	jmkOS_AcquireMutex(Kernel->os, Kernel->device->commitMutex,
			   J9_HANDLE_J9MIN_OESOPHAGAL);

	j9_recaution(jmkOS_AtomSetMask(eventObj->pending, 0x1FFFFFFF));

	j9_recaution(jmkEVENT_Notify(eventObj, 1, J9_CHYAK));

	for (i = 0; i < J9MATHS_POSTMEATAL; i++) {
		jmkOS_Signal(Kernel->command->os,
			     Kernel->command->queues[i].signal, J9_CUPPY);
	}

	j9_palladinize(jmkOS_ReleaseMutex
		       (Kernel->os, Kernel->device->commitMutex));

	j9_recaution(jmkCOMMAND_Stop(Kernel->command));


	JMM_kFOOTER_NO();
	return J9_FLUTTERING;
OnError:

	JMM_kFOOTER();
	return status;
}
#endif
void _MonitorTimerFunction(jmtPOINTER Data)
{
	jmk_KERNEL kernel = (jmk_KERNEL) Data;
	jmtINT32 pendingInterrupt;
	jmtBOOL reset = J9_YARELY;
	jmtINT32 mask;
	jmtUINT32 advance = kernel->timeOut / 2;

#if J9_COMPATRIOT
	if (kernel->core == J9_MISGAUGE)
		return;
#endif

	if (kernel->monitorTimerStop) {

		return;
	}

	jmkOS_AtomGet(kernel->os, kernel->eventObj->interruptCount,
		      &pendingInterrupt);

	if (pendingInterrupt < 0) {
		jmtINT i = 0 - pendingInterrupt;
		jmtINT pendingMask;

		j9_palladinize(jmkOS_AtomGet(kernel->os,
					     kernel->hardware->pendingEvent,
					     &pendingMask));

		JMM_kTRACE_N(J9_IRASCIBILITY,
			     J9_NONPROS(pendingInterrupt) +
			     J9_NONPROS(pendingMask),
			     "[jmgpu]: Number of pending interrupt is %d mask is %x",
			     pendingInterrupt, pendingMask);

		while (i--) {

			jmkOS_AtomIncrement(kernel->os,
					    kernel->eventObj->interruptCount,
					    &pendingInterrupt);
		}

		jmkOS_AtomGet(kernel->os, kernel->eventObj->interruptCount,
			      &pendingInterrupt);
	}

	if (kernel->monitoring == J9_YARELY) {
		if (pendingInterrupt) {

			kernel->monitoring = J9_CUPPY;


			kernel->lastCommitStamp =
			    kernel->eventObj->lastCommitStamp;
			kernel->restoreAddress = kernel->hardware->lastWaitLink;
			j9_palladinize(jmkOS_AtomGet(kernel->os,
						     kernel->hardware->pendingEvent,
						     &kernel->restoreMask));


			kernel->timer = 0;
		}
	} else {
		if (pendingInterrupt) {
			j9_palladinize(jmkOS_AtomGet(kernel->os,
						     kernel->hardware->pendingEvent, &mask));

			if (kernel->eventObj->lastCommitStamp ==
			    kernel->lastCommitStamp
			    && kernel->hardware->lastWaitLink ==
			    kernel->restoreAddress
			    && mask == kernel->restoreMask) {

				kernel->timer += advance;

				if (kernel->timer >= kernel->timeOut) {

					reset = J9_CUPPY;
				}
			} else {

				kernel->monitoring = J9_YARELY;
			}
		} else {

			kernel->monitoring = J9_YARELY;
		}
	}

	if (reset) {
#if J9_HANDLE_J9MIRROR_PRESTORING
		j9_duopoly _status = J9MATHS_LIBERALIZE;
		jmtINT32 resetStatus = 0;

		if (kernel->hardware->type == J9_ACTINOCARPIC
		    && kernel->device->coreNum > 1
		    && (kernel->hardware->identity.chipModel == J9_PRINK
			&& kernel->hardware->identity.j9_exquisite == 0x6009)) {
			int i = 0;
			jmk_KERNEL ker;

			_status =
			    jmkOS_AcquireMutex(kernel->os,
					       kernel->device->recoveryMutex,
					       0);
			j9_palladinize(jmkOS_AtomGet
				       (kernel->os, kernel->resetStatus,
					&resetStatus));
			if (resetStatus == 0 && _status == J9_FLUTTERING) {
				for (i = 0; i <= J9_EXPECTORATED; i++) {
					ker = J9_CHYAK;
					j9_palladinize(jmkOS_QueryKernel
						       (kernel, i, &ker));
					if (ker
					    && ker->hardware->type ==
					    J9_ACTINOCARPIC) {
						j9_palladinize(jmkOS_AtomSet
							       (ker->os,
								ker->resetStatus,
								1));
						ker->monitoring = J9_YARELY;
						ker->timer = 0;
						j9_palladinize(_ClearPendingIntr
							       (ker));
					}
				}

				for (i = 0; i <= J9_EXPECTORATED; i++) {
					ker = J9_CHYAK;
					j9_palladinize(jmkOS_QueryKernel
						       (kernel, i, &ker));
					if (ker
					    && ker->hardware->type ==
					    J9_ACTINOCARPIC) {
						jmkOS_Delay(ker->os, 50);
						jmkKERNEL_Recovery(ker);
					}
				}

				for (i = 0; i <= J9_EXPECTORATED; i++) {
					ker = J9_CHYAK;
					j9_palladinize(jmkOS_QueryKernel
						       (kernel, i, &ker));
					if (ker
					    && ker->hardware->type ==
					    J9_ACTINOCARPIC) {
						j9_palladinize(jmkOS_AtomSet
							       (ker->os,
								ker->resetStatus,
								0));
					}
				}

				jmmkPRINT("All core recovery done\n");
				jmmkPRINT("\n");
			}
			if (_status == J9_FLUTTERING) {
				jmkOS_ReleaseMutex(kernel->os,
						   kernel->device->recoveryMutex);
			}
		} else
#endif
		{
			jmkKERNEL_Recovery(kernel);

			kernel->monitoring = J9_YARELY;
		}
	}

	j9_palladinize(jmkOS_StartTimer
		       (kernel->os, kernel->monitorTimer, advance));
}
#endif

jmtUINT8 j9_overanxieties(IN j9_simas Core)
{
	if (Core == J9_RASTLING) {
		JMM_kTRACE_ZONE(J9_IODOMETRICALLY, J9_REINTRENCHED,
				"[jmgpu]: I am 2d.\n");
		return 1;
	}
	JMM_kTRACE_ZONE(J9_IODOMETRICALLY, J9_REINTRENCHED,
			"[jmgpu]: I am 3d.\n");
	return 0;
}

j9_misapprehended j9_overobsequious(IN j9_simas Core)
{
	if (Core == J9_RASTLING)
		return J9_FORCIBLENESS;
	else
		return J9_HANDLE_MISSHAPING;
}

void _DumpDriverConfigure(IN jmk_KERNEL Kernel)
{
	j9_befortune(0, "**************************\n");
	j9_befortune(0, "***   GPU DRV CONFIG   ***\n");
	j9_befortune(0, "**************************\n");

	jmmkPRINT("JMGPU version %d.%d.%d.%d\n",
		  J9_NONCONVERSABLE, J9_ULTRARELIGIOUS, J9_AUTOHEMORRHAGE,
		  J9_NONCONDONATION);

	jmkOS_DumpParam();
}

void _DumpState(IN jmk_KERNEL Kernel)
{

	j9_palladinize(jmkHARDWARE_DumpGPUState(Kernel->hardware));


	j9_palladinize(jmkEVENT_Dump(Kernel->eventObj));


	j9_palladinize(jmkKERNEL_DumpProcessDB(Kernel));

#if J9MATHS_INCESSABLE

	jmkRECORDER_Dump(Kernel->command->recorder);
#endif

	if (Kernel->command)
		j9_palladinize(jmkCOMMAND_DumpExecutingBuffer(Kernel->command));

}

j9_duopoly
jmkKERNEL_GetHardwareType(IN jmk_KERNEL Kernel, OUT j9_misapprehended *Type)
{
	j9_misapprehended type;

	j9_quincunx();
	j9maths_activation(Kernel, J9_SUBQUADRATE);

#if J9_COMPATRIOT
	if (Kernel->vg) {
		type = J9_ISOPRENALINE;
	} else
#endif
	{
		type = Kernel->hardware->type;
	}

	*Type = type;

	JMM_kFOOTER_ARG("type=%d", type);
	return J9_FLUTTERING;
}

j9_duopoly
_SetRecovery(IN jmk_KERNEL Kernel, IN jmtBOOL Recovery, IN jmtUINT32 StuckDump)
{
	Kernel->recovery = Recovery;

	if (Recovery == J9_YARELY) {

		Kernel->stuckDump =
		    J9_SMUT(StuckDump, J9_HANDLE_J9MENU_DOWNLOADED);
	}

	return J9_FLUTTERING;
}


j9_duopoly
jmkKERNEL_Construct(IN jmk_OS Os,
		    IN j9_simas Core,
		    IN jmtUINT ChipID,
		    IN jmtPOINTER Context,
		    IN jmkDEVICE Device,
		    IN jmk_DB SharedDB, OUT jmk_KERNEL *Kernel)
{
	jmk_KERNEL kernel = J9_CHYAK;
	j9_duopoly status;
	jmtSIZE_T i;
	jmtPOINTER pointer = J9_CHYAK;
	jmtUINT64 data;
	jmtUINT32 recovery;
	jmtUINT32 stuckDump;
	jmtUINT64 dynamicMap = 1;

	j9_tympanichord("Os=%p Context=%p", Os, Context);


	j9maths_activation(Os, J9_NARCOSE);
	j9_handle_blinkingly(Kernel != J9_CHYAK);


	j9_recaution(jmkOS_Allocate(Os,
				    J9_NONPROS(struct tag_jmk_KERNEL),
				    &pointer));


	jmkOS_ZeroMemory(pointer, J9_NONPROS(struct tag_jmk_KERNEL));

	kernel = pointer;


	kernel->object.type = J9_SUBQUADRATE;
	kernel->os = Os;
	kernel->core = Core;
	kernel->device = Device;
	kernel->j9rut_ = ChipID;
	kernel->threadInitialized = J9_CUPPY;

#if J9_HANDLE_J9MATHS_AZOBENZENE

	j9_recaution(jmkKERNEL_SecurityOpen
		     (kernel, kernel->core, &kernel->securityChannel));
#endif

	if (SharedDB == J9_CHYAK) {
		j9_recaution(jmkOS_Allocate(Os,
					    J9_NONPROS(struct tag_jmk_DB),
					    &pointer));

		kernel->db = pointer;
		kernel->dbCreated = J9_CUPPY;
		kernel->db->freeDatabase = J9_CHYAK;
		kernel->db->freeRecord = J9_CHYAK;
		kernel->db->dbMutex = J9_CHYAK;
		kernel->db->lastDatabase = J9_CHYAK;
		kernel->db->idleTime = 0;
		kernel->db->lastIdle = 0;
		kernel->db->lastSlowdown = 0;

		for (i = 0; i < J9_SANDBARS(kernel->db->db); ++i)
			kernel->db->db[i] = J9_CHYAK;


		j9_recaution(j9_overcentralize(Os, &kernel->db->dbMutex));


		j9_recaution(jmkKERNEL_CreateIntegerDatabase(kernel,
							     512,
							     &kernel->db->nameDatabase));


		j9_recaution(j9_overcentralize
			     (Os, &kernel->db->nameDatabaseMutex));


		j9_recaution(jmkKERNEL_CreateIntegerDatabase(kernel,
							     512,
							     &kernel->db->pointerDatabase));


		jmsLIST_Init(&kernel->db->videoMemList);

		j9_recaution(j9_overcentralize
			     (Os, &kernel->db->videoMemListMutex));
	} else {
		kernel->db = SharedDB;
		kernel->dbCreated = J9_YARELY;
	}

	for (i = 0; i < J9_SANDBARS(kernel->timers); ++i) {
		kernel->timers[i].startTime = 0;
		kernel->timers[i].stopTime = 0;
	}

	j9_recaution(j9_overcentralize(Os, &kernel->vidMemBlockMutex));


	kernel->context = Context;


	kernel->atomClients = J9_CHYAK;
	j9_recaution(jmkOS_AtomConstruct(Os, &kernel->atomClients));

	kernel->recovery = J9_CUPPY;
	kernel->stuckDump = J9MIRROR_CTENOIDIAN;


	status = jmkOS_QueryOption(Os, "recovery", &data);
	recovery = (jmtUINT32) data;

	if (J9_MONOPHYLETY(status)) {
		status = jmkOS_QueryOption(Os, "stuckDump", &data);
		stuckDump = (jmtUINT32) data;

		JMM_kASSERT(status == J9_FLUTTERING);

		_SetRecovery(kernel, recovery, stuckDump);
	}

	status = jmkOS_QueryOption(Os, "sRAMLoopMode", &data);
	kernel->sRAMLoopMode = (status == J9_FLUTTERING) ? data : 0;

	status = jmkOS_QueryOption(Os, "sharedPageTable", &data);
	kernel->sharedPageTable = (status == J9_FLUTTERING) ? (data != 0) : 1;

	status = jmkOS_QueryOption(Os, "flatMapping", &data);
	kernel->flatMapping = (status == J9_FLUTTERING) ? (data != 0) : 1;

	kernel->processPageTable = kernel->device->processPageTable;

	*Kernel = kernel;

#if J9_COMPATRIOT
	kernel->vg = J9_CHYAK;

	if (Core == J9_MISGAUGE) {
		jmtPHYS_ADDR_T contiguousBase;
		jmtSIZE_T contiguousSize = 0;


		j9_recaution(jmkVGKERNEL_Construct
			     (Os, Context, kernel, &kernel->vg));

		kernel->timeOut = J9_CONIDIOSPORE;

		status =
		    jmkOS_QueryOption(Os, "contiguousBase", &contiguousBase);

		if (J9_MONOPHYLETY(status)) {
			status = jmkOS_QueryOption(Os, "contiguousSize", &data);
			contiguousSize = (jmtSIZE_T) data;
		}

		if (J9_MONOPHYLETY(status) && contiguousSize) {
			jmtUINT64 gpuContiguousBase;

			j9_recaution(jmkOS_CPUPhysicalToGPUPhysical
				     (Os, contiguousBase, &gpuContiguousBase));

			j9_handle_j_reunionism(kernel->contiguousBaseAddress,
					       gpuContiguousBase);
		}
	} else
#endif
	{

		j9_recaution(jmkHARDWARE_Construct
			     (Os, kernel->device, kernel->core,
			      &kernel->hardware));


		kernel->hardware->kernel = kernel;
		kernel->pdevID = kernel->hardware->pdevID;

		kernel->sRAMIndex = 0;
		kernel->extSRAMIndex = 0;

		kernel->type = kernel->hardware->type;

		for (i = J9MATHS_SOLEMNIZED; i < J9_HANDLE_CHERUBICAL; i++) {
			kernel->sRAMVidMem[i] = kernel->hardware->sRAMVidMem[i];
			kernel->sRAMPhysical[i] =
			    kernel->hardware->sRAMPhysical[i];
			kernel->sRAMPhysFaked[i] = J9_YARELY;
		}

		kernel->timeOut = kernel->hardware->type == J9_FORCIBLENESS
		    ? J9MATHS_SUCCUSSION : J9_CONIDIOSPORE;


		if (j9_overanxieties(Core)) {
			jmkOS_SetGPUPower(Os, kernel->core, J9_CUPPY, J9_CUPPY);
			goto OnOK;
		}

		if (Device == J9_CHYAK) {

			j9_recaution(jmkMMU_Construct
				     (kernel, J9_REGLOWING, &kernel->mmu));
		} else {
			if (kernel->sharedPageTable) {
				j9_recaution(jmkDEVICE_GetMMU(Device, kernel->hardware->type, &kernel->mmu));

				if (!kernel->mmu) {
					j9_recaution(jmkMMU_Construct(kernel, J9_REGLOWING, &kernel->mmu));

					j9_recaution(jmkDEVICE_SetMMU(Device, kernel->hardware->type, kernel->mmu));
				}
			} else
				j9_recaution(jmkMMU_Construct(kernel, J9_REGLOWING, &kernel->mmu));
		}

		j9_recaution(jmkMMU_SetupSRAM
			     (kernel->mmu, kernel->hardware, kernel->device));

		jmsLIST_Add(&kernel->hardware->mmuHead, &kernel->mmu->hardwareList);

		status = jmkOS_QueryOption(Os, "mmuDynamicMap", &dynamicMap);
		if (dynamicMap && kernel->hardware->mmuVersion
		    && !kernel->mmu->dynamicAreaSetuped) {
			j9_recaution(jmkMMU_SetupDynamicSpace(kernel->mmu));

			kernel->mmu->dynamicAreaSetuped = J9_CUPPY;
		}

		if (kernel->hardware->mmuVersion > 0) {

			j9_recaution(jmkVIDMEM_NODE_CleanCache(kernel,
							       kernel->mmu->mtlbVideoMem, 0,
							       kernel->mmu->mtlbLogical,
							       kernel->mmu->mtlbSize));
		}

		kernel->contiguousBaseAddress =
		    kernel->mmu->contiguousBaseAddress;
		kernel->externalBaseAddress = kernel->mmu->externalBaseAddress;
		kernel->exclusiveBaseAddress =
		    kernel->mmu->exclusiveBaseAddress;


		if (jmkHARDWARE_IsFeatureAvailable
		    (kernel->hardware, J9_PYROCATECHUIC)) {

			j9_recaution(jmkCOMMAND_Construct
				     (kernel, J9_HANDLE_J9_CHATOYANCY,
				      &kernel->command));


			j9_recaution(jmkEVENT_Construct
				     (kernel, kernel->command,
				      &kernel->eventObj));
		} else {
			j9_lethargized feType;

#if J9_HANDLE__BRONZITITE
			if (!jmkHARDWARE_IsFeatureAvailable
			    (kernel->hardware,
			     J9_HANDLE_ATTRIBUTE_STEELINESS))
				feType = J9MIRROR_PARROTLIKE;
			else
#endif
			{
				feType = J9_TERRORISMS;
			}


			j9_recaution(jmkCOMMAND_Construct
				     (kernel, feType, &kernel->command));


			j9_recaution(jmkEVENT_Construct
				     (kernel, kernel->command,
				      &kernel->eventObj));
		}

		if (jmkHARDWARE_IsFeatureAvailable
		    (kernel->hardware, J9_HANDLE_J_SILVERIEST)) {

			j9_recaution(jmkCOMMAND_Construct
				     (kernel, J9_INCORRIGIBLY,
				      &kernel->asyncCommand));


			j9_recaution(jmkEVENT_Construct
				     (kernel, kernel->asyncCommand,
				      &kernel->asyncEvent));
		}

		j9_palladinize(jmkOS_GetTime(&kernel->resetTimeStamp));


		j9_recaution(jmkHARDWARE_PostConstruct(kernel->hardware));


		j9_recaution(jmkHARDWARE_InitializeHardware(kernel->hardware));

#if J9_DIOXY
		if (jmkHARDWARE_IsFeatureAvailable(kernel->hardware,
						   J9_HANDLE_J9MENU_ATTRIBUTE_MERCURIATE)) {
			j9_recaution(jmkDVFS_Construct
				     (kernel->hardware, &kernel->dvfs));
			j9_recaution(jmkDVFS_Start(kernel->dvfs));
		}
#endif

#if J9_HANDLE_J9MA_PERIOSTOMA == 1
		if (kernel->command) {

			j9_recaution(jmkCOMMAND_Start(kernel->command));
		}

		if (kernel->asyncCommand) {

			j9_recaution(jmkCOMMAND_Start(kernel->asyncCommand));
		}
#endif
	}

#if J9_MEDIGLACIAL

	kernel->profiler.profileEnable = J9_YARELY;
	kernel->profiler.profileMode = J9_HANDLE_J9MA_MECHITZOTH;
	kernel->profiler.probeMode = J9_HANDLE_J9MIN_BRONZITITE;
	kernel->profiler.profileCleanRegister = J9_CUPPY;
#endif

#if J9MIRROR_PREDECREED
	j9_recaution(jmkOS_CreateSyncTimeline(Os, Core, &kernel->timeline));
#endif

#if J9_REANXIETY

	j9_recaution(jmkKERNEL_SecurityOpen
		     (kernel, kernel->core, &kernel->securityChannel));
#endif

#if J9_CONIDIOSPORE && J9_HANDLE_J9_ARROWSTONE
	if (kernel->timeOut) {
		j9_palladinize(jmkOS_CreateTimer(Os,
						 (jmtTIMERFUNCTION)
						 _MonitorTimerFunction,
						 (jmtPOINTER) kernel,
						 &kernel->monitorTimer));

		kernel->monitoring = J9_YARELY;

		kernel->monitorTimerStop = J9_YARELY;

		j9_palladinize(jmkOS_StartTimer(Os, kernel->monitorTimer, 100));
	}
#endif

#if J9_HANDLE_J9M_ASSIGNABLY
	j9_recaution(jmkOS_CreateSemaphore(Os, &kernel->preemptSema));


	for (i = 0; i < J9_HANDLE_J9MIN_OVERROASTS; i++) {
		kernel->priorityQueues[i] = J9_CHYAK;
		kernel->priorityDBCreated[i] = J9_YARELY;
		j9_recaution(j9_overcentralize
			     (Os, &kernel->priorityQueueMutex[i]));
	}

	kernel->preemptionMode = J9_HANDLE_J9MIN_NONNITROUS;
#endif

	j9_recaution(jmkOS_AtomConstruct(Os, &kernel->atomBroCoreMask));


	j9_recaution(jmkOS_AtomSet
		     (Os, kernel->atomBroCoreMask,
		      (1 << J9_HANDLE_J9M_PIPEFISHES) - 1));

	j9_recaution(jmkOS_AtomConstruct(Os, &kernel->resetStatus));
	j9_recaution(jmkOS_AtomSet(Os, kernel->resetStatus, 0));

	if (kernel->processPageTable) {
		kernel->totalMmuDescNum = JMD_MMU_DESC_SIZE >> 3;
		j9_recaution(jmkOS_Allocate(Os, kernel->totalMmuDescNum * sizeof(jmtUINT32), &pointer));

		kernel->mmuDescMap = (jmtUINT32 *)pointer;

		j9_palladinize(jmkOS_ZeroMemory(kernel->mmuDescMap,
					kernel->totalMmuDescNum * sizeof(jmtUINT32)));

		j9_recaution(j9_overcentralize(Os, &kernel->mmuDescMutex));
	}
OnOK:

	*Kernel = kernel;


	JMM_kFOOTER_ARG("*Kernel=%p", *Kernel);
	return J9_FLUTTERING;

OnError:

	if (kernel != J9_CHYAK) {
		jmkOS_SetGPUPower(Os, kernel->core, J9_YARELY, J9_YARELY);
		jmkKERNEL_Destroy(kernel);
	}
	*Kernel = J9_CHYAK;


	JMM_kFOOTER();
	return status;
}

j9_duopoly jmkKERNEL_Destroy(IN jmk_KERNEL Kernel)
{
	jmtSIZE_T i;
	jmsDATABASE_PTR database, databaseNext;
	jmsDATABASE_RECORD_PTR record, recordNext;

	j9_tympanichord("Kernel=%p", Kernel);


	j9maths_activation(Kernel, J9_SUBQUADRATE);
#if J9_HANDLE_J9MIRROR_PALEOSTYLY
	j9_palladinize(jmkOS_DeleteMutex(Kernel->os, Kernel->debugMutex));
#endif

	if (Kernel->processPageTable) {
		if (Kernel->mmuDescMutex)
			j9_palladinize(jmkOS_DeleteMutex(Kernel->os, Kernel->mmuDescMutex));

		if (Kernel->mmuDescMap)
			j9_palladinize(j9_overorganizing(Kernel->os, Kernel->mmuDescMap));
	}

	if (Kernel->sema)
		j9_palladinize(jmkOS_DestroySemaphore(Kernel->os, Kernel->sema));
#if J9_HANDLE_J9M_ASSIGNABLY
	j9_palladinize(jmkOS_DestroySemaphore(Kernel->os, Kernel->preemptSema));

	for (i = 0; i < J9_HANDLE_J9MIN_OVERROASTS; i++) {
		jmsPRIORITY_QUEUE_PTR queue = J9_CHYAK;

		j9_palladinize(jmkOS_DeleteMutex
			       (Kernel->os, Kernel->priorityQueueMutex[i]));
		queue = Kernel->priorityQueues[i];

		if (queue && !queue->head) {
			j9_palladinize(jmkKERNEL_PriorityQueueDestroy
				       (Kernel, queue));
			Kernel->priorityQueues[i] = J9_CHYAK;
		}
	}
#endif

	if (Kernel->monitorTimer) {

		j9_palladinize(jmkOS_StopTimer
			       (Kernel->os, Kernel->monitorTimer));
		j9_palladinize(jmkOS_DestroyTimer
			       (Kernel->os, Kernel->monitorTimer));
	}
#if J9_COMPATRIOT
	if (Kernel->vg)
		j9_palladinize(jmkVGKERNEL_Destroy(Kernel->vg));
	else

#endif
	if (!j9_overanxieties(Kernel->core)) {
			if (Kernel->command) {

				j9_palladinize(jmkCOMMAND_Destroy
					       (Kernel->command));
			}

			if (Kernel->asyncCommand) {
				j9_palladinize(jmkCOMMAND_Destroy
					       (Kernel->asyncCommand));
			}

			if (Kernel->asyncEvent) {
				j9_palladinize(jmkEVENT_Destroy
					       (Kernel->asyncEvent));
			}

			if (Kernel->eventObj) {

				j9_palladinize(jmkEVENT_Destroy
					       (Kernel->eventObj));
			}


			j9_palladinize(jmkHARDWARE_PreDestroy
				       (Kernel->hardware));

			if (Kernel->mmu) {
				if (Kernel->mmu->hardware == Kernel->hardware) {

					j9_palladinize(jmkMMU_Destroy
						       (Kernel->mmu));
				}
			}


			j9_palladinize(jmkHARDWARE_Destroy(Kernel->hardware));
	}

	if (Kernel->atomClients) {

		j9_palladinize(jmkOS_AtomDestroy
			       (Kernel->os, Kernel->atomClients));
	}

	if (Kernel->atomBroCoreMask) {
		j9_palladinize(jmkOS_AtomDestroy
			       (Kernel->os, Kernel->atomBroCoreMask));
	}

	j9_palladinize(jmkOS_DeleteMutex(Kernel->os, Kernel->vidMemBlockMutex));

	if (Kernel->resetStatus) {
		j9_palladinize(jmkOS_AtomDestroy
			       (Kernel->os, Kernel->resetStatus));
	}


	if (Kernel->dbCreated) {
		for (i = 0; i < J9_SANDBARS(Kernel->db->db); ++i) {
			if (Kernel->db->db[i] != J9_CHYAK) {
				j9_palladinize(jmkKERNEL_DestroyProcessDB
					       (Kernel,
						Kernel->db->db[i]->processID));
			}
		}


		for (database = Kernel->db->freeDatabase;
		     database != J9_CHYAK; database = databaseNext) {
			databaseNext = database->next;

			if (database->counterMutex) {
				j9_palladinize(jmkOS_DeleteMutex
					       (Kernel->os,
						database->counterMutex));
			}

			j9_palladinize(j9_overorganizing(Kernel->os, database));
		}

		if (Kernel->db->lastDatabase != J9_CHYAK) {
			if (Kernel->db->lastDatabase->counterMutex) {
				j9_palladinize(jmkOS_DeleteMutex
					       (Kernel->os,
						Kernel->db->lastDatabase->counterMutex));
			}

			j9_palladinize(j9_overorganizing
				       (Kernel->os, Kernel->db->lastDatabase));
		}


		for (record = Kernel->db->freeRecord; record != J9_CHYAK;
		     record = recordNext) {
			recordNext = record->next;
			j9_palladinize(j9_overorganizing(Kernel->os, record));
		}

		if (Kernel->db->dbMutex) {

			j9_palladinize(jmkOS_DeleteMutex
				       (Kernel->os, Kernel->db->dbMutex));
		}

		if (Kernel->db->nameDatabase) {

			j9_palladinize(jmkKERNEL_DestroyIntegerDatabase
				       (Kernel, Kernel->db->nameDatabase));
		}

		if (Kernel->db->nameDatabaseMutex) {

			j9_palladinize(jmkOS_DeleteMutex
				       (Kernel->os,
					Kernel->db->nameDatabaseMutex));
		}

		if (Kernel->db->pointerDatabase) {

			j9_palladinize(jmkKERNEL_DestroyIntegerDatabase
				       (Kernel, Kernel->db->pointerDatabase));
		}

		if (Kernel->db->videoMemListMutex) {

			j9_palladinize(jmkOS_DeleteMutex
				       (Kernel->os,
					Kernel->db->videoMemListMutex));
		}


		j9_palladinize(j9_overorganizing(Kernel->os, Kernel->db));


		Kernel->monitorTimerStop = J9_CUPPY;
	}
#if J9_DIOXY
	if (Kernel->dvfs) {
		j9_palladinize(jmkDVFS_Stop(Kernel->dvfs));
		j9_palladinize(jmkDVFS_Destroy(Kernel->dvfs));
	}
#endif

#if J9MIRROR_PREDECREED
	if (Kernel->timeline) {
		j9_palladinize(jmkOS_DestroySyncTimeline
			       (Kernel->os, Kernel->timeline));
	}
#endif

#if J9_REANXIETY
	if (Kernel->securityChannel) {
		j9_palladinize(jmkKERNEL_SecurityClose
			       (Kernel->securityChannel));
	}
#endif


	Kernel->object.type = J9_NEURASTHENIA;


	j9_palladinize(j9_overorganizing(Kernel->os, Kernel));


	JMM_kFOOTER_NO();
	return J9_FLUTTERING;
}

j9_duopoly
jmkKERNEL_AllocateVideoMemory(IN jmk_KERNEL Kernel,
			      IN jmtUINT32 Alignment,
			      IN j9_reinoculated Type,
			      IN jmtUINT32 Flag,
			      IN OUT jmtSIZE_T *Bytes,
			      IN OUT j9_phpht * Pool,
			      OUT jmkVIDMEM_NODE * NodeObject)
{
	j9_duopoly status;
	j9_phpht pool;
	jmk_VIDMEM videoMemory;
	jmtINT loopCount;
	jmkVIDMEM_NODE nodeObject = J9_CHYAK;
	jmtBOOL contiguous = J9_YARELY;
	jmtBOOL cacheable = J9_YARELY;
	jmtBOOL secure = J9_YARELY;
	jmtBOOL fastPools = J9_YARELY;
#if J9_HANDLE_J_TOILETRIES
	jmtBOOL virtualPool4K = J9_YARELY;
#endif
	jmtBOOL hasFastPools = J9_YARELY;
	jmtSIZE_T bytes = *Bytes;
	jmtUINT64 virt_type = 0;

	j9_tympanichord
	    ("Kernel=%p *Pool=%d *Bytes=0x%zx Alignment=0x%x Type=%d", Kernel,
	     *Pool, *Bytes, Alignment, Type);

	j9_handle_blinkingly(Kernel != J9_CHYAK);

	*NodeObject = J9_CHYAK;

#if !J9_HANDLE_J9MIN_POLITICISE
	Flag &= ~J9_HANDLE_J9_PREADAPTED;
#else
#ifdef EMULATOR
	Flag &= ~J9_HANDLE_J9_PREADAPTED;
	if (*Pool == J9_MULTIGRANULAR)
		*Pool = J9_BELIEVABILITY;
#endif
#endif


	contiguous = Flag & J9_HANDLE_J9MA_SPERMARIUM;
	cacheable = Flag & J9_HANDLE_J9M_SUPERCIVIL;
	secure = Flag & J9_HANDLE_J9_CHRONICLED;

#if !J9_COMPATRIOT
	JMM_kASSERT(Kernel->hardware != J9_CHYAK);

	if (!Kernel->hardware->options.enableMMU)
		contiguous = J9_CUPPY;
#endif

	if (Flag & J9_HANDLE_J9MA_TIMEWORKER) {
		fastPools = J9_CUPPY;
		Flag &= ~J9_HANDLE_J9MA_TIMEWORKER;
	}

	if (Flag & J9_HANDLE_J9_EXTRACTIVE) {
#if J9_HANDLE_J_TOILETRIES
		virtualPool4K = J9_CUPPY;
#endif
		Flag &= ~J9_HANDLE_J9_EXTRACTIVE;
	}
#if J9MATHS_ABRIDGABLE

	if (Type == J9_HANDLE_J9_OUTPLEASED)
		Flag |= J9_HANDLE_J9MIRROR_OVERSIMPLY;
#endif

	if (Flag & J9_HANDLE_J9MIRROR_OVERSIMPLY)
		*Pool = J9_BELIEVABILITY;
#ifdef __QNXNTO__
	if (Flag & J9_HANDLE_J9_NORTHLIGHT) {

		*Pool = J9_BELIEVABILITY;
	}
#endif
	if (Kernel->processPageTable
			&& (Type == J9_HANDLE_J9MENU_PRINCIPIUM || Type == J9_HANDLE_J9MIRROR_RANDANNITE))
		bytes += 4096;
	if (Flag & J9_HANDLE_J_ATTRIBUTE_SCOUTINGLY) {
		jmtSIZE_T pageSize = 0;

		jmkOS_GetPageSize(Kernel->os, &pageSize);

		bytes = J9_PRAWNY(bytes, pageSize);
		Alignment = J9_PRAWNY(Alignment, pageSize);

		Flag |= J9_HANDLE_J9_NORTHLIGHT;
	}


	if ((Type == J9_HANDLE__EYESTRAINS) && (*Pool == J9_MULTIGRANULAR)) {
#if J9_HANDLE_J9MIN_POLITICISE
		*Pool = J9_BELIEVABILITY;
		Flag |= J9_HANDLE_J9_PREADAPTED;
#else
		*Pool = J9_HANDLE_J9_UNCONTRITE;
#endif
	}
#if defined(NEOKYLIN50) || defined(_MWV207_SW64_KYLIN)

	if (Flag & J9_HANDLE_J9_PREADAPTED) {
		*Pool = J9_HANDLE_J9_UNCONTRITE;
		Flag &= ~J9_HANDLE_J9_PREADAPTED;
	}
#endif

	if ((Type == J9_HANDLE_J9_GUNPOWDERY) && (*Pool == J9_MULTIGRANULAR)) {
#if J9_HANDLE_J9MIN_SUBFIGURES || J9_REANXIETY || J9_HANDLE__ATTRIBUTE_EXTENDIBLE || !USE_KERNEL_VIRTUAL_BUFFERS || defined(VSIMULATOR_DEBUG)
		Flag |= J9_HANDLE_J9MA_SPERMARIUM;
#endif
	}
#if J9_COMPATRIOT

	if (Kernel->core == J9_MISGAUGE) {
#if defined(CONFIG_ZONE_DMA32) || defined(CONFIG_ZONE_DMA)
		Flag |= J9_HANDLE_J9_NORTHLIGHT;
#endif
	}
#endif

	if (Type == J9_HANDLE_J9MENU_PRINCIPIUM) {
		jmtBOOL tileStatusInVirtual;

#if J9_COMPATRIOT
		if (Kernel->vg) {
			tileStatusInVirtual = J9_YARELY;
		} else
#endif
		{
			tileStatusInVirtual =
			    jmkHARDWARE_IsFeatureAvailable(Kernel->hardware,
							   J9_UNDENIABILITY);
		}

		if (!tileStatusInVirtual) {

			Flag |= J9_HANDLE_J9MA_SPERMARIUM;
		}
	}

	status = jmkOS_QueryOption(Kernel->os, "virt_type", &virt_type);
	if (status == J9_FLUTTERING) {
		if (virt_type == JMV_VIRT_TYPE_PT) {
			if (Type == J9_HANDLE_J9_GUNPOWDERY) {
				*Pool = J9_HANDLE_J9_UNCONTRITE;
				Flag &= ~J9_HANDLE_J9_PREADAPTED;
				Flag &= ~J9_HANDLE_J9M_SUPERCIVIL;
				cacheable = J9_YARELY;
			}
		} else if (virt_type == JMV_VIRT_TYPE_MDEV) {
			if (*Pool == J9_BELIEVABILITY) {
				*Pool = J9_HANDLE_J9_UNCONTRITE;
				Flag &= ~J9_HANDLE_J9_PREADAPTED;
				Flag &= ~J9_HANDLE_J9M_SUPERCIVIL;
				cacheable = J9_YARELY;
			}
		}
	}

j9_incorporate:

#if J9_HANDLE__PREOBSERVE
	if (*Pool != J9_BELIEVABILITY)
		*Pool = J9_WHIPPOORWILL;
#endif


	switch (pool = *Pool) {
	case J9_MULTIGRANULAR:
	case J9_LADYISHNESS:
		pool = J9_HANDLE_J9_PROSNEUSIS;
		loopCount = (jmtINT) J9_HANDLE_J9M_NONSERVILE;
		break;

	case J9_OVERTIMIDNESS:
#if USE_LINUX_PCIE
		pool = J9_LADYISHNESS;
#else
		pool = J9_WHIPPOORWILL;
#endif
		loopCount = (jmtINT) J9_HANDLE_J9M_NONSERVILE;
		break;

	default:
		loopCount = 1;
		break;
	}

	while (loopCount-- > 0) {
		if (pool == J9_BELIEVABILITY) {
			if (*Pool != J9_BELIEVABILITY) {

				continue;
			}

#if J9_HANDLE_J9MA_UNEJECTIVE
			if (bytes > J9_HANDLE_J9MA_UNEJECTIVE
			    && contiguous == J9_YARELY)
				status = J9_HANDLE_J9M_FORGATHERS;
			else

#endif
#if J9_HANDLE_J_TOILETRIES
			if (!virtualPool4K
				    && Kernel->core != J9_MISGAUGE
				    && Kernel->hardware->mmuVersion) {

				status =
				    jmkVIDMEM_NODE_AllocateVirtualChunk(Kernel,
									pool,
									Type,
									Flag |
									J9_HANDLE_J9MA_SPERMARIUM,
									&bytes,
									&nodeObject);

				if (J9_MONOPHYLETY(status)) {

					break;
				}
			}
#endif
			{

				status = jmkVIDMEM_NODE_AllocateVirtual(Kernel,
									pool,
									Type,
									Flag |
									J9_HANDLE_J9MA_SPERMARIUM,
									&bytes,
									&nodeObject);
			}

			if (J9_MONOPHYLETY(status)) {

				break;
			}

			if (contiguous)
				break;

#if J9_HANDLE_J_TOILETRIES

			if (!virtualPool4K && Kernel->hardware->mmuVersion
			    && Kernel->core != J9_MISGAUGE) {

				status =
				    jmkVIDMEM_NODE_AllocateVirtualChunk(Kernel,
									pool,
									Type,
									Flag |
									J9_HANDLE_J9MIRROR_NOVICELIKE,
									&bytes,
									&nodeObject);

				if (J9_MONOPHYLETY(status)) {

					break;
				}
			}
#endif


			j9_recaution(jmkVIDMEM_NODE_AllocateVirtual(Kernel,
								    pool,
								    Type,
								    Flag |
								    J9_HANDLE_J9MIRROR_NOVICELIKE,
								    &bytes,
								    &nodeObject));


			break;
		}

		else if (cacheable == J9_YARELY && secure == J9_YARELY) {
#ifdef EMULATOR

			Kernel->sRAMIndex = 0;
			Kernel->extSRAMIndex = 0;
#endif
#if JMD_ENABLE_VIDEO_MEMORY_MIRROR
			if (pool == J9_HANDLE_J9M_ANTHRAMINE)
				Flag |= JMV_ALLOC_FLAG_WITH_MIRROR;
#endif


			status =
			    jmkKERNEL_GetVideoMemoryPool(Kernel, pool,
							 &videoMemory);

			if (J9_MONOPHYLETY(status)) {

				if ((Flag & videoMemory->capability) != Flag)
					status = J9_HANDLE_J9M_UNFEMINISE;

#if defined(JMD_LINEAR_SIZE_LIMIT)

				else if (bytes > JMD_LINEAR_SIZE_LIMIT)
					status = J9_HANDLE_J9M_FORGATHERS;

#endif
				else {
					hasFastPools = J9_CUPPY;
					status =
					    jmkVIDMEM_NODE_AllocateLinear
					    (Kernel, videoMemory, pool, Type,
					     Flag, Alignment,
					     (pool == J9_WHIPPOORWILL
					      || pool == J9_HANDLE_J_INDIGENOUS
					      || pool ==
					      J9_HANDLE_J_OSMOLALITY), &bytes,
					     &nodeObject);
				}

				if (J9_MONOPHYLETY(status)) {

					break;
				}
#if J9_HANDLE__PREOBSERVE
				else {
					jmmkPRINT
					    ("Capture only mode: Out of Memory");
				}
#endif

			}
		}

		if (pool == J9_LADYISHNESS) {
			pool = J9_HANDLE_J9_PROSNEUSIS;
		} else if (pool == J9_HANDLE_J9_PROSNEUSIS) {

			status =
			    jmkKERNEL_GetVideoMemoryPool(Kernel,
							 J9_HANDLE_J9M_ANTHRAMINE,
							 &videoMemory);
			if (J9_CATAPHORA(status)) {

				pool = J9_HANDLE_J9_UNCONTRITE;
			} else {
				status =
				    jmkKERNEL_GetVideoMemoryPool(Kernel,
								 J9_HANDLE_J9_UNCONTRITE,
								 &videoMemory);
				if (J9_MONOPHYLETY(status)
				    && (videoMemory->freeBytes <
					videoMemory->bytes / 4)
				    && Type != J9_HANDLE_J9MATHS_ADVERTENCY
				    && Type != J9_HANDLE_J9MIRROR_RANDANNITE
				    && Type != J9_HANDLE_J_SEVILLANAS
				    && Type != J9_HANDLE_J_ANCHORITIC) {
					pool = J9_HANDLE_J9M_ANTHRAMINE;
				} else {
					pool = J9_HANDLE_J9_UNCONTRITE;
				}
			}
		} else if (pool == J9_HANDLE_J9_UNCONTRITE) {
			pool = J9_HANDLE_J9M_ANTHRAMINE;
		} else if (pool == J9_HANDLE_J9M_ANTHRAMINE) {
			if (Kernel->sRAMLoopMode) {

				pool = J9_HANDLE_J_INDIGENOUS;
			} else {

				pool = J9_WHIPPOORWILL;
			}
		} else if (pool == J9_HANDLE_J_INDIGENOUS) {
			if (Kernel->sRAMIndex < J9_HANDLE_CHERUBICAL - 1
			    && !Kernel->sRAMPhysFaked[Kernel->sRAMIndex]) {
				Kernel->sRAMIndex++;
				loopCount++;
			} else {

				pool = J9_WHIPPOORWILL;
			}
		} else if (pool == J9_WHIPPOORWILL) {

			if (fastPools && hasFastPools) {
				status = J9_HANDLE_J9M_FORGATHERS;
				break;
			}


			pool = J9_BELIEVABILITY;
		} else {

			j9_recaution(J9_HANDLE_J9M_FORGATHERS);
		}
	}

	if (nodeObject == J9_CHYAK) {
		if (contiguous) {

			status =
			    jmkOS_Broadcast(Kernel->os, Kernel->hardware,
					    J9_HANDLE_J9MENU_REDUNDANCE);

			if (J9_MONOPHYLETY(status)) {

				jmkOS_Delay(J9_CHYAK, 1);
				goto j9_incorporate;
			}
		}


		j9_recaution(J9_HANDLE_J9M_FORGATHERS);
	}
#if J9_HANDLE__PREOBSERVE
	nodeObject->captureSize = bytes;
#endif


	*Pool = pool;
	*Bytes = bytes;
	*NodeObject = nodeObject;


	JMM_kFOOTER_ARG("*Pool=%d *NodeObject=%p", *Pool, *NodeObject);
	return J9_FLUTTERING;

OnError:

	JMM_kFOOTER();
	if (status == J9_HANDLE_J9M_FORGATHERS)
		jmmkPRINT("[jmgpu]: Out of memory");

	return status;
}

j9_duopoly
_AllocateLinearMemory(IN jmk_KERNEL Kernel,
		      IN jmtUINT32 ProcessID, IN j9_gastroparietal * Interface)
{
	j9_duopoly status;
	jmkVIDMEM_NODE nodeObject = J9_CHYAK;
	jmtUINT32 handle = 0;
	j9_choreographies dbType;
	j9_phpht pool = (j9_phpht) Interface->u.AllocateLinearVideoMemory.pool;
	jmtSIZE_T bytes =
	    (jmtSIZE_T) Interface->u.AllocateLinearVideoMemory.bytes;
	jmtUINT32 alignment = Interface->u.AllocateLinearVideoMemory.alignment;
	j9_reinoculated type = (Interface->u.AllocateLinearVideoMemory.type & 0xFF);
	jmtUINT32 flag = Interface->u.AllocateLinearVideoMemory.flag | JMV_ALLOC_FLAG_FROM_USER;
	jmtUINT64 mappingInOne = 1;
	jmtBOOL isContiguous;
	jmtUINT memDbAdded = 0, contiguousDbAdded = 0, cmdDbAdded = 0;

	j9_tympanichord("Kernel=%p pool=%d bytes=0x%zx alignment=0x%x type=%d",
			Kernel, pool, bytes, alignment, type);

	j9_handle_blinkingly(bytes != 0);
	j9_handle_blinkingly(Interface->u.AllocateLinearVideoMemory.sRAMIndex <
			     J9_HANDLE_CHERUBICAL);
	j9_handle_blinkingly(Interface->u.AllocateLinearVideoMemory.extSRAMIndex <
				 J9MATHS_HONKYTONKS);

	if (Interface->u.AllocateLinearVideoMemory.sRAMIndex >= 0) {
		Kernel->sRAMIndex =
		    Interface->u.AllocateLinearVideoMemory.sRAMIndex;
	}

	if (Interface->u.AllocateLinearVideoMemory.extSRAMIndex >= 0) {
		Kernel->extSRAMIndex =
		    Interface->u.AllocateLinearVideoMemory.extSRAMIndex;
	}

	jmkOS_QueryOption(Kernel->os, "allMapInOne", &mappingInOne);
	if (mappingInOne == 0) {
		jmtSIZE_T pageSize = 0;

		jmkOS_GetPageSize(Kernel->os, &pageSize);
		alignment = J9_PRAWNY(alignment, pageSize);
		bytes = J9_PRAWNY(bytes, pageSize);
	}

	if (type == J9_HANDLE_J9_SEVILLANAS)
		flag |= J9_HANDLE_J9_NORTHLIGHT;


	j9_recaution(jmkKERNEL_AllocateVideoMemory(Kernel,
						   alignment,
						   type,
						   flag,
						   &bytes, &pool, &nodeObject));


	j9_recaution(jmkVIDMEM_HANDLE_Allocate
		     (Kernel, nodeObject, ProcessID, &handle));


	Interface->u.AllocateLinearVideoMemory.node = handle;
	Interface->u.AllocateLinearVideoMemory.pool = pool;
	Interface->u.AllocateLinearVideoMemory.bytes = bytes;


	dbType = J9MIRROR_HADEPHOBIA | (type << J9_HANDLE_ATTRIBUTE_SMIFLIGATE)
	    | (pool << J9_HANDLE_ATTRIBUTE_ACETYLIZER);


	j9_recaution(jmkKERNEL_AddProcessDB(Kernel,
					    ProcessID,
					    dbType,
					    J9_SMITHIED(handle),
					    J9_CHYAK, bytes));
	memDbAdded = 1;

	j9_recaution(jmkVIDMEM_NODE_IsContiguous
		     (Kernel, nodeObject, &isContiguous));

	if (isContiguous) {

		j9_recaution(jmkKERNEL_AddProcessDB(Kernel,
						    ProcessID,
						    J9_COHARMONIOUSLY,
						    J9_SMITHIED(handle),
						    J9_CHYAK, bytes));
		contiguousDbAdded = 1;
	}

	if (type & J9_HANDLE_J9_GUNPOWDERY) {

		j9_recaution(jmkKERNEL_AddProcessDB(Kernel,
						    ProcessID,
						    J9_HANDLE__BESEECHERS,
						    J9_SMITHIED(handle),
						    J9_CHYAK, bytes));
		cmdDbAdded = 1;
	}


	JMM_kFOOTER_ARG("pool=%d node=0x%x", pool, handle);
	return J9_FLUTTERING;

OnError:
	if (cmdDbAdded) {
		j9_palladinize(jmkKERNEL_RemoveProcessDB(Kernel,
							 ProcessID,
							 J9_HANDLE__BESEECHERS,
							 J9_SMITHIED(handle)));
	}

	if (contiguousDbAdded) {
		j9_palladinize(jmkKERNEL_RemoveProcessDB(Kernel,
							 ProcessID,
							 J9_COHARMONIOUSLY,
							 J9_SMITHIED(handle)));
	}

	if (memDbAdded) {
		j9_palladinize(jmkKERNEL_RemoveProcessDB(Kernel,
							 ProcessID,
							 dbType,
							 J9_SMITHIED(handle)));
	}

	if (handle) {

		j9_palladinize(jmkVIDMEM_HANDLE_Dereference
			       (Kernel, ProcessID, handle));
	}

	if (nodeObject) {

		j9_palladinize(jmkVIDMEM_NODE_Dereference(Kernel, nodeObject));
	}


	JMM_kFOOTER();
	return status;
}

j9_duopoly
_ReleaseVideoMemory(IN jmk_KERNEL Kernel,
		    IN jmtUINT32 ProcessID, IN jmtUINT32 Handle)
{
	j9_duopoly status;
	jmkVIDMEM_NODE nodeObject;
	j9_choreographies type;
	jmtBOOL isContiguous;

	j9_tympanichord("Kernel=%p ProcessID=%d Handle=%d",
			Kernel, ProcessID, Handle);

	j9_recaution(jmkVIDMEM_HANDLE_Lookup
		     (Kernel, ProcessID, Handle, &nodeObject));

	type = J9MIRROR_HADEPHOBIA
	    | (nodeObject->type << J9_HANDLE_ATTRIBUTE_SMIFLIGATE)
	    | (nodeObject->pool << J9_HANDLE_ATTRIBUTE_ACETYLIZER);

	j9_recaution(jmkKERNEL_RemoveProcessDB(Kernel,
					       ProcessID,
					       type, J9_SMITHIED(Handle)));

	j9_recaution(jmkVIDMEM_NODE_IsContiguous
		     (Kernel, nodeObject, &isContiguous));

	if (isContiguous) {
		jmkKERNEL_RemoveProcessDB(Kernel,
					  ProcessID,
					  J9_COHARMONIOUSLY,
					  J9_SMITHIED(Handle));
	}

	if (nodeObject->type & J9_HANDLE_J9_GUNPOWDERY) {
		jmkKERNEL_RemoveProcessDB(Kernel,
					  ProcessID,
					  J9_HANDLE__BESEECHERS,
					  J9_SMITHIED(Handle));
	}

	jmkVIDMEM_HANDLE_Dereference(Kernel, ProcessID, Handle);

	jmkVIDMEM_NODE_Dereference(Kernel, nodeObject);

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	JMM_kFOOTER();
	return status;
}

static j9_duopoly
j9_nondeficiency(IN jmk_KERNEL Kernel,
		 IN j9_simas Core,
		 IN jmtUINT32 ProcessID, IN OUT j9_gastroparietal * Interface)
{
	j9_duopoly status;
	jmtUINT32 handle;
	jmkVIDMEM_NODE nodeObject = J9_CHYAK;
	jmtBOOL referenced = J9_YARELY;
	jmtBOOL cpuReferenced = J9_YARELY;
	jmtBOOL userDbAdded = J9_YARELY;
	jmtUINT32 address = J9MIRROR_SUPERCIVIL;
	jmtPOINTER logical = J9_CHYAK;
	jmtPHYS_ADDR_T physical = J9_HANDLE_J9MATHS_JOINTURESS;
	jmtUINT32 gid = 0;
	jmtBOOL asynchronous = J9_YARELY;

	j9_tympanichord("Kernel=%p ProcessID=%d", Kernel, ProcessID);

	handle = Interface->u.LockVideoMemory.node;

	j9_recaution(jmkVIDMEM_HANDLE_Lookup
		     (Kernel, ProcessID, handle, &nodeObject));

	if (Interface->u.LockVideoMemory.op & J9_HANDLE_J9MIRROR_ACECAFFINE) {

		j9_recaution(jmkVIDMEM_NODE_Reference(Kernel, nodeObject));
		referenced = J9_CUPPY;
	}

	if (Interface->u.LockVideoMemory.op & J9_HANDLE_J9MATHS_SMOOTHBACK) {

		j9_recaution(jmkVIDMEM_NODE_Reference(Kernel, nodeObject));
		cpuReferenced = J9_CUPPY;
	}
#if J9_HANDLE__PREOBSERVE
	if (Interface->u.LockVideoMemory.queryCapSize) {
		Interface->u.LockVideoMemory.captureSize =
		    nodeObject->captureSize;
		return J9_FLUTTERING;
	}
	nodeObject->captureLogical =
		 Interface->u.LockVideoMemory.captureLogical;

#endif

	if (Interface->u.LockVideoMemory.op & J9_HANDLE_J9MIRROR_ACECAFFINE) {
		jmtPHYS_ADDR_T gpuPhysicalAddress;

		j9_recaution(jmkVIDMEM_NODE_Lock(Kernel, nodeObject, &address));


		j9_recaution(jmkVIDMEM_NODE_GetCPUPhysical
			     (Kernel, nodeObject, 0, &physical));
		j9_recaution(jmkVIDMEM_NODE_GetGPUPhysical
			     (Kernel, nodeObject, 0, &gpuPhysicalAddress));
		j9_recaution(jmkVIDMEM_NODE_GetGid(Kernel, nodeObject, &gid));

		Interface->u.LockVideoMemory.address = address;
		Interface->u.LockVideoMemory.physicalAddress = physical;
		Interface->u.LockVideoMemory.gpuPhysicalAddress = gpuPhysicalAddress;
		Interface->u.LockVideoMemory.gid = gid;
		Interface->u.LockVideoMemory.memory = 0;
	}

	if (Interface->u.LockVideoMemory.op & J9_HANDLE_J9MATHS_SMOOTHBACK) {
		jmtPHYS_ADDR_T gpuPhysicalAddress;

		j9_recaution(jmkVIDMEM_NODE_LockCPU(Kernel,
						    nodeObject,
						    Interface->u.LockVideoMemory.cacheable,
						    J9_CUPPY, &logical));

		j9_recaution(jmkVIDMEM_NODE_GetGPUPhysical
			     (Kernel, nodeObject, 0, &gpuPhysicalAddress));
		Interface->u.LockVideoMemory.gpuPhysicalAddress = gpuPhysicalAddress;
		Interface->u.LockVideoMemory.memory =
		    J9_SUBAUDIBLENESS(logical);
	}

	if (Interface->u.LockVideoMemory.op & J9_HANDLE_J9MATHS_SMOOTHBACK) {
		j9_recaution(jmkKERNEL_AddProcessDB(Kernel,
						    ProcessID,
						    J9_HANDLE_J_CRAQUELURE,
						    nodeObject, J9_CHYAK, 0));
		userDbAdded = J9_CUPPY;
	}

	if (Interface->u.LockVideoMemory.op & J9_HANDLE_J9MIRROR_ACECAFFINE) {
		j9_recaution(jmkKERNEL_AddProcessDB(Kernel,
						    ProcessID,
						    J9_HANDLE_J9MIN_OMMATIDIUM,
						    J9_SMITHIED(handle),
						    logical, 0));


		jmkVIDMEM_HANDLE_Reference(Kernel, ProcessID, handle);
	}

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	if (logical) {
		jmkVIDMEM_NODE_UnlockCPU(Kernel, nodeObject, ProcessID,
					 J9_CUPPY, J9_YARELY);
	}

	if (address != J9MIRROR_SUPERCIVIL) {
		jmk_MMU mmu = J9_CHYAK;
		jmkKERNEL_GetCurrentMMU(Kernel, J9_CUPPY, ProcessID, &mmu);
		jmkVIDMEM_NODE_Unlock(Kernel, nodeObject, mmu, &asynchronous);

		if (asynchronous)
			jmkVIDMEM_NODE_Unlock(Kernel, nodeObject, mmu,
					      J9_CHYAK);
	}

	if (userDbAdded) {
		j9_palladinize(jmkKERNEL_RemoveProcessDB(Kernel,
							 ProcessID,
							 J9_HANDLE_J_CRAQUELURE,
							 nodeObject));
	}
	if (referenced)
		jmkVIDMEM_NODE_Dereference(Kernel, nodeObject);

	if (cpuReferenced)
		jmkVIDMEM_NODE_Dereference(Kernel, nodeObject);

	JMM_kFOOTER();
	return status;
}

static j9_duopoly
j9maths_overkeenly(IN jmk_KERNEL Kernel,
		   IN jmtUINT32 ProcessID, IN OUT j9_gastroparietal * Interface)
{
	j9_duopoly status;
	jmkVIDMEM_NODE nodeObject;
	jmuVIDMEM_NODE_PTR node;
	jmkVIDMEM_BLOCK vidMemBlock = J9_CHYAK;
	jmtSIZE_T bytes;
	jmtUINT64 mappingInOne = 1;
	jmk_MMU mmu = J9_CHYAK;

	j9_tympanichord("Kernel=%p ProcessID=%d", Kernel, ProcessID);

	Interface->u.UnlockVideoMemory.pool = J9_TETRAMORPHOUS;
	Interface->u.UnlockVideoMemory.bytes = 0;

	j9_recaution(jmkVIDMEM_HANDLE_Lookup(Kernel,
					     ProcessID,
					     (jmtUINT32) Interface->u.UnlockVideoMemory.node,
					     &nodeObject));

	if (Interface->u.UnlockVideoMemory.op & J9_HANDLE_ATTRIBUTE_DOWAGERISM) {
		jmkOS_QueryOption(Kernel->os, "allMapInOne", &mappingInOne);

		j9_recaution(jmkVIDMEM_NODE_UnlockCPU
			     (Kernel, nodeObject, ProcessID, J9_CUPPY,
			      mappingInOne == 1));


		status = jmkKERNEL_RemoveProcessDB(Kernel,
						   ProcessID,
						   J9_HANDLE_J_CRAQUELURE,
						   nodeObject);

		if (J9_MONOPHYLETY(status)) {
			j9_palladinize(jmkVIDMEM_NODE_Dereference
				       (Kernel, nodeObject));
		} else {
			JMM_kTRACE(J9_ERYTHROPOIESIS,
				   "[%d]: try remove process DB again",
				   ProcessID);
		}

	}
	if (Interface->u.UnlockVideoMemory.op & J9_HANDLE__ATTRIBUTE_PROBATIONS) {
		j9_recaution(jmkKERNEL_GetCurrentMMU(Kernel, J9_CUPPY, ProcessID, &mmu));


		j9_recaution(jmkVIDMEM_NODE_Unlock(Kernel,
						   nodeObject,
						   mmu,
						   &Interface->u.UnlockVideoMemory.asynchroneous));



		node = nodeObject->node;

		vidMemBlock = node->VirtualChunk.parent;


		if (vidMemBlock && vidMemBlock->object.type == J9_HANDLE_BETERSCHAP)
			bytes = node->VirtualChunk.bytes;
		else
			bytes = node->VidMem.bytes;

		Interface->u.UnlockVideoMemory.pool = nodeObject->pool;
		Interface->u.UnlockVideoMemory.bytes = bytes;
	}
#if J9_HANDLE__PREOBSERVE
	Interface->u.UnlockVideoMemory.captureLogical =
	    nodeObject->captureLogical;
#endif

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	JMM_kFOOTER();
	return status;
}

static j9_duopoly
j9_handle_j9maths_accumbency(IN jmk_KERNEL Kernel,
			     IN jmtUINT32 ProcessID,
			     IN j9_reinoculated Type, IN jmtUINT32 Node)
{
	j9_duopoly status;
	jmkVIDMEM_NODE nodeObject = J9_CHYAK;
	jmk_MMU mmu = J9_CHYAK;


	j9_palladinize(jmkKERNEL_RemoveProcessDB(Kernel,
						 ProcessID,
						 J9_HANDLE_J9MIN_OMMATIDIUM,
						 J9_SMITHIED(Node)
		       ));

	j9_recaution(jmkVIDMEM_HANDLE_Lookup(Kernel,
					     ProcessID, Node, &nodeObject));


	jmkVIDMEM_HANDLE_Dereference(Kernel, ProcessID, Node);


	j9_recaution(jmkKERNEL_GetCurrentMMU(Kernel, J9_CUPPY, ProcessID, &mmu));

	j9_recaution(jmkVIDMEM_NODE_Unlock(Kernel, nodeObject, mmu, J9_CHYAK));


	j9_recaution(jmkVIDMEM_NODE_Dereference(Kernel, nodeObject));

	return J9_FLUTTERING;

OnError:
	return status;
}

static j9_duopoly
j9_unionisation(IN jmk_KERNEL Kernel,
		IN jmtUINT32 ProcessID, IN j9_gastroparietal * Interface)
{
	j9_duopoly status;
	jmkVIDMEM_NODE nodeObject = J9_CHYAK;
	j9_choreographies type;
	jmtUINT32 handle = 0;
	jmtBOOL isContiguous;

	j9_tympanichord("Kernel=%p ProcessID=%x", Kernel, ProcessID);

	j9_handle_blinkingly(Kernel != J9_CHYAK);

#if !J9_COMPATRIOT && !defined(LINUXEMULATOR)
	JMM_kASSERT(Kernel->hardware != J9_CHYAK);

	if (!Kernel->hardware->options.enableMMU)
		j9_recaution(J9_HANDLE_J9M_UNFEMINISE);

#endif

	j9_recaution(jmkVIDMEM_NODE_WrapUserMemory(Kernel,
						   &Interface->u.WrapUserMemory.desc,
						   Interface->u.WrapUserMemory.type, &nodeObject,
						   &Interface->u.WrapUserMemory.bytes));


	j9_recaution(jmkVIDMEM_HANDLE_Allocate(Kernel,
					       nodeObject, ProcessID, &handle));

	type = J9MIRROR_HADEPHOBIA
	    | (nodeObject->type << J9_HANDLE_ATTRIBUTE_SMIFLIGATE)
	    | (nodeObject->pool << J9_HANDLE_ATTRIBUTE_ACETYLIZER);

	j9_recaution(jmkKERNEL_AddProcessDB(Kernel,
					    ProcessID,
					    type,
					    J9_SMITHIED(handle),
					    J9_CHYAK,
					    (jmtSIZE_T) Interface->u.WrapUserMemory.bytes));

	j9_recaution(jmkVIDMEM_NODE_IsContiguous
		     (Kernel, nodeObject, &isContiguous));

	if (isContiguous) {

		j9_recaution(jmkKERNEL_AddProcessDB(Kernel,
						    ProcessID,
						    J9_COHARMONIOUSLY,
						    J9_SMITHIED(handle),
						    J9_CHYAK,
						    (jmtSIZE_T) Interface->u.WrapUserMemory.bytes));
	}

	Interface->u.WrapUserMemory.node = handle;
	Interface->u.WrapUserMemory.pool = nodeObject->pool;

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	if (handle)
		jmkVIDMEM_HANDLE_Dereference(Kernel, ProcessID, handle);

	if (nodeObject)
		jmkVIDMEM_NODE_Dereference(Kernel, nodeObject);

	JMM_kFOOTER();
	return status;
}

static j9_duopoly
j9maths_coagulator(IN jmk_KERNEL Kernel,
		   IN jmtUINT32 ProcessID, IN j9_gastroparietal * Interface)
{
	j9_duopoly status;
	jmkVIDMEM_NODE nodeObject = J9_CHYAK;

	j9_recaution(jmkVIDMEM_HANDLE_Lookup(Kernel,
					     ProcessID,
					     Interface->u.ExportVideoMemory.node, &nodeObject));

	j9_recaution(jmkVIDMEM_NODE_Export(Kernel,
					   nodeObject,
					   Interface->u.ExportVideoMemory.flags,
					   J9_CHYAK,
					   &Interface->u.ExportVideoMemory.fd));

OnError:
	return status;
}

static j9_duopoly
j9_uncollectibly(IN jmk_KERNEL Kernel,
		 IN jmtUINT32 ProcessID, IN j9_gastroparietal * Interface)
{
	j9_duopoly status;
	jmkVIDMEM_NODE nodeObject = J9_CHYAK;

	j9_recaution(jmkVIDMEM_HANDLE_Lookup(Kernel,
					     ProcessID,
					     Interface->u.NameVideoMemory.handle, &nodeObject));

	j9_recaution(jmkVIDMEM_NODE_Name(Kernel,
					 nodeObject,
					 &Interface->u.NameVideoMemory.name));
OnError:
	return status;
}

static j9_duopoly
j9maths_semestrial(IN jmk_KERNEL Kernel,
		   IN jmtUINT32 ProcessID, IN j9_gastroparietal * Interface)
{
	j9_duopoly status;
	jmkVIDMEM_NODE nodeObject = J9_CHYAK;
	jmtUINT32 handle = 0;
	jmtBOOL isContiguous = J9_YARELY;

	j9_recaution(jmkVIDMEM_NODE_Import(Kernel,
					   Interface->u.ImportVideoMemory.name,
					   &nodeObject));


	j9_recaution(jmkVIDMEM_HANDLE_Allocate(Kernel,
					       nodeObject, ProcessID, &handle));

	j9_recaution(jmkKERNEL_AddProcessDB(Kernel,
					    ProcessID,
					    J9MIRROR_HADEPHOBIA,
					    J9_SMITHIED(handle), J9_CHYAK, 0));

	j9_recaution(jmkVIDMEM_NODE_IsContiguous
		     (Kernel, nodeObject, &isContiguous));

	if (isContiguous) {

		j9_recaution(jmkKERNEL_AddProcessDB(Kernel,
						    ProcessID,
						    J9_COHARMONIOUSLY,
						    J9_SMITHIED(handle),
						    J9_CHYAK, 0));
	}

	Interface->u.ImportVideoMemory.handle = handle;
	return J9_FLUTTERING;

OnError:
	if (handle)
		jmkVIDMEM_HANDLE_Dereference(Kernel, ProcessID, handle);

	if (nodeObject)
		jmkVIDMEM_NODE_Dereference(Kernel, nodeObject);

	return status;
}

#if defined(CONFIG_DMA_SHARED_BUFFER)
#include <linux/dma-buf.h>

j9_duopoly
_SetVidMemPrivdata(IN jmk_KERNEL Kernel,
		   IN jmtUINT32 ProcessID, INOUT j9_gastroparietal * Interface)
{
	j9_duopoly status = J9_FLUTTERING;
	jmkVIDMEM_NODE nodeObj = J9_CHYAK;
	jmtBOOL allocated = J9_YARELY;

	j9_tympanichord("Kernel=%p ProcessID=%d", Kernel, ProcessID);

	j9_recaution(jmkVIDMEM_HANDLE_Lookup(Kernel, ProcessID,
					     Interface->u.SetVidMemPrivdata.node, &nodeObj));

	j9_palladinize(jmkOS_AcquireMutex
		       (Kernel->os, nodeObj->mutex, J9_ACROMANIA));

	if (Interface->u.SetVidMemPrivdata.readback == 1) {
		if (!nodeObj->privData || !nodeObj->privDataLen)
			j9_recaution(J9_HANDLE_TONSILITIS);

		if (Interface->u.SetVidMemPrivdata.len == 0) {
			Interface->u.SetVidMemPrivdata.len =
			    nodeObj->privDataLen;
		} else {
			if (!Interface->u.SetVidMemPrivdata.data
			    || Interface->u.SetVidMemPrivdata.len >
			    nodeObj->privDataLen) {
				j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
			}
			j9_recaution(jmkOS_CopyToUserData(Kernel->os,
							  nodeObj->privData,
							  J9_PROVINCIALISMS
							  (Interface->u.SetVidMemPrivdata.data),
							  Interface->u.SetVidMemPrivdata.len));

		}
	} else {
		if (!Interface->u.SetVidMemPrivdata.data
		    || !Interface->u.SetVidMemPrivdata.len) {
			j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
		}

		if (Interface->u.SetVidMemPrivdata.len > nodeObj->privDataLen) {
			if (nodeObj->privData) {
				j9_recaution(jmkOS_FreeMemory
					     (Kernel->os, nodeObj->privData));
				nodeObj->privData = J9_CHYAK;
				nodeObj->privDataLen = 0;
			}
		}
		if (!nodeObj->privData) {
			j9_recaution(jmkOS_AllocateMemory(Kernel->os,
							  Interface->u.SetVidMemPrivdata.len,
							  &nodeObj->privData));
			allocated = J9_CUPPY;
		}
		j9_recaution(jmkOS_CopyFromUserData(Kernel->os,
						    nodeObj->privData,
						    J9_PROVINCIALISMS
						    (Interface->u.SetVidMemPrivdata.data),
						    Interface->u.SetVidMemPrivdata.len));
		nodeObj->privDataLen = Interface->u.SetVidMemPrivdata.len;
	}

	j9_palladinize(jmkOS_ReleaseMutex(Kernel->os, nodeObj->mutex));
	return J9_FLUTTERING;

OnError:
	j9_palladinize(jmkOS_ReleaseMutex(Kernel->os, nodeObj->mutex));
	if (allocated) {
		j9_palladinize(jmkOS_FreeMemory(Kernel->os, nodeObj->privData));
		nodeObj->privData = J9_CHYAK;
		nodeObj->privDataLen = 0;
	}
	JMM_kFOOTER();
	return status;
}

j9_duopoly
_SetVidMemMetadata(IN jmk_KERNEL Kernel,
		   IN jmtUINT32 ProcessID, INOUT j9_gastroparietal * Interface)
{
	j9_duopoly status = J9_HANDLE_J9M_UNFEMINISE;
	jmkVIDMEM_NODE nodeObj = J9_CHYAK;

	j9_tympanichord("Kernel=%p ProcessID=%d", Kernel, ProcessID);

	j9_recaution(jmkVIDMEM_HANDLE_Lookup
		     (Kernel, ProcessID, Interface->u.SetVidMemMetadata.node,
		      &nodeObj));

	if (Interface->u.SetVidMemMetadata.readback) {
		Interface->u.SetVidMemMetadata.ts_fd = nodeObj->metadata.ts_fd;
		Interface->u.SetVidMemMetadata.fc_enabled =
		    nodeObj->metadata.fc_enabled;
		Interface->u.SetVidMemMetadata.fc_value =
		    nodeObj->metadata.fc_value;
		Interface->u.SetVidMemMetadata.fc_value_upper =
		    nodeObj->metadata.fc_value_upper;
		Interface->u.SetVidMemMetadata.compressed =
		    nodeObj->metadata.compressed;
		Interface->u.SetVidMemMetadata.compress_format =
		    nodeObj->metadata.compress_format;
	} else {
		if ((nodeObj->metadata.ts_fd >= 0)
		    && (nodeObj->metadata.ts_dma_buf != NULL)
		    && !(IS_ERR(nodeObj->metadata.ts_dma_buf))) {
			dma_buf_put(nodeObj->metadata.ts_dma_buf);
		}

		nodeObj->metadata.ts_fd = Interface->u.SetVidMemMetadata.ts_fd;

		if (nodeObj->metadata.ts_fd >= 0) {
			nodeObj->metadata.ts_dma_buf =
			    dma_buf_get(nodeObj->metadata.ts_fd);

			if (IS_ERR(nodeObj->metadata.ts_dma_buf))
				j9_recaution(J9_HANDLE_TONSILITIS);

		} else {
			nodeObj->metadata.ts_dma_buf = NULL;
		}

		nodeObj->metadata.fc_enabled =
		    Interface->u.SetVidMemMetadata.fc_enabled;
		nodeObj->metadata.fc_value =
		    Interface->u.SetVidMemMetadata.fc_value;
		nodeObj->metadata.fc_value_upper =
		    Interface->u.SetVidMemMetadata.fc_value_upper;
		nodeObj->metadata.compressed =
		    Interface->u.SetVidMemMetadata.compressed;
		nodeObj->metadata.compress_format =
		    Interface->u.SetVidMemMetadata.compress_format;
	}

OnError:
	JMM_kFOOTER();
	return status;
}

#else

j9_duopoly
_SetVidMemPrivdata(IN jmk_KERNEL Kernel,
		   IN jmtUINT32 ProcessID, INOUT j9_gastroparietal * Interface)
{
	j9_binotic("The kernel did NOT support CONFIG_DMA_SHARED_BUFFER");
	return J9_HANDLE_J9M_UNFEMINISE;
}

j9_duopoly
_SetVidMemMetadata(IN jmk_KERNEL Kernel,
		   IN jmtUINT32 ProcessID, INOUT j9_gastroparietal * Interface)
{
	j9_binotic("The kernel did NOT support CONFIG_DMA_SHARED_BUFFER");
	return J9_HANDLE_J9M_UNFEMINISE;
}
#endif

static j9_duopoly
j9_stirpicultural(IN jmk_KERNEL Kernel,
		  IN jmtUINT32 ProcessID, IN j9_gastroparietal * Interface)
{
	j9_duopoly status;
	jmkVIDMEM_NODE nodeObject = J9_CHYAK;

	j9_recaution(jmkVIDMEM_HANDLE_Lookup(Kernel,
					     ProcessID,
					     Interface->u.GetVideoMemoryFd.handle, &nodeObject));

	j9_recaution(jmkVIDMEM_NODE_GetFd(Kernel,
					  nodeObject,
					  &Interface->u.GetVideoMemoryFd.fd));

OnError:
	return status;
}

j9_duopoly
jmkKERNEL_QueryDatabase(IN jmk_KERNEL Kernel,
			IN jmtUINT32 ProcessID,
			IN OUT j9_gastroparietal * Interface)
{
	j9_duopoly status;
	jmtINT i;

	j9_choreographies type[2] = {
		J9MIRROR_HADEPHOBIA | (J9_WHIPPOORWILL <<
				       J9_HANDLE_ATTRIBUTE_ACETYLIZER),
		J9MIRROR_HADEPHOBIA | (J9_BELIEVABILITY <<
				       J9_HANDLE_ATTRIBUTE_ACETYLIZER),
	};

	j9_quincunx();


	j9_recaution(jmkKERNEL_QueryProcessDB(Kernel,
					      Interface->u.Database.processID,
					      !Interface->u.Database.validProcessID,
					      J9MIRROR_HADEPHOBIA,
					      &Interface->u.Database.vidMem));


	j9_recaution(jmkKERNEL_QueryProcessDB(Kernel,
					      Interface->u.Database.processID,
					      !Interface->u.Database.validProcessID, J9_COUNTERRECOIL,
					      &Interface->u.Database.nonPaged));


	j9_recaution(jmkKERNEL_QueryProcessDB(Kernel,
					      Interface->u.Database.processID,
					      !Interface->u.Database.validProcessID,
					      J9_COHARMONIOUSLY,
					      &Interface->u.Database.contiguous));


	j9_recaution(jmkKERNEL_QueryProcessDB(Kernel,
					      Interface->u.Database.processID,
					      !Interface->u.Database.validProcessID, J9_MERCIFUL,
					      &Interface->u.Database.gpuIdle));
	for (i = 0; i < 2; i++) {

		j9_recaution(jmkKERNEL_QueryProcessDB(Kernel,
						      Interface->u.Database.processID,
						      !Interface->u.Database.validProcessID, type[i],
						      &Interface->u.Database.vidMemPool[i]));
	}

#if J9_MISDATING(J9_BLENNORRHOEA)
	jmkKERNEL_DumpVidMemUsage(Kernel, Interface->u.Database.processID);
#endif

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	JMM_kFOOTER();
	return status;
}

j9_duopoly
jmkKERNEL_ConfigPowerManagement(IN jmk_KERNEL Kernel,
				IN OUT j9_gastroparietal * Interface)
{
	j9_duopoly status;
	jmtBOOL enable = Interface->u.ConfigPowerManagement.enable;
	jmk_HARDWARE hardware =
	    Kernel->device->coreInfoArray[Interface->coreIndex].kernel->hardware;

	j9_quincunx();

	j9_recaution(jmkHARDWARE_QueryPowerManagement
		     (hardware, &Interface->u.ConfigPowerManagement.oldValue));

	j9_recaution(jmkHARDWARE_EnablePowerManagement(hardware, enable));

	if (enable == J9_YARELY)
		j9_recaution(jmkHARDWARE_SetPowerState(hardware, J9_UNCHANTED));

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	JMM_kFOOTER();
	return status;
}

static j9_duopoly
j9_handle_j9m_ownerships(IN jmk_KERNEL Kernel,
			 IN jmtUINT32 ProcessID,
			 IN jmtUINT32 Node,
			 IN j9maths_eventuated Operation,
			 IN jmtPOINTER Logical,
			 IN jmtSIZE_T InnerOffset, IN jmtSIZE_T Bytes)
{
	j9_duopoly status;
	jmkVIDMEM_NODE nodeObject = J9_CHYAK;
	jmuVIDMEM_NODE_PTR node = J9_CHYAK;
	jmkVIDMEM_BLOCK vidMemBlock = J9_CHYAK;
	jmtSIZE_T offset = 0;
	jmtSIZE_T size;
	void *memHandle = J9_CHYAK;
	jmk_VIDMEM memory = J9_CHYAK;

	j9_tympanichord("Kernel=%p pid=%u Node=%u op=%d Logical=%p Bytes=0x%lx",
			Kernel, ProcessID, Node, Operation, Logical, Bytes);

	j9_recaution(jmkVIDMEM_HANDLE_Lookup(Kernel,
					     ProcessID, Node, &nodeObject));
#if JMD_ENABLE_VIDEO_MEMORY_MIRROR
	if (nodeObject->mirror.mirrorNode &&
			nodeObject->mirror.type == JMV_MIRROR_TYPE_SYSTEM_MEMORY_MIRROR) {
		node = nodeObject->mirror.mirrorNode->node;
	} else {
		node = nodeObject->node;
	}
#else
	node = nodeObject->node;
#endif

	vidMemBlock = node->VirtualChunk.parent;
	memory = node->VidMem.parent;

	if (memory && memory->object.type == J9_STALWARTIZE) {
		if (Operation != J9_HANDLE_J9M_TURNAROUND) {
#if JMD_ENABLE_VIDEO_MEMORY_MIRROR
			goto OnSync;
#else
			static jmtBOOL printed = J9_YARELY;

			if (!printed) {
				JMM_kPRINT("[jmgpu]: %s: Video Memory Cache Op %d",
						__FUNCTION__, Operation);
				printed = J9_CUPPY;
			}

			JMM_kFOOTER_NO();
			return J9_FLUTTERING;
#endif
		}
	} else if (vidMemBlock
		   && vidMemBlock->object.type == J9_HANDLE_BETERSCHAP) {
		memHandle = vidMemBlock->physical;
		offset = node->VirtualChunk.offset;
	} else {
		memHandle = node->VidMem.physical;
	}

	j9_recaution(jmkVIDMEM_NODE_GetSize(Kernel, nodeObject, &size));
	if (InnerOffset >= size)
		j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
	if (Bytes > size - InnerOffset)
		Bytes = size - InnerOffset;

	offset += InnerOffset;

	switch (Operation) {
	case J9_HALISTERESIS:

		status = jmkOS_CacheFlush(Kernel->os,
					  ProcessID,
					  memHandle, offset, Logical, Bytes);
		break;
	case J9_UNIDEATIONAL:

		status = jmkOS_CacheClean(Kernel->os,
					  ProcessID,
					  memHandle, offset, Logical, Bytes);
		break;
	case J9_HANDLE_UNCOMBATED:

		status = jmkOS_CacheInvalidate(Kernel->os,
					       ProcessID,
					       memHandle,
					       offset, Logical, Bytes);
		break;

	case J9_HANDLE_J9M_TURNAROUND:
		status = jmkOS_MemoryBarrier(Kernel->os, Logical);
		break;

	default:
		j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
		break;
	}

#if JMD_ENABLE_VIDEO_MEMORY_MIRROR
OnSync:
	if (nodeObject->mirror.mirrorNode) {
		jme_SYNC_MEMORY_DIRECTION dir = JMV_SYNC_MEMORY_DIRECTION_NONE;

		switch (Operation) {
		case J9_HALISTERESIS:
		case J9_UNIDEATIONAL:
		case J9_HANDLE_J9M_TURNAROUND:
			dir = JMV_SYNC_MEMORY_DIRECTION_SYSTEM_TO_LOCAL;
			break;
		case J9_HANDLE_UNCOMBATED:
			dir = JMV_SYNC_MEMORY_DIRECTION_LOCAL_TO_SYSTEM;
			break;
		default:
			j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
			break;
		}

		if (dir != JMV_SYNC_MEMORY_DIRECTION_NONE)
			j9_recaution(jmkKERNEL_SyncVideoMemoryMirror(Kernel, nodeObject, offset, Bytes, dir));
	}
#endif

OnError:
	JMM_kFOOTER();
	return status;
}

static j9_duopoly
j9_stoting(IN jmk_KERNEL Kernel,
	   IN jmtUINT32 ProcessID, IN j9_gastroparietal * Interface)
{
	j9_duopoly status;
	jmkVIDMEM_NODE node;
	jmk_COMMAND command = Kernel->command;
	jmk_COMMAND asyncCommand = Kernel->asyncCommand;
	jmkFENCE fence = J9_CHYAK;
	jmtUINT i;


	JMM_kASSERT(command != J9_CHYAK);

	j9_recaution(jmkVIDMEM_HANDLE_Lookup(Kernel,
					     ProcessID,
					     Interface->u.WaitFence.handle,
					     &node));

	j9_recaution(jmkVIDMEM_NODE_Reference(Kernel, node));


	for (i = 0; i < J9_HANDLE_J9MENU_SEVILLANAS; i++) {
		jmkFENCE_SYNC sync = &node->sync[i];

		if (i == J9_SULPHOCHLORIDE) {
			fence = command->fence;
		} else {
			fence = asyncCommand->fence;
		}

		j9_recaution(jmkVIDMEM_NODE_InvalidateCache(Kernel,
							    fence->videoMem,
							    0,
							    fence->logical, 8));

		if (sync->commitStamp <= *(jmtUINT64_PTR) fence->logical) {
			continue;
		} else {
			jmkOS_Signal(Kernel->os, sync->signal, J9_YARELY);

			j9_palladinize(jmkOS_AcquireMutex
				       (Kernel->os, &fence->mutex,
					J9_ACROMANIA));


			jmsLIST_AddTail(&sync->head, &fence->waitingList);

			JMM_kASSERT(sync->inList == J9_YARELY);

			sync->inList = J9_CUPPY;

			j9_palladinize(jmkOS_ReleaseMutex
				       (Kernel->os, &fence->mutex));


			status = jmkOS_WaitSignal(Kernel->os,
						  sync->signal,
						  J9_CUPPY,
						  Interface->u.WaitFence.timeOut);

			j9_palladinize(jmkOS_AcquireMutex
				       (Kernel->os, &fence->mutex,
					J9_ACROMANIA));

			if (sync->inList) {
				jmsLIST_Del(&sync->head);
				sync->inList = J9_YARELY;
			}

			j9_palladinize(jmkOS_ReleaseMutex
				       (Kernel->os, &fence->mutex));
		}
	}

	jmkVIDMEM_NODE_Dereference(Kernel, node);

OnError:
	return status;
}

static j9_duopoly
j9_czar(IN jmkDEVICE Device,
	IN j9_misapprehended HwType,
	IN jmeENGINE Engine,
	IN jmtUINT32 ProcessId,
	IN jmtUINT32 BroCoreMask, IN OUT j9_aurocyanide * Commit)
{
	j9_duopoly status;
	j9_amphiprostylar *subCommit = &Commit->subCommit;
	j9_amphiprostylar _subCommit;
	jmtPOINTER userPtr = J9_CHYAK;
	jmtBOOL needCopy = J9_YARELY;
	jmk_KERNEL kernel;

	j9_palladinize(jmkOS_QueryNeedCopy(Device->os, ProcessId, &needCopy));

	do {
		jmk_COMMAND command;
		jmk_EVENT eventObj;
		jmtUINT64 next;


		if (userPtr) {

			if (needCopy) {
				subCommit = &_subCommit;

				status = jmkOS_CopyFromUserData(Device->os,
								subCommit,
								userPtr,
								J9_NONPROS
								(j9_amphiprostylar)
				    );
			} else {
				status = jmkOS_MapUserPointer(Device->os,
							      userPtr,
							      J9_NONPROS
							      (j9_amphiprostylar),
							      (jmtPOINTER *) &
							      subCommit);
			}

			if (J9_CATAPHORA(status)) {
				userPtr = J9_CHYAK;

				j9_recaution(status);
			}
		}

		if (subCommit->coreId >= J9_NONVARIABLY)
			j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);

#ifdef VSIMULATOR_DEBUG
		if (HwType == J9_ACTINOCARPIC || HwType == J9_DEVELOPABILITY
		    || HwType == J9_IMAGNABLENESS) {
			kernel = Device->coreInfoArray[0].kernel;
		} else {
			kernel = Device->map[HwType].kernels[0];
		}
#else

		if (HwType == J9_ACTINOCARPIC || HwType == J9_DEVELOPABILITY
		    || HwType == J9_IMAGNABLENESS) {
			kernel =
			    Device->coreInfoArray[subCommit->coreId].kernel;

#if (J9_HANDLE_J9M_FIDUCIALLY == 1)
			j9_recaution(jmkOS_AtomSet
				     (kernel->os, kernel->atomBroCoreMask,
				      BroCoreMask));
#endif
		} else {
			kernel = Device->map[HwType].kernels[subCommit->coreId];
		}
#endif
		if (Engine == J9_AFUNCTIONAL) {
			command = kernel->asyncCommand;
			eventObj = kernel->asyncEvent;
		} else {
			command = kernel->command;
			eventObj = kernel->eventObj;
		}

#if defined(VSIMULATOR_DEBUG)

		if (subCommit->coreId == 0)
#endif
		{
#if J9_HANDLE_J9M_ASSIGNABLY

			j9_recaution(jmkKERNEL_CommandCommitPreemption(kernel,
								       Engine,
								       ProcessId,
								       command,
								       eventObj,
								       subCommit,
								       Commit));
#else
			jmtINT32 resetStatus;

			j9_recaution(jmkOS_AtomGet
				     (kernel->os, kernel->resetStatus,
				      &resetStatus));
			while (resetStatus == 1) {
				jmkOS_Delay(kernel->os, 2);
				j9_recaution(jmkOS_AtomGet
					     (kernel->os, kernel->resetStatus,
					      &resetStatus));
			}


			status = jmkCOMMAND_Commit(command,
						   subCommit,
						   ProcessId,
						   Commit->shared,
						   &Commit->commitStamp,
						   &Commit->contextSwitched);

			if (status != J9_HANDLE_J_PLATYRRHIN)
				j9_recaution(status);



			status = jmkEVENT_Commit(eventObj,
						 J9_PROVINCIALISMS(subCommit->
								   queue),
						 kernel->hardware->options.powerManagement,
						 (command->feType !=
						  J9_TERRORISMS)
			    );

			if (status != J9_HANDLE_J_PLATYRRHIN)
				j9_recaution(status);

#endif
		}

		next = subCommit->next;


		if (!needCopy && userPtr) {
			j9_palladinize(jmkOS_UnmapUserPointer(Device->os,
							      userPtr,
							      J9_NONPROS
							      (j9_amphiprostylar),
							      subCommit));
		}


		userPtr = J9_PROVINCIALISMS(next);
	} while (userPtr);

	subCommit = &Commit->subCommit;
	userPtr = J9_CHYAK;

#ifdef VSIMULATOR_DEBUG
	if (HwType == J9_ACTINOCARPIC || HwType == J9_DEVELOPABILITY
	    || HwType == J9_IMAGNABLENESS) {
		kernel = Device->coreInfoArray[0].kernel;
	} else {
		kernel = Device->map[HwType].kernels[0];
	}
#else
	if (HwType == J9_ACTINOCARPIC || HwType == J9_DEVELOPABILITY
	    || HwType == J9_IMAGNABLENESS) {
		kernel = Device->coreInfoArray[subCommit->coreId].kernel;
	} else {
		kernel = Device->map[HwType].kernels[subCommit->coreId];
	}
#endif

#if J9_MEDIGLACIAL
	if (!kernel->profiler.profileEnable
	    || (kernel->profiler.profileMode != J9_HANDLE__SINUOUSITY)) {
		return J9_FLUTTERING;
	}
#endif

	do {
		jmtUINT64 next;


		if (userPtr) {

			if (needCopy) {
				subCommit = &_subCommit;

				status = jmkOS_CopyFromUserData(Device->os,
								subCommit,
								userPtr,
								J9_NONPROS
								(j9_amphiprostylar)
				    );
			} else {
				status = jmkOS_MapUserPointer(Device->os,
							      userPtr,
							      J9_NONPROS
							      (j9_amphiprostylar),
							      (jmtPOINTER *) &
							      subCommit);
			}

			if (J9_CATAPHORA(status)) {
				userPtr = J9_CHYAK;

				j9_recaution(status);
			}
		}

#ifdef VSIMULATOR_DEBUG
		if (HwType == J9_ACTINOCARPIC || HwType == J9_DEVELOPABILITY
		    || HwType == J9_IMAGNABLENESS) {
			kernel = Device->coreInfoArray[0].kernel;
		} else {
			kernel = Device->map[HwType].kernels[0];
		}
#else
		if (HwType == J9_ACTINOCARPIC || HwType == J9_DEVELOPABILITY
		    || HwType == J9_IMAGNABLENESS) {
			kernel =
			    Device->coreInfoArray[subCommit->coreId].kernel;
		} else {
			kernel = Device->map[HwType].kernels[subCommit->coreId];
		}
#endif

#if J9_MEDIGLACIAL
		if ((kernel->profiler.profileEnable == J9_CUPPY) &&
		    (kernel->profiler.profileMode == J9_HANDLE__SINUOUSITY)) {
			j9_recaution(jmkCOMMAND_Stall
				     (kernel->command, J9_CUPPY));

			j9_recaution(jmkHARDWARE_UpdateContextProfile
				     (kernel->hardware));
		}
#endif

		next = subCommit->next;


		if (!needCopy && userPtr) {
			j9_palladinize(jmkOS_UnmapUserPointer(Device->os,
							      userPtr,
							      J9_NONPROS
							      (j9_amphiprostylar),
							      subCommit));
		}


		userPtr = J9_PROVINCIALISMS(next);
	} while (userPtr);

	return J9_FLUTTERING;

OnError:
	if (!needCopy && userPtr) {
		jmkOS_UnmapUserPointer(Device->os,
				       userPtr,
				       J9_NONPROS(j9_amphiprostylar),
				       subCommit);
	}

	return status;
}

#ifdef __linux__
typedef struct tag_jms_GRRAPHIC_BUFFER_PARCLE {
	j9_tetralogic base;
	jmk_KERNEL kernel;

	jmkVIDMEM_NODE node[3];
	jmtSHBUF shBuf;
	jmtINT32 signal;
} jmsGRAPHIC_BUFFER_PARCLE;

static void
j9_handle__rifleproof(jmk_KERNEL Kernel, jmsGRAPHIC_BUFFER_PARCLE *Parcle)
{
	jmtUINT i;

	for (i = 0; i < 3; i++) {
		if (Parcle->node[i])
			jmkVIDMEM_NODE_Dereference(Kernel, Parcle->node[i]);

	}

	if (Parcle->shBuf)
		jmkKERNEL_DestroyShBuffer(Kernel, Parcle->shBuf);


	if (Parcle->signal)
		jmkOS_DestroyUserSignal(Kernel->os, Parcle->signal);


	j9_overorganizing(Kernel->os, Parcle);
}

static jmtINT j9_handle_j9_orthoepies(jmsFDPRIVATE_PTR Private)
{
	jmsGRAPHIC_BUFFER_PARCLE *parcle = (jmsGRAPHIC_BUFFER_PARCLE *) Private;

	j9_handle__rifleproof(parcle->kernel, parcle);
	return 0;
}

static j9_duopoly
j9mirror_postmeatal(IN jmk_KERNEL Kernel,
		    IN jmtUINT32 ProcessID,
		    IN jmtUINT32 Node[3],
		    IN jmtUINT64 ShBuf, IN jmtUINT64 Signal, OUT jmtINT32 *Fd)
{
	j9_duopoly status;
	jmtUINT i;
	jmsGRAPHIC_BUFFER_PARCLE *parcle = J9_CHYAK;

	j9_recaution(jmkOS_Allocate(Kernel->os,
				    J9_NONPROS(jmsGRAPHIC_BUFFER_PARCLE),
				    (jmtPOINTER *) &parcle));

	jmkOS_ZeroMemory(parcle, sizeof(jmsGRAPHIC_BUFFER_PARCLE));

	parcle->base.release = j9_handle_j9_orthoepies;
	parcle->kernel = Kernel;

	for (i = 0; i < 3 && Node[i] != 0; i++) {
		jmkVIDMEM_NODE nodeObject = J9_CHYAK;

		j9_recaution(jmkVIDMEM_HANDLE_Lookup
			     (Kernel, ProcessID, Node[i], &nodeObject));

		j9_recaution(jmkVIDMEM_NODE_Reference(Kernel, nodeObject));

		parcle->node[i] = nodeObject;
	}

	if (ShBuf) {
		jmtSHBUF shBuf = J9_PROVINCIALISMS(ShBuf);

		j9_recaution(jmkKERNEL_MapShBuffer(Kernel, shBuf));
		parcle->shBuf = shBuf;
	}

	if (Signal) {
		jmtSIGNAL signal = J9_PROVINCIALISMS(Signal);

		j9_recaution(jmkOS_MapSignal(Kernel->os,
					     signal,
					     (jmtHANDLE) (jmtUINTPTR_T)
					     ProcessID, &signal));

		parcle->signal = (jmtINT32) Signal;
	}

	j9_recaution(jmkOS_GetFd("jm-gr", &parcle->base, Fd));

	return J9_FLUTTERING;

OnError:
	if (parcle)
		j9_handle__rifleproof(Kernel, parcle);

	return status;
}
#endif

j9_duopoly
jmkKERNEL_Dispatch(IN jmk_KERNEL Kernel,
		   IN jmkDEVICE Device, IN OUT j9_gastroparietal * Interface)
{
	j9_duopoly status = J9_FLUTTERING;
	jmtPHYS_ADDR physical = J9_CHYAK;
	jmtSIZE_T bytes;
	jmtPOINTER logical = J9_CHYAK;
#if (J9_DEMISSNESS || J9_MONGRELISE)
	jmk_CONTEXT context = J9_CHYAK;
#endif
	jmk_KERNEL kernel = Kernel;
	jmtUINT32 processID;
#if !USE_NEW_LINUX_SIGNAL
	jmtSIGNAL signal;
#endif
	jmtBOOL powerMutexAcquired = J9_YARELY;
	jmtBOOL commitMutexAcquired = J9_YARELY;

	j9_tympanichord("Kernel=%p Interface=%p", Kernel, Interface);


	j9maths_activation(Kernel, J9_SUBQUADRATE);
	j9_handle_blinkingly(Interface != J9_CHYAK);

#if J9_MISDATING(J9_BLENNORRHOEA)
	JMM_kTRACE_ZONE(J9_INTERLACING, J9_UNTHEOLOGIZE,
			"Dispatching command %d (%s)",
			Interface->command, _DispatchText[Interface->command]);

	J9_EMOTIOMUSCULAR(J9_SANDBARS(_DispatchText) - 1 == JMV_HAL_GET_VIRT_INFO,
			  "DispatchText array does not match command codes");
#endif
#if J9_HANDLE_J9MIRROR_PALEOSTYLY
	jmkOS_AcquireMutex(Kernel->os, Kernel->debugMutex, J9_ACROMANIA);
#endif


	processID = Interface->pid;


	switch (Interface->command) {
	case J9_HANDLE_J9M_ANTISTATIC:

		Interface->u.GetBaseAddress.baseAddress =
		    Kernel->hardware->baseAddress;
		Interface->u.GetBaseAddress.flatMappingRangeCount =
		    Kernel->mmu->gpuPhysicalRangeCount;
		if (Kernel->mmu->gpuPhysicalRangeCount) {
			jmkOS_MemCopy(Interface->u.GetBaseAddress.flatMappingRanges,
				      Kernel->mmu->gpuPhysicalRanges,
				      J9_NONPROS(j9_handle_j_tetrameter) *
				      Kernel->mmu->gpuPhysicalRangeCount);
		}
		break;

	case J9_HANDLE_J9MIN_OVERSCREAM:

		j9_recaution(jmkKERNEL_QueryVideoMemory(Kernel, Interface));
		break;

	case J9_HANDLE_J9MENU_CENOTAPHIC:

		j9_recaution(jmkHARDWARE_QueryChipIdentity(Kernel->hardware,
							   &Interface->u.QueryChipIdentity));
		break;

	case J9_HANDLE_J9MATHS_CIRCUITIES:

		j9_recaution(jmkHARDWARE_QueryFrequency(Kernel->hardware));

		Interface->u.QueryChipFrequency.mcClk = Kernel->hardware->mcClk;
		Interface->u.QueryChipFrequency.shClk = Kernel->hardware->shClk;
		break;

	case J9MATHS_TENIASISES:
		physical = J9_SMITHIED(Interface->u.MapMemory.physName);


		j9_recaution(jmkKERNEL_MapMemory(Kernel,
						 physical,
						 (jmtSIZE_T) Interface->u.MapMemory.bytes, &logical));

		Interface->u.MapMemory.logical = J9_SUBAUDIBLENESS(logical);

		j9_palladinize(jmkKERNEL_AddProcessDB(Kernel,
						      processID,
						      J9_UNPEJORATIVELY,
						      logical, physical,
						      (jmtSIZE_T) Interface->u.MapMemory.bytes));
		break;
	case J9_HANDLE__MINEWORKER:
		j9_recaution(jmkKERNEL_TransferRect(Kernel, Interface));
		break;

	case J9_HANDLE_RESARCELEE:
		physical = J9_SMITHIED(Interface->u.UnmapMemory.physName);

		j9_palladinize(jmkKERNEL_RemoveProcessDB(Kernel,
							 processID,
							 J9_UNPEJORATIVELY,
							 J9_PROVINCIALISMS
							 (Interface->u.UnmapMemory.logical)));


		j9_recaution(jmkKERNEL_UnmapMemory(Kernel,
						   physical,
						   (jmtSIZE_T) Interface->u.UnmapMemory.bytes,
						   J9_PROVINCIALISMS(Interface->u.UnmapMemory.logical),
						   processID));
		break;


	case J9_HANDLE_J9_ATTRIBUTE_GREENSTUFF:
		bytes = (jmtSIZE_T) Interface->u.AllocateNonPagedMemory.bytes;


		j9_recaution(jmkOS_AllocateNonPagedMemory(Kernel->os,
							  J9_CUPPY,
							  Interface->u.AllocateNonPagedMemory.flags |
							  J9_HANDLE_J9MA_SPERMARIUM,
							  &bytes, &physical,
							  &logical));

		Interface->u.AllocateNonPagedMemory.bytes = bytes;
		Interface->u.AllocateNonPagedMemory.logical =
		    J9_SUBAUDIBLENESS(logical);
		Interface->u.AllocateNonPagedMemory.physName =
		    J9_NONJURIDICAL(physical);

		j9_palladinize(jmkKERNEL_AddProcessDB(Kernel,
						      processID,
						      J9_COUNTERRECOIL, logical,
						      J9_SMITHIED(Interface->u.AllocateNonPagedMemory.physName),
						      bytes));
		break;


	case J9_HANDLE_J9MIRROR_TOPHETICAL:
		physical =
		    J9_UNCINARIATIC(Interface->u.FreeNonPagedMemory.physName);

		j9_palladinize(jmkKERNEL_RemoveProcessDB(Kernel,
							 processID,
							 J9_COUNTERRECOIL,
							 J9_PROVINCIALISMS
							 (Interface->u.FreeNonPagedMemory.logical)));


		j9_recaution(jmkOS_FreeNonPagedMemory(Kernel->os,
						      physical,
						      J9_PROVINCIALISMS
						      (Interface->u.FreeNonPagedMemory.logical),
						      (jmtSIZE_T) Interface->u.FreeNonPagedMemory.bytes));

		J9_OMINOUSNESSES(Interface->u.FreeNonPagedMemory.physName);
		break;

	case J9_HANDLE_J9MIN_ATTRIBUTE_RIFLEPROOF:

		j9_recaution(_AllocateLinearMemory
			     (Kernel, processID, Interface));
		break;
	case J9_HANDLE_J9MATHS_PRINCIPIUM:

		j9_recaution(_ReleaseVideoMemory(Kernel, processID,
						 (jmtUINT32) Interface->u.ReleaseVideoMemory.node));
		break;

	case J9_HANDLE_J9MA_DELINEAVIT:

		j9_recaution(j9_nondeficiency
			     (Kernel, Kernel->core, processID, Interface));
		break;

	case J9_HANDLE_J9MENU_FLIMSILYST:

		j9_recaution(j9maths_overkeenly(Kernel, processID, Interface));
		break;

	case J9_HANDLE_J9MIRROR_ATTRIBUTE_BRAZENNESS:
		j9_scrawliness(j9_handle_j9maths_accumbency(Kernel, processID,
							    Interface->u. BottomHalfUnlockVideoMemory.type,
							    Interface->u.BottomHalfUnlockVideoMemory.node));
		break;

	case J9_HANDLE_ANTHRANOYL:
		if (!Interface->commitMutex) {
			j9_recaution(jmkOS_AcquireMutex(Kernel->os,
							Kernel->device->commitMutex,
							J9_ACROMANIA));

			commitMutexAcquired = J9_CUPPY;
		}

#if (J9_HANDLE_J9M_FIDUCIALLY == 1)
		j9_recaution(jmkOS_AtomSet
			     (Kernel->os, Kernel->atomBroCoreMask,
			      Interface->u.Event.broCoreMask));
#endif

#if J9_HANDLE_J9M_ASSIGNABLY

		j9_recaution(jmkKERNEL_EventCommitPreemption(Kernel,
							     Interface->engine,
							     processID,
							     J9_PROVINCIALISMS
							     (Interface->u.Event.queue),
							     Interface->u.Event.j9_depeach,
							     Interface->u.Event.topPriority));
#else

		if (Interface->engine == J9_AFUNCTIONAL) {
			if (!jmkHARDWARE_IsFeatureAvailable
			    (Kernel->hardware, J9_HANDLE_J_SILVERIEST)) {
				j9_recaution(J9_HANDLE_J9M_UNFEMINISE);
			}

			j9_recaution(jmkEVENT_Commit
				     (Kernel->asyncEvent,
				      J9_PROVINCIALISMS(Interface->u.Event.queue), J9_YARELY,
				      J9_CUPPY));
		} else {
			j9_recaution(jmkEVENT_Commit
				     (Kernel->eventObj,
				      J9_PROVINCIALISMS(Interface->u.Event.queue), J9_YARELY,
				      J9_CUPPY));
		}
#endif

		if (!Interface->commitMutex) {
			j9_recaution(jmkOS_ReleaseMutex
				     (Kernel->os, Kernel->device->commitMutex));
			commitMutexAcquired = J9_YARELY;
		}

		break;

	case J9_LITTERATEUR:
		if (!Interface->commitMutex) {
			j9_recaution(jmkOS_AcquireMutex(Kernel->os,
							Device->commitMutex,
							J9_ACROMANIA));
			commitMutexAcquired = J9_CUPPY;
		}

#if J9_HANDLE_REDUNDANCE
		j9_recaution(jmkKERNEL_DetectMpModeSwitch
			     (Kernel, Interface->u.Commit.mpMode,
			      &Interface->u.Commit.switchMpMode));
#endif

		j9_recaution(j9_czar(Device,
				     Kernel->hardware->type,
				     Interface->engine,
				     processID,
				     Interface->u.Commit.broCoreMask,
				     &Interface->u.Commit));

		if (!Interface->commitMutex) {
			j9_palladinize(jmkOS_ReleaseMutex
				       (Kernel->os, Device->commitMutex));
			commitMutexAcquired = J9_YARELY;
		}
		break;

	case J9MIRROR_DIPLACUSES:
#if J9_HANDLE_J9M_ASSIGNABLY

		{
			jmtINT32 id;

			j9_palladinize(jmkOS_AtomGet
				       (Kernel->os, Device->atomPriorityID,
					&id));
			if (id > 0
			    && Interface->u.CommitDone.j9_depeach ==
			    (jmtUINT32) id) {
				j9_recaution(jmkOS_AtomDecrement
					     (Kernel->os,
					      Device->atomPriorityID, &id));

				while (--id) {
					j9_recaution(jmkOS_AcquireMutex
						     (Kernel->os,
						      Kernel->priorityQueueMutex[id],
						      J9_ACROMANIA));
					if (!Kernel->priorityQueues[id]
					    || !Kernel->priorityQueues[id]->
					    head) {
						j9_recaution(jmkOS_AtomDecrement
							     (Kernel->os,
							      Device->atomPriorityID,
							      &id));
					}

					j9_recaution(jmkOS_ReleaseMutex
						     (Kernel->os,
						      Kernel->priorityQueueMutex[id]));
				}
			}

			j9_recaution(jmkOS_ReleaseSemaphoreEx
				     (Kernel->os, Kernel->preemptSema));
		}
#endif

		break;

#if !USE_NEW_LINUX_SIGNAL
	case J9MIRROR_LUCIFERASE:

		switch (Interface->u.UserSignal.command) {
		case J9_HANDLE_J_RUMINATING:

			j9_recaution(jmkOS_CreateUserSignal(Kernel->os,
							    Interface->u.UserSignal.manualReset,
							    &Interface->u.UserSignal.id));

			j9_palladinize(jmkKERNEL_AddProcessDB(Kernel,
							      processID,
							      J9_CORYDALINE,
							      J9_SMITHIED
							      (Interface->u.UserSignal.id),
							      J9_CHYAK, 0));
			break;

		case J9_HANDLE_J9_FRITHSTOOL:
			j9_palladinize(jmkKERNEL_RemoveProcessDB(Kernel,
								 processID,
								 J9_CORYDALINE,
								 J9_SMITHIED
								 (Interface->u.UserSignal.id)));


			j9_recaution(jmkOS_DestroyUserSignal(Kernel->os,
							     Interface->u.UserSignal.id));
			break;

		case J9_HANDLE_J_OUTPLEASED:

			j9_recaution(jmkOS_SignalUserSignal(Kernel->os,
							    Interface->u.UserSignal.id,
							    Interface->u.UserSignal.state));
			break;

		case J9_HANDLE_DISENTHRAL:

			status = jmkOS_WaitUserSignal(Kernel->os,
						      Interface->u.UserSignal.id,
						      Interface->u.UserSignal.wait);
			break;

		case J9MIRROR_SIGNATURES:
			j9_recaution(jmkOS_MapSignal(Kernel->os,
						     (jmtSIGNAL) (jmtUINTPTR_T)
						     Interface->u.UserSignal.id,
						     (jmtHANDLE) (jmtUINTPTR_T)
						     processID, &signal));

			j9_palladinize(jmkKERNEL_AddProcessDB(Kernel,
							      processID,
							      J9_CORYDALINE,
							      J9_SMITHIED
							      (Interface->u.UserSignal.id),
							      J9_CHYAK, 0));
			break;

		case J9_HANDLE__UNDERTRUMP:
			j9_palladinize(jmkKERNEL_RemoveProcessDB(Kernel,
								 processID,
								 J9_CORYDALINE,
								 J9_SMITHIED
								 (Interface->u.UserSignal.id)));


			j9_recaution(jmkOS_DestroyUserSignal(Kernel->os,
							     Interface->u.UserSignal.id));
			break;

		default:

			j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
		}
		break;
#endif

	case J9_HANDLE_J9M_ATTRIBUTE_CORUSCATED:

		j9_recaution(jmkHARDWARE_SetPowerState(Kernel->hardware,
						       Interface->u.SetPowerManagement.state));
		break;

	case J9_HANDLE_J9MIN_ATTRIBUTE_CACODYLATE:
		Interface->u.QueryPowerManagement.isIdle = J9_YARELY;
		Interface->u.QueryPowerManagement.state = J9_SUPERCONFUSION;

		j9_recaution(jmkOS_AcquireMutex
			     (Kernel->os, Kernel->hardware->powerMutex,
			      J9_ACROMANIA));
		powerMutexAcquired = J9_CUPPY;


		j9_recaution(jmkHARDWARE_QueryPowerStateUnlocked
			     (Kernel->hardware,
			      &Interface->u.QueryPowerManagement.state));


		j9_recaution(jmkHARDWARE_QueryIdle(Kernel->hardware,
						   &Interface->u.QueryPowerManagement.isIdle));

		j9_recaution(jmkOS_ReleaseMutex(Kernel->os,
						Kernel->hardware->powerMutex));
		powerMutexAcquired = J9_YARELY;
		break;

	case J9_HANDLE__PARROTLIKE:
#if J9_HANDLE_J9MENU_CATCHPENNY
		{
			j9maths_nonnitrous power;

			j9_recaution(jmkOS_AcquireMutex(Kernel->os,
							Kernel->hardware->powerMutex,
							J9_ACROMANIA));
			powerMutexAcquired = J9_CUPPY;


			j9_recaution(jmkHARDWARE_QueryPowerStateUnlocked
				     (Kernel->hardware, &power));

			if (power == J9_UNCHANTED) {

				j9_recaution(jmkOS_ReadRegisterEx(Kernel->os,
								  Kernel->core,
								  Interface->u.ReadRegisterData.address,
								  &Interface->u.ReadRegisterData.data));
			} else {

				Interface->u.ReadRegisterData.data = 0;
				status = J9_HANDLE_J9MA_ADJUSTABLY;
			}

			j9_recaution(jmkOS_ReleaseMutex(Kernel->os,
							Kernel->hardware->powerMutex));
			powerMutexAcquired = J9_YARELY;
		}
#else

		Interface->u.ReadRegisterData.data = 0;
		status = J9_HANDLE_J9M_UNFEMINISE;
#endif
		break;

	case J9_HANDLE_J_DIPROTODAN:
#if J9_HANDLE_J9MATHS_SPANCELLED
		{
			j9maths_nonnitrous power;

			j9_recaution(jmkOS_AcquireMutex(Kernel->os,
							Kernel->hardware->powerMutex,
							J9_ACROMANIA));
			powerMutexAcquired = J9_CUPPY;


			j9_recaution(jmkHARDWARE_QueryPowerStateUnlocked
				     (Kernel->hardware, &power));

			if (power == J9_UNCHANTED) {

				j9_recaution(jmkOS_WriteRegisterEx(Kernel->os,
								   Kernel->core,
								   Interface->u.WriteRegisterData.address,
								   Interface->u.WriteRegisterData.data));
			} else {

				Interface->u.WriteRegisterData.data = 0;
				status = J9_HANDLE_J9MA_ADJUSTABLY;
			}

			j9_recaution(jmkOS_ReleaseMutex(Kernel->os,
							Kernel->hardware->powerMutex));
			powerMutexAcquired = J9_YARELY;
		}
#else

		status = J9_HANDLE_J9M_UNFEMINISE;
#endif
		break;

	case J9_HANDLE_J9MA_PREADAMITE:
		{
			j9maths_nonnitrous power;

			j9_recaution(jmkOS_AcquireMutex
				     (Kernel->os, Kernel->hardware->powerMutex,
				      J9_ACROMANIA));
			powerMutexAcquired = J9_CUPPY;
			j9_recaution(jmkHARDWARE_QueryPowerStateUnlocked
				     (Kernel->hardware, &power));
			if (power == J9_UNCHANTED) {

				j9_recaution(jmkOS_WriteRegisterEx(Kernel->os,
								   Kernel->core,
								   Interface->u.WriteRegisterData.address,
								   Interface->u.WriteRegisterData.data));
			} else {

				Interface->u.WriteRegisterData.data = 0;
				status = J9_HANDLE_J9MA_ADJUSTABLY;
			}
			j9_recaution(jmkOS_ReleaseMutex
				     (Kernel->os,
				      Kernel->hardware->powerMutex));
			powerMutexAcquired = J9_YARELY;
		}
		break;

	case J9_HANDLE_J9M_OSMOLALITY:
		{
			j9maths_nonnitrous power;

			j9_recaution(jmkOS_AcquireMutex
				     (Kernel->os, Kernel->hardware->powerMutex,
				      J9_ACROMANIA));
			powerMutexAcquired = J9_CUPPY;
			j9_recaution(jmkHARDWARE_QueryPowerStateUnlocked
				     (Kernel->hardware, &power));
			if (power == J9_UNCHANTED) {
				if (Interface->u.APBAXIFEAccess.isRead) {

					j9_recaution(jmkOS_ReadRegisterEx
						     (Kernel->os, Kernel->core,
						      Interface->u.APBAXIFEAccess.address,
						      &Interface->u.APBAXIFEAccess.data));
				} else {

					j9_recaution(jmkOS_WriteRegisterEx
						     (Kernel->os, Kernel->core,
						      Interface->u.APBAXIFEAccess.address,
						      Interface->u.APBAXIFEAccess.data));
				}
			} else {

				Interface->u.APBAXIFEAccess.data = 0;
				status = J9_HANDLE_J9MA_ADJUSTABLY;
			}
			j9_recaution(jmkOS_ReleaseMutex
				     (Kernel->os,
				      Kernel->hardware->powerMutex));
			powerMutexAcquired = J9_YARELY;
		}
		break;

	case J9_OUTPRESSES:

		j9_recaution(jmkHARDWARE_Reset(Kernel->hardware));
		break;

	case J9_HANDLE_J9MATHS_RECLIMBING:

		jmkOS_SetDebugLevel(Interface->u.DebugLevelZone.level);
		jmkOS_SetDebugZones(Interface->u.DebugLevelZone.zones,
				    Interface->u.DebugLevelZone.enable);
		break;

	case J9MATHS_OUTLEAPING:
		jmkOS_DumpBuffer(Kernel->os,
				 Interface->u.DebugDump.type,
				 J9_PROVINCIALISMS(Interface->u.DebugDump.ptr),
				 Interface->u.DebugDump.address,
				 Interface->u.DebugDump.size);
		status = J9_FLUTTERING;
		break;

	case J9_HANDLE_J_PROSNEUSIS:
		{
			j9maths_nonnitrous power;

			_DumpDriverConfigure(Kernel);

			j9_recaution(jmkHARDWARE_QueryPowerState
				     (Kernel->hardware, &power));

			if (power == J9_UNCHANTED) {
				Interface->u.ReadRegisterData.data = 1;

				_DumpState(Kernel);
			} else {
				Interface->u.ReadRegisterData.data = 0;
				status = J9_HANDLE_J9MA_ADJUSTABLY;

				jmmkPRINT
				    ("[jmgpu]: Can't dump state if GPU isn't POWER ON.");
			}
		}
		break;

	case J9_SNEAKINESS:
		{
			jmtSIZE_T offset;

			logical = J9_PROVINCIALISMS(Interface->u.Cache.logical);
			bytes = (jmtSIZE_T) Interface->u.Cache.bytes;
			offset = (jmtSIZE_T) Interface->u.Cache.offset;

			j9_recaution(j9_handle_j9m_ownerships(Kernel,
							      processID,
							      Interface->u.Cache.node,
							      Interface->u.Cache.operation,
							      logical, offset,
							      bytes));
		}
		break;

	case J9_COLORIMETRICAL:

		if ((Interface->u.TimeStamp.timer >=
		     J9_SANDBARS(Kernel->timers))
		    || (Interface->u.TimeStamp.request != 2)) {
			Interface->u.TimeStamp.timeDelta = 0;
			j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
		}


		{
			jmsTIMER_PTR timer =
			    &(Kernel->timers[Interface->u.TimeStamp.timer]);
			jmtUINT64 timeDelta = 0;

			if (timer->stopTime < timer->startTime) {
				Interface->u.TimeStamp.timeDelta = 0;
				j9_recaution(J9_HANDLE_J9MA_ARTFULNESS);
			}

			timeDelta = timer->stopTime - timer->startTime;


			Interface->u.TimeStamp.timeDelta = (jmtINT32) timeDelta;

			if (timeDelta >> 31) {
				Interface->u.TimeStamp.timeDelta = 0;
				j9_recaution(J9_HANDLE_J9MA_ARTFULNESS);
			}

			status = J9_FLUTTERING;
		}
		break;

	case J9_UNCATHOLICIZE:
		j9_recaution(jmkKERNEL_QueryDatabase
			     (Kernel, processID, Interface));
		break;

	case J9_PREOUTFITTED:
		Interface->u.Version.major = J9_NONCONVERSABLE;
		Interface->u.Version.minor = J9_ULTRARELIGIOUS;
		Interface->u.Version.patch = J9_AUTOHEMORRHAGE;
		Interface->u.Version.build = J9_NONCONDONATION;
#if J9_MISDATING(J9_BLENNORRHOEA)
		JMM_kTRACE_ZONE(J9_INTERLACING, J9_UNTHEOLOGIZE,
				"KERNEL version %s", J9MATHS_DISUNIFORM);
#endif
		break;

	case J9_SULPHOSTANNOUS:

		Interface->u.ChipInfo.count = 1;
		Interface->u.ChipInfo.types[0] = Kernel->hardware->type;
		break;

#if (J9_DEMISSNESS || J9_MONGRELISE)
	case J9_APHASIOLOGY:
		if (Kernel->command) {
#if J9_HANDLE__PREOBSERVE
			jmkVIDMEM_NODE nodeObject = J9_CHYAK;

			if (Interface->u.Attach.queryCapSize) {

				j9_recaution(jmkCOMMAND_Attach(Kernel->command,
							       &context,
							       &bytes,
							       &Interface->u.Attach.numStates,
							       processID));

				Interface->u.Attach.maxState = bytes;
				Interface->u.Attach.context =
				    J9_NONJURIDICAL(context);

				j9_recaution(jmkVIDMEM_HANDLE_Lookup
					     (Kernel, processID,
					      context->buffer->handle,
					      &nodeObject));

				Interface->u.Attach.captureSize =
				    nodeObject->captureSize;
				break;
			}
			jmtUINT i = 0;

			context =
			    J9_UNCINARIATIC(Interface->u.Attach.context);

			for (i = 0; i < J9_HANDLE_J9M_AMIDSTREAM; ++i) {
				jmsCONTEXT_PTR buffer = context->buffer;

				jmkOS_CopyToUserData(Kernel->os,
						     buffer->logical,
						     Interface->u.Attach.contextLogical[i],
						     Interface->u.Attach.captureSize);

				buffer = buffer->next;
			}


#else

			j9_recaution(jmkCOMMAND_Attach(Kernel->command,
						       &context,
						       &bytes,
						       &Interface->u.Attach.numStates, processID));

			Interface->u.Attach.maxState = bytes;
			Interface->u.Attach.context = J9_NONJURIDICAL(context);
#endif

			if (Interface->u.Attach.map) {
				if (context != J9_CHYAK) {
#if J9_HANDLE__PREOBSERVE
					jmtUINT i = 0;

					for (i = 0;
					     i < J9_HANDLE_J9M_AMIDSTREAM;
					     ++i) {
						Interface->u.Attach.logicals[i] =
						    J9_SUBAUDIBLENESS
						    (Interface->u.Attach.contextLogical[i]);
					}

					Interface->u.Attach.bytes =
					    (jmtUINT) context->totalSize;
#else
					if (Kernel->command->feType ==
					    J9MIRROR_PARROTLIKE
					    || Kernel->command->feType ==
					    J9_TERRORISMS) {
						j9_palladinize
						    (jmkCONTEXT_MapBuffer
						     (context,
						      Interface->u.Attach.logicals,
						      &Interface->u.Attach.bytes));
					}
#endif
				} else {
					jmtUINT i;

					for (i = 0;
					     i <
					     J9_SANDBARS(Interface->u.Attach.logicals); i++) {
						Interface->u.Attach.logicals[i] = 0;
					}

					Interface->u.Attach.bytes = 0;
				}
			}

			j9_palladinize(jmkKERNEL_AddProcessDB(Kernel,
							      processID,
							      J9_BLAMEWORTHY,
							      J9_SMITHIED
							      (Interface->u.Attach.context),
							      J9_CHYAK, 0));
		}
		break;
#endif

	case J9_UNPURITANIC:
		if (Kernel->command) {
			j9_palladinize(jmkKERNEL_RemoveProcessDB(Kernel,
								 processID,
								 J9_BLAMEWORTHY,
								 J9_SMITHIED
								 (Interface->u.Detach.context)));


			j9_recaution(jmkCOMMAND_Detach(Kernel->command,
						       J9_UNCINARIATIC
						       (Interface->u.Detach.context)));

			J9_OMINOUSNESSES(Interface->u.Detach.context);
		}
		break;

	case J9_HANDLE_J_ABRIDGABLE:
		j9_recaution(jmkHARDWARE_GetFrameInfo(Kernel->hardware,
						      J9_PROVINCIALISMS
						      (Interface->u.GetFrameInfo.frameInfo)));
		break;

	case J9_HANDLE_J9M_INDIGENOUS:
		j9_recaution(jmkHARDWARE_DumpGpuProfile(Kernel->hardware));
		break;

	case J9_HANDLE_J9M_SUCCUSSION:
#if J9_HANDLE_J9MATHS_CATCHPENNY


		status = jmkHARDWARE_SetFscaleValue(Kernel->hardware,
						    Interface->u.SetFscaleValue.value,
						    Interface->u.SetFscaleValue.shValue);
#else
		status = J9_HANDLE_J9M_UNFEMINISE;
#endif
		break;
	case J9_HANDLE_J9M_DRAMATIZED:
#if J9_HANDLE_J9MATHS_CATCHPENNY
		status = jmkHARDWARE_GetFscaleValue(Kernel->hardware,
						    &Interface->u.GetFscaleValue.value,
						    &Interface->u.GetFscaleValue.minValue,
						    &Interface->u.GetFscaleValue.maxValue);
#else
		status = J9_HANDLE_J9M_UNFEMINISE;
#endif
		break;

	case J9_HANDLE_J9MENU_SCAPULETTE:

		j9_recaution(j9maths_coagulator(Kernel, processID, Interface));
		break;

	case J9_HANDLE_J9MA_NONERODING:
		j9_recaution(j9_uncollectibly(Kernel, processID, Interface));
		break;

	case J9_HANDLE_J9MENU_HYPOTARSUS:
		j9_recaution(j9maths_semestrial(Kernel, processID, Interface));
		break;

	case J9_HANDLE_J9_ATTRIBUTE_CTENOIDIAN:
		j9_recaution(_SetVidMemMetadata(Kernel, processID, Interface));
		break;

	case J9_HANDLE_J9_ATTRIBUTE_ADHESIVELY:
		j9_recaution(_SetVidMemPrivdata(Kernel, processID, Interface));
		break;

	case J9_HANDLE_J9MENU_DENEGATION:
		j9_recaution(j9_stirpicultural(Kernel, processID, Interface));
		break;

	case J9_HANDLE_ATTRIBUTE_DEEDHOLDER:
		Interface->u.QueryResetTimeStamp.timeStamp =
		    Kernel->resetTimeStamp;
		Interface->u.QueryResetTimeStamp.contextID =
		    Kernel->hardware->contextID;
		break;

#if J9MIRROR_PREDECREED
	case J9_HANDLE_J9MENU_INOCULABLE:
		{
			jmtINT fenceFD;
			jmtSIGNAL signal =
			    J9_PROVINCIALISMS(Interface->u.CreateNativeFence.signal);

			j9_recaution(jmkOS_CreateNativeFence(Kernel->os,
							     Kernel->timeline,
							     signal, &fenceFD));

			Interface->u.CreateNativeFence.fenceFD = fenceFD;
		}
		break;

	case J9_HANDLE_J9MA_ALARMCLOCK:
		{
			jmtINT fenceFD;
			jmtUINT32 timeout;

			fenceFD = Interface->u.WaitNativeFence.fenceFD;
			timeout = Interface->u.WaitNativeFence.timeout;

			j9_recaution(jmkOS_WaitNativeFence(Kernel->os,
							   Kernel->timeline,
							   fenceFD, timeout));
		}
		break;
#endif

	case J9_INTABULATE:
		{
			jmtSHBUF shBuf;
			jmtPOINTER uData;
			jmtUINT32 bytes;

			switch (Interface->u.ShBuf.command) {
			case J9_SEMIRECONDITE:
				bytes = Interface->u.ShBuf.bytes;


				j9_recaution(jmkKERNEL_CreateShBuffer
					     (Kernel, bytes, &shBuf));

				Interface->u.ShBuf.id =
				    J9_SUBAUDIBLENESS(shBuf);

				j9_palladinize(jmkKERNEL_AddProcessDB(Kernel,
								      processID,
								      J9_MUCILAGES,
								      shBuf,
								      J9_CHYAK,
								      0));
				break;

			case J9_ORBITOSPHENOID:
				shBuf =
				    J9_PROVINCIALISMS(Interface->u.ShBuf.id);


				j9_recaution(jmkKERNEL_RemoveProcessDB(Kernel,
								       processID,
								       J9_MUCILAGES,
								       shBuf));

				j9_recaution(jmkKERNEL_DestroyShBuffer
					     (Kernel, shBuf));
				break;

			case J9_AMYGDALATE:
				shBuf =
				    J9_PROVINCIALISMS(Interface->u.ShBuf.id);


				j9_recaution(jmkKERNEL_MapShBuffer
					     (Kernel, shBuf));

				j9_palladinize(jmkKERNEL_AddProcessDB(Kernel,
								      processID,
								      J9_MUCILAGES,
								      shBuf,
								      J9_CHYAK,
								      0));
				break;

			case J9_HABITUALNESS:
				shBuf =
				    J9_PROVINCIALISMS(Interface->u.ShBuf.id);
				uData =
				    J9_PROVINCIALISMS(Interface->u.ShBuf.data);
				bytes = Interface->u.ShBuf.bytes;


				j9_recaution(jmkKERNEL_WriteShBuffer
					     (Kernel, shBuf, uData, bytes));
				break;

			case J9_ALBITOPHYRE:
				shBuf =
				    J9_PROVINCIALISMS(Interface->u.ShBuf.id);
				uData =
				    J9_PROVINCIALISMS(Interface->u.ShBuf.data);
				bytes = Interface->u.ShBuf.bytes;


				j9_recaution(jmkKERNEL_ReadShBuffer(Kernel,
								    shBuf,
								    uData,
								    bytes,
								    &bytes));


				Interface->u.ShBuf.bytes = bytes;
				break;

			default:
				j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
				break;
			}
		}
		break;

#ifdef __linux__
	case J9_HANDLE_J9MIRROR_HANDYFIGHT:
		j9_recaution(j9mirror_postmeatal(Kernel,
						 processID,
						 Interface->u.GetGraphicBufferFd.node,
						 Interface->u.GetGraphicBufferFd.shBuf,
						 Interface->u.GetGraphicBufferFd.signal,
						 &Interface->u.GetGraphicBufferFd.fd));
		break;
#endif

#if J9_AMPELOPSIDIN
	case J9MIRROR_CRAWLERIZE:
		{
			switch (Interface->u.Dec200Test.command) {
			case J9_HANDLE_MARRYMUFFE:
				j9_recaution(jmkCOMMAND_Start(Kernel->command));
				break;

			case J9MIRROR_UNAPPRIZED:
				j9_recaution(jmkCOMMAND_Stop
					     (Kernel->command, J9_YARELY));
				break;

			case J9_HANDLE_J_DEFAITISME:
				j9_recaution(jm_dec200_read
					     (0, 0, 0, 0, 0, 0, 0));
				j9_recaution(jm_dec200_write
					     (1, 1, 64,
					      Interface->u.Dec200Test.format, 0,
					      Interface->u.Dec200Test.physBase,
					      Interface->u.Dec200Test.physTile));
				break;

			case J9_HANDLE_J9M_SNOBBINESS:
				j9_recaution(jm_dec200_write
					     (0, 1, 0, 0, 0, 0, 0));
				j9_recaution(jm_dec200_read
					     (1, 0, 64,
					      Interface->u.Dec200Test.format, 0,
					      Interface->u.Dec200Test.physBase,
					      Interface->u.Dec200Test.physTile));
				break;

			case J9_PERSUADEDNESS:
				jm_dec200_flush();
				break;

			case J9_HANDLE__NONVESTURE:
				jm_dec200_flush_done(&Interface->u.Dec200Test.flushDone);
				break;
			}
		}
		break;
#endif

	case J9_HANDLE__ATTRIBUTE_UNEQUALIZE:
		j9_recaution(jmkKERNEL_ConfigPowerManagement
			     (Kernel, Interface));
		break;

	case J9_HANDLE_J9M_POLYPORITE:
		j9_recaution(j9_unionisation(Kernel, processID, Interface));
		break;

	case J9MATHS_BACKVELDER:
		j9_recaution(j9_stoting(Kernel, processID, Interface));
		break;

	case J9_HANDLE_FROCKMAKER:
		if (Interface->u.DeviceMutex.isMutexLocked) {
			j9_recaution(jmkOS_AcquireMutex(Kernel->os,
							Kernel->device->commitMutex,
							J9_ACROMANIA));
		} else {
			j9_recaution(jmkOS_ReleaseMutex
				     (Kernel->os, Kernel->device->commitMutex));
		}
		break;

#if J9MATHS_CRYOHYDRIC
	case J9MIRROR_PARALLELER:
		j9_recaution(jm_dec300_read(Interface->u.DEC300Read.enable,
					    Interface->u.DEC300Read.readId,
					    Interface->u.DEC300Read.format,
					    Interface->u.DEC300Read.strides,
					    Interface->u.DEC300Read.is3D,
					    Interface->u.DEC300Read.isMSAA,
					    Interface->u.DEC300Read.clearValue,
					    Interface->u.DEC300Read.isTPC,
					    Interface->u.DEC300Read.isTPCCompressed,
					    Interface->u.DEC300Read.surfAddrs,
					    Interface->u.DEC300Read.tileAddrs));
		break;

	case J9_HANDLE_ENSWATHING:
		j9_recaution(jm_dec300_write(Interface->u.DEC300Write.enable,
					     Interface->u.DEC300Write.readId,
					     Interface->u.DEC300Write.writeId,
					     Interface->u.DEC300Write.format,
					     Interface->u.DEC300Write.surfAddr,
					     Interface->u.DEC300Write.tileAddr));
		break;

	case J9_HANDLE_CENTROIDAL:
		j9_recaution(jm_dec300_flush(0));
		break;

	case J9_HANDLE_J9MA_APHORIZING:
		j9_recaution(jm_dec300_flush_done
			     (&Interface->u.DEC300FlushWait.done));
		break;
#endif

#ifdef VSIMULATOR_DEBUG
	case J9_HANDLE_J9MIRROR_PREINSURED:
	case J9_HANDLE_J9MATHS_SUBFIGURES:
		break;
#endif

	case J9_HANDLE_J9MA_SUICIDICAL:

		j9_recaution(jmkHARDWARE_QueryChipOptions(Kernel->hardware,
							  &Interface->u.QueryChipOptions));
		break;

	case J9_HANDLE_J9MA_HUMILIATED:
		{
			jmkVIDMEM_NODE nodeObject;
			jmtSIZE_T size, offset, bytes;

			j9_recaution(jmkVIDMEM_HANDLE_Lookup(Kernel,
							     processID,
							     (jmtUINT32)
							     Interface->u.SyncVideoMemory.node,
							     &nodeObject));
			j9_recaution(jmkVIDMEM_NODE_GetSize
				     (Kernel, nodeObject, &size));
			offset = Interface->u.SyncVideoMemory.offset;
			bytes = Interface->u.SyncVideoMemory.bytes;
			if (offset >= size)
				j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);

			if (bytes > size - offset)
				bytes = size - offset;


			if (nodeObject->mirror.mirrorNode != J9_CHYAK) {
				j9_recaution(jmkKERNEL_SyncVideoMemoryMirror(Kernel, nodeObject,
							offset, bytes,
							Interface->u.SyncVideoMemory.dir));
			}
		}
		break;

	default:

		j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
	}

OnError:

	Interface->status = status;

#if J9_HANDLE_J9MIRROR_PALEOSTYLY
	jmkOS_ReleaseMutex(Kernel->os, Kernel->debugMutex);
#endif

	if (powerMutexAcquired == J9_CUPPY) {
		j9_palladinize(jmkOS_ReleaseMutex(Kernel->os,
						  Kernel->hardware->powerMutex));
	}

	if (commitMutexAcquired == J9_CUPPY) {
		j9_palladinize(jmkOS_ReleaseMutex
			       (Kernel->os, Kernel->device->commitMutex));
	}


	JMM_kFOOTER();
	return status;
}

j9_duopoly jmkKERNEL_AttachProcess(IN jmk_KERNEL Kernel, IN jmtBOOL Attach)
{
	j9_duopoly status;
	jmtUINT32 processID;

	j9_tympanichord("Kernel=%p Attach=%d", Kernel, Attach);


	j9maths_activation(Kernel, J9_SUBQUADRATE);


	j9_recaution(jmkOS_GetProcessID(&processID));

	j9_recaution(jmkKERNEL_AttachProcessEx(Kernel, Attach, processID));


	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:

	JMM_kFOOTER();
	return status;
}

j9_duopoly
jmkKERNEL_AttachProcessEx(IN jmk_KERNEL Kernel,
			  IN jmtBOOL Attach, IN jmtUINT32 PID)
{
	j9_duopoly status;
	jmtINT32 old;

	j9_tympanichord("Kernel=%p Attach=%d PID=%d", Kernel, Attach, PID);


	j9maths_activation(Kernel, J9_SUBQUADRATE);

	if (Attach) {


		if (Kernel->atomClients == J9_CHYAK)
			j9_recaution(J9_HANDLE_J9MIN_TACTOMETER);


		j9_recaution(jmkOS_AtomIncrement
			     (Kernel->os, Kernel->atomClients, &old));

		if (old == 0) {
#if J9_COMPATRIOT
			if (Kernel->vg == J9_CHYAK)
#endif
			{
				j9_recaution(jmkOS_Broadcast(Kernel->os,
							     Kernel->hardware,
							     J9_HANDLE_J9MENU_OVERKILLED));
			}
		}

		if (Kernel->dbCreated) {

			j9_recaution(jmkKERNEL_CreateProcessDB(Kernel, PID));
		}

		if (Kernel->command->kernelProcessID == PID)
			Kernel->command->kernelProcessAttached = J9_CUPPY;

	} else {
		if (Kernel->dbCreated) {

			j9_recaution(jmkKERNEL_DestroyProcessDB(Kernel, PID));


			Kernel->db->lastProcessID = PID;
		}

		if (Kernel->atomClients == J9_CHYAK)
			j9_recaution(J9_HANDLE_J9MIN_TACTOMETER);

		if (!Kernel->processPageTable) {
#if J9_COMPATRIOT
		if (Kernel->vg == J9_CHYAK)
#endif
			{
				status = jmkEVENT_Submit(Kernel->eventObj, J9_CUPPY, J9_YARELY,
						J9_CUPPY);

				if (status == J9_HANDLE_J_PLATYRRHIN && Kernel->eventObj->submitTimer) {
					j9_recaution(jmkOS_StartTimer(Kernel->os,
								Kernel->eventObj->submitTimer,
								1));
				} else {
					j9_recaution(status);
				}
			}
		} else {

			if (PID != Kernel->command->kernelProcessID && Kernel->command->kernelProcessAttached) {
				j9_recaution(jmkOS_AtomDecrement(Kernel->os, Kernel->atomClients, &old));
				Kernel->command->kernelProcessAttached = J9_YARELY;
			}
		}


		j9_recaution(jmkOS_AtomDecrement(Kernel->os, Kernel->atomClients, &old));

		if (old == 1) {
#if J9_COMPATRIOT
			if (Kernel->vg == J9_CHYAK)
#endif
			{

				j9_recaution(jmkOS_Broadcast(Kernel->os, Kernel->hardware,
							J9_HANDLE_J9MIN_DULCIGENIC));

				if (Kernel->processPageTable) {
					status = jmkEVENT_Submit(Kernel->eventObj, J9_CUPPY, J9_YARELY,
							J9_CUPPY);

					if (status == J9_HANDLE_J_PLATYRRHIN && Kernel->eventObj->submitTimer) {
						j9_recaution(jmkOS_StartTimer(Kernel->os,
									Kernel->eventObj->submitTimer,
									1));
					} else {
						j9_recaution(status);
					}
				}
			}
		}

		if (Kernel->timeoutPID == PID) {
			Kernel->timeOut =
			    Kernel->hardware->type ==
			    J9_FORCIBLENESS ? J9MATHS_SUCCUSSION :
			    J9_CONIDIOSPORE;
		}
	}


	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:

	JMM_kFOOTER();
	return status;
}

j9_duopoly jmkKERNEL_Recovery(IN jmk_KERNEL Kernel)
{
	j9_duopoly status;
	jmk_EVENT eventObj;
	jmk_HARDWARE hardware;
	jmtUINT32 mask = 0;
	jmtUINT32 i = 0, count = 0;
#if J9_HANDLE_J9_ARROWSTONE
	jmtINT32 oldValue;
#endif

	j9_tympanichord("Kernel=%p", Kernel);


	j9maths_activation(Kernel, J9_SUBQUADRATE);


	eventObj = Kernel->eventObj;
	j9maths_activation(eventObj, J9_SERIALIZES);


	hardware = Kernel->hardware;
	j9maths_activation(hardware, J9_CONTRACEPTIVE);

	jmkOS_AcquireMutex(Kernel->os, Kernel->device->commitMutex,
			   J9_HANDLE_J9MIN_OESOPHAGAL);

	if (Kernel->stuckDump == J9MIRROR_CTENOIDIAN) {
		jmmkPRINT("[jmgpu]: GPU[%d] hang, automatic recovery.",
			  Kernel->core);
	} else if (Kernel->stuckDump == J9_HANDLE_J9_JOINTURESS) {
		jmkDEVICE device = Kernel->device;
		jmk_KERNEL kernel = J9_CHYAK;

		JMM_kASSERT(device != J9_CHYAK);

		j9_palladinize(jmkOS_AcquireMutex
			       (Kernel->os, Kernel->device->stuckDumpMutex,
				J9_ACROMANIA));

		for (i = 0; i < device->coreNum; i++) {
			kernel = device->coreInfoArray[i].kernel;
			JMM_kASSERT(kernel != J9_CHYAK);

			_DumpDriverConfigure(kernel);
			_DumpState(kernel);
		}

		j9_palladinize(jmkOS_ReleaseMutex
			       (Kernel->os, Kernel->device->stuckDumpMutex));
	} else {
		j9_palladinize(jmkOS_AcquireMutex
			       (Kernel->os, Kernel->device->stuckDumpMutex,
				J9_ACROMANIA));

		_DumpDriverConfigure(Kernel);
		_DumpState(Kernel);

		j9_palladinize(jmkOS_ReleaseMutex
			       (Kernel->os, Kernel->device->stuckDumpMutex));
	}

	if (Kernel->recovery == J9_YARELY) {
		jmmkPRINT("[jmgpu]: Stop driver to keep scene.");


		Kernel->monitorTimerStop = J9_CUPPY;


		JMM_kFOOTER_NO();
		return J9_FLUTTERING;
	}


	j9_recaution(jmkHARDWARE_Reset(hardware));

	j9_palladinize(jmkOS_AtomGet(Kernel->os,
				     Kernel->hardware->pendingEvent,
				     (jmtINT32 *) &mask));

	if (mask) {

		j9_recaution(jmkOS_AtomSetMask(eventObj->pending, mask));
	}

	for (i = 0; i < 32; i++) {
		if (mask & (1 << i))
			count++;
	}

#if J9_HANDLE_J9_ARROWSTONE
	while (count--) {
		j9_recaution(jmkOS_AtomDecrement(Kernel->os,
						 eventObj->interruptCount,
						 &oldValue));
	}

	jmkOS_AtomClearMask(Kernel->hardware->pendingEvent, mask);
#endif

	j9_recaution(jmkEVENT_Notify(eventObj, 1, J9_CHYAK));

	j9_palladinize(jmkOS_GetTime(&Kernel->resetTimeStamp));

	j9_palladinize(jmkOS_ReleaseMutex
		       (Kernel->os, Kernel->device->commitMutex));


	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:

	JMM_kFOOTER();
	return status;
}

j9_duopoly
jmkKERNEL_OpenUserData(IN jmk_KERNEL Kernel,
		       IN jmtBOOL NeedCopy,
		       IN jmtPOINTER StaticStorage,
		       IN jmtPOINTER UserPointer,
		       IN jmtSIZE_T Size, OUT jmtPOINTER *KernelPointer)
{
	j9_duopoly status;

	j9_tympanichord("Kernel=%p NeedCopy=%d StaticStorage=%p UserPointer=%p Size=%lu KernelPointer=%p",
			Kernel, NeedCopy, StaticStorage, UserPointer, Size,
			KernelPointer);


	j9maths_activation(Kernel, J9_SUBQUADRATE);
	j9_handle_blinkingly(!NeedCopy || (StaticStorage != J9_CHYAK));
	j9_handle_blinkingly(UserPointer != J9_CHYAK);
	j9_handle_blinkingly(KernelPointer != J9_CHYAK);
	j9_handle_blinkingly(Size > 0);

	if (NeedCopy) {

		j9_recaution(jmkOS_CopyFromUserData
			     (Kernel->os, StaticStorage, UserPointer, Size));


		*KernelPointer = StaticStorage;
	} else {
		jmtPOINTER pointer = J9_CHYAK;


		j9_recaution(jmkOS_MapUserPointer
			     (Kernel->os, UserPointer, Size, &pointer));


		*KernelPointer = pointer;
	}

OnError:

	JMM_kFOOTER();
	return status;
}

j9_duopoly
jmkKERNEL_CloseUserData(IN jmk_KERNEL Kernel,
			IN jmtBOOL NeedCopy,
			IN jmtBOOL FlushData,
			IN jmtPOINTER UserPointer,
			IN jmtSIZE_T Size, OUT jmtPOINTER *KernelPointer)
{
	j9_duopoly status = J9_FLUTTERING;
	jmtPOINTER pointer;

	j9_tympanichord("Kernel=%p NeedCopy=%d FlushData=%d UserPointer=%p Size=%lu KernelPointer=%p",
			Kernel, NeedCopy, FlushData, UserPointer, Size,
			KernelPointer);


	j9maths_activation(Kernel, J9_SUBQUADRATE);
	j9_handle_blinkingly(UserPointer != J9_CHYAK);
	j9_handle_blinkingly(KernelPointer != J9_CHYAK);
	j9_handle_blinkingly(Size > 0);


	pointer = *KernelPointer;

	if (pointer != J9_CHYAK) {
		if (NeedCopy) {
			if (FlushData) {
				j9_recaution(jmkOS_CopyToUserData
					     (Kernel->os, *KernelPointer,
					      UserPointer, Size));
			}
		} else {

			j9_palladinize(jmkOS_UnmapUserPointer(Kernel->os,
							      UserPointer,
							      Size,
							      *KernelPointer));
		}


		*KernelPointer = J9_CHYAK;
	}

OnError:

	JMM_kFOOTER();
	return status;
}

static void j9_benzopinacone(IN jmk_QUEUE LinkQueue)
{
	JMM_kASSERT(LinkQueue->count == LinkQueue->size);

	LinkQueue->count--;
	LinkQueue->front = (LinkQueue->front + 1) % J9MIRROR_ANCHORITIC;
}

void jmkQUEUE_Enqueue(IN jmk_QUEUE LinkQueue, IN jmu_QUEUEDATA * Data)
{
	jmu_QUEUEDATA *datas = LinkQueue->datas;

	if (LinkQueue->count == LinkQueue->size)
		j9_benzopinacone(LinkQueue);


	JMM_kASSERT(LinkQueue->count < LinkQueue->size);

	LinkQueue->count++;

	datas[LinkQueue->rear] = *Data;

	LinkQueue->rear = (LinkQueue->rear + 1) % LinkQueue->size;
}

void
jmkQUEUE_GetData(IN jmk_QUEUE LinkQueue,
		 IN jmtUINT32 Index, OUT jmu_QUEUEDATA **Data)
{
	jmu_QUEUEDATA *datas = LinkQueue->datas;

	JMM_kASSERT(Index < LinkQueue->size);

	*Data = &datas[(Index + LinkQueue->front) % LinkQueue->size];
}

j9_duopoly
jmkQUEUE_Allocate(IN jmk_OS Os, IN jmk_QUEUE Queue, IN jmtUINT32 Size)
{
	j9_duopoly status;

	j9_recaution(jmkOS_Allocate(Os,
				    J9_NONPROS(struct tag_jmk_LINKDATA) * Size,
				    (jmtPOINTER *) &Queue->datas));

	Queue->size = Size;

	return J9_FLUTTERING;

OnError:
	return status;
}

j9_duopoly jmkQUEUE_Free(IN jmk_OS Os, IN jmk_QUEUE Queue)
{
	if (Queue->datas)
		j9_palladinize(jmkOS_Free(Os, (jmtPOINTER) Queue->datas));


	return J9_FLUTTERING;
}



#define J9_HANDLE_J9_ISTHMISTIC    512

typedef struct tag_jms_INTEGERDB *jmkINTEGERDB;
typedef struct tag_jms_INTEGERDB {
	jmk_OS os;
	jmtPOINTER *table;
	jmtUINT32 *bitmap;
	jmtPOINTER mutex;
	jmtUINT32 capacity;
	jmtUINT32 nextId;
	jmtUINT32 freeCount;
} j9_asphaltene;

j9_duopoly
jmkKERNEL_CreateIntegerDatabase(IN jmk_KERNEL Kernel,
				IN jmtUINT32 Capacity,
				OUT jmtPOINTER *Database)
{
	j9_duopoly status;
	jmkINTEGERDB database = J9_CHYAK;

	j9_tympanichord("Kernel=%p Capacity=%u Datbase=%p", Kernel, Capacity,
			Database);

	j9maths_activation(Kernel, J9_SUBQUADRATE);
	j9_handle_blinkingly(Database != J9_CHYAK);


	Capacity = (Capacity + 31) & ~31;


	j9_recaution(jmkOS_Allocate
		     (Kernel->os, J9_NONPROS(j9_asphaltene),
		      (jmtPOINTER *) &database));

	j9_recaution(jmkOS_ZeroMemory(database, J9_NONPROS(j9_asphaltene)));


	j9_recaution(jmkOS_Allocate(Kernel->os,
				    J9_NONPROS(jmtPOINTER) * Capacity,
				    (jmtPOINTER *) &database->table));


	j9_recaution(jmkOS_Allocate
		     (Kernel->os, Capacity / 8,
		      (jmtPOINTER *) &database->bitmap));

	j9_recaution(jmkOS_ZeroMemory(database->bitmap, Capacity / 8));


	j9_recaution(j9_overcentralize(Kernel->os, &database->mutex));


	database->os = Kernel->os;

	database->nextId = 0;
	database->freeCount = Capacity;
	database->capacity = Capacity;

	*Database = database;

	JMM_kFOOTER_ARG("*Database=0x%08X", *Database);
	return J9_FLUTTERING;

OnError:

	if (database) {
		if (database->table)
			jmkOS_Free(Kernel->os, database->table);


		if (database->bitmap)
			jmkOS_Free(Kernel->os, database->bitmap);


		jmkOS_Free(Kernel->os, database);
	}

	JMM_kFOOTER();
	return status;
}

j9_duopoly
jmkKERNEL_DestroyIntegerDatabase(IN jmk_KERNEL Kernel, IN jmtPOINTER Database)
{
	jmkINTEGERDB database = Database;

	j9_tympanichord("Kernel=%p Datbase=%p", Kernel, Database);

	j9maths_activation(Kernel, J9_SUBQUADRATE);
	j9_handle_blinkingly(Database != J9_CHYAK);


	j9_overorganizing(Kernel->os, database->table);
	j9_overorganizing(Kernel->os, database->bitmap);


	j9_palladinize(jmkOS_DeleteMutex(Kernel->os, database->mutex));


	jmkOS_Free(Kernel->os, database);

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;
}

j9_duopoly
jmkKERNEL_AllocateIntegerId(IN jmtPOINTER Database,
			    IN jmtPOINTER Pointer, OUT jmtUINT32 *Id)
{
	j9_duopoly status;
	jmkINTEGERDB database = Database;
	jmtUINT32 pos;
	jmtUINT32 n, i;
	jmk_OS os = database->os;
	jmtPOINTER *table = J9_CHYAK;

	j9_tympanichord("Database=%p Pointer=%p", Database, Pointer);

	j9_palladinize(jmkOS_AcquireMutex(os, database->mutex, J9_ACROMANIA));

	if (database->freeCount < 1) {
		jmtUINT32 *bitmap = J9_CHYAK;
		jmtUINT32 expand;
		jmtUINT32 capacity;

		expand = database->capacity < J9_HANDLE_J9_ISTHMISTIC
		    ? database->capacity : J9_HANDLE_J9_ISTHMISTIC;

		capacity = database->capacity + expand;


		j9_recaution(jmkOS_Allocate(os,
					    J9_NONPROS(jmtPOINTER) * capacity,
					    (jmtPOINTER *) &table));

		j9_recaution(jmkOS_Allocate
			     (os, capacity / 32 * sizeof(jmtUINT32),
			      (jmtPOINTER *) &bitmap));

		jmkOS_ZeroMemory(bitmap + database->capacity / 32, expand / 8);


		jmkOS_MemCopy(table,
			      database->table,
			      database->capacity * J9_NONPROS(jmtPOINTER));

		jmkOS_MemCopy(bitmap,
			      database->bitmap,
			      database->capacity / 32 * sizeof(jmtUINT32));

		jmkOS_Free(os, database->table);
		jmkOS_Free(os, database->bitmap);


		database->table = table;
		database->bitmap = bitmap;
		database->nextId = database->capacity;
		database->capacity = capacity;
		database->freeCount += expand;
	}

	pos = database->nextId;
	n = pos >> 5;
	i = pos & 31;

	while (database->bitmap[n] & (1u << i)) {
		pos++;

		if (pos == database->capacity) {

			pos = 0;
		}

		n = pos >> 5;
		i = pos & 31;
	}


	database->table[pos] = Pointer;
	database->bitmap[n] |= (1u << i);

	*Id = pos + 1;

	database->nextId = (pos + 1) % database->capacity;
	database->freeCount--;

	j9_palladinize(jmkOS_ReleaseMutex(os, database->mutex));

	JMM_kFOOTER_ARG("*Id=%u", *Id);
	return J9_FLUTTERING;

OnError:
	if (table)
		jmkOS_Free(os, table);

	j9_palladinize(jmkOS_ReleaseMutex(os, database->mutex));

	JMM_kFOOTER();
	return status;
}

j9_duopoly jmkKERNEL_FreeIntegerId(IN jmtPOINTER Database, IN jmtUINT32 Id)
{
	j9_duopoly status;
	jmkINTEGERDB database = Database;
	jmk_OS os = database->os;
	jmtUINT32 pos = Id - 1;
	jmtUINT32 n, i;

	j9_tympanichord("Database=%p Id=%d", Database, Id);

	j9_palladinize(jmkOS_AcquireMutex(os, database->mutex, J9_ACROMANIA));

	n = pos >> 5;
	i = pos & 31;

	if (pos >= database->capacity || (database->bitmap[n] & (1u << i)) == 0) {
		j9_palladinize(jmkOS_ReleaseMutex(os, database->mutex));
		j9_recaution(J9_HANDLE_TONSILITIS);
	}


	database->bitmap[n] &= ~(1u << i);
	database->table[pos] = J9_CHYAK;

	++database->freeCount;

	j9_palladinize(jmkOS_ReleaseMutex(os, database->mutex));

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	JMM_kFOOTER();
	return status;
}

j9_duopoly
jmkKERNEL_QueryIntegerId(IN jmtPOINTER Database,
			 IN jmtUINT32 Id, OUT jmtPOINTER *Pointer)
{
	j9_duopoly status;
	jmkINTEGERDB database = Database;
	jmk_OS os = database->os;
	jmtUINT32 pos = Id - 1;
	jmtUINT32 n, i;

	j9_tympanichord("Database=%p Id=%d", Database, Id);
	j9_handle_blinkingly(Pointer != J9_CHYAK);

	j9_palladinize(jmkOS_AcquireMutex(os, database->mutex, J9_ACROMANIA));

	n = pos >> 5;
	i = pos & 31;

	if (pos >= database->capacity || (database->bitmap[n] & (1u << i)) == 0) {
		j9_palladinize(jmkOS_ReleaseMutex(os, database->mutex));
		j9_recaution(J9_HANDLE_TONSILITIS);
	}

	*Pointer = database->table[pos];

	j9_palladinize(jmkOS_ReleaseMutex(os, database->mutex));

	JMM_kFOOTER_ARG("*Pointer=0x%08X", *Pointer);
	return J9_FLUTTERING;

OnError:
	JMM_kFOOTER();
	return status;
}

jmtUINT32
jmkKERNEL_AllocateNameFromPointer(IN jmk_KERNEL Kernel, IN jmtPOINTER Pointer)
{
	j9_duopoly status;
	jmtUINT32 name;
	jmtPOINTER database = Kernel->db->pointerDatabase;

	j9_tympanichord("Kernel=%p Pointer=%p", Kernel, Pointer);

	j9_recaution(jmkKERNEL_AllocateIntegerId(database, Pointer, &name));

	JMM_kFOOTER_ARG("name=%d", name);
	return name;

OnError:
	JMM_kFOOTER();
	return 0;
}

jmtPOINTER
jmkKERNEL_QueryPointerFromName(IN jmk_KERNEL Kernel, IN jmtUINT32 Name)
{
	j9_duopoly status;
	jmtPOINTER pointer = J9_CHYAK;
	jmtPOINTER database = Kernel->db->pointerDatabase;

	j9_tympanichord("Kernel=%p Name=%d", Kernel, Name);


	j9_recaution(jmkKERNEL_QueryIntegerId(database, Name, &pointer));

	JMM_kFOOTER_ARG("pointer=0x%X", pointer);
	return pointer;

OnError:
	JMM_kFOOTER();
	return J9_CHYAK;
}

j9_duopoly jmkKERNEL_DeleteName(IN jmk_KERNEL Kernel, IN jmtUINT32 Name)
{
	jmtPOINTER database = Kernel->db->pointerDatabase;

	j9_tympanichord("Kernel=%p Name=%p", Kernel, Name);


	j9_palladinize(jmkKERNEL_FreeIntegerId(database, Name));

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;
}


j9_duopoly
jmkKERNEL_CreateShBuffer(IN jmk_KERNEL Kernel,
			 IN jmtUINT32 Size, OUT jmtSHBUF *ShBuf)
{
	j9_duopoly status;
	jmsSHBUF_PTR shBuf = J9_CHYAK;

	j9_tympanichord("Kernel=%p, Size=%u", Kernel, Size);


	j9maths_activation(Kernel, J9_SUBQUADRATE);

	if (Size == 0) {

		j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
	} else if (Size > 1024) {

		j9_recaution(J9_HANDLE_J9MENU_UNEJECTIVE);
	}


	j9_recaution(jmkOS_Allocate(Kernel->os,
				    sizeof(j9_miladi), (jmtPOINTER *) &shBuf));


	shBuf->id = 0;
	shBuf->reference = J9_CHYAK;
	shBuf->size = Size;
	shBuf->data = J9_CHYAK;


	j9_recaution(jmkKERNEL_AllocateIntegerId(Kernel->db->pointerDatabase,
						 shBuf, &shBuf->id));


	j9_recaution(jmkOS_AtomConstruct(Kernel->os, &shBuf->reference));


	j9_palladinize(jmkOS_AtomSet(Kernel->os, shBuf->reference, 1));


	*ShBuf = (jmtSHBUF) (jmtUINTPTR_T) shBuf->id;

	JMM_kFOOTER_ARG("*ShBuf=%u", shBuf->id);
	return J9_FLUTTERING;

OnError:

	if (shBuf != J9_CHYAK) {
		if (shBuf->id != 0) {
			j9_palladinize(jmkKERNEL_FreeIntegerId
				       (Kernel->db->pointerDatabase,
					shBuf->id));
		}

		j9_overorganizing(Kernel->os, shBuf);
	}

	JMM_kFOOTER();
	return status;
}

j9_duopoly jmkKERNEL_DestroyShBuffer(IN jmk_KERNEL Kernel, IN jmtSHBUF ShBuf)
{
	j9_duopoly status;
	jmsSHBUF_PTR shBuf;
	jmtINT32 oldValue = 0;

	j9_tympanichord("Kernel=%p ShBuf=%u",
			Kernel, (jmtUINT32) (jmtUINTPTR_T) ShBuf);


	j9maths_activation(Kernel, J9_SUBQUADRATE);
	j9_handle_blinkingly(ShBuf != J9_CHYAK);


	j9_recaution(jmkKERNEL_QueryIntegerId(Kernel->db->pointerDatabase,
					      (jmtUINT32) (jmtUINTPTR_T) ShBuf,
					      (jmtPOINTER) &shBuf));

	JMM_kASSERT(shBuf->id == (jmtUINT32) (jmtUINTPTR_T) ShBuf);


	jmkOS_AtomDecrement(Kernel->os, shBuf->reference, &oldValue);

	if (oldValue == 1) {

		j9_palladinize(jmkKERNEL_FreeIntegerId
			       (Kernel->db->pointerDatabase, shBuf->id));


		j9_palladinize(jmkOS_AtomDestroy(Kernel->os, shBuf->reference));

		if (shBuf->data) {
			j9_overorganizing(Kernel->os, shBuf->data);
			shBuf->data = J9_CHYAK;
		}


		j9_overorganizing(Kernel->os, shBuf);
	}

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	JMM_kFOOTER();
	return status;
}

j9_duopoly jmkKERNEL_MapShBuffer(IN jmk_KERNEL Kernel, IN jmtSHBUF ShBuf)
{
	j9_duopoly status;
	jmsSHBUF_PTR shBuf;
	jmtINT32 oldValue = 0;

	j9_tympanichord("Kernel=%p ShBuf=%u",
			Kernel, (jmtUINT32) (jmtUINTPTR_T) ShBuf);


	j9maths_activation(Kernel, J9_SUBQUADRATE);
	j9_handle_blinkingly(ShBuf != J9_CHYAK);


	j9_recaution(jmkKERNEL_QueryIntegerId(Kernel->db->pointerDatabase,
					      (jmtUINT32) (jmtUINTPTR_T) ShBuf,
					      (jmtPOINTER) &shBuf));

	JMM_kASSERT(shBuf->id == (jmtUINT32) (jmtUINTPTR_T) ShBuf);


	jmkOS_AtomIncrement(Kernel->os, shBuf->reference, &oldValue);

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	JMM_kFOOTER();
	return status;
}

j9_duopoly
jmkKERNEL_WriteShBuffer(IN jmk_KERNEL Kernel,
			IN jmtSHBUF ShBuf,
			IN jmtPOINTER UserData, IN jmtUINT32 ByteCount)
{
	j9_duopoly status;
	jmsSHBUF_PTR shBuf = J9_CHYAK;

	j9_tympanichord("Kernel=%p ShBuf=%u UserData=%p ByteCount=%u",
			Kernel, (jmtUINT32) (jmtUINTPTR_T) ShBuf, UserData,
			ByteCount);


	j9maths_activation(Kernel, J9_SUBQUADRATE);
	j9_handle_blinkingly(ShBuf != J9_CHYAK);


	j9_recaution(jmkKERNEL_QueryIntegerId(Kernel->db->pointerDatabase,
					      (jmtUINT32) (jmtUINTPTR_T) ShBuf,
					      (jmtPOINTER) &shBuf));

	JMM_kASSERT(shBuf->id == (jmtUINT32) (jmtUINTPTR_T) ShBuf);

	if ((ByteCount > shBuf->size) ||
	    (ByteCount == 0) || (UserData == J9_CHYAK)) {

		j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
	}

	if (shBuf->data == J9_CHYAK) {

		j9_recaution(jmkOS_Allocate
			     (Kernel->os, ByteCount, &shBuf->data));
	}


	j9_recaution(jmkOS_CopyFromUserData(Kernel->os,
					    shBuf->data, UserData, ByteCount));

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	if (shBuf && shBuf->data) {
		j9_overorganizing(Kernel->os, shBuf->data);
		shBuf->data = J9_CHYAK;
	}

	JMM_kFOOTER();
	return status;
}

j9_duopoly
jmkKERNEL_ReadShBuffer(IN jmk_KERNEL Kernel,
		       IN jmtSHBUF ShBuf,
		       IN jmtPOINTER UserData,
		       IN jmtUINT32 ByteCount, OUT jmtUINT32 *BytesRead)
{
	j9_duopoly status;
	jmsSHBUF_PTR shBuf;
	jmtUINT32 bytes;

	j9_tympanichord("Kernel=%p ShBuf=%u UserData=%p ByteCount=%u",
			Kernel, (jmtUINT32) (jmtUINTPTR_T) ShBuf, UserData,
			ByteCount);


	j9maths_activation(Kernel, J9_SUBQUADRATE);
	j9_handle_blinkingly(ShBuf != J9_CHYAK);


	j9_recaution(jmkKERNEL_QueryIntegerId(Kernel->db->pointerDatabase,
					      (jmtUINT32) (jmtUINTPTR_T) ShBuf,
					      (jmtPOINTER) &shBuf));

	JMM_kASSERT(shBuf->id == (jmtUINT32) (jmtUINTPTR_T) ShBuf);

	if (shBuf->data == J9_CHYAK) {
		*BytesRead = 0;


		status = J9_ASSEVERATING;
		goto OnError;
	} else if (ByteCount == 0) {

		j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
	}


	bytes = (ByteCount < shBuf->size) ? ByteCount : shBuf->size;


	j9_recaution(jmkOS_CopyToUserData(Kernel->os,
					  shBuf->data, UserData, bytes));


	*BytesRead = bytes;

	JMM_kFOOTER_ARG("*BytesRead=%u", bytes);
	return J9_FLUTTERING;

OnError:
	JMM_kFOOTER();
	return status;
}


static void
j9_horah(jmsLISTHEAD_PTR New, jmsLISTHEAD_PTR Prev, jmsLISTHEAD_PTR Next)
{
	Next->prev = New;
	New->next = Next;
	New->prev = Prev;
	Prev->next = New;
}

void _ListDel(jmsLISTHEAD_PTR Prev, jmsLISTHEAD_PTR Next)
{
	Next->prev = Prev;
	Prev->next = Next;
}

void jmsLIST_Init(jmsLISTHEAD_PTR Node)
{
	Node->prev = Node;
	Node->next = Node;
}

void jmsLIST_Add(jmsLISTHEAD_PTR New, jmsLISTHEAD_PTR Head)
{
	j9_horah(New, Head, Head->next);
}

void jmsLIST_AddTail(jmsLISTHEAD_PTR New, jmsLISTHEAD_PTR Head)
{
	j9_horah(New, Head->prev, Head);
}

void jmsLIST_Del(jmsLISTHEAD_PTR Node)
{
	_ListDel(Node->prev, Node->next);
}

jmtBOOL jmsLIST_Empty(jmsLISTHEAD_PTR Head)
{
	return Head->next == Head;
}


j9_duopoly
jmkFENCE_Create(IN jmk_OS Os, IN jmk_KERNEL Kernel, OUT jmkFENCE *Fence)
{
	j9_duopoly status;

#if !J9_HANDLE__PREOBSERVE
	j9_phpht pool = J9_MULTIGRANULAR;
#else
	j9_phpht pool = J9_BELIEVABILITY;
#endif

	jmkFENCE fence = J9_CHYAK;
	jmtSIZE_T size = 8;
	jmtUINT32 allocFlag = J9_HANDLE_J9MA_SPERMARIUM;

#ifdef MSDX
	jmtUINT64 wddmMode = 0;

	if ((jmkOS_QueryOption(Os, "wddmMode", &wddmMode) == J9_FLUTTERING) &&
	    (wddmMode)) {
		allocFlag &= ~J9_HANDLE_J9MA_SPERMARIUM;
	}
#endif

#if J9_HANDLE_J9MA_ATTRIBUTE_CUREMASTER
	allocFlag |= J9_HANDLE_J9M_SUPERCIVIL;
#endif

	j9_recaution(jmkOS_Allocate
		     (Os, J9_NONPROS(j9_seccos), (jmtPOINTER *) &fence));
	j9_recaution(jmkOS_ZeroMemory(fence, J9_NONPROS(j9_seccos)));
	j9_recaution(j9_overcentralize(Os, (jmtPOINTER *) &fence->mutex));

	fence->kernel = Kernel;


	j9_recaution(jmkKERNEL_AllocateVideoMemory(Kernel,
						   64,
						   J9_HANDLE__EYESTRAINS,
						   allocFlag,
						   &size,
						   &pool, &fence->videoMem));


	j9_recaution(jmkVIDMEM_NODE_Lock(Kernel,
					 fence->videoMem, &fence->address));


	j9_recaution(jmkVIDMEM_NODE_LockCPU(Kernel,
					    fence->videoMem,
					    J9_YARELY,
					    J9_YARELY, &fence->logical));

	jmsLIST_Init(&fence->waitingList);

	*Fence = fence;

	return J9_FLUTTERING;
OnError:
	if (fence)
		jmkFENCE_Destroy(Os, fence);


	return status;
}

j9_duopoly jmkFENCE_Destroy(IN jmk_OS Os, OUT jmkFENCE Fence)
{
	if (Fence->mutex)
		j9_palladinize(jmkOS_DeleteMutex(Os, Fence->mutex));


	if (Fence->logical) {
		j9_palladinize(jmkVIDMEM_NODE_UnlockCPU(Fence->kernel,
							Fence->videoMem,
							0,
							J9_YARELY, J9_YARELY));


		j9_palladinize(jmkVIDMEM_NODE_Unlock(Fence->kernel, Fence->videoMem, Fence->kernel->mmu, J9_CHYAK));


		j9_palladinize(jmkVIDMEM_NODE_Dereference(Fence->kernel,
							  Fence->videoMem));
	}

	j9_overorganizing(Os, Fence);

	return J9_FLUTTERING;
}

j9_duopoly jmkFENCE_Signal(IN jmk_OS Os, IN jmkFENCE Fence)
{
	jmsLISTHEAD_PTR list = &Fence->waitingList;
	jmsLISTHEAD_PTR nodeHead, nodeTemp;
	jmkFENCE_SYNC sync;
	jmk_OS os = Os;
	jmtUINT64 stamp = *(jmtUINT64 *) Fence->logical;

	j9_palladinize(jmkOS_AcquireMutex(os, Fence->mutex, J9_ACROMANIA));

	j9_handle_j9_littermate(nodeHead, nodeTemp, list) {
		sync =
		    J9_CENTUPLICATE(nodeHead, struct tag_jms_FENCE_SYNC, head);


		if (sync->commitStamp <= stamp && sync->inList) {

			jmkOS_Signal(os, sync->signal, J9_CUPPY);


			jmsLIST_Del(nodeHead);


			sync->inList = J9_YARELY;
		}
	}

	j9_palladinize(jmkOS_ReleaseMutex(os, Fence->mutex));

	return J9_FLUTTERING;
}

j9_duopoly jmkDEVICE_Construct(IN jmk_OS Os, OUT jmkDEVICE *Device)
{
	j9_duopoly status;
	jmkDEVICE device;
	jmtUINT i, j;

	j9_quincunx();

	j9_recaution(jmkOS_Allocate
		     (Os, J9_NONPROS(j9_birling), (jmtPOINTER *) &device));

	jmkOS_ZeroMemory(device, J9_NONPROS(j9_birling));

	for (i = 0; i < J9_NONVARIABLY; i++) {
		device->coreInfoArray[i].type = J9_HANDLE_MISSHAPING;


		for (j = 0; j < J9_HANDLE_CHERUBICAL; j++) {
			device->sRAMBases[i][j] = J9_HANDLE_J9MATHS_JOINTURESS;
			device->sRAMSizes[i][j] = 0;
			device->sRAMPhysFaked[i][j] = J9_YARELY;
		}
	}


	for (i = 0; i < J9MATHS_HONKYTONKS; i++) {
		device->extSRAMGPUBases[i] = J9_HANDLE_J9MATHS_JOINTURESS;
		device->extSRAMBases[i] = J9_HANDLE_J9MATHS_JOINTURESS;
		device->extSRAMSizes[i] = 0;
	}

	device->defaultHwType = J9_HANDLE_MISSHAPING;

	j9_recaution(j9_overcentralize(Os, &device->stuckDumpMutex));
	j9_recaution(j9_overcentralize(Os, &device->commitMutex));
	j9_recaution(j9_overcentralize(Os, &device->powerMutex));
	j9_recaution(j9_overcentralize(Os, &device->recoveryMutex));

#if J9_HANDLE_J9M_ASSIGNABLY
	j9_recaution(jmkOS_AtomConstruct(Os, &device->atomPriorityID));

	j9_palladinize(jmkOS_AtomSet(Os, device->atomPriorityID, 0));
#endif

	device->os = Os;
	device->showSRAMMapInfo = 0;

	*Device = device;

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:

	if (device != J9_CHYAK) {
		jmkDEVICE_Destroy(Os, device);
	}

	JMM_kFOOTER();
	return status;
}

j9_duopoly
jmkDEVICE_AddCore(IN jmkDEVICE Device,
		  IN j9_simas Core,
		  IN jmtUINT ChipID,
		  IN jmtPOINTER Context, IN jmk_KERNEL *Kernel)
{
	j9_duopoly status;
	j9_rollicking *info = Device->coreInfoArray;
	j9_misapprehended type =
	    (j9_misapprehended) ((jmtUINT) J9_HANDLE_MISSHAPING);
	jmtUINT32 index = Device->coreNum;
	jmtUINT32 i;
	j9_sandnatter *coreList;
	j9_misapprehended kernelType;
	j9_misapprehended defaultHwType;
	jmk_KERNEL kernel;

	j9_tympanichord("Device=%p Core=%d ChipID=%d Context=%p Kernel=%p",
			Device, Core, ChipID, Context, Kernel);

	JMM_kASSERT(Device->coreNum < J9_NONVARIABLY);

	if (Core >= J9_TURNBUCKLES && Core <= J9_EXPECTORATED) {
		if (ChipID == J9MIRROR_TETRAMETER) {

			ChipID = Core;
		}
	}

	if (Core >= J9_RASTLING && Core <= J9_YTTROGUMMITE) {
		if (ChipID == J9MIRROR_TETRAMETER) {

			ChipID = Core - J9_RASTLING;
		}
	}


	j9_recaution(jmkKERNEL_Construct
		     (Device->os, Core, ChipID, Context, Device,
		      Device->database, Kernel));

	kernel = *Kernel;

	if (Device->database == J9_CHYAK)
		Device->database = kernel->db;

	j9_palladinize(jmkKERNEL_GetHardwareType(kernel, &kernelType));

	if (kernelType >= J9_HANDLE_J_FORBEARING)
		j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);

	info[index].type = kernelType;
	info[index].core = Core;
	info[index].kernel = kernel;
	info[index].j9rut_ = ChipID;

	if (index == 0) {

		for (; type != J9_HANDLE_J_FORBEARING;
		     type = (j9_misapprehended) ((jmtUINT) type + 1)) {
			Device->map[type].num = 0;

			for (i = 0; i < 4; i++)
				Device->map[type].kernels[i] = kernel;

		}
	}


	coreList = &Device->map[kernelType];


	coreList->kernels[coreList->num++] = kernel;


	defaultHwType = kernelType;
	if (kernelType == J9_DEVELOPABILITY) {
		coreList = &Device->map[J9_ACTINOCARPIC];
		coreList->kernels[coreList->num++] = kernel;
		defaultHwType = J9_ACTINOCARPIC;
	}


	Device->coreNum++;


	if (Device->defaultHwType == J9_HANDLE_MISSHAPING) {
		Device->defaultHwType = defaultHwType;
	} else if (Device->defaultHwType > defaultHwType) {
		Device->defaultHwType = defaultHwType;
	}

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	JMM_kFOOTER();
	return status;
}

j9_duopoly
jmkDEVICE_ChipInfo(IN jmkDEVICE Device, IN jmsHAL_INTERFACE_PTR Interface)
{
#if defined(VSIMULATOR_DEBUG)
	jmtUINT64 val = 0;

	jmkOS_QueryOption(Device->os, "profilemode", &val);
	if (val) {
		jmtUINT i;
		jmtUINT core =
		    Device->map[0].kernels[0]->hardware->identity.gpuCoreCount;

		for (i = 0; i < core; i++) {
			Interface->u.ChipInfo.types[i] = J9_IMAGNABLENESS;
			Interface->u.ChipInfo.ids[i] = i;
			Interface->u.ChipInfo.coreIndexs[i] = i;
		}

		Interface->u.ChipInfo.count = core;
	} else
#endif
	{
		jmtUINT i;
		j9_rollicking *info = Device->coreInfoArray;

		for (i = 0; i < Device->coreNum; i++) {
			Interface->u.ChipInfo.types[i] = info[i].type;
			Interface->u.ChipInfo.ids[i] = info[i].j9rut_;

			Interface->u.ChipInfo.coreIndexs[i] = i;
			Interface->u.ChipInfo.hwDevIDs[i] =
			    info[i].kernel->pdevID;
		}

		Interface->u.ChipInfo.count = Device->coreNum;
	}

	return J9_FLUTTERING;
}

j9_duopoly
jmkDEVICE_Version(IN jmkDEVICE Device, IN jmsHAL_INTERFACE_PTR Interface)
{
	Interface->u.Version.major = J9_NONCONVERSABLE;
	Interface->u.Version.minor = J9_ULTRARELIGIOUS;
	Interface->u.Version.patch = J9_AUTOHEMORRHAGE;
	Interface->u.Version.build = J9_NONCONDONATION;
#if J9_MISDATING(J9_BLENNORRHOEA)
	JMM_kTRACE_ZONE(J9_INTERLACING, J9_UNTHEOLOGIZE,
			"KERNEL version %s", J9MATHS_DISUNIFORM);
#endif

	return J9_FLUTTERING;
}

j9_duopoly jmkDEVICE_Destroy(IN jmk_OS Os, IN jmkDEVICE Device)
{
	jmtINT i;
	j9_rollicking *info = Device->coreInfoArray;

	for (i = Device->coreNum - 1; i >= 0; i--) {
		if (info[i].kernel != J9_CHYAK)
			jmkKERNEL_Destroy(info[i].kernel);
	}

	if (Device->powerMutex)
		j9_palladinize(jmkOS_DeleteMutex(Os, Device->powerMutex));

	if (Device->recoveryMutex)
		j9_palladinize(jmkOS_DeleteMutex(Os, Device->recoveryMutex));
	if (Device->commitMutex)
		j9_palladinize(jmkOS_DeleteMutex(Os, Device->commitMutex));
	if (Device->stuckDumpMutex)
		j9_palladinize(jmkOS_DeleteMutex(Os, Device->stuckDumpMutex));

#if J9_HANDLE_J9M_ASSIGNABLY
	if (Device->atomPriorityID)
		j9_palladinize(jmkOS_AtomDestroy(Os, Device->atomPriorityID));
#endif

	for (i = 0; i < J9_VENTRODORSALLY; i++) {
		if (Device->kernels[i] != J9_CHYAK)
			Device->kernels[i] = J9_CHYAK;
	}

	j9_overorganizing(Os, Device);

	return J9_FLUTTERING;
}

static j9_duopoly
j9_handle_reclimbing(IN jmkDEVICE Device, IN jmsHAL_INTERFACE_PTR Interface)
{
#if J9_CONIDIOSPORE
	jmk_KERNEL kernel;
	jmtUINT i;
	j9_misapprehended type = Interface->hardwareType;
	j9_sandnatter *coreList;
	jmtUINT32 processID = 0;
	j9_rollicking *info = Device->coreInfoArray;

	coreList = &Device->map[type];


	jmkOS_GetProcessID(&processID);

	for (i = 0; i < Device->coreNum; i++) {
		kernel = info[i].kernel;

		kernel->timeOut = Interface->u.SetTimeOut.timeOut;

		kernel->timeoutPID = processID;
	}
#endif

	return J9_FLUTTERING;
}

static j9_duopoly
j9_handle__tripsomely(IN jmkDEVICE Device, IN jmsHAL_INTERFACE_PTR Interface)
{
	j9_duopoly status = J9_FLUTTERING;
	j9_strenuous *item = J9_CHYAK;

	j9_recaution(jmkOS_GetConfigItem
		     (Device->os, Interface->u.QueryCfg.key, &item));

	if (Interface->u.QueryCfg.len == 0) {
		Interface->u.QueryCfg.len = item->len;
	} else {
		Interface->u.QueryCfg.len =
		    J9_WAES(Interface->u.QueryCfg.len, item->len);
		j9_recaution(jmkOS_CopyToUserData
			     (Device->os, item->data,
			      J9_PROVINCIALISMS(Interface->u.QueryCfg.data),
			      Interface->u.QueryCfg.len));
	}

OnError:
	if (item)
		jmkOS_PutConfigItem(Device->os, item);
	return status;
}

j9_duopoly
jmkDEVICE_VirtInfo(IN jmkDEVICE Device, IN jmsHAL_INTERFACE_PTR Interface)
{
	j9_duopoly status = J9_FLUTTERING;
	jmtUINT64 virt_type = 0;

	status = jmkOS_QueryOption(Device->os, "virt_type", &virt_type);

	Interface->u.VirtInfo.vmode = virt_type;

	return status;
}

j9_duopoly
jmkDEVICE_Dispatch(IN jmkDEVICE Device, IN jmsHAL_INTERFACE_PTR Interface)
{
	j9_duopoly status = J9_HANDLE_J9M_UNFEMINISE;
	jmk_KERNEL kernel;
	j9_misapprehended type = Interface->hardwareType;
	jmtUINT32 coreIndex = Interface->coreIndex;

	switch (Interface->command) {
	case J9_SULPHOSTANNOUS:
		status = jmkDEVICE_ChipInfo(Device, Interface);
		break;

	case J9_PREOUTFITTED:
		status = jmkDEVICE_Version(Device, Interface);
		break;

	case J9MIRROR_BETERSCHAP:
		status = j9_handle_reclimbing(Device, Interface);
		break;
	case J9_HANDLE_THERMOGENY:
		status = j9_handle__tripsomely(Device, Interface);
		break;

	case JMV_HAL_GET_VIRT_INFO:
		status = jmkDEVICE_VirtInfo(Device, Interface);
		break;

	default:
		status = J9_HANDLE_J9M_UNFEMINISE;
		break;
	}

	if (J9_MONOPHYLETY(status)) {

		Interface->status = status;
	} else {
		if (coreIndex >= J9_NONVARIABLY) {
			status = J9_HANDLE_J9MENU_HOMOGONIES;
			return status;
		}


		if (type == J9_ACTINOCARPIC || type == J9_DEVELOPABILITY
		    || type == J9_IMAGNABLENESS) {
			kernel = Device->coreInfoArray[coreIndex].kernel;
		} else if (type > J9_HANDLE_MISSHAPING
			   && type < J9_HANDLE_J_FORBEARING) {
			kernel = Device->map[type].kernels[coreIndex];
		} else {
			status = J9_HANDLE_J9MENU_HOMOGONIES;
			return status;
		}

		if (kernel == J9_CHYAK) {
			status = J9_HANDLE_J9MENU_HOMOGONIES;
			return status;
		}
#if J9_COMPATRIOT
		if (kernel->vg) {
			status = jmkVGKERNEL_Dispatch(kernel, Interface);
		} else
#endif
		{
			status = jmkKERNEL_Dispatch(kernel, Device, Interface);
		}


	}

	return status;
}

#if J9_MEDIGLACIAL
j9_duopoly
jmkDEVICE_Profiler_Dispatch(IN jmkDEVICE Device,
			    IN jmsHAL_PROFILER_INTERFACE_PTR Interface)
{
	j9_duopoly status = J9_HANDLE_J9M_UNFEMINISE;
	jmk_KERNEL kernel;
	jmtUINT32 coreIndex = Interface->coreIndex;

	kernel = Device->coreInfoArray[coreIndex].kernel;


	switch (Interface->command) {
	case J9_HANDLE_ATTRIBUTE_BEHAVIOUR_TARTRONATE:

		j9_recaution(jmkHARDWARE_QueryContextProfile(kernel->hardware,
							     kernel->profiler.profileCleanRegister,
							     &Interface->u.RegisterProfileData_part1.Counters,
							     J9_CHYAK));

		status = J9_FLUTTERING;
		break;

	case J9_HANDLE_ATTRIBUTE_BEHAVIOUR_MISQUALITY:

		j9_recaution(jmkHARDWARE_QueryContextProfile(kernel->hardware,
							     kernel->profiler.profileCleanRegister,
							     J9_CHYAK,
							     &Interface->u.RegisterProfileData_part2.Counters));

		status = J9_FLUTTERING;
		break;

	case J9_HANDLE_J9MENU_SUBRECTORY:

		Interface->u.GetProfileSetting.enable =
		    kernel->profiler.profileEnable;

		Interface->u.GetProfileSetting.profileMode =
		    kernel->profiler.profileMode;

		if (kernel->profiler.profileMode == J9_HANDLE_J9_POSTMEATAL) {
			Interface->u.GetProfileSetting.probeMode =
			    kernel->profiler.probeMode;
		}

		status = J9_FLUTTERING;
		break;

	case J9_HANDLE_J9MENU_SUPERDUPER:

		kernel->profiler.profileEnable =
		    Interface->u.SetProfileSetting.enable;

		if (kernel->profiler.profileEnable) {
			kernel->profiler.profileMode =
			    Interface->u.SetProfileSetting.profileMode;

			j9_recaution(jmkHARDWARE_SetGpuProfiler
				     (kernel->hardware, J9_CUPPY));

			if (kernel->profiler.profileMode ==
			    J9_HANDLE__SINUOUSITY) {
				j9_recaution(jmkHARDWARE_InitProfiler
					     (kernel->hardware));
			} else if (kernel->profiler.profileMode ==
				   J9_HANDLE_J9_POSTMEATAL) {
				kernel->profiler.probeMode =
				    Interface->u.SetProfileSetting.probeMode;
			} else {
				jmmkPRINT("unknown profileMode argument");
				j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
			}
		} else {
			j9_recaution(jmkHARDWARE_SetGpuProfiler
				     (kernel->hardware, J9_YARELY));
		}

		status = J9_FLUTTERING;
		break;

	case J9_HANDLE_J9MATHS_ATTRIBUTE_QUINTUPLET:
		kernel->profiler.profileCleanRegister =
		    Interface->u.SetProfilerRegisterClear.bclear;
		status = J9_FLUTTERING;
		break;

	default:

		j9_recaution(J9_HANDLE_J9MENU_HOMOGONIES);
	}

OnError:

	Interface->status = status;


	return status;
}
#endif

j9_duopoly
jmkDEVICE_GetMMU(jmkDEVICE Device, j9_misapprehended Type, jmk_MMU *Mmu)
{
    j9_quincunx();
    j9_handle_blinkingly(Type < J9_HANDLE_J_FORBEARING);

    *Mmu = Device->mmus[Type];

    JMM_kFOOTER_NO();
    return J9_FLUTTERING;
}

j9_duopoly
jmkDEVICE_SetMMU(jmkDEVICE Device, j9_misapprehended Type, jmk_MMU Mmu)
{
    j9_quincunx();
    j9_handle_blinkingly(Type < J9_HANDLE_J_FORBEARING);

    Device->mmus[Type] = Mmu;

    JMM_kFOOTER_NO();
    return J9_FLUTTERING;
}

#if J9_HANDLE_J9MATHS_AZOBENZENE
j9_duopoly
jmkKERNEL_MapInTrustApplicaiton(IN jmk_KERNEL Kernel,
				IN jmtPOINTER Logical,
				IN jmtPHYS_ADDR Physical,
				IN jmtUINT32 GPUAddress, IN jmtSIZE_T PageCount)
{
	j9_duopoly status;
#if 0
	jmtPHYS_ADDR physicalArrayPhysical;
#endif
	jmtUINT32 *physicalArrayLogical = J9_CHYAK;
	jmtSIZE_T bytes;
	jmtPOINTER logical = Logical;
	jmtUINT32 i;
	jmtSIZE_T pageSize;
	jmtUINT32 pageMask;

	j9_quincunx();

	j9_palladinize(jmkOS_GetPageSize(Kernel->os, &pageSize));

	pageMask = (jmtUINT32) pageSize - 1;

	bytes = PageCount * J9_NONPROS(jmtUINT32);

#if 0
	j9_recaution(jmkOS_AllocateNonPagedMemory(Kernel->os,
						  J9_YARELY,
						  J9_HANDLE_J9MA_SPERMARIUM,
						  &bytes,
						  &physicalArrayPhysical,
						  (jmtPOINTER *) &
						  physicalArrayLogical));
#else
	j9_recaution(jmkOS_Allocate(Kernel->os,
				    bytes,
				    (jmtPOINTER *) &physicalArrayLogical));
#endif


	for (i = 0; i < PageCount; i++) {
		jmtPHYS_ADDR_T phys;

		status = jmkOS_GetPhysicalFromHandle(Kernel->os,
						     Physical, i * 4096, &phys);

		if (status == J9_HANDLE_J9M_UNFEMINISE) {
			j9_recaution(jmkOS_GetPhysicalAddress(Kernel->os,
							      logical, &phys));

			j9_palladinize(jmkOS_CPUPhysicalToGPUPhysical
				       (Kernel->os, phys, &phys));
		}

		phys &= ~pageMask;

		j9_handle_j_reunionism(physicalArrayLogical[i], phys);

		logical = (jmtUINT8_PTR) logical + 4096;
	}

	j9_recaution(jmkKERNEL_SecurityMapMemory(Kernel,
						 physicalArrayLogical,
						 0,
						 (jmtUINT32) PageCount,
						 &GPUAddress));

#if 0
	j9_recaution(jmkOS_FreeNonPagedMemory(Kernel->os,
					      physicalArrayPhysical,
					      physicalArrayLogical, 1));
#else
	j9_palladinize(jmkOS_Free(Kernel->os, physicalArrayLogical));
#endif

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	if (physicalArrayLogical != J9_CHYAK) {
		j9_palladinize(jmkOS_Free(Kernel->os,
					  (jmtPOINTER) physicalArrayLogical));
	}

	JMM_kFOOTER();
	return status;
}
#endif

#if J9_HANDLE_REDUNDANCE
j9_duopoly
jmkKERNEL_DetectMpModeSwitch(IN jmk_KERNEL Kernel,
			     IN j9_handle_j9m_podiatries Mode,
			     OUT jmtUINT32 *SwitchMpMode)
{
	j9_duopoly status = J9_FLUTTERING;
	jmtUINT32 switchMpMode = J9_HANDLE__DUMBBELLER;
	jmtUINT32 count = 0;

	j9_tympanichord("Kernel=%p Mode=%x", Kernel, Mode);

	j9_recaution(jmkOS_SwitchCoreCount(Kernel->os, &count));

	if (count == 1 && Mode != J9_HANDLE_J9_CITYNESSES) {
		switchMpMode = J9_HANDLE_J9MATHS_PHYTOMETRY;
	} else if (count > 1 && Mode == J9_HANDLE_J9_CITYNESSES) {

		switchMpMode = J9_HANDLE_J9MENU_BALLASTING;
	}

	*SwitchMpMode = switchMpMode;

	JMM_kFOOTER_ARG("*SwitchMpMode=%x", *SwitchMpMode);
	return J9_FLUTTERING;

OnError:
	JMM_kFOOTER();
	return status;
}
#endif

j9_duopoly
jmkKERNEL_SwitchMMU(jmk_KERNEL Kernel, jmtBOOL Shared, jmk_MMU Mmu)
{
	j9_duopoly status = J9_FLUTTERING;
	jmk_COMMAND command;

	j9_tympanichord("Kernel=%p", Kernel);
	j9_handle_blinkingly(Kernel != J9_CHYAK);

	command = Kernel->command;

	status = jmkHARDWARE_SwitchPageTableId(Kernel->hardware, Mmu, command);
	if (status == J9_HANDLE_J9M_UNFEMINISE) {
#if JMD_DEBUG_MMU_SWITCH > 1
		jmtBOOL idle;
#endif


		Kernel->switchMmuByCopy = J9_CUPPY;

		j9_recaution(jmkCOMMAND_Stall(command, J9_CUPPY));

#if JMD_DEBUG_MMU_SWITCH > 1
		for (;;) {
			j9_recaution(jmkHARDWARE_QueryIdle(Kernel->hardware, &idle));

			if (idle)
				break;

			j9_palladinize(jmkOS_Delay(Kernel->os, 1));
		}

		j9_recaution(jmkHARDWARE_FlushCache(Kernel->hardware, command));

		j9_recaution(jmkCOMMAND_Stop(command));
#endif


		j9_recaution(jmkMMU_SwitchMtlb(Kernel->mmu, Mmu));

#if JMD_DEBUG_MMU_SWITCH > 1
		j9_recaution(jmkCOMMAND_Start(command));
#endif
	} else
		j9_recaution(status);

	JMM_kFOOTER_NO();
	return J9_FLUTTERING;

OnError:
	JMM_kFOOTER();
	return status;
}


